{-# LANGUAGE ForeignFunctionInterface, TypeFamilies, MultiParamTypeClasses, 
             FlexibleInstances, TypeSynonymInstances, EmptyDataDecls #-}


module HROOT.Class.Implementation where

import Data.Word
-- import Foreign.C            
import Foreign.Ptr
import Foreign.ForeignPtr

import System.IO.Unsafe

import HROOT.Class.Interface
import HROOT.Class.FFI



instance (ITObject a, FPtr a) => Castable a (Ptr RawTObject) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITNamed a, FPtr a) => Castable a (Ptr RawTNamed) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 



instance (ITClass a, FPtr a) => Castable a (Ptr RawTClass) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITFormula a, FPtr a) => Castable a (Ptr RawTFormula) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITAtt3D a, FPtr a) => Castable a (Ptr RawTAtt3D) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITAttAxis a, FPtr a) => Castable a (Ptr RawTAttAxis) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITAttBBox a, FPtr a) => Castable a (Ptr RawTAttBBox) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITAttCanvas a, FPtr a) => Castable a (Ptr RawTAttCanvas) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITAttFill a, FPtr a) => Castable a (Ptr RawTAttFill) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITAttImage a, FPtr a) => Castable a (Ptr RawTAttImage) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITAttLine a, FPtr a) => Castable a (Ptr RawTAttLine) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITAttMarker a, FPtr a) => Castable a (Ptr RawTAttMarker) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITAttPad a, FPtr a) => Castable a (Ptr RawTAttPad) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITAttParticle a, FPtr a) => Castable a (Ptr RawTAttParticle) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITAttText a, FPtr a) => Castable a (Ptr RawTAttText) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITHStack a, FPtr a) => Castable a (Ptr RawTHStack) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITF1 a, FPtr a) => Castable a (Ptr RawTF1) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITGraph a, FPtr a) => Castable a (Ptr RawTGraph) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITGraphAsymmErrors a, FPtr a) => Castable a (Ptr RawTGraphAsymmErrors) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITCutG a, FPtr a) => Castable a (Ptr RawTCutG) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITGraphBentErrors a, FPtr a) => Castable a (Ptr RawTGraphBentErrors) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITGraphErrors a, FPtr a) => Castable a (Ptr RawTGraphErrors) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITGraphPolar a, FPtr a) => Castable a (Ptr RawTGraphPolar) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITGraphQQ a, FPtr a) => Castable a (Ptr RawTGraphQQ) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITEllipse a, FPtr a) => Castable a (Ptr RawTEllipse) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITArc a, FPtr a) => Castable a (Ptr RawTArc) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITCrown a, FPtr a) => Castable a (Ptr RawTCrown) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITLine a, FPtr a) => Castable a (Ptr RawTLine) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITArrow a, FPtr a) => Castable a (Ptr RawTArrow) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITGaxis a, FPtr a) => Castable a (Ptr RawTGaxis) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITShape a, FPtr a) => Castable a (Ptr RawTShape) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITBRIK a, FPtr a) => Castable a (Ptr RawTBRIK) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITTUBE a, FPtr a) => Castable a (Ptr RawTTUBE) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITPCON a, FPtr a) => Castable a (Ptr RawTPCON) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITSPHE a, FPtr a) => Castable a (Ptr RawTSPHE) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITXTRU a, FPtr a) => Castable a (Ptr RawTXTRU) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITBox a, FPtr a) => Castable a (Ptr RawTBox) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITPave a, FPtr a) => Castable a (Ptr RawTPave) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITPaveText a, FPtr a) => Castable a (Ptr RawTPaveText) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITDiamond a, FPtr a) => Castable a (Ptr RawTDiamond) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITPaveStats a, FPtr a) => Castable a (Ptr RawTPaveStats) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITPavesText a, FPtr a) => Castable a (Ptr RawTPavesText) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITLegend a, FPtr a) => Castable a (Ptr RawTLegend) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITLegendEntry a, FPtr a) => Castable a (Ptr RawTLegendEntry) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITPaveLabel a, FPtr a) => Castable a (Ptr RawTPaveLabel) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITPaveClass a, FPtr a) => Castable a (Ptr RawTPaveClass) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITWbox a, FPtr a) => Castable a (Ptr RawTWbox) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITFrame a, FPtr a) => Castable a (Ptr RawTFrame) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITSliderBox a, FPtr a) => Castable a (Ptr RawTSliderBox) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITTree a, FPtr a) => Castable a (Ptr RawTTree) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITChain a, FPtr a) => Castable a (Ptr RawTChain) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITNtuple a, FPtr a) => Castable a (Ptr RawTNtuple) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITNtupleD a, FPtr a) => Castable a (Ptr RawTNtupleD) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITTreeSQL a, FPtr a) => Castable a (Ptr RawTTreeSQL) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITPolyLine a, FPtr a) => Castable a (Ptr RawTPolyLine) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITCurlyLine a, FPtr a) => Castable a (Ptr RawTCurlyLine) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITCurlyArc a, FPtr a) => Castable a (Ptr RawTCurlyArc) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITEfficiency a, FPtr a) => Castable a (Ptr RawTEfficiency) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITAxis a, FPtr a) => Castable a (Ptr RawTAxis) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITLatex a, FPtr a) => Castable a (Ptr RawTLatex) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITText a, FPtr a) => Castable a (Ptr RawTText) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITDirectory a, FPtr a) => Castable a (Ptr RawTDirectory) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITDirectoryFile a, FPtr a) => Castable a (Ptr RawTDirectoryFile) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITFile a, FPtr a) => Castable a (Ptr RawTFile) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITBranch a, FPtr a) => Castable a (Ptr RawTBranch) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITVirtualTreePlayer a, FPtr a) => Castable a (Ptr RawTVirtualTreePlayer) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITTreePlayer a, FPtr a) => Castable a (Ptr RawTTreePlayer) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITArray a, FPtr a) => Castable a (Ptr RawTArray) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITArrayC a, FPtr a) => Castable a (Ptr RawTArrayC) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITArrayD a, FPtr a) => Castable a (Ptr RawTArrayD) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITArrayF a, FPtr a) => Castable a (Ptr RawTArrayF) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITArrayI a, FPtr a) => Castable a (Ptr RawTArrayI) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITArrayL a, FPtr a) => Castable a (Ptr RawTArrayL) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITArrayL64 a, FPtr a) => Castable a (Ptr RawTArrayL64) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITArrayS a, FPtr a) => Castable a (Ptr RawTArrayS) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITH1 a, FPtr a) => Castable a (Ptr RawTH1) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITH2 a, FPtr a) => Castable a (Ptr RawTH2) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITH3 a, FPtr a) => Castable a (Ptr RawTH3) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITH1C a, FPtr a) => Castable a (Ptr RawTH1C) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITH1D a, FPtr a) => Castable a (Ptr RawTH1D) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITH1F a, FPtr a) => Castable a (Ptr RawTH1F) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITH1I a, FPtr a) => Castable a (Ptr RawTH1I) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITH1S a, FPtr a) => Castable a (Ptr RawTH1S) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITH2C a, FPtr a) => Castable a (Ptr RawTH2C) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITH2D a, FPtr a) => Castable a (Ptr RawTH2D) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITH2F a, FPtr a) => Castable a (Ptr RawTH2F) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITH2I a, FPtr a) => Castable a (Ptr RawTH2I) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITH2Poly a, FPtr a) => Castable a (Ptr RawTH2Poly) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITH2S a, FPtr a) => Castable a (Ptr RawTH2S) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITH3C a, FPtr a) => Castable a (Ptr RawTH3C) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITH3D a, FPtr a) => Castable a (Ptr RawTH3D) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITH3F a, FPtr a) => Castable a (Ptr RawTH3F) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITH3I a, FPtr a) => Castable a (Ptr RawTH3I) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITH3S a, FPtr a) => Castable a (Ptr RawTH3S) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITQObject a, FPtr a) => Castable a (Ptr RawTQObject) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITVirtualPad a, FPtr a) => Castable a (Ptr RawTVirtualPad) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITPad a, FPtr a) => Castable a (Ptr RawTPad) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITButton a, FPtr a) => Castable a (Ptr RawTButton) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITGroupButton a, FPtr a) => Castable a (Ptr RawTGroupButton) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITCanvas a, FPtr a) => Castable a (Ptr RawTCanvas) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITDialogCanvas a, FPtr a) => Castable a (Ptr RawTDialogCanvas) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITInspectCanvas a, FPtr a) => Castable a (Ptr RawTInspectCanvas) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITEvePad a, FPtr a) => Castable a (Ptr RawTEvePad) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITSlider a, FPtr a) => Castable a (Ptr RawTSlider) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITApplication a, FPtr a) => Castable a (Ptr RawTApplication) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITRint a, FPtr a) => Castable a (Ptr RawTRint) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITRandom a, FPtr a) => Castable a (Ptr RawTRandom) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITCollection a, FPtr a) => Castable a (Ptr RawTCollection) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITSeqCollection a, FPtr a) => Castable a (Ptr RawTSeqCollection) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITObjArray a, FPtr a) => Castable a (Ptr RawTObjArray) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITList a, FPtr a) => Castable a (Ptr RawTList) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITKey a, FPtr a) => Castable a (Ptr RawTKey) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 

instance (ITDatime a, FPtr a) => Castable a (Ptr RawTDatime) where
  cast = unsafeForeignPtrToPtr . castForeignPtr . get_fptr
  uncast = cast_fptr_to_obj . castForeignPtr . unsafePerformIO . newForeignPtr_ 



instance FPtr (Exist TObject) where
  type Raw (Exist TObject) = RawTObject
  get_fptr (ETObject obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETObject (cast_fptr_to_obj (fptr :: ForeignPtr RawTObject) :: TObject)

instance FPtr (Exist TNamed) where
  type Raw (Exist TNamed) = RawTNamed
  get_fptr (ETNamed obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETNamed (cast_fptr_to_obj (fptr :: ForeignPtr RawTNamed) :: TNamed)

instance FPtr (Exist TClass) where
  type Raw (Exist TClass) = RawTClass
  get_fptr (ETClass obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETClass (cast_fptr_to_obj (fptr :: ForeignPtr RawTClass) :: TClass)

instance FPtr (Exist TFormula) where
  type Raw (Exist TFormula) = RawTFormula
  get_fptr (ETFormula obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETFormula (cast_fptr_to_obj (fptr :: ForeignPtr RawTFormula) :: TFormula)

instance FPtr (Exist TAtt3D) where
  type Raw (Exist TAtt3D) = RawTAtt3D
  get_fptr (ETAtt3D obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETAtt3D (cast_fptr_to_obj (fptr :: ForeignPtr RawTAtt3D) :: TAtt3D)

instance FPtr (Exist TAttAxis) where
  type Raw (Exist TAttAxis) = RawTAttAxis
  get_fptr (ETAttAxis obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETAttAxis (cast_fptr_to_obj (fptr :: ForeignPtr RawTAttAxis) :: TAttAxis)

instance FPtr (Exist TAttBBox) where
  type Raw (Exist TAttBBox) = RawTAttBBox
  get_fptr (ETAttBBox obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETAttBBox (cast_fptr_to_obj (fptr :: ForeignPtr RawTAttBBox) :: TAttBBox)

instance FPtr (Exist TAttCanvas) where
  type Raw (Exist TAttCanvas) = RawTAttCanvas
  get_fptr (ETAttCanvas obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETAttCanvas (cast_fptr_to_obj (fptr :: ForeignPtr RawTAttCanvas) :: TAttCanvas)

instance FPtr (Exist TAttFill) where
  type Raw (Exist TAttFill) = RawTAttFill
  get_fptr (ETAttFill obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETAttFill (cast_fptr_to_obj (fptr :: ForeignPtr RawTAttFill) :: TAttFill)

instance FPtr (Exist TAttImage) where
  type Raw (Exist TAttImage) = RawTAttImage
  get_fptr (ETAttImage obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETAttImage (cast_fptr_to_obj (fptr :: ForeignPtr RawTAttImage) :: TAttImage)

instance FPtr (Exist TAttLine) where
  type Raw (Exist TAttLine) = RawTAttLine
  get_fptr (ETAttLine obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETAttLine (cast_fptr_to_obj (fptr :: ForeignPtr RawTAttLine) :: TAttLine)

instance FPtr (Exist TAttMarker) where
  type Raw (Exist TAttMarker) = RawTAttMarker
  get_fptr (ETAttMarker obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETAttMarker (cast_fptr_to_obj (fptr :: ForeignPtr RawTAttMarker) :: TAttMarker)

instance FPtr (Exist TAttPad) where
  type Raw (Exist TAttPad) = RawTAttPad
  get_fptr (ETAttPad obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETAttPad (cast_fptr_to_obj (fptr :: ForeignPtr RawTAttPad) :: TAttPad)

instance FPtr (Exist TAttParticle) where
  type Raw (Exist TAttParticle) = RawTAttParticle
  get_fptr (ETAttParticle obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETAttParticle (cast_fptr_to_obj (fptr :: ForeignPtr RawTAttParticle) :: TAttParticle)

instance FPtr (Exist TAttText) where
  type Raw (Exist TAttText) = RawTAttText
  get_fptr (ETAttText obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETAttText (cast_fptr_to_obj (fptr :: ForeignPtr RawTAttText) :: TAttText)

instance FPtr (Exist THStack) where
  type Raw (Exist THStack) = RawTHStack
  get_fptr (ETHStack obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETHStack (cast_fptr_to_obj (fptr :: ForeignPtr RawTHStack) :: THStack)

instance FPtr (Exist TF1) where
  type Raw (Exist TF1) = RawTF1
  get_fptr (ETF1 obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETF1 (cast_fptr_to_obj (fptr :: ForeignPtr RawTF1) :: TF1)

instance FPtr (Exist TGraph) where
  type Raw (Exist TGraph) = RawTGraph
  get_fptr (ETGraph obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETGraph (cast_fptr_to_obj (fptr :: ForeignPtr RawTGraph) :: TGraph)

instance FPtr (Exist TGraphAsymmErrors) where
  type Raw (Exist TGraphAsymmErrors) = RawTGraphAsymmErrors
  get_fptr (ETGraphAsymmErrors obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETGraphAsymmErrors (cast_fptr_to_obj (fptr :: ForeignPtr RawTGraphAsymmErrors) :: TGraphAsymmErrors)

instance FPtr (Exist TCutG) where
  type Raw (Exist TCutG) = RawTCutG
  get_fptr (ETCutG obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETCutG (cast_fptr_to_obj (fptr :: ForeignPtr RawTCutG) :: TCutG)

instance FPtr (Exist TGraphBentErrors) where
  type Raw (Exist TGraphBentErrors) = RawTGraphBentErrors
  get_fptr (ETGraphBentErrors obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETGraphBentErrors (cast_fptr_to_obj (fptr :: ForeignPtr RawTGraphBentErrors) :: TGraphBentErrors)

instance FPtr (Exist TGraphErrors) where
  type Raw (Exist TGraphErrors) = RawTGraphErrors
  get_fptr (ETGraphErrors obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETGraphErrors (cast_fptr_to_obj (fptr :: ForeignPtr RawTGraphErrors) :: TGraphErrors)

instance FPtr (Exist TGraphPolar) where
  type Raw (Exist TGraphPolar) = RawTGraphPolar
  get_fptr (ETGraphPolar obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETGraphPolar (cast_fptr_to_obj (fptr :: ForeignPtr RawTGraphPolar) :: TGraphPolar)

instance FPtr (Exist TGraphQQ) where
  type Raw (Exist TGraphQQ) = RawTGraphQQ
  get_fptr (ETGraphQQ obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETGraphQQ (cast_fptr_to_obj (fptr :: ForeignPtr RawTGraphQQ) :: TGraphQQ)

instance FPtr (Exist TEllipse) where
  type Raw (Exist TEllipse) = RawTEllipse
  get_fptr (ETEllipse obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETEllipse (cast_fptr_to_obj (fptr :: ForeignPtr RawTEllipse) :: TEllipse)

instance FPtr (Exist TArc) where
  type Raw (Exist TArc) = RawTArc
  get_fptr (ETArc obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETArc (cast_fptr_to_obj (fptr :: ForeignPtr RawTArc) :: TArc)

instance FPtr (Exist TCrown) where
  type Raw (Exist TCrown) = RawTCrown
  get_fptr (ETCrown obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETCrown (cast_fptr_to_obj (fptr :: ForeignPtr RawTCrown) :: TCrown)

instance FPtr (Exist TLine) where
  type Raw (Exist TLine) = RawTLine
  get_fptr (ETLine obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETLine (cast_fptr_to_obj (fptr :: ForeignPtr RawTLine) :: TLine)

instance FPtr (Exist TArrow) where
  type Raw (Exist TArrow) = RawTArrow
  get_fptr (ETArrow obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETArrow (cast_fptr_to_obj (fptr :: ForeignPtr RawTArrow) :: TArrow)

instance FPtr (Exist TGaxis) where
  type Raw (Exist TGaxis) = RawTGaxis
  get_fptr (ETGaxis obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETGaxis (cast_fptr_to_obj (fptr :: ForeignPtr RawTGaxis) :: TGaxis)

instance FPtr (Exist TShape) where
  type Raw (Exist TShape) = RawTShape
  get_fptr (ETShape obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETShape (cast_fptr_to_obj (fptr :: ForeignPtr RawTShape) :: TShape)

instance FPtr (Exist TBRIK) where
  type Raw (Exist TBRIK) = RawTBRIK
  get_fptr (ETBRIK obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETBRIK (cast_fptr_to_obj (fptr :: ForeignPtr RawTBRIK) :: TBRIK)

instance FPtr (Exist TTUBE) where
  type Raw (Exist TTUBE) = RawTTUBE
  get_fptr (ETTUBE obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETTUBE (cast_fptr_to_obj (fptr :: ForeignPtr RawTTUBE) :: TTUBE)

instance FPtr (Exist TPCON) where
  type Raw (Exist TPCON) = RawTPCON
  get_fptr (ETPCON obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETPCON (cast_fptr_to_obj (fptr :: ForeignPtr RawTPCON) :: TPCON)

instance FPtr (Exist TSPHE) where
  type Raw (Exist TSPHE) = RawTSPHE
  get_fptr (ETSPHE obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETSPHE (cast_fptr_to_obj (fptr :: ForeignPtr RawTSPHE) :: TSPHE)

instance FPtr (Exist TXTRU) where
  type Raw (Exist TXTRU) = RawTXTRU
  get_fptr (ETXTRU obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETXTRU (cast_fptr_to_obj (fptr :: ForeignPtr RawTXTRU) :: TXTRU)

instance FPtr (Exist TBox) where
  type Raw (Exist TBox) = RawTBox
  get_fptr (ETBox obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETBox (cast_fptr_to_obj (fptr :: ForeignPtr RawTBox) :: TBox)

instance FPtr (Exist TPave) where
  type Raw (Exist TPave) = RawTPave
  get_fptr (ETPave obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETPave (cast_fptr_to_obj (fptr :: ForeignPtr RawTPave) :: TPave)

instance FPtr (Exist TPaveText) where
  type Raw (Exist TPaveText) = RawTPaveText
  get_fptr (ETPaveText obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETPaveText (cast_fptr_to_obj (fptr :: ForeignPtr RawTPaveText) :: TPaveText)

instance FPtr (Exist TDiamond) where
  type Raw (Exist TDiamond) = RawTDiamond
  get_fptr (ETDiamond obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETDiamond (cast_fptr_to_obj (fptr :: ForeignPtr RawTDiamond) :: TDiamond)

instance FPtr (Exist TPaveStats) where
  type Raw (Exist TPaveStats) = RawTPaveStats
  get_fptr (ETPaveStats obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETPaveStats (cast_fptr_to_obj (fptr :: ForeignPtr RawTPaveStats) :: TPaveStats)

instance FPtr (Exist TPavesText) where
  type Raw (Exist TPavesText) = RawTPavesText
  get_fptr (ETPavesText obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETPavesText (cast_fptr_to_obj (fptr :: ForeignPtr RawTPavesText) :: TPavesText)

instance FPtr (Exist TLegend) where
  type Raw (Exist TLegend) = RawTLegend
  get_fptr (ETLegend obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETLegend (cast_fptr_to_obj (fptr :: ForeignPtr RawTLegend) :: TLegend)

instance FPtr (Exist TLegendEntry) where
  type Raw (Exist TLegendEntry) = RawTLegendEntry
  get_fptr (ETLegendEntry obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETLegendEntry (cast_fptr_to_obj (fptr :: ForeignPtr RawTLegendEntry) :: TLegendEntry)

instance FPtr (Exist TPaveLabel) where
  type Raw (Exist TPaveLabel) = RawTPaveLabel
  get_fptr (ETPaveLabel obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETPaveLabel (cast_fptr_to_obj (fptr :: ForeignPtr RawTPaveLabel) :: TPaveLabel)

instance FPtr (Exist TPaveClass) where
  type Raw (Exist TPaveClass) = RawTPaveClass
  get_fptr (ETPaveClass obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETPaveClass (cast_fptr_to_obj (fptr :: ForeignPtr RawTPaveClass) :: TPaveClass)

instance FPtr (Exist TWbox) where
  type Raw (Exist TWbox) = RawTWbox
  get_fptr (ETWbox obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETWbox (cast_fptr_to_obj (fptr :: ForeignPtr RawTWbox) :: TWbox)

instance FPtr (Exist TFrame) where
  type Raw (Exist TFrame) = RawTFrame
  get_fptr (ETFrame obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETFrame (cast_fptr_to_obj (fptr :: ForeignPtr RawTFrame) :: TFrame)

instance FPtr (Exist TSliderBox) where
  type Raw (Exist TSliderBox) = RawTSliderBox
  get_fptr (ETSliderBox obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETSliderBox (cast_fptr_to_obj (fptr :: ForeignPtr RawTSliderBox) :: TSliderBox)

instance FPtr (Exist TTree) where
  type Raw (Exist TTree) = RawTTree
  get_fptr (ETTree obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETTree (cast_fptr_to_obj (fptr :: ForeignPtr RawTTree) :: TTree)

instance FPtr (Exist TChain) where
  type Raw (Exist TChain) = RawTChain
  get_fptr (ETChain obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETChain (cast_fptr_to_obj (fptr :: ForeignPtr RawTChain) :: TChain)

instance FPtr (Exist TNtuple) where
  type Raw (Exist TNtuple) = RawTNtuple
  get_fptr (ETNtuple obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETNtuple (cast_fptr_to_obj (fptr :: ForeignPtr RawTNtuple) :: TNtuple)

instance FPtr (Exist TNtupleD) where
  type Raw (Exist TNtupleD) = RawTNtupleD
  get_fptr (ETNtupleD obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETNtupleD (cast_fptr_to_obj (fptr :: ForeignPtr RawTNtupleD) :: TNtupleD)

instance FPtr (Exist TTreeSQL) where
  type Raw (Exist TTreeSQL) = RawTTreeSQL
  get_fptr (ETTreeSQL obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETTreeSQL (cast_fptr_to_obj (fptr :: ForeignPtr RawTTreeSQL) :: TTreeSQL)

instance FPtr (Exist TPolyLine) where
  type Raw (Exist TPolyLine) = RawTPolyLine
  get_fptr (ETPolyLine obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETPolyLine (cast_fptr_to_obj (fptr :: ForeignPtr RawTPolyLine) :: TPolyLine)

instance FPtr (Exist TCurlyLine) where
  type Raw (Exist TCurlyLine) = RawTCurlyLine
  get_fptr (ETCurlyLine obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETCurlyLine (cast_fptr_to_obj (fptr :: ForeignPtr RawTCurlyLine) :: TCurlyLine)

instance FPtr (Exist TCurlyArc) where
  type Raw (Exist TCurlyArc) = RawTCurlyArc
  get_fptr (ETCurlyArc obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETCurlyArc (cast_fptr_to_obj (fptr :: ForeignPtr RawTCurlyArc) :: TCurlyArc)

instance FPtr (Exist TEfficiency) where
  type Raw (Exist TEfficiency) = RawTEfficiency
  get_fptr (ETEfficiency obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETEfficiency (cast_fptr_to_obj (fptr :: ForeignPtr RawTEfficiency) :: TEfficiency)

instance FPtr (Exist TAxis) where
  type Raw (Exist TAxis) = RawTAxis
  get_fptr (ETAxis obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETAxis (cast_fptr_to_obj (fptr :: ForeignPtr RawTAxis) :: TAxis)

instance FPtr (Exist TLatex) where
  type Raw (Exist TLatex) = RawTLatex
  get_fptr (ETLatex obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETLatex (cast_fptr_to_obj (fptr :: ForeignPtr RawTLatex) :: TLatex)

instance FPtr (Exist TText) where
  type Raw (Exist TText) = RawTText
  get_fptr (ETText obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETText (cast_fptr_to_obj (fptr :: ForeignPtr RawTText) :: TText)

instance FPtr (Exist TDirectory) where
  type Raw (Exist TDirectory) = RawTDirectory
  get_fptr (ETDirectory obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETDirectory (cast_fptr_to_obj (fptr :: ForeignPtr RawTDirectory) :: TDirectory)

instance FPtr (Exist TDirectoryFile) where
  type Raw (Exist TDirectoryFile) = RawTDirectoryFile
  get_fptr (ETDirectoryFile obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETDirectoryFile (cast_fptr_to_obj (fptr :: ForeignPtr RawTDirectoryFile) :: TDirectoryFile)

instance FPtr (Exist TFile) where
  type Raw (Exist TFile) = RawTFile
  get_fptr (ETFile obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETFile (cast_fptr_to_obj (fptr :: ForeignPtr RawTFile) :: TFile)

instance FPtr (Exist TBranch) where
  type Raw (Exist TBranch) = RawTBranch
  get_fptr (ETBranch obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETBranch (cast_fptr_to_obj (fptr :: ForeignPtr RawTBranch) :: TBranch)

instance FPtr (Exist TVirtualTreePlayer) where
  type Raw (Exist TVirtualTreePlayer) = RawTVirtualTreePlayer
  get_fptr (ETVirtualTreePlayer obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETVirtualTreePlayer (cast_fptr_to_obj (fptr :: ForeignPtr RawTVirtualTreePlayer) :: TVirtualTreePlayer)

instance FPtr (Exist TTreePlayer) where
  type Raw (Exist TTreePlayer) = RawTTreePlayer
  get_fptr (ETTreePlayer obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETTreePlayer (cast_fptr_to_obj (fptr :: ForeignPtr RawTTreePlayer) :: TTreePlayer)

instance FPtr (Exist TArray) where
  type Raw (Exist TArray) = RawTArray
  get_fptr (ETArray obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETArray (cast_fptr_to_obj (fptr :: ForeignPtr RawTArray) :: TArray)

instance FPtr (Exist TArrayC) where
  type Raw (Exist TArrayC) = RawTArrayC
  get_fptr (ETArrayC obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETArrayC (cast_fptr_to_obj (fptr :: ForeignPtr RawTArrayC) :: TArrayC)

instance FPtr (Exist TArrayD) where
  type Raw (Exist TArrayD) = RawTArrayD
  get_fptr (ETArrayD obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETArrayD (cast_fptr_to_obj (fptr :: ForeignPtr RawTArrayD) :: TArrayD)

instance FPtr (Exist TArrayF) where
  type Raw (Exist TArrayF) = RawTArrayF
  get_fptr (ETArrayF obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETArrayF (cast_fptr_to_obj (fptr :: ForeignPtr RawTArrayF) :: TArrayF)

instance FPtr (Exist TArrayI) where
  type Raw (Exist TArrayI) = RawTArrayI
  get_fptr (ETArrayI obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETArrayI (cast_fptr_to_obj (fptr :: ForeignPtr RawTArrayI) :: TArrayI)

instance FPtr (Exist TArrayL) where
  type Raw (Exist TArrayL) = RawTArrayL
  get_fptr (ETArrayL obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETArrayL (cast_fptr_to_obj (fptr :: ForeignPtr RawTArrayL) :: TArrayL)

instance FPtr (Exist TArrayL64) where
  type Raw (Exist TArrayL64) = RawTArrayL64
  get_fptr (ETArrayL64 obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETArrayL64 (cast_fptr_to_obj (fptr :: ForeignPtr RawTArrayL64) :: TArrayL64)

instance FPtr (Exist TArrayS) where
  type Raw (Exist TArrayS) = RawTArrayS
  get_fptr (ETArrayS obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETArrayS (cast_fptr_to_obj (fptr :: ForeignPtr RawTArrayS) :: TArrayS)

instance FPtr (Exist TH1) where
  type Raw (Exist TH1) = RawTH1
  get_fptr (ETH1 obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETH1 (cast_fptr_to_obj (fptr :: ForeignPtr RawTH1) :: TH1)

instance FPtr (Exist TH2) where
  type Raw (Exist TH2) = RawTH2
  get_fptr (ETH2 obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETH2 (cast_fptr_to_obj (fptr :: ForeignPtr RawTH2) :: TH2)

instance FPtr (Exist TH3) where
  type Raw (Exist TH3) = RawTH3
  get_fptr (ETH3 obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETH3 (cast_fptr_to_obj (fptr :: ForeignPtr RawTH3) :: TH3)

instance FPtr (Exist TH1C) where
  type Raw (Exist TH1C) = RawTH1C
  get_fptr (ETH1C obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETH1C (cast_fptr_to_obj (fptr :: ForeignPtr RawTH1C) :: TH1C)

instance FPtr (Exist TH1D) where
  type Raw (Exist TH1D) = RawTH1D
  get_fptr (ETH1D obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETH1D (cast_fptr_to_obj (fptr :: ForeignPtr RawTH1D) :: TH1D)

instance FPtr (Exist TH1F) where
  type Raw (Exist TH1F) = RawTH1F
  get_fptr (ETH1F obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETH1F (cast_fptr_to_obj (fptr :: ForeignPtr RawTH1F) :: TH1F)

instance FPtr (Exist TH1I) where
  type Raw (Exist TH1I) = RawTH1I
  get_fptr (ETH1I obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETH1I (cast_fptr_to_obj (fptr :: ForeignPtr RawTH1I) :: TH1I)

instance FPtr (Exist TH1S) where
  type Raw (Exist TH1S) = RawTH1S
  get_fptr (ETH1S obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETH1S (cast_fptr_to_obj (fptr :: ForeignPtr RawTH1S) :: TH1S)

instance FPtr (Exist TH2C) where
  type Raw (Exist TH2C) = RawTH2C
  get_fptr (ETH2C obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETH2C (cast_fptr_to_obj (fptr :: ForeignPtr RawTH2C) :: TH2C)

instance FPtr (Exist TH2D) where
  type Raw (Exist TH2D) = RawTH2D
  get_fptr (ETH2D obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETH2D (cast_fptr_to_obj (fptr :: ForeignPtr RawTH2D) :: TH2D)

instance FPtr (Exist TH2F) where
  type Raw (Exist TH2F) = RawTH2F
  get_fptr (ETH2F obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETH2F (cast_fptr_to_obj (fptr :: ForeignPtr RawTH2F) :: TH2F)

instance FPtr (Exist TH2I) where
  type Raw (Exist TH2I) = RawTH2I
  get_fptr (ETH2I obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETH2I (cast_fptr_to_obj (fptr :: ForeignPtr RawTH2I) :: TH2I)

instance FPtr (Exist TH2Poly) where
  type Raw (Exist TH2Poly) = RawTH2Poly
  get_fptr (ETH2Poly obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETH2Poly (cast_fptr_to_obj (fptr :: ForeignPtr RawTH2Poly) :: TH2Poly)

instance FPtr (Exist TH2S) where
  type Raw (Exist TH2S) = RawTH2S
  get_fptr (ETH2S obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETH2S (cast_fptr_to_obj (fptr :: ForeignPtr RawTH2S) :: TH2S)

instance FPtr (Exist TH3C) where
  type Raw (Exist TH3C) = RawTH3C
  get_fptr (ETH3C obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETH3C (cast_fptr_to_obj (fptr :: ForeignPtr RawTH3C) :: TH3C)

instance FPtr (Exist TH3D) where
  type Raw (Exist TH3D) = RawTH3D
  get_fptr (ETH3D obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETH3D (cast_fptr_to_obj (fptr :: ForeignPtr RawTH3D) :: TH3D)

instance FPtr (Exist TH3F) where
  type Raw (Exist TH3F) = RawTH3F
  get_fptr (ETH3F obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETH3F (cast_fptr_to_obj (fptr :: ForeignPtr RawTH3F) :: TH3F)

instance FPtr (Exist TH3I) where
  type Raw (Exist TH3I) = RawTH3I
  get_fptr (ETH3I obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETH3I (cast_fptr_to_obj (fptr :: ForeignPtr RawTH3I) :: TH3I)

instance FPtr (Exist TH3S) where
  type Raw (Exist TH3S) = RawTH3S
  get_fptr (ETH3S obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETH3S (cast_fptr_to_obj (fptr :: ForeignPtr RawTH3S) :: TH3S)

instance FPtr (Exist TQObject) where
  type Raw (Exist TQObject) = RawTQObject
  get_fptr (ETQObject obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETQObject (cast_fptr_to_obj (fptr :: ForeignPtr RawTQObject) :: TQObject)

instance FPtr (Exist TVirtualPad) where
  type Raw (Exist TVirtualPad) = RawTVirtualPad
  get_fptr (ETVirtualPad obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETVirtualPad (cast_fptr_to_obj (fptr :: ForeignPtr RawTVirtualPad) :: TVirtualPad)

instance FPtr (Exist TPad) where
  type Raw (Exist TPad) = RawTPad
  get_fptr (ETPad obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETPad (cast_fptr_to_obj (fptr :: ForeignPtr RawTPad) :: TPad)

instance FPtr (Exist TButton) where
  type Raw (Exist TButton) = RawTButton
  get_fptr (ETButton obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETButton (cast_fptr_to_obj (fptr :: ForeignPtr RawTButton) :: TButton)

instance FPtr (Exist TGroupButton) where
  type Raw (Exist TGroupButton) = RawTGroupButton
  get_fptr (ETGroupButton obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETGroupButton (cast_fptr_to_obj (fptr :: ForeignPtr RawTGroupButton) :: TGroupButton)

instance FPtr (Exist TCanvas) where
  type Raw (Exist TCanvas) = RawTCanvas
  get_fptr (ETCanvas obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETCanvas (cast_fptr_to_obj (fptr :: ForeignPtr RawTCanvas) :: TCanvas)

instance FPtr (Exist TDialogCanvas) where
  type Raw (Exist TDialogCanvas) = RawTDialogCanvas
  get_fptr (ETDialogCanvas obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETDialogCanvas (cast_fptr_to_obj (fptr :: ForeignPtr RawTDialogCanvas) :: TDialogCanvas)

instance FPtr (Exist TInspectCanvas) where
  type Raw (Exist TInspectCanvas) = RawTInspectCanvas
  get_fptr (ETInspectCanvas obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETInspectCanvas (cast_fptr_to_obj (fptr :: ForeignPtr RawTInspectCanvas) :: TInspectCanvas)

instance FPtr (Exist TEvePad) where
  type Raw (Exist TEvePad) = RawTEvePad
  get_fptr (ETEvePad obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETEvePad (cast_fptr_to_obj (fptr :: ForeignPtr RawTEvePad) :: TEvePad)

instance FPtr (Exist TSlider) where
  type Raw (Exist TSlider) = RawTSlider
  get_fptr (ETSlider obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETSlider (cast_fptr_to_obj (fptr :: ForeignPtr RawTSlider) :: TSlider)

instance FPtr (Exist TApplication) where
  type Raw (Exist TApplication) = RawTApplication
  get_fptr (ETApplication obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETApplication (cast_fptr_to_obj (fptr :: ForeignPtr RawTApplication) :: TApplication)

instance FPtr (Exist TRint) where
  type Raw (Exist TRint) = RawTRint
  get_fptr (ETRint obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETRint (cast_fptr_to_obj (fptr :: ForeignPtr RawTRint) :: TRint)

instance FPtr (Exist TRandom) where
  type Raw (Exist TRandom) = RawTRandom
  get_fptr (ETRandom obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETRandom (cast_fptr_to_obj (fptr :: ForeignPtr RawTRandom) :: TRandom)

instance FPtr (Exist TCollection) where
  type Raw (Exist TCollection) = RawTCollection
  get_fptr (ETCollection obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETCollection (cast_fptr_to_obj (fptr :: ForeignPtr RawTCollection) :: TCollection)

instance FPtr (Exist TSeqCollection) where
  type Raw (Exist TSeqCollection) = RawTSeqCollection
  get_fptr (ETSeqCollection obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETSeqCollection (cast_fptr_to_obj (fptr :: ForeignPtr RawTSeqCollection) :: TSeqCollection)

instance FPtr (Exist TObjArray) where
  type Raw (Exist TObjArray) = RawTObjArray
  get_fptr (ETObjArray obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETObjArray (cast_fptr_to_obj (fptr :: ForeignPtr RawTObjArray) :: TObjArray)

instance FPtr (Exist TList) where
  type Raw (Exist TList) = RawTList
  get_fptr (ETList obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETList (cast_fptr_to_obj (fptr :: ForeignPtr RawTList) :: TList)

instance FPtr (Exist TKey) where
  type Raw (Exist TKey) = RawTKey
  get_fptr (ETKey obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETKey (cast_fptr_to_obj (fptr :: ForeignPtr RawTKey) :: TKey)

instance FPtr (Exist TDatime) where
  type Raw (Exist TDatime) = RawTDatime
  get_fptr (ETDatime obj) = castForeignPtr (get_fptr obj)
  cast_fptr_to_obj fptr = ETDatime (cast_fptr_to_obj (fptr :: ForeignPtr RawTDatime) :: TDatime)

instance ITObject (Exist TObject) where
  draw (ETObject x) = draw x
  findObject (ETObject x) = findObject x
  getName (ETObject x) = getName x
  isA (ETObject x) = isA x
  isFolder (ETObject x) = isFolder x
  isEqual (ETObject x) = isEqual x
  isSortable (ETObject x) = isSortable x
  paint (ETObject x) = paint x
  printObj (ETObject x) = printObj x
  recursiveRemove (ETObject x) = recursiveRemove x
  saveAs (ETObject x) = saveAs x
  useCurrentStyle (ETObject x) = useCurrentStyle x
  write (ETObject x) = write x

instance IDeletable (Exist TObject) where
  delete (ETObject x) = delete x

instance ITNamed (Exist TNamed) where
  setName (ETNamed x) = setName x
  setNameTitle (ETNamed x) = setNameTitle x
  setTitle (ETNamed x) = setTitle x

instance ITObject (Exist TNamed) where
  draw (ETNamed x) = draw x
  findObject (ETNamed x) = findObject x
  getName (ETNamed x) = getName x
  isA (ETNamed x) = isA x
  isFolder (ETNamed x) = isFolder x
  isEqual (ETNamed x) = isEqual x
  isSortable (ETNamed x) = isSortable x
  paint (ETNamed x) = paint x
  printObj (ETNamed x) = printObj x
  recursiveRemove (ETNamed x) = recursiveRemove x
  saveAs (ETNamed x) = saveAs x
  useCurrentStyle (ETNamed x) = useCurrentStyle x
  write (ETNamed x) = write x

instance IDeletable (Exist TNamed) where
  delete (ETNamed x) = delete x

instance ITClass (Exist TClass) where


instance ITDictionary (Exist TClass) where


instance ITNamed (Exist TClass) where
  setName (ETClass x) = setName x
  setNameTitle (ETClass x) = setNameTitle x
  setTitle (ETClass x) = setTitle x

instance ITObject (Exist TClass) where
  draw (ETClass x) = draw x
  findObject (ETClass x) = findObject x
  getName (ETClass x) = getName x
  isA (ETClass x) = isA x
  isFolder (ETClass x) = isFolder x
  isEqual (ETClass x) = isEqual x
  isSortable (ETClass x) = isSortable x
  paint (ETClass x) = paint x
  printObj (ETClass x) = printObj x
  recursiveRemove (ETClass x) = recursiveRemove x
  saveAs (ETClass x) = saveAs x
  useCurrentStyle (ETClass x) = useCurrentStyle x
  write (ETClass x) = write x

instance IDeletable (Exist TClass) where
  delete (ETClass x) = delete x

instance ITFormula (Exist TFormula) where
  compile (ETFormula x) = compile x
  clear (ETFormula x) = clear x
  definedValue (ETFormula x) = definedValue x
  eval (ETFormula x) = eval x
  evalParOld (ETFormula x) = evalParOld x
  evalPar (ETFormula x) = evalPar x
  getNdim (ETFormula x) = getNdim x
  getNpar (ETFormula x) = getNpar x
  getNumber (ETFormula x) = getNumber x
  getParNumber (ETFormula x) = getParNumber x
  isLinear (ETFormula x) = isLinear x
  isNormalized (ETFormula x) = isNormalized x
  setNumber (ETFormula x) = setNumber x
  setParameter (ETFormula x) = setParameter x
  setParameters (ETFormula x) = setParameters x
  setParName (ETFormula x) = setParName x
  setParNames (ETFormula x) = setParNames x
  update (ETFormula x) = update x

instance ITNamed (Exist TFormula) where
  setName (ETFormula x) = setName x
  setNameTitle (ETFormula x) = setNameTitle x
  setTitle (ETFormula x) = setTitle x

instance ITObject (Exist TFormula) where
  draw (ETFormula x) = draw x
  findObject (ETFormula x) = findObject x
  getName (ETFormula x) = getName x
  isA (ETFormula x) = isA x
  isFolder (ETFormula x) = isFolder x
  isEqual (ETFormula x) = isEqual x
  isSortable (ETFormula x) = isSortable x
  paint (ETFormula x) = paint x
  printObj (ETFormula x) = printObj x
  recursiveRemove (ETFormula x) = recursiveRemove x
  saveAs (ETFormula x) = saveAs x
  useCurrentStyle (ETFormula x) = useCurrentStyle x
  write (ETFormula x) = write x

instance IDeletable (Exist TFormula) where
  delete (ETFormula x) = delete x

instance ITAtt3D (Exist TAtt3D) where


instance IDeletable (Exist TAtt3D) where
  delete (ETAtt3D x) = delete x

instance ITAttAxis (Exist TAttAxis) where
  getNdivisions (ETAttAxis x) = getNdivisions x
  getAxisColor (ETAttAxis x) = getAxisColor x
  getLabelColor (ETAttAxis x) = getLabelColor x
  getLabelFont (ETAttAxis x) = getLabelFont x
  getLabelOffset (ETAttAxis x) = getLabelOffset x
  getLabelSize (ETAttAxis x) = getLabelSize x
  getTitleOffset (ETAttAxis x) = getTitleOffset x
  getTitleSize (ETAttAxis x) = getTitleSize x
  getTickLength (ETAttAxis x) = getTickLength x
  getTitleFont (ETAttAxis x) = getTitleFont x
  setNdivisions (ETAttAxis x) = setNdivisions x
  setAxisColor (ETAttAxis x) = setAxisColor x
  setLabelColor (ETAttAxis x) = setLabelColor x
  setLabelFont (ETAttAxis x) = setLabelFont x
  setLabelOffset (ETAttAxis x) = setLabelOffset x
  setLabelSize (ETAttAxis x) = setLabelSize x
  setTickLength (ETAttAxis x) = setTickLength x
  setTitleOffset (ETAttAxis x) = setTitleOffset x
  setTitleSize (ETAttAxis x) = setTitleSize x
  setTitleColor (ETAttAxis x) = setTitleColor x
  setTitleFont (ETAttAxis x) = setTitleFont x

instance IDeletable (Exist TAttAxis) where
  delete (ETAttAxis x) = delete x

instance ITAttBBox (Exist TAttBBox) where


instance IDeletable (Exist TAttBBox) where
  delete (ETAttBBox x) = delete x

instance ITAttCanvas (Exist TAttCanvas) where


instance IDeletable (Exist TAttCanvas) where
  delete (ETAttCanvas x) = delete x

instance ITAttFill (Exist TAttFill) where
  setFillColor (ETAttFill x) = setFillColor x
  setFillStyle (ETAttFill x) = setFillStyle x

instance IDeletable (Exist TAttFill) where
  delete (ETAttFill x) = delete x

instance ITAttImage (Exist TAttImage) where


instance IDeletable (Exist TAttImage) where
  delete (ETAttImage x) = delete x

instance ITAttLine (Exist TAttLine) where
  getLineColor (ETAttLine x) = getLineColor x
  getLineStyle (ETAttLine x) = getLineStyle x
  getLineWidth (ETAttLine x) = getLineWidth x
  resetAttLine (ETAttLine x) = resetAttLine x
  setLineAttributes (ETAttLine x) = setLineAttributes x
  setLineColor (ETAttLine x) = setLineColor x
  setLineStyle (ETAttLine x) = setLineStyle x
  setLineWidth (ETAttLine x) = setLineWidth x

instance IDeletable (Exist TAttLine) where
  delete (ETAttLine x) = delete x

instance ITAttMarker (Exist TAttMarker) where
  getMarkerColor (ETAttMarker x) = getMarkerColor x
  getMarkerStyle (ETAttMarker x) = getMarkerStyle x
  getMarkerSize (ETAttMarker x) = getMarkerSize x
  resetAttMarker (ETAttMarker x) = resetAttMarker x
  setMarkerAttributes (ETAttMarker x) = setMarkerAttributes x
  setMarkerColor (ETAttMarker x) = setMarkerColor x
  setMarkerStyle (ETAttMarker x) = setMarkerStyle x
  setMarkerSize (ETAttMarker x) = setMarkerSize x

instance IDeletable (Exist TAttMarker) where
  delete (ETAttMarker x) = delete x

instance ITAttPad (Exist TAttPad) where
  resetAttPad (ETAttPad x) = resetAttPad x
  setBottomMargin (ETAttPad x) = setBottomMargin x
  setLeftMargin (ETAttPad x) = setLeftMargin x
  setRightMargin (ETAttPad x) = setRightMargin x
  setTopMargin (ETAttPad x) = setTopMargin x
  setMargin (ETAttPad x) = setMargin x
  setAfile (ETAttPad x) = setAfile x
  setXfile (ETAttPad x) = setXfile x
  setYfile (ETAttPad x) = setYfile x
  setAstat (ETAttPad x) = setAstat x
  setXstat (ETAttPad x) = setXstat x
  setYstat (ETAttPad x) = setYstat x

instance IDeletable (Exist TAttPad) where
  delete (ETAttPad x) = delete x

instance ITAttParticle (Exist TAttParticle) where


instance ITNamed (Exist TAttParticle) where
  setName (ETAttParticle x) = setName x
  setNameTitle (ETAttParticle x) = setNameTitle x
  setTitle (ETAttParticle x) = setTitle x

instance ITObject (Exist TAttParticle) where
  draw (ETAttParticle x) = draw x
  findObject (ETAttParticle x) = findObject x
  getName (ETAttParticle x) = getName x
  isA (ETAttParticle x) = isA x
  isFolder (ETAttParticle x) = isFolder x
  isEqual (ETAttParticle x) = isEqual x
  isSortable (ETAttParticle x) = isSortable x
  paint (ETAttParticle x) = paint x
  printObj (ETAttParticle x) = printObj x
  recursiveRemove (ETAttParticle x) = recursiveRemove x
  saveAs (ETAttParticle x) = saveAs x
  useCurrentStyle (ETAttParticle x) = useCurrentStyle x
  write (ETAttParticle x) = write x

instance IDeletable (Exist TAttParticle) where
  delete (ETAttParticle x) = delete x

instance ITAttText (Exist TAttText) where
  getTextAlign (ETAttText x) = getTextAlign x
  getTextAngle (ETAttText x) = getTextAngle x
  getTextColor (ETAttText x) = getTextColor x
  getTextFont (ETAttText x) = getTextFont x
  getTextSize (ETAttText x) = getTextSize x
  resetAttText (ETAttText x) = resetAttText x
  setTextAttributes (ETAttText x) = setTextAttributes x
  setTextAlign (ETAttText x) = setTextAlign x
  setTextAngle (ETAttText x) = setTextAngle x
  setTextColor (ETAttText x) = setTextColor x
  setTextFont (ETAttText x) = setTextFont x
  setTextSize (ETAttText x) = setTextSize x
  setTextSizePixels (ETAttText x) = setTextSizePixels x

instance IDeletable (Exist TAttText) where
  delete (ETAttText x) = delete x

instance ITHStack (Exist THStack) where


instance ITNamed (Exist THStack) where
  setName (ETHStack x) = setName x
  setNameTitle (ETHStack x) = setNameTitle x
  setTitle (ETHStack x) = setTitle x

instance ITObject (Exist THStack) where
  draw (ETHStack x) = draw x
  findObject (ETHStack x) = findObject x
  getName (ETHStack x) = getName x
  isA (ETHStack x) = isA x
  isFolder (ETHStack x) = isFolder x
  isEqual (ETHStack x) = isEqual x
  isSortable (ETHStack x) = isSortable x
  paint (ETHStack x) = paint x
  printObj (ETHStack x) = printObj x
  recursiveRemove (ETHStack x) = recursiveRemove x
  saveAs (ETHStack x) = saveAs x
  useCurrentStyle (ETHStack x) = useCurrentStyle x
  write (ETHStack x) = write x

instance IDeletable (Exist THStack) where
  delete (ETHStack x) = delete x

instance ITF1 (Exist TF1) where
  derivative (ETF1 x) = derivative x
  derivative2 (ETF1 x) = derivative2 x
  derivative3 (ETF1 x) = derivative3 x
  drawCopyTF1 (ETF1 x) a1 = return . ETF1 =<< drawCopyTF1 x a1
  drawDerivative (ETF1 x) = drawDerivative x
  drawIntegral (ETF1 x) = drawIntegral x
  drawF1 (ETF1 x) = drawF1 x
  fixParameter (ETF1 x) = fixParameter x
  getMaximumTF1 (ETF1 x) = getMaximumTF1 x
  getMinimumTF1 (ETF1 x) = getMinimumTF1 x
  getMaximumX (ETF1 x) = getMaximumX x
  getMinimumX (ETF1 x) = getMinimumX x
  getNDF (ETF1 x) = getNDF x
  getNpx (ETF1 x) = getNpx x
  getNumberFreeParameters (ETF1 x) = getNumberFreeParameters x
  getNumberFitPoints (ETF1 x) = getNumberFitPoints x
  getParError (ETF1 x) = getParError x
  getProb (ETF1 x) = getProb x
  getQuantilesTF1 (ETF1 x) = getQuantilesTF1 x
  getRandomTF1 (ETF1 x) = getRandomTF1 x
  getSave (ETF1 x) = getSave x
  getX (ETF1 x) = getX x
  getXmin (ETF1 x) = getXmin x
  getXmax (ETF1 x) = getXmax x
  gradientPar (ETF1 x) = gradientPar x
  initArgs (ETF1 x) = initArgs x
  integralTF1 (ETF1 x) = integralTF1 x
  integralError (ETF1 x) = integralError x
  integralFast (ETF1 x) = integralFast x
  isInside (ETF1 x) = isInside x
  releaseParameter (ETF1 x) = releaseParameter x
  setChisquare (ETF1 x) = setChisquare x
  setMaximumTF1 (ETF1 x) = setMaximumTF1 x
  setMinimumTF1 (ETF1 x) = setMinimumTF1 x
  setNDF (ETF1 x) = setNDF x
  setNumberFitPoints (ETF1 x) = setNumberFitPoints x
  setNpx (ETF1 x) = setNpx x
  setParError (ETF1 x) = setParError x
  setParErrors (ETF1 x) = setParErrors x
  setParLimits (ETF1 x) = setParLimits x
  setParent (ETF1 x) = setParent x
  setRange1 (ETF1 x) = setRange1 x
  setRange2 (ETF1 x) = setRange2 x
  setRange3 (ETF1 x) = setRange3 x
  setSavedPoint (ETF1 x) = setSavedPoint x
  moment (ETF1 x) = moment x
  centralMoment (ETF1 x) = centralMoment x
  mean (ETF1 x) = mean x
  variance (ETF1 x) = variance x

instance ITFormula (Exist TF1) where
  compile (ETF1 x) = compile x
  clear (ETF1 x) = clear x
  definedValue (ETF1 x) = definedValue x
  eval (ETF1 x) = eval x
  evalParOld (ETF1 x) = evalParOld x
  evalPar (ETF1 x) = evalPar x
  getNdim (ETF1 x) = getNdim x
  getNpar (ETF1 x) = getNpar x
  getNumber (ETF1 x) = getNumber x
  getParNumber (ETF1 x) = getParNumber x
  isLinear (ETF1 x) = isLinear x
  isNormalized (ETF1 x) = isNormalized x
  setNumber (ETF1 x) = setNumber x
  setParameter (ETF1 x) = setParameter x
  setParameters (ETF1 x) = setParameters x
  setParName (ETF1 x) = setParName x
  setParNames (ETF1 x) = setParNames x
  update (ETF1 x) = update x

instance ITAttLine (Exist TF1) where
  getLineColor (ETF1 x) = getLineColor x
  getLineStyle (ETF1 x) = getLineStyle x
  getLineWidth (ETF1 x) = getLineWidth x
  resetAttLine (ETF1 x) = resetAttLine x
  setLineAttributes (ETF1 x) = setLineAttributes x
  setLineColor (ETF1 x) = setLineColor x
  setLineStyle (ETF1 x) = setLineStyle x
  setLineWidth (ETF1 x) = setLineWidth x

instance ITAttFill (Exist TF1) where
  setFillColor (ETF1 x) = setFillColor x
  setFillStyle (ETF1 x) = setFillStyle x

instance ITAttMarker (Exist TF1) where
  getMarkerColor (ETF1 x) = getMarkerColor x
  getMarkerStyle (ETF1 x) = getMarkerStyle x
  getMarkerSize (ETF1 x) = getMarkerSize x
  resetAttMarker (ETF1 x) = resetAttMarker x
  setMarkerAttributes (ETF1 x) = setMarkerAttributes x
  setMarkerColor (ETF1 x) = setMarkerColor x
  setMarkerStyle (ETF1 x) = setMarkerStyle x
  setMarkerSize (ETF1 x) = setMarkerSize x

instance ITNamed (Exist TF1) where
  setName (ETF1 x) = setName x
  setNameTitle (ETF1 x) = setNameTitle x
  setTitle (ETF1 x) = setTitle x

instance ITObject (Exist TF1) where
  draw (ETF1 x) = draw x
  findObject (ETF1 x) = findObject x
  getName (ETF1 x) = getName x
  isA (ETF1 x) = isA x
  isFolder (ETF1 x) = isFolder x
  isEqual (ETF1 x) = isEqual x
  isSortable (ETF1 x) = isSortable x
  paint (ETF1 x) = paint x
  printObj (ETF1 x) = printObj x
  recursiveRemove (ETF1 x) = recursiveRemove x
  saveAs (ETF1 x) = saveAs x
  useCurrentStyle (ETF1 x) = useCurrentStyle x
  write (ETF1 x) = write x

instance IDeletable (Exist TF1) where
  delete (ETF1 x) = delete x

instance ITGraph (Exist TGraph) where
  apply (ETGraph x) = apply x
  chisquare (ETGraph x) = chisquare x
  drawGraph (ETGraph x) = drawGraph x
  drawPanelTGraph (ETGraph x) = drawPanelTGraph x
  expand (ETGraph x) = expand x
  fitPanelTGraph (ETGraph x) = fitPanelTGraph x
  getCorrelationFactorTGraph (ETGraph x) = getCorrelationFactorTGraph x
  getCovarianceTGraph (ETGraph x) = getCovarianceTGraph x
  getMeanTGraph (ETGraph x) = getMeanTGraph x
  getRMSTGraph (ETGraph x) = getRMSTGraph x
  getErrorX (ETGraph x) = getErrorX x
  getErrorY (ETGraph x) = getErrorY x
  getErrorXhigh (ETGraph x) = getErrorXhigh x
  getErrorXlow (ETGraph x) = getErrorXlow x
  getErrorYhigh (ETGraph x) = getErrorYhigh x
  getErrorYlow (ETGraph x) = getErrorYlow x
  initExpo (ETGraph x) = initExpo x
  initGaus (ETGraph x) = initGaus x
  initPolynom (ETGraph x) = initPolynom x
  insertPoint (ETGraph x) = insertPoint x
  integralTGraph (ETGraph x) = integralTGraph x
  isEditable (ETGraph x) = isEditable x
  isInsideTGraph (ETGraph x) = isInsideTGraph x
  leastSquareFit (ETGraph x) = leastSquareFit x
  paintStats (ETGraph x) = paintStats x
  removePoint (ETGraph x) = removePoint x
  setEditable (ETGraph x) = setEditable x
  setHistogram (ETGraph x) = setHistogram x
  setMaximumTGraph (ETGraph x) = setMaximumTGraph x
  setMinimumTGraph (ETGraph x) = setMinimumTGraph x
  set (ETGraph x) = set x
  setPoint (ETGraph x) = setPoint x

instance ITNamed (Exist TGraph) where
  setName (ETGraph x) = setName x
  setNameTitle (ETGraph x) = setNameTitle x
  setTitle (ETGraph x) = setTitle x

instance ITAttLine (Exist TGraph) where
  getLineColor (ETGraph x) = getLineColor x
  getLineStyle (ETGraph x) = getLineStyle x
  getLineWidth (ETGraph x) = getLineWidth x
  resetAttLine (ETGraph x) = resetAttLine x
  setLineAttributes (ETGraph x) = setLineAttributes x
  setLineColor (ETGraph x) = setLineColor x
  setLineStyle (ETGraph x) = setLineStyle x
  setLineWidth (ETGraph x) = setLineWidth x

instance ITAttFill (Exist TGraph) where
  setFillColor (ETGraph x) = setFillColor x
  setFillStyle (ETGraph x) = setFillStyle x

instance ITAttMarker (Exist TGraph) where
  getMarkerColor (ETGraph x) = getMarkerColor x
  getMarkerStyle (ETGraph x) = getMarkerStyle x
  getMarkerSize (ETGraph x) = getMarkerSize x
  resetAttMarker (ETGraph x) = resetAttMarker x
  setMarkerAttributes (ETGraph x) = setMarkerAttributes x
  setMarkerColor (ETGraph x) = setMarkerColor x
  setMarkerStyle (ETGraph x) = setMarkerStyle x
  setMarkerSize (ETGraph x) = setMarkerSize x

instance ITObject (Exist TGraph) where
  draw (ETGraph x) = draw x
  findObject (ETGraph x) = findObject x
  getName (ETGraph x) = getName x
  isA (ETGraph x) = isA x
  isFolder (ETGraph x) = isFolder x
  isEqual (ETGraph x) = isEqual x
  isSortable (ETGraph x) = isSortable x
  paint (ETGraph x) = paint x
  printObj (ETGraph x) = printObj x
  recursiveRemove (ETGraph x) = recursiveRemove x
  saveAs (ETGraph x) = saveAs x
  useCurrentStyle (ETGraph x) = useCurrentStyle x
  write (ETGraph x) = write x

instance IDeletable (Exist TGraph) where
  delete (ETGraph x) = delete x

instance ITGraphAsymmErrors (Exist TGraphAsymmErrors) where


instance ITGraph (Exist TGraphAsymmErrors) where
  apply (ETGraphAsymmErrors x) = apply x
  chisquare (ETGraphAsymmErrors x) = chisquare x
  drawGraph (ETGraphAsymmErrors x) = drawGraph x
  drawPanelTGraph (ETGraphAsymmErrors x) = drawPanelTGraph x
  expand (ETGraphAsymmErrors x) = expand x
  fitPanelTGraph (ETGraphAsymmErrors x) = fitPanelTGraph x
  getCorrelationFactorTGraph (ETGraphAsymmErrors x) = getCorrelationFactorTGraph x
  getCovarianceTGraph (ETGraphAsymmErrors x) = getCovarianceTGraph x
  getMeanTGraph (ETGraphAsymmErrors x) = getMeanTGraph x
  getRMSTGraph (ETGraphAsymmErrors x) = getRMSTGraph x
  getErrorX (ETGraphAsymmErrors x) = getErrorX x
  getErrorY (ETGraphAsymmErrors x) = getErrorY x
  getErrorXhigh (ETGraphAsymmErrors x) = getErrorXhigh x
  getErrorXlow (ETGraphAsymmErrors x) = getErrorXlow x
  getErrorYhigh (ETGraphAsymmErrors x) = getErrorYhigh x
  getErrorYlow (ETGraphAsymmErrors x) = getErrorYlow x
  initExpo (ETGraphAsymmErrors x) = initExpo x
  initGaus (ETGraphAsymmErrors x) = initGaus x
  initPolynom (ETGraphAsymmErrors x) = initPolynom x
  insertPoint (ETGraphAsymmErrors x) = insertPoint x
  integralTGraph (ETGraphAsymmErrors x) = integralTGraph x
  isEditable (ETGraphAsymmErrors x) = isEditable x
  isInsideTGraph (ETGraphAsymmErrors x) = isInsideTGraph x
  leastSquareFit (ETGraphAsymmErrors x) = leastSquareFit x
  paintStats (ETGraphAsymmErrors x) = paintStats x
  removePoint (ETGraphAsymmErrors x) = removePoint x
  setEditable (ETGraphAsymmErrors x) = setEditable x
  setHistogram (ETGraphAsymmErrors x) = setHistogram x
  setMaximumTGraph (ETGraphAsymmErrors x) = setMaximumTGraph x
  setMinimumTGraph (ETGraphAsymmErrors x) = setMinimumTGraph x
  set (ETGraphAsymmErrors x) = set x
  setPoint (ETGraphAsymmErrors x) = setPoint x

instance ITNamed (Exist TGraphAsymmErrors) where
  setName (ETGraphAsymmErrors x) = setName x
  setNameTitle (ETGraphAsymmErrors x) = setNameTitle x
  setTitle (ETGraphAsymmErrors x) = setTitle x

instance ITAttLine (Exist TGraphAsymmErrors) where
  getLineColor (ETGraphAsymmErrors x) = getLineColor x
  getLineStyle (ETGraphAsymmErrors x) = getLineStyle x
  getLineWidth (ETGraphAsymmErrors x) = getLineWidth x
  resetAttLine (ETGraphAsymmErrors x) = resetAttLine x
  setLineAttributes (ETGraphAsymmErrors x) = setLineAttributes x
  setLineColor (ETGraphAsymmErrors x) = setLineColor x
  setLineStyle (ETGraphAsymmErrors x) = setLineStyle x
  setLineWidth (ETGraphAsymmErrors x) = setLineWidth x

instance ITAttFill (Exist TGraphAsymmErrors) where
  setFillColor (ETGraphAsymmErrors x) = setFillColor x
  setFillStyle (ETGraphAsymmErrors x) = setFillStyle x

instance ITAttMarker (Exist TGraphAsymmErrors) where
  getMarkerColor (ETGraphAsymmErrors x) = getMarkerColor x
  getMarkerStyle (ETGraphAsymmErrors x) = getMarkerStyle x
  getMarkerSize (ETGraphAsymmErrors x) = getMarkerSize x
  resetAttMarker (ETGraphAsymmErrors x) = resetAttMarker x
  setMarkerAttributes (ETGraphAsymmErrors x) = setMarkerAttributes x
  setMarkerColor (ETGraphAsymmErrors x) = setMarkerColor x
  setMarkerStyle (ETGraphAsymmErrors x) = setMarkerStyle x
  setMarkerSize (ETGraphAsymmErrors x) = setMarkerSize x

instance ITObject (Exist TGraphAsymmErrors) where
  draw (ETGraphAsymmErrors x) = draw x
  findObject (ETGraphAsymmErrors x) = findObject x
  getName (ETGraphAsymmErrors x) = getName x
  isA (ETGraphAsymmErrors x) = isA x
  isFolder (ETGraphAsymmErrors x) = isFolder x
  isEqual (ETGraphAsymmErrors x) = isEqual x
  isSortable (ETGraphAsymmErrors x) = isSortable x
  paint (ETGraphAsymmErrors x) = paint x
  printObj (ETGraphAsymmErrors x) = printObj x
  recursiveRemove (ETGraphAsymmErrors x) = recursiveRemove x
  saveAs (ETGraphAsymmErrors x) = saveAs x
  useCurrentStyle (ETGraphAsymmErrors x) = useCurrentStyle x
  write (ETGraphAsymmErrors x) = write x

instance IDeletable (Exist TGraphAsymmErrors) where
  delete (ETGraphAsymmErrors x) = delete x

instance ITCutG (Exist TCutG) where


instance ITGraph (Exist TCutG) where
  apply (ETCutG x) = apply x
  chisquare (ETCutG x) = chisquare x
  drawGraph (ETCutG x) = drawGraph x
  drawPanelTGraph (ETCutG x) = drawPanelTGraph x
  expand (ETCutG x) = expand x
  fitPanelTGraph (ETCutG x) = fitPanelTGraph x
  getCorrelationFactorTGraph (ETCutG x) = getCorrelationFactorTGraph x
  getCovarianceTGraph (ETCutG x) = getCovarianceTGraph x
  getMeanTGraph (ETCutG x) = getMeanTGraph x
  getRMSTGraph (ETCutG x) = getRMSTGraph x
  getErrorX (ETCutG x) = getErrorX x
  getErrorY (ETCutG x) = getErrorY x
  getErrorXhigh (ETCutG x) = getErrorXhigh x
  getErrorXlow (ETCutG x) = getErrorXlow x
  getErrorYhigh (ETCutG x) = getErrorYhigh x
  getErrorYlow (ETCutG x) = getErrorYlow x
  initExpo (ETCutG x) = initExpo x
  initGaus (ETCutG x) = initGaus x
  initPolynom (ETCutG x) = initPolynom x
  insertPoint (ETCutG x) = insertPoint x
  integralTGraph (ETCutG x) = integralTGraph x
  isEditable (ETCutG x) = isEditable x
  isInsideTGraph (ETCutG x) = isInsideTGraph x
  leastSquareFit (ETCutG x) = leastSquareFit x
  paintStats (ETCutG x) = paintStats x
  removePoint (ETCutG x) = removePoint x
  setEditable (ETCutG x) = setEditable x
  setHistogram (ETCutG x) = setHistogram x
  setMaximumTGraph (ETCutG x) = setMaximumTGraph x
  setMinimumTGraph (ETCutG x) = setMinimumTGraph x
  set (ETCutG x) = set x
  setPoint (ETCutG x) = setPoint x

instance ITNamed (Exist TCutG) where
  setName (ETCutG x) = setName x
  setNameTitle (ETCutG x) = setNameTitle x
  setTitle (ETCutG x) = setTitle x

instance ITAttLine (Exist TCutG) where
  getLineColor (ETCutG x) = getLineColor x
  getLineStyle (ETCutG x) = getLineStyle x
  getLineWidth (ETCutG x) = getLineWidth x
  resetAttLine (ETCutG x) = resetAttLine x
  setLineAttributes (ETCutG x) = setLineAttributes x
  setLineColor (ETCutG x) = setLineColor x
  setLineStyle (ETCutG x) = setLineStyle x
  setLineWidth (ETCutG x) = setLineWidth x

instance ITAttFill (Exist TCutG) where
  setFillColor (ETCutG x) = setFillColor x
  setFillStyle (ETCutG x) = setFillStyle x

instance ITAttMarker (Exist TCutG) where
  getMarkerColor (ETCutG x) = getMarkerColor x
  getMarkerStyle (ETCutG x) = getMarkerStyle x
  getMarkerSize (ETCutG x) = getMarkerSize x
  resetAttMarker (ETCutG x) = resetAttMarker x
  setMarkerAttributes (ETCutG x) = setMarkerAttributes x
  setMarkerColor (ETCutG x) = setMarkerColor x
  setMarkerStyle (ETCutG x) = setMarkerStyle x
  setMarkerSize (ETCutG x) = setMarkerSize x

instance ITObject (Exist TCutG) where
  draw (ETCutG x) = draw x
  findObject (ETCutG x) = findObject x
  getName (ETCutG x) = getName x
  isA (ETCutG x) = isA x
  isFolder (ETCutG x) = isFolder x
  isEqual (ETCutG x) = isEqual x
  isSortable (ETCutG x) = isSortable x
  paint (ETCutG x) = paint x
  printObj (ETCutG x) = printObj x
  recursiveRemove (ETCutG x) = recursiveRemove x
  saveAs (ETCutG x) = saveAs x
  useCurrentStyle (ETCutG x) = useCurrentStyle x
  write (ETCutG x) = write x

instance IDeletable (Exist TCutG) where
  delete (ETCutG x) = delete x

instance ITGraphBentErrors (Exist TGraphBentErrors) where


instance ITGraph (Exist TGraphBentErrors) where
  apply (ETGraphBentErrors x) = apply x
  chisquare (ETGraphBentErrors x) = chisquare x
  drawGraph (ETGraphBentErrors x) = drawGraph x
  drawPanelTGraph (ETGraphBentErrors x) = drawPanelTGraph x
  expand (ETGraphBentErrors x) = expand x
  fitPanelTGraph (ETGraphBentErrors x) = fitPanelTGraph x
  getCorrelationFactorTGraph (ETGraphBentErrors x) = getCorrelationFactorTGraph x
  getCovarianceTGraph (ETGraphBentErrors x) = getCovarianceTGraph x
  getMeanTGraph (ETGraphBentErrors x) = getMeanTGraph x
  getRMSTGraph (ETGraphBentErrors x) = getRMSTGraph x
  getErrorX (ETGraphBentErrors x) = getErrorX x
  getErrorY (ETGraphBentErrors x) = getErrorY x
  getErrorXhigh (ETGraphBentErrors x) = getErrorXhigh x
  getErrorXlow (ETGraphBentErrors x) = getErrorXlow x
  getErrorYhigh (ETGraphBentErrors x) = getErrorYhigh x
  getErrorYlow (ETGraphBentErrors x) = getErrorYlow x
  initExpo (ETGraphBentErrors x) = initExpo x
  initGaus (ETGraphBentErrors x) = initGaus x
  initPolynom (ETGraphBentErrors x) = initPolynom x
  insertPoint (ETGraphBentErrors x) = insertPoint x
  integralTGraph (ETGraphBentErrors x) = integralTGraph x
  isEditable (ETGraphBentErrors x) = isEditable x
  isInsideTGraph (ETGraphBentErrors x) = isInsideTGraph x
  leastSquareFit (ETGraphBentErrors x) = leastSquareFit x
  paintStats (ETGraphBentErrors x) = paintStats x
  removePoint (ETGraphBentErrors x) = removePoint x
  setEditable (ETGraphBentErrors x) = setEditable x
  setHistogram (ETGraphBentErrors x) = setHistogram x
  setMaximumTGraph (ETGraphBentErrors x) = setMaximumTGraph x
  setMinimumTGraph (ETGraphBentErrors x) = setMinimumTGraph x
  set (ETGraphBentErrors x) = set x
  setPoint (ETGraphBentErrors x) = setPoint x

instance ITNamed (Exist TGraphBentErrors) where
  setName (ETGraphBentErrors x) = setName x
  setNameTitle (ETGraphBentErrors x) = setNameTitle x
  setTitle (ETGraphBentErrors x) = setTitle x

instance ITAttLine (Exist TGraphBentErrors) where
  getLineColor (ETGraphBentErrors x) = getLineColor x
  getLineStyle (ETGraphBentErrors x) = getLineStyle x
  getLineWidth (ETGraphBentErrors x) = getLineWidth x
  resetAttLine (ETGraphBentErrors x) = resetAttLine x
  setLineAttributes (ETGraphBentErrors x) = setLineAttributes x
  setLineColor (ETGraphBentErrors x) = setLineColor x
  setLineStyle (ETGraphBentErrors x) = setLineStyle x
  setLineWidth (ETGraphBentErrors x) = setLineWidth x

instance ITAttFill (Exist TGraphBentErrors) where
  setFillColor (ETGraphBentErrors x) = setFillColor x
  setFillStyle (ETGraphBentErrors x) = setFillStyle x

instance ITAttMarker (Exist TGraphBentErrors) where
  getMarkerColor (ETGraphBentErrors x) = getMarkerColor x
  getMarkerStyle (ETGraphBentErrors x) = getMarkerStyle x
  getMarkerSize (ETGraphBentErrors x) = getMarkerSize x
  resetAttMarker (ETGraphBentErrors x) = resetAttMarker x
  setMarkerAttributes (ETGraphBentErrors x) = setMarkerAttributes x
  setMarkerColor (ETGraphBentErrors x) = setMarkerColor x
  setMarkerStyle (ETGraphBentErrors x) = setMarkerStyle x
  setMarkerSize (ETGraphBentErrors x) = setMarkerSize x

instance ITObject (Exist TGraphBentErrors) where
  draw (ETGraphBentErrors x) = draw x
  findObject (ETGraphBentErrors x) = findObject x
  getName (ETGraphBentErrors x) = getName x
  isA (ETGraphBentErrors x) = isA x
  isFolder (ETGraphBentErrors x) = isFolder x
  isEqual (ETGraphBentErrors x) = isEqual x
  isSortable (ETGraphBentErrors x) = isSortable x
  paint (ETGraphBentErrors x) = paint x
  printObj (ETGraphBentErrors x) = printObj x
  recursiveRemove (ETGraphBentErrors x) = recursiveRemove x
  saveAs (ETGraphBentErrors x) = saveAs x
  useCurrentStyle (ETGraphBentErrors x) = useCurrentStyle x
  write (ETGraphBentErrors x) = write x

instance IDeletable (Exist TGraphBentErrors) where
  delete (ETGraphBentErrors x) = delete x

instance ITGraphErrors (Exist TGraphErrors) where


instance ITGraph (Exist TGraphErrors) where
  apply (ETGraphErrors x) = apply x
  chisquare (ETGraphErrors x) = chisquare x
  drawGraph (ETGraphErrors x) = drawGraph x
  drawPanelTGraph (ETGraphErrors x) = drawPanelTGraph x
  expand (ETGraphErrors x) = expand x
  fitPanelTGraph (ETGraphErrors x) = fitPanelTGraph x
  getCorrelationFactorTGraph (ETGraphErrors x) = getCorrelationFactorTGraph x
  getCovarianceTGraph (ETGraphErrors x) = getCovarianceTGraph x
  getMeanTGraph (ETGraphErrors x) = getMeanTGraph x
  getRMSTGraph (ETGraphErrors x) = getRMSTGraph x
  getErrorX (ETGraphErrors x) = getErrorX x
  getErrorY (ETGraphErrors x) = getErrorY x
  getErrorXhigh (ETGraphErrors x) = getErrorXhigh x
  getErrorXlow (ETGraphErrors x) = getErrorXlow x
  getErrorYhigh (ETGraphErrors x) = getErrorYhigh x
  getErrorYlow (ETGraphErrors x) = getErrorYlow x
  initExpo (ETGraphErrors x) = initExpo x
  initGaus (ETGraphErrors x) = initGaus x
  initPolynom (ETGraphErrors x) = initPolynom x
  insertPoint (ETGraphErrors x) = insertPoint x
  integralTGraph (ETGraphErrors x) = integralTGraph x
  isEditable (ETGraphErrors x) = isEditable x
  isInsideTGraph (ETGraphErrors x) = isInsideTGraph x
  leastSquareFit (ETGraphErrors x) = leastSquareFit x
  paintStats (ETGraphErrors x) = paintStats x
  removePoint (ETGraphErrors x) = removePoint x
  setEditable (ETGraphErrors x) = setEditable x
  setHistogram (ETGraphErrors x) = setHistogram x
  setMaximumTGraph (ETGraphErrors x) = setMaximumTGraph x
  setMinimumTGraph (ETGraphErrors x) = setMinimumTGraph x
  set (ETGraphErrors x) = set x
  setPoint (ETGraphErrors x) = setPoint x

instance ITNamed (Exist TGraphErrors) where
  setName (ETGraphErrors x) = setName x
  setNameTitle (ETGraphErrors x) = setNameTitle x
  setTitle (ETGraphErrors x) = setTitle x

instance ITAttLine (Exist TGraphErrors) where
  getLineColor (ETGraphErrors x) = getLineColor x
  getLineStyle (ETGraphErrors x) = getLineStyle x
  getLineWidth (ETGraphErrors x) = getLineWidth x
  resetAttLine (ETGraphErrors x) = resetAttLine x
  setLineAttributes (ETGraphErrors x) = setLineAttributes x
  setLineColor (ETGraphErrors x) = setLineColor x
  setLineStyle (ETGraphErrors x) = setLineStyle x
  setLineWidth (ETGraphErrors x) = setLineWidth x

instance ITAttFill (Exist TGraphErrors) where
  setFillColor (ETGraphErrors x) = setFillColor x
  setFillStyle (ETGraphErrors x) = setFillStyle x

instance ITAttMarker (Exist TGraphErrors) where
  getMarkerColor (ETGraphErrors x) = getMarkerColor x
  getMarkerStyle (ETGraphErrors x) = getMarkerStyle x
  getMarkerSize (ETGraphErrors x) = getMarkerSize x
  resetAttMarker (ETGraphErrors x) = resetAttMarker x
  setMarkerAttributes (ETGraphErrors x) = setMarkerAttributes x
  setMarkerColor (ETGraphErrors x) = setMarkerColor x
  setMarkerStyle (ETGraphErrors x) = setMarkerStyle x
  setMarkerSize (ETGraphErrors x) = setMarkerSize x

instance ITObject (Exist TGraphErrors) where
  draw (ETGraphErrors x) = draw x
  findObject (ETGraphErrors x) = findObject x
  getName (ETGraphErrors x) = getName x
  isA (ETGraphErrors x) = isA x
  isFolder (ETGraphErrors x) = isFolder x
  isEqual (ETGraphErrors x) = isEqual x
  isSortable (ETGraphErrors x) = isSortable x
  paint (ETGraphErrors x) = paint x
  printObj (ETGraphErrors x) = printObj x
  recursiveRemove (ETGraphErrors x) = recursiveRemove x
  saveAs (ETGraphErrors x) = saveAs x
  useCurrentStyle (ETGraphErrors x) = useCurrentStyle x
  write (ETGraphErrors x) = write x

instance IDeletable (Exist TGraphErrors) where
  delete (ETGraphErrors x) = delete x

instance ITGraphPolar (Exist TGraphPolar) where


instance ITGraphErrors (Exist TGraphPolar) where


instance ITGraph (Exist TGraphPolar) where
  apply (ETGraphPolar x) = apply x
  chisquare (ETGraphPolar x) = chisquare x
  drawGraph (ETGraphPolar x) = drawGraph x
  drawPanelTGraph (ETGraphPolar x) = drawPanelTGraph x
  expand (ETGraphPolar x) = expand x
  fitPanelTGraph (ETGraphPolar x) = fitPanelTGraph x
  getCorrelationFactorTGraph (ETGraphPolar x) = getCorrelationFactorTGraph x
  getCovarianceTGraph (ETGraphPolar x) = getCovarianceTGraph x
  getMeanTGraph (ETGraphPolar x) = getMeanTGraph x
  getRMSTGraph (ETGraphPolar x) = getRMSTGraph x
  getErrorX (ETGraphPolar x) = getErrorX x
  getErrorY (ETGraphPolar x) = getErrorY x
  getErrorXhigh (ETGraphPolar x) = getErrorXhigh x
  getErrorXlow (ETGraphPolar x) = getErrorXlow x
  getErrorYhigh (ETGraphPolar x) = getErrorYhigh x
  getErrorYlow (ETGraphPolar x) = getErrorYlow x
  initExpo (ETGraphPolar x) = initExpo x
  initGaus (ETGraphPolar x) = initGaus x
  initPolynom (ETGraphPolar x) = initPolynom x
  insertPoint (ETGraphPolar x) = insertPoint x
  integralTGraph (ETGraphPolar x) = integralTGraph x
  isEditable (ETGraphPolar x) = isEditable x
  isInsideTGraph (ETGraphPolar x) = isInsideTGraph x
  leastSquareFit (ETGraphPolar x) = leastSquareFit x
  paintStats (ETGraphPolar x) = paintStats x
  removePoint (ETGraphPolar x) = removePoint x
  setEditable (ETGraphPolar x) = setEditable x
  setHistogram (ETGraphPolar x) = setHistogram x
  setMaximumTGraph (ETGraphPolar x) = setMaximumTGraph x
  setMinimumTGraph (ETGraphPolar x) = setMinimumTGraph x
  set (ETGraphPolar x) = set x
  setPoint (ETGraphPolar x) = setPoint x

instance ITNamed (Exist TGraphPolar) where
  setName (ETGraphPolar x) = setName x
  setNameTitle (ETGraphPolar x) = setNameTitle x
  setTitle (ETGraphPolar x) = setTitle x

instance ITAttLine (Exist TGraphPolar) where
  getLineColor (ETGraphPolar x) = getLineColor x
  getLineStyle (ETGraphPolar x) = getLineStyle x
  getLineWidth (ETGraphPolar x) = getLineWidth x
  resetAttLine (ETGraphPolar x) = resetAttLine x
  setLineAttributes (ETGraphPolar x) = setLineAttributes x
  setLineColor (ETGraphPolar x) = setLineColor x
  setLineStyle (ETGraphPolar x) = setLineStyle x
  setLineWidth (ETGraphPolar x) = setLineWidth x

instance ITAttFill (Exist TGraphPolar) where
  setFillColor (ETGraphPolar x) = setFillColor x
  setFillStyle (ETGraphPolar x) = setFillStyle x

instance ITAttMarker (Exist TGraphPolar) where
  getMarkerColor (ETGraphPolar x) = getMarkerColor x
  getMarkerStyle (ETGraphPolar x) = getMarkerStyle x
  getMarkerSize (ETGraphPolar x) = getMarkerSize x
  resetAttMarker (ETGraphPolar x) = resetAttMarker x
  setMarkerAttributes (ETGraphPolar x) = setMarkerAttributes x
  setMarkerColor (ETGraphPolar x) = setMarkerColor x
  setMarkerStyle (ETGraphPolar x) = setMarkerStyle x
  setMarkerSize (ETGraphPolar x) = setMarkerSize x

instance ITObject (Exist TGraphPolar) where
  draw (ETGraphPolar x) = draw x
  findObject (ETGraphPolar x) = findObject x
  getName (ETGraphPolar x) = getName x
  isA (ETGraphPolar x) = isA x
  isFolder (ETGraphPolar x) = isFolder x
  isEqual (ETGraphPolar x) = isEqual x
  isSortable (ETGraphPolar x) = isSortable x
  paint (ETGraphPolar x) = paint x
  printObj (ETGraphPolar x) = printObj x
  recursiveRemove (ETGraphPolar x) = recursiveRemove x
  saveAs (ETGraphPolar x) = saveAs x
  useCurrentStyle (ETGraphPolar x) = useCurrentStyle x
  write (ETGraphPolar x) = write x

instance IDeletable (Exist TGraphPolar) where
  delete (ETGraphPolar x) = delete x

instance ITGraphQQ (Exist TGraphQQ) where


instance ITGraph (Exist TGraphQQ) where
  apply (ETGraphQQ x) = apply x
  chisquare (ETGraphQQ x) = chisquare x
  drawGraph (ETGraphQQ x) = drawGraph x
  drawPanelTGraph (ETGraphQQ x) = drawPanelTGraph x
  expand (ETGraphQQ x) = expand x
  fitPanelTGraph (ETGraphQQ x) = fitPanelTGraph x
  getCorrelationFactorTGraph (ETGraphQQ x) = getCorrelationFactorTGraph x
  getCovarianceTGraph (ETGraphQQ x) = getCovarianceTGraph x
  getMeanTGraph (ETGraphQQ x) = getMeanTGraph x
  getRMSTGraph (ETGraphQQ x) = getRMSTGraph x
  getErrorX (ETGraphQQ x) = getErrorX x
  getErrorY (ETGraphQQ x) = getErrorY x
  getErrorXhigh (ETGraphQQ x) = getErrorXhigh x
  getErrorXlow (ETGraphQQ x) = getErrorXlow x
  getErrorYhigh (ETGraphQQ x) = getErrorYhigh x
  getErrorYlow (ETGraphQQ x) = getErrorYlow x
  initExpo (ETGraphQQ x) = initExpo x
  initGaus (ETGraphQQ x) = initGaus x
  initPolynom (ETGraphQQ x) = initPolynom x
  insertPoint (ETGraphQQ x) = insertPoint x
  integralTGraph (ETGraphQQ x) = integralTGraph x
  isEditable (ETGraphQQ x) = isEditable x
  isInsideTGraph (ETGraphQQ x) = isInsideTGraph x
  leastSquareFit (ETGraphQQ x) = leastSquareFit x
  paintStats (ETGraphQQ x) = paintStats x
  removePoint (ETGraphQQ x) = removePoint x
  setEditable (ETGraphQQ x) = setEditable x
  setHistogram (ETGraphQQ x) = setHistogram x
  setMaximumTGraph (ETGraphQQ x) = setMaximumTGraph x
  setMinimumTGraph (ETGraphQQ x) = setMinimumTGraph x
  set (ETGraphQQ x) = set x
  setPoint (ETGraphQQ x) = setPoint x

instance ITNamed (Exist TGraphQQ) where
  setName (ETGraphQQ x) = setName x
  setNameTitle (ETGraphQQ x) = setNameTitle x
  setTitle (ETGraphQQ x) = setTitle x

instance ITAttLine (Exist TGraphQQ) where
  getLineColor (ETGraphQQ x) = getLineColor x
  getLineStyle (ETGraphQQ x) = getLineStyle x
  getLineWidth (ETGraphQQ x) = getLineWidth x
  resetAttLine (ETGraphQQ x) = resetAttLine x
  setLineAttributes (ETGraphQQ x) = setLineAttributes x
  setLineColor (ETGraphQQ x) = setLineColor x
  setLineStyle (ETGraphQQ x) = setLineStyle x
  setLineWidth (ETGraphQQ x) = setLineWidth x

instance ITAttFill (Exist TGraphQQ) where
  setFillColor (ETGraphQQ x) = setFillColor x
  setFillStyle (ETGraphQQ x) = setFillStyle x

instance ITAttMarker (Exist TGraphQQ) where
  getMarkerColor (ETGraphQQ x) = getMarkerColor x
  getMarkerStyle (ETGraphQQ x) = getMarkerStyle x
  getMarkerSize (ETGraphQQ x) = getMarkerSize x
  resetAttMarker (ETGraphQQ x) = resetAttMarker x
  setMarkerAttributes (ETGraphQQ x) = setMarkerAttributes x
  setMarkerColor (ETGraphQQ x) = setMarkerColor x
  setMarkerStyle (ETGraphQQ x) = setMarkerStyle x
  setMarkerSize (ETGraphQQ x) = setMarkerSize x

instance ITObject (Exist TGraphQQ) where
  draw (ETGraphQQ x) = draw x
  findObject (ETGraphQQ x) = findObject x
  getName (ETGraphQQ x) = getName x
  isA (ETGraphQQ x) = isA x
  isFolder (ETGraphQQ x) = isFolder x
  isEqual (ETGraphQQ x) = isEqual x
  isSortable (ETGraphQQ x) = isSortable x
  paint (ETGraphQQ x) = paint x
  printObj (ETGraphQQ x) = printObj x
  recursiveRemove (ETGraphQQ x) = recursiveRemove x
  saveAs (ETGraphQQ x) = saveAs x
  useCurrentStyle (ETGraphQQ x) = useCurrentStyle x
  write (ETGraphQQ x) = write x

instance IDeletable (Exist TGraphQQ) where
  delete (ETGraphQQ x) = delete x

instance ITEllipse (Exist TEllipse) where


instance ITObject (Exist TEllipse) where
  draw (ETEllipse x) = draw x
  findObject (ETEllipse x) = findObject x
  getName (ETEllipse x) = getName x
  isA (ETEllipse x) = isA x
  isFolder (ETEllipse x) = isFolder x
  isEqual (ETEllipse x) = isEqual x
  isSortable (ETEllipse x) = isSortable x
  paint (ETEllipse x) = paint x
  printObj (ETEllipse x) = printObj x
  recursiveRemove (ETEllipse x) = recursiveRemove x
  saveAs (ETEllipse x) = saveAs x
  useCurrentStyle (ETEllipse x) = useCurrentStyle x
  write (ETEllipse x) = write x

instance ITAttLine (Exist TEllipse) where
  getLineColor (ETEllipse x) = getLineColor x
  getLineStyle (ETEllipse x) = getLineStyle x
  getLineWidth (ETEllipse x) = getLineWidth x
  resetAttLine (ETEllipse x) = resetAttLine x
  setLineAttributes (ETEllipse x) = setLineAttributes x
  setLineColor (ETEllipse x) = setLineColor x
  setLineStyle (ETEllipse x) = setLineStyle x
  setLineWidth (ETEllipse x) = setLineWidth x

instance ITAttFill (Exist TEllipse) where
  setFillColor (ETEllipse x) = setFillColor x
  setFillStyle (ETEllipse x) = setFillStyle x

instance IDeletable (Exist TEllipse) where
  delete (ETEllipse x) = delete x

instance ITArc (Exist TArc) where


instance ITEllipse (Exist TArc) where


instance ITObject (Exist TArc) where
  draw (ETArc x) = draw x
  findObject (ETArc x) = findObject x
  getName (ETArc x) = getName x
  isA (ETArc x) = isA x
  isFolder (ETArc x) = isFolder x
  isEqual (ETArc x) = isEqual x
  isSortable (ETArc x) = isSortable x
  paint (ETArc x) = paint x
  printObj (ETArc x) = printObj x
  recursiveRemove (ETArc x) = recursiveRemove x
  saveAs (ETArc x) = saveAs x
  useCurrentStyle (ETArc x) = useCurrentStyle x
  write (ETArc x) = write x

instance ITAttLine (Exist TArc) where
  getLineColor (ETArc x) = getLineColor x
  getLineStyle (ETArc x) = getLineStyle x
  getLineWidth (ETArc x) = getLineWidth x
  resetAttLine (ETArc x) = resetAttLine x
  setLineAttributes (ETArc x) = setLineAttributes x
  setLineColor (ETArc x) = setLineColor x
  setLineStyle (ETArc x) = setLineStyle x
  setLineWidth (ETArc x) = setLineWidth x

instance ITAttFill (Exist TArc) where
  setFillColor (ETArc x) = setFillColor x
  setFillStyle (ETArc x) = setFillStyle x

instance IDeletable (Exist TArc) where
  delete (ETArc x) = delete x

instance ITCrown (Exist TCrown) where


instance ITEllipse (Exist TCrown) where


instance ITObject (Exist TCrown) where
  draw (ETCrown x) = draw x
  findObject (ETCrown x) = findObject x
  getName (ETCrown x) = getName x
  isA (ETCrown x) = isA x
  isFolder (ETCrown x) = isFolder x
  isEqual (ETCrown x) = isEqual x
  isSortable (ETCrown x) = isSortable x
  paint (ETCrown x) = paint x
  printObj (ETCrown x) = printObj x
  recursiveRemove (ETCrown x) = recursiveRemove x
  saveAs (ETCrown x) = saveAs x
  useCurrentStyle (ETCrown x) = useCurrentStyle x
  write (ETCrown x) = write x

instance ITAttLine (Exist TCrown) where
  getLineColor (ETCrown x) = getLineColor x
  getLineStyle (ETCrown x) = getLineStyle x
  getLineWidth (ETCrown x) = getLineWidth x
  resetAttLine (ETCrown x) = resetAttLine x
  setLineAttributes (ETCrown x) = setLineAttributes x
  setLineColor (ETCrown x) = setLineColor x
  setLineStyle (ETCrown x) = setLineStyle x
  setLineWidth (ETCrown x) = setLineWidth x

instance ITAttFill (Exist TCrown) where
  setFillColor (ETCrown x) = setFillColor x
  setFillStyle (ETCrown x) = setFillStyle x

instance IDeletable (Exist TCrown) where
  delete (ETCrown x) = delete x

instance ITLine (Exist TLine) where
  drawLine (ETLine x) = drawLine x
  drawLineNDC (ETLine x) = drawLineNDC x
  paintLine (ETLine x) = paintLine x
  paintLineNDC (ETLine x) = paintLineNDC x
  setX1 (ETLine x) = setX1 x
  setX2 (ETLine x) = setX2 x
  setY1 (ETLine x) = setY1 x
  setY2 (ETLine x) = setY2 x

instance ITObject (Exist TLine) where
  draw (ETLine x) = draw x
  findObject (ETLine x) = findObject x
  getName (ETLine x) = getName x
  isA (ETLine x) = isA x
  isFolder (ETLine x) = isFolder x
  isEqual (ETLine x) = isEqual x
  isSortable (ETLine x) = isSortable x
  paint (ETLine x) = paint x
  printObj (ETLine x) = printObj x
  recursiveRemove (ETLine x) = recursiveRemove x
  saveAs (ETLine x) = saveAs x
  useCurrentStyle (ETLine x) = useCurrentStyle x
  write (ETLine x) = write x

instance ITAttLine (Exist TLine) where
  getLineColor (ETLine x) = getLineColor x
  getLineStyle (ETLine x) = getLineStyle x
  getLineWidth (ETLine x) = getLineWidth x
  resetAttLine (ETLine x) = resetAttLine x
  setLineAttributes (ETLine x) = setLineAttributes x
  setLineColor (ETLine x) = setLineColor x
  setLineStyle (ETLine x) = setLineStyle x
  setLineWidth (ETLine x) = setLineWidth x

instance IDeletable (Exist TLine) where
  delete (ETLine x) = delete x

instance ITArrow (Exist TArrow) where


instance ITLine (Exist TArrow) where
  drawLine (ETArrow x) = drawLine x
  drawLineNDC (ETArrow x) = drawLineNDC x
  paintLine (ETArrow x) = paintLine x
  paintLineNDC (ETArrow x) = paintLineNDC x
  setX1 (ETArrow x) = setX1 x
  setX2 (ETArrow x) = setX2 x
  setY1 (ETArrow x) = setY1 x
  setY2 (ETArrow x) = setY2 x

instance ITAttFill (Exist TArrow) where
  setFillColor (ETArrow x) = setFillColor x
  setFillStyle (ETArrow x) = setFillStyle x

instance ITObject (Exist TArrow) where
  draw (ETArrow x) = draw x
  findObject (ETArrow x) = findObject x
  getName (ETArrow x) = getName x
  isA (ETArrow x) = isA x
  isFolder (ETArrow x) = isFolder x
  isEqual (ETArrow x) = isEqual x
  isSortable (ETArrow x) = isSortable x
  paint (ETArrow x) = paint x
  printObj (ETArrow x) = printObj x
  recursiveRemove (ETArrow x) = recursiveRemove x
  saveAs (ETArrow x) = saveAs x
  useCurrentStyle (ETArrow x) = useCurrentStyle x
  write (ETArrow x) = write x

instance ITAttLine (Exist TArrow) where
  getLineColor (ETArrow x) = getLineColor x
  getLineStyle (ETArrow x) = getLineStyle x
  getLineWidth (ETArrow x) = getLineWidth x
  resetAttLine (ETArrow x) = resetAttLine x
  setLineAttributes (ETArrow x) = setLineAttributes x
  setLineColor (ETArrow x) = setLineColor x
  setLineStyle (ETArrow x) = setLineStyle x
  setLineWidth (ETArrow x) = setLineWidth x

instance IDeletable (Exist TArrow) where
  delete (ETArrow x) = delete x

instance ITGaxis (Exist TGaxis) where


instance ITLine (Exist TGaxis) where
  drawLine (ETGaxis x) = drawLine x
  drawLineNDC (ETGaxis x) = drawLineNDC x
  paintLine (ETGaxis x) = paintLine x
  paintLineNDC (ETGaxis x) = paintLineNDC x
  setX1 (ETGaxis x) = setX1 x
  setX2 (ETGaxis x) = setX2 x
  setY1 (ETGaxis x) = setY1 x
  setY2 (ETGaxis x) = setY2 x

instance ITAttText (Exist TGaxis) where
  getTextAlign (ETGaxis x) = getTextAlign x
  getTextAngle (ETGaxis x) = getTextAngle x
  getTextColor (ETGaxis x) = getTextColor x
  getTextFont (ETGaxis x) = getTextFont x
  getTextSize (ETGaxis x) = getTextSize x
  resetAttText (ETGaxis x) = resetAttText x
  setTextAttributes (ETGaxis x) = setTextAttributes x
  setTextAlign (ETGaxis x) = setTextAlign x
  setTextAngle (ETGaxis x) = setTextAngle x
  setTextColor (ETGaxis x) = setTextColor x
  setTextFont (ETGaxis x) = setTextFont x
  setTextSize (ETGaxis x) = setTextSize x
  setTextSizePixels (ETGaxis x) = setTextSizePixels x

instance ITObject (Exist TGaxis) where
  draw (ETGaxis x) = draw x
  findObject (ETGaxis x) = findObject x
  getName (ETGaxis x) = getName x
  isA (ETGaxis x) = isA x
  isFolder (ETGaxis x) = isFolder x
  isEqual (ETGaxis x) = isEqual x
  isSortable (ETGaxis x) = isSortable x
  paint (ETGaxis x) = paint x
  printObj (ETGaxis x) = printObj x
  recursiveRemove (ETGaxis x) = recursiveRemove x
  saveAs (ETGaxis x) = saveAs x
  useCurrentStyle (ETGaxis x) = useCurrentStyle x
  write (ETGaxis x) = write x

instance ITAttLine (Exist TGaxis) where
  getLineColor (ETGaxis x) = getLineColor x
  getLineStyle (ETGaxis x) = getLineStyle x
  getLineWidth (ETGaxis x) = getLineWidth x
  resetAttLine (ETGaxis x) = resetAttLine x
  setLineAttributes (ETGaxis x) = setLineAttributes x
  setLineColor (ETGaxis x) = setLineColor x
  setLineStyle (ETGaxis x) = setLineStyle x
  setLineWidth (ETGaxis x) = setLineWidth x

instance IDeletable (Exist TGaxis) where
  delete (ETGaxis x) = delete x

instance ITShape (Exist TShape) where


instance ITNamed (Exist TShape) where
  setName (ETShape x) = setName x
  setNameTitle (ETShape x) = setNameTitle x
  setTitle (ETShape x) = setTitle x

instance ITAttLine (Exist TShape) where
  getLineColor (ETShape x) = getLineColor x
  getLineStyle (ETShape x) = getLineStyle x
  getLineWidth (ETShape x) = getLineWidth x
  resetAttLine (ETShape x) = resetAttLine x
  setLineAttributes (ETShape x) = setLineAttributes x
  setLineColor (ETShape x) = setLineColor x
  setLineStyle (ETShape x) = setLineStyle x
  setLineWidth (ETShape x) = setLineWidth x

instance ITAttFill (Exist TShape) where
  setFillColor (ETShape x) = setFillColor x
  setFillStyle (ETShape x) = setFillStyle x

instance ITAtt3D (Exist TShape) where


instance ITObject (Exist TShape) where
  draw (ETShape x) = draw x
  findObject (ETShape x) = findObject x
  getName (ETShape x) = getName x
  isA (ETShape x) = isA x
  isFolder (ETShape x) = isFolder x
  isEqual (ETShape x) = isEqual x
  isSortable (ETShape x) = isSortable x
  paint (ETShape x) = paint x
  printObj (ETShape x) = printObj x
  recursiveRemove (ETShape x) = recursiveRemove x
  saveAs (ETShape x) = saveAs x
  useCurrentStyle (ETShape x) = useCurrentStyle x
  write (ETShape x) = write x

instance IDeletable (Exist TShape) where
  delete (ETShape x) = delete x

instance ITBRIK (Exist TBRIK) where


instance ITShape (Exist TBRIK) where


instance ITNamed (Exist TBRIK) where
  setName (ETBRIK x) = setName x
  setNameTitle (ETBRIK x) = setNameTitle x
  setTitle (ETBRIK x) = setTitle x

instance ITAttLine (Exist TBRIK) where
  getLineColor (ETBRIK x) = getLineColor x
  getLineStyle (ETBRIK x) = getLineStyle x
  getLineWidth (ETBRIK x) = getLineWidth x
  resetAttLine (ETBRIK x) = resetAttLine x
  setLineAttributes (ETBRIK x) = setLineAttributes x
  setLineColor (ETBRIK x) = setLineColor x
  setLineStyle (ETBRIK x) = setLineStyle x
  setLineWidth (ETBRIK x) = setLineWidth x

instance ITAttFill (Exist TBRIK) where
  setFillColor (ETBRIK x) = setFillColor x
  setFillStyle (ETBRIK x) = setFillStyle x

instance ITAtt3D (Exist TBRIK) where


instance ITObject (Exist TBRIK) where
  draw (ETBRIK x) = draw x
  findObject (ETBRIK x) = findObject x
  getName (ETBRIK x) = getName x
  isA (ETBRIK x) = isA x
  isFolder (ETBRIK x) = isFolder x
  isEqual (ETBRIK x) = isEqual x
  isSortable (ETBRIK x) = isSortable x
  paint (ETBRIK x) = paint x
  printObj (ETBRIK x) = printObj x
  recursiveRemove (ETBRIK x) = recursiveRemove x
  saveAs (ETBRIK x) = saveAs x
  useCurrentStyle (ETBRIK x) = useCurrentStyle x
  write (ETBRIK x) = write x

instance IDeletable (Exist TBRIK) where
  delete (ETBRIK x) = delete x

instance ITTUBE (Exist TTUBE) where


instance ITShape (Exist TTUBE) where


instance ITNamed (Exist TTUBE) where
  setName (ETTUBE x) = setName x
  setNameTitle (ETTUBE x) = setNameTitle x
  setTitle (ETTUBE x) = setTitle x

instance ITAttLine (Exist TTUBE) where
  getLineColor (ETTUBE x) = getLineColor x
  getLineStyle (ETTUBE x) = getLineStyle x
  getLineWidth (ETTUBE x) = getLineWidth x
  resetAttLine (ETTUBE x) = resetAttLine x
  setLineAttributes (ETTUBE x) = setLineAttributes x
  setLineColor (ETTUBE x) = setLineColor x
  setLineStyle (ETTUBE x) = setLineStyle x
  setLineWidth (ETTUBE x) = setLineWidth x

instance ITAttFill (Exist TTUBE) where
  setFillColor (ETTUBE x) = setFillColor x
  setFillStyle (ETTUBE x) = setFillStyle x

instance ITAtt3D (Exist TTUBE) where


instance ITObject (Exist TTUBE) where
  draw (ETTUBE x) = draw x
  findObject (ETTUBE x) = findObject x
  getName (ETTUBE x) = getName x
  isA (ETTUBE x) = isA x
  isFolder (ETTUBE x) = isFolder x
  isEqual (ETTUBE x) = isEqual x
  isSortable (ETTUBE x) = isSortable x
  paint (ETTUBE x) = paint x
  printObj (ETTUBE x) = printObj x
  recursiveRemove (ETTUBE x) = recursiveRemove x
  saveAs (ETTUBE x) = saveAs x
  useCurrentStyle (ETTUBE x) = useCurrentStyle x
  write (ETTUBE x) = write x

instance IDeletable (Exist TTUBE) where
  delete (ETTUBE x) = delete x

instance ITPCON (Exist TPCON) where


instance ITShape (Exist TPCON) where


instance ITNamed (Exist TPCON) where
  setName (ETPCON x) = setName x
  setNameTitle (ETPCON x) = setNameTitle x
  setTitle (ETPCON x) = setTitle x

instance ITAttLine (Exist TPCON) where
  getLineColor (ETPCON x) = getLineColor x
  getLineStyle (ETPCON x) = getLineStyle x
  getLineWidth (ETPCON x) = getLineWidth x
  resetAttLine (ETPCON x) = resetAttLine x
  setLineAttributes (ETPCON x) = setLineAttributes x
  setLineColor (ETPCON x) = setLineColor x
  setLineStyle (ETPCON x) = setLineStyle x
  setLineWidth (ETPCON x) = setLineWidth x

instance ITAttFill (Exist TPCON) where
  setFillColor (ETPCON x) = setFillColor x
  setFillStyle (ETPCON x) = setFillStyle x

instance ITAtt3D (Exist TPCON) where


instance ITObject (Exist TPCON) where
  draw (ETPCON x) = draw x
  findObject (ETPCON x) = findObject x
  getName (ETPCON x) = getName x
  isA (ETPCON x) = isA x
  isFolder (ETPCON x) = isFolder x
  isEqual (ETPCON x) = isEqual x
  isSortable (ETPCON x) = isSortable x
  paint (ETPCON x) = paint x
  printObj (ETPCON x) = printObj x
  recursiveRemove (ETPCON x) = recursiveRemove x
  saveAs (ETPCON x) = saveAs x
  useCurrentStyle (ETPCON x) = useCurrentStyle x
  write (ETPCON x) = write x

instance IDeletable (Exist TPCON) where
  delete (ETPCON x) = delete x

instance ITSPHE (Exist TSPHE) where


instance ITShape (Exist TSPHE) where


instance ITNamed (Exist TSPHE) where
  setName (ETSPHE x) = setName x
  setNameTitle (ETSPHE x) = setNameTitle x
  setTitle (ETSPHE x) = setTitle x

instance ITAttLine (Exist TSPHE) where
  getLineColor (ETSPHE x) = getLineColor x
  getLineStyle (ETSPHE x) = getLineStyle x
  getLineWidth (ETSPHE x) = getLineWidth x
  resetAttLine (ETSPHE x) = resetAttLine x
  setLineAttributes (ETSPHE x) = setLineAttributes x
  setLineColor (ETSPHE x) = setLineColor x
  setLineStyle (ETSPHE x) = setLineStyle x
  setLineWidth (ETSPHE x) = setLineWidth x

instance ITAttFill (Exist TSPHE) where
  setFillColor (ETSPHE x) = setFillColor x
  setFillStyle (ETSPHE x) = setFillStyle x

instance ITAtt3D (Exist TSPHE) where


instance ITObject (Exist TSPHE) where
  draw (ETSPHE x) = draw x
  findObject (ETSPHE x) = findObject x
  getName (ETSPHE x) = getName x
  isA (ETSPHE x) = isA x
  isFolder (ETSPHE x) = isFolder x
  isEqual (ETSPHE x) = isEqual x
  isSortable (ETSPHE x) = isSortable x
  paint (ETSPHE x) = paint x
  printObj (ETSPHE x) = printObj x
  recursiveRemove (ETSPHE x) = recursiveRemove x
  saveAs (ETSPHE x) = saveAs x
  useCurrentStyle (ETSPHE x) = useCurrentStyle x
  write (ETSPHE x) = write x

instance IDeletable (Exist TSPHE) where
  delete (ETSPHE x) = delete x

instance ITXTRU (Exist TXTRU) where


instance ITShape (Exist TXTRU) where


instance ITNamed (Exist TXTRU) where
  setName (ETXTRU x) = setName x
  setNameTitle (ETXTRU x) = setNameTitle x
  setTitle (ETXTRU x) = setTitle x

instance ITAttLine (Exist TXTRU) where
  getLineColor (ETXTRU x) = getLineColor x
  getLineStyle (ETXTRU x) = getLineStyle x
  getLineWidth (ETXTRU x) = getLineWidth x
  resetAttLine (ETXTRU x) = resetAttLine x
  setLineAttributes (ETXTRU x) = setLineAttributes x
  setLineColor (ETXTRU x) = setLineColor x
  setLineStyle (ETXTRU x) = setLineStyle x
  setLineWidth (ETXTRU x) = setLineWidth x

instance ITAttFill (Exist TXTRU) where
  setFillColor (ETXTRU x) = setFillColor x
  setFillStyle (ETXTRU x) = setFillStyle x

instance ITAtt3D (Exist TXTRU) where


instance ITObject (Exist TXTRU) where
  draw (ETXTRU x) = draw x
  findObject (ETXTRU x) = findObject x
  getName (ETXTRU x) = getName x
  isA (ETXTRU x) = isA x
  isFolder (ETXTRU x) = isFolder x
  isEqual (ETXTRU x) = isEqual x
  isSortable (ETXTRU x) = isSortable x
  paint (ETXTRU x) = paint x
  printObj (ETXTRU x) = printObj x
  recursiveRemove (ETXTRU x) = recursiveRemove x
  saveAs (ETXTRU x) = saveAs x
  useCurrentStyle (ETXTRU x) = useCurrentStyle x
  write (ETXTRU x) = write x

instance IDeletable (Exist TXTRU) where
  delete (ETXTRU x) = delete x

instance ITBox (Exist TBox) where


instance ITObject (Exist TBox) where
  draw (ETBox x) = draw x
  findObject (ETBox x) = findObject x
  getName (ETBox x) = getName x
  isA (ETBox x) = isA x
  isFolder (ETBox x) = isFolder x
  isEqual (ETBox x) = isEqual x
  isSortable (ETBox x) = isSortable x
  paint (ETBox x) = paint x
  printObj (ETBox x) = printObj x
  recursiveRemove (ETBox x) = recursiveRemove x
  saveAs (ETBox x) = saveAs x
  useCurrentStyle (ETBox x) = useCurrentStyle x
  write (ETBox x) = write x

instance ITAttLine (Exist TBox) where
  getLineColor (ETBox x) = getLineColor x
  getLineStyle (ETBox x) = getLineStyle x
  getLineWidth (ETBox x) = getLineWidth x
  resetAttLine (ETBox x) = resetAttLine x
  setLineAttributes (ETBox x) = setLineAttributes x
  setLineColor (ETBox x) = setLineColor x
  setLineStyle (ETBox x) = setLineStyle x
  setLineWidth (ETBox x) = setLineWidth x

instance ITAttFill (Exist TBox) where
  setFillColor (ETBox x) = setFillColor x
  setFillStyle (ETBox x) = setFillStyle x

instance IDeletable (Exist TBox) where
  delete (ETBox x) = delete x

instance ITPave (Exist TPave) where


instance ITBox (Exist TPave) where


instance ITObject (Exist TPave) where
  draw (ETPave x) = draw x
  findObject (ETPave x) = findObject x
  getName (ETPave x) = getName x
  isA (ETPave x) = isA x
  isFolder (ETPave x) = isFolder x
  isEqual (ETPave x) = isEqual x
  isSortable (ETPave x) = isSortable x
  paint (ETPave x) = paint x
  printObj (ETPave x) = printObj x
  recursiveRemove (ETPave x) = recursiveRemove x
  saveAs (ETPave x) = saveAs x
  useCurrentStyle (ETPave x) = useCurrentStyle x
  write (ETPave x) = write x

instance ITAttLine (Exist TPave) where
  getLineColor (ETPave x) = getLineColor x
  getLineStyle (ETPave x) = getLineStyle x
  getLineWidth (ETPave x) = getLineWidth x
  resetAttLine (ETPave x) = resetAttLine x
  setLineAttributes (ETPave x) = setLineAttributes x
  setLineColor (ETPave x) = setLineColor x
  setLineStyle (ETPave x) = setLineStyle x
  setLineWidth (ETPave x) = setLineWidth x

instance ITAttFill (Exist TPave) where
  setFillColor (ETPave x) = setFillColor x
  setFillStyle (ETPave x) = setFillStyle x

instance IDeletable (Exist TPave) where
  delete (ETPave x) = delete x

instance ITPaveText (Exist TPaveText) where


instance ITPave (Exist TPaveText) where


instance ITAttText (Exist TPaveText) where
  getTextAlign (ETPaveText x) = getTextAlign x
  getTextAngle (ETPaveText x) = getTextAngle x
  getTextColor (ETPaveText x) = getTextColor x
  getTextFont (ETPaveText x) = getTextFont x
  getTextSize (ETPaveText x) = getTextSize x
  resetAttText (ETPaveText x) = resetAttText x
  setTextAttributes (ETPaveText x) = setTextAttributes x
  setTextAlign (ETPaveText x) = setTextAlign x
  setTextAngle (ETPaveText x) = setTextAngle x
  setTextColor (ETPaveText x) = setTextColor x
  setTextFont (ETPaveText x) = setTextFont x
  setTextSize (ETPaveText x) = setTextSize x
  setTextSizePixels (ETPaveText x) = setTextSizePixels x

instance ITBox (Exist TPaveText) where


instance ITObject (Exist TPaveText) where
  draw (ETPaveText x) = draw x
  findObject (ETPaveText x) = findObject x
  getName (ETPaveText x) = getName x
  isA (ETPaveText x) = isA x
  isFolder (ETPaveText x) = isFolder x
  isEqual (ETPaveText x) = isEqual x
  isSortable (ETPaveText x) = isSortable x
  paint (ETPaveText x) = paint x
  printObj (ETPaveText x) = printObj x
  recursiveRemove (ETPaveText x) = recursiveRemove x
  saveAs (ETPaveText x) = saveAs x
  useCurrentStyle (ETPaveText x) = useCurrentStyle x
  write (ETPaveText x) = write x

instance ITAttLine (Exist TPaveText) where
  getLineColor (ETPaveText x) = getLineColor x
  getLineStyle (ETPaveText x) = getLineStyle x
  getLineWidth (ETPaveText x) = getLineWidth x
  resetAttLine (ETPaveText x) = resetAttLine x
  setLineAttributes (ETPaveText x) = setLineAttributes x
  setLineColor (ETPaveText x) = setLineColor x
  setLineStyle (ETPaveText x) = setLineStyle x
  setLineWidth (ETPaveText x) = setLineWidth x

instance ITAttFill (Exist TPaveText) where
  setFillColor (ETPaveText x) = setFillColor x
  setFillStyle (ETPaveText x) = setFillStyle x

instance IDeletable (Exist TPaveText) where
  delete (ETPaveText x) = delete x

instance ITDiamond (Exist TDiamond) where


instance ITPaveText (Exist TDiamond) where


instance ITPave (Exist TDiamond) where


instance ITAttText (Exist TDiamond) where
  getTextAlign (ETDiamond x) = getTextAlign x
  getTextAngle (ETDiamond x) = getTextAngle x
  getTextColor (ETDiamond x) = getTextColor x
  getTextFont (ETDiamond x) = getTextFont x
  getTextSize (ETDiamond x) = getTextSize x
  resetAttText (ETDiamond x) = resetAttText x
  setTextAttributes (ETDiamond x) = setTextAttributes x
  setTextAlign (ETDiamond x) = setTextAlign x
  setTextAngle (ETDiamond x) = setTextAngle x
  setTextColor (ETDiamond x) = setTextColor x
  setTextFont (ETDiamond x) = setTextFont x
  setTextSize (ETDiamond x) = setTextSize x
  setTextSizePixels (ETDiamond x) = setTextSizePixels x

instance ITBox (Exist TDiamond) where


instance ITObject (Exist TDiamond) where
  draw (ETDiamond x) = draw x
  findObject (ETDiamond x) = findObject x
  getName (ETDiamond x) = getName x
  isA (ETDiamond x) = isA x
  isFolder (ETDiamond x) = isFolder x
  isEqual (ETDiamond x) = isEqual x
  isSortable (ETDiamond x) = isSortable x
  paint (ETDiamond x) = paint x
  printObj (ETDiamond x) = printObj x
  recursiveRemove (ETDiamond x) = recursiveRemove x
  saveAs (ETDiamond x) = saveAs x
  useCurrentStyle (ETDiamond x) = useCurrentStyle x
  write (ETDiamond x) = write x

instance ITAttLine (Exist TDiamond) where
  getLineColor (ETDiamond x) = getLineColor x
  getLineStyle (ETDiamond x) = getLineStyle x
  getLineWidth (ETDiamond x) = getLineWidth x
  resetAttLine (ETDiamond x) = resetAttLine x
  setLineAttributes (ETDiamond x) = setLineAttributes x
  setLineColor (ETDiamond x) = setLineColor x
  setLineStyle (ETDiamond x) = setLineStyle x
  setLineWidth (ETDiamond x) = setLineWidth x

instance ITAttFill (Exist TDiamond) where
  setFillColor (ETDiamond x) = setFillColor x
  setFillStyle (ETDiamond x) = setFillStyle x

instance IDeletable (Exist TDiamond) where
  delete (ETDiamond x) = delete x

instance ITPaveStats (Exist TPaveStats) where


instance ITPaveText (Exist TPaveStats) where


instance ITPave (Exist TPaveStats) where


instance ITAttText (Exist TPaveStats) where
  getTextAlign (ETPaveStats x) = getTextAlign x
  getTextAngle (ETPaveStats x) = getTextAngle x
  getTextColor (ETPaveStats x) = getTextColor x
  getTextFont (ETPaveStats x) = getTextFont x
  getTextSize (ETPaveStats x) = getTextSize x
  resetAttText (ETPaveStats x) = resetAttText x
  setTextAttributes (ETPaveStats x) = setTextAttributes x
  setTextAlign (ETPaveStats x) = setTextAlign x
  setTextAngle (ETPaveStats x) = setTextAngle x
  setTextColor (ETPaveStats x) = setTextColor x
  setTextFont (ETPaveStats x) = setTextFont x
  setTextSize (ETPaveStats x) = setTextSize x
  setTextSizePixels (ETPaveStats x) = setTextSizePixels x

instance ITBox (Exist TPaveStats) where


instance ITObject (Exist TPaveStats) where
  draw (ETPaveStats x) = draw x
  findObject (ETPaveStats x) = findObject x
  getName (ETPaveStats x) = getName x
  isA (ETPaveStats x) = isA x
  isFolder (ETPaveStats x) = isFolder x
  isEqual (ETPaveStats x) = isEqual x
  isSortable (ETPaveStats x) = isSortable x
  paint (ETPaveStats x) = paint x
  printObj (ETPaveStats x) = printObj x
  recursiveRemove (ETPaveStats x) = recursiveRemove x
  saveAs (ETPaveStats x) = saveAs x
  useCurrentStyle (ETPaveStats x) = useCurrentStyle x
  write (ETPaveStats x) = write x

instance ITAttLine (Exist TPaveStats) where
  getLineColor (ETPaveStats x) = getLineColor x
  getLineStyle (ETPaveStats x) = getLineStyle x
  getLineWidth (ETPaveStats x) = getLineWidth x
  resetAttLine (ETPaveStats x) = resetAttLine x
  setLineAttributes (ETPaveStats x) = setLineAttributes x
  setLineColor (ETPaveStats x) = setLineColor x
  setLineStyle (ETPaveStats x) = setLineStyle x
  setLineWidth (ETPaveStats x) = setLineWidth x

instance ITAttFill (Exist TPaveStats) where
  setFillColor (ETPaveStats x) = setFillColor x
  setFillStyle (ETPaveStats x) = setFillStyle x

instance IDeletable (Exist TPaveStats) where
  delete (ETPaveStats x) = delete x

instance ITPavesText (Exist TPavesText) where


instance ITPaveText (Exist TPavesText) where


instance ITPave (Exist TPavesText) where


instance ITAttText (Exist TPavesText) where
  getTextAlign (ETPavesText x) = getTextAlign x
  getTextAngle (ETPavesText x) = getTextAngle x
  getTextColor (ETPavesText x) = getTextColor x
  getTextFont (ETPavesText x) = getTextFont x
  getTextSize (ETPavesText x) = getTextSize x
  resetAttText (ETPavesText x) = resetAttText x
  setTextAttributes (ETPavesText x) = setTextAttributes x
  setTextAlign (ETPavesText x) = setTextAlign x
  setTextAngle (ETPavesText x) = setTextAngle x
  setTextColor (ETPavesText x) = setTextColor x
  setTextFont (ETPavesText x) = setTextFont x
  setTextSize (ETPavesText x) = setTextSize x
  setTextSizePixels (ETPavesText x) = setTextSizePixels x

instance ITBox (Exist TPavesText) where


instance ITObject (Exist TPavesText) where
  draw (ETPavesText x) = draw x
  findObject (ETPavesText x) = findObject x
  getName (ETPavesText x) = getName x
  isA (ETPavesText x) = isA x
  isFolder (ETPavesText x) = isFolder x
  isEqual (ETPavesText x) = isEqual x
  isSortable (ETPavesText x) = isSortable x
  paint (ETPavesText x) = paint x
  printObj (ETPavesText x) = printObj x
  recursiveRemove (ETPavesText x) = recursiveRemove x
  saveAs (ETPavesText x) = saveAs x
  useCurrentStyle (ETPavesText x) = useCurrentStyle x
  write (ETPavesText x) = write x

instance ITAttLine (Exist TPavesText) where
  getLineColor (ETPavesText x) = getLineColor x
  getLineStyle (ETPavesText x) = getLineStyle x
  getLineWidth (ETPavesText x) = getLineWidth x
  resetAttLine (ETPavesText x) = resetAttLine x
  setLineAttributes (ETPavesText x) = setLineAttributes x
  setLineColor (ETPavesText x) = setLineColor x
  setLineStyle (ETPavesText x) = setLineStyle x
  setLineWidth (ETPavesText x) = setLineWidth x

instance ITAttFill (Exist TPavesText) where
  setFillColor (ETPavesText x) = setFillColor x
  setFillStyle (ETPavesText x) = setFillStyle x

instance IDeletable (Exist TPavesText) where
  delete (ETPavesText x) = delete x

instance ITLegend (Exist TLegend) where
  addEntry (ETLegend x) = addEntry x

instance ITPave (Exist TLegend) where


instance ITAttText (Exist TLegend) where
  getTextAlign (ETLegend x) = getTextAlign x
  getTextAngle (ETLegend x) = getTextAngle x
  getTextColor (ETLegend x) = getTextColor x
  getTextFont (ETLegend x) = getTextFont x
  getTextSize (ETLegend x) = getTextSize x
  resetAttText (ETLegend x) = resetAttText x
  setTextAttributes (ETLegend x) = setTextAttributes x
  setTextAlign (ETLegend x) = setTextAlign x
  setTextAngle (ETLegend x) = setTextAngle x
  setTextColor (ETLegend x) = setTextColor x
  setTextFont (ETLegend x) = setTextFont x
  setTextSize (ETLegend x) = setTextSize x
  setTextSizePixels (ETLegend x) = setTextSizePixels x

instance ITBox (Exist TLegend) where


instance ITObject (Exist TLegend) where
  draw (ETLegend x) = draw x
  findObject (ETLegend x) = findObject x
  getName (ETLegend x) = getName x
  isA (ETLegend x) = isA x
  isFolder (ETLegend x) = isFolder x
  isEqual (ETLegend x) = isEqual x
  isSortable (ETLegend x) = isSortable x
  paint (ETLegend x) = paint x
  printObj (ETLegend x) = printObj x
  recursiveRemove (ETLegend x) = recursiveRemove x
  saveAs (ETLegend x) = saveAs x
  useCurrentStyle (ETLegend x) = useCurrentStyle x
  write (ETLegend x) = write x

instance ITAttLine (Exist TLegend) where
  getLineColor (ETLegend x) = getLineColor x
  getLineStyle (ETLegend x) = getLineStyle x
  getLineWidth (ETLegend x) = getLineWidth x
  resetAttLine (ETLegend x) = resetAttLine x
  setLineAttributes (ETLegend x) = setLineAttributes x
  setLineColor (ETLegend x) = setLineColor x
  setLineStyle (ETLegend x) = setLineStyle x
  setLineWidth (ETLegend x) = setLineWidth x

instance ITAttFill (Exist TLegend) where
  setFillColor (ETLegend x) = setFillColor x
  setFillStyle (ETLegend x) = setFillStyle x

instance IDeletable (Exist TLegend) where
  delete (ETLegend x) = delete x

instance ITLegendEntry (Exist TLegendEntry) where


instance ITObject (Exist TLegendEntry) where
  draw (ETLegendEntry x) = draw x
  findObject (ETLegendEntry x) = findObject x
  getName (ETLegendEntry x) = getName x
  isA (ETLegendEntry x) = isA x
  isFolder (ETLegendEntry x) = isFolder x
  isEqual (ETLegendEntry x) = isEqual x
  isSortable (ETLegendEntry x) = isSortable x
  paint (ETLegendEntry x) = paint x
  printObj (ETLegendEntry x) = printObj x
  recursiveRemove (ETLegendEntry x) = recursiveRemove x
  saveAs (ETLegendEntry x) = saveAs x
  useCurrentStyle (ETLegendEntry x) = useCurrentStyle x
  write (ETLegendEntry x) = write x

instance ITAttText (Exist TLegendEntry) where
  getTextAlign (ETLegendEntry x) = getTextAlign x
  getTextAngle (ETLegendEntry x) = getTextAngle x
  getTextColor (ETLegendEntry x) = getTextColor x
  getTextFont (ETLegendEntry x) = getTextFont x
  getTextSize (ETLegendEntry x) = getTextSize x
  resetAttText (ETLegendEntry x) = resetAttText x
  setTextAttributes (ETLegendEntry x) = setTextAttributes x
  setTextAlign (ETLegendEntry x) = setTextAlign x
  setTextAngle (ETLegendEntry x) = setTextAngle x
  setTextColor (ETLegendEntry x) = setTextColor x
  setTextFont (ETLegendEntry x) = setTextFont x
  setTextSize (ETLegendEntry x) = setTextSize x
  setTextSizePixels (ETLegendEntry x) = setTextSizePixels x

instance ITAttLine (Exist TLegendEntry) where
  getLineColor (ETLegendEntry x) = getLineColor x
  getLineStyle (ETLegendEntry x) = getLineStyle x
  getLineWidth (ETLegendEntry x) = getLineWidth x
  resetAttLine (ETLegendEntry x) = resetAttLine x
  setLineAttributes (ETLegendEntry x) = setLineAttributes x
  setLineColor (ETLegendEntry x) = setLineColor x
  setLineStyle (ETLegendEntry x) = setLineStyle x
  setLineWidth (ETLegendEntry x) = setLineWidth x

instance ITAttFill (Exist TLegendEntry) where
  setFillColor (ETLegendEntry x) = setFillColor x
  setFillStyle (ETLegendEntry x) = setFillStyle x

instance ITAttMarker (Exist TLegendEntry) where
  getMarkerColor (ETLegendEntry x) = getMarkerColor x
  getMarkerStyle (ETLegendEntry x) = getMarkerStyle x
  getMarkerSize (ETLegendEntry x) = getMarkerSize x
  resetAttMarker (ETLegendEntry x) = resetAttMarker x
  setMarkerAttributes (ETLegendEntry x) = setMarkerAttributes x
  setMarkerColor (ETLegendEntry x) = setMarkerColor x
  setMarkerStyle (ETLegendEntry x) = setMarkerStyle x
  setMarkerSize (ETLegendEntry x) = setMarkerSize x

instance IDeletable (Exist TLegendEntry) where
  delete (ETLegendEntry x) = delete x

instance ITPaveLabel (Exist TPaveLabel) where


instance ITPave (Exist TPaveLabel) where


instance ITAttText (Exist TPaveLabel) where
  getTextAlign (ETPaveLabel x) = getTextAlign x
  getTextAngle (ETPaveLabel x) = getTextAngle x
  getTextColor (ETPaveLabel x) = getTextColor x
  getTextFont (ETPaveLabel x) = getTextFont x
  getTextSize (ETPaveLabel x) = getTextSize x
  resetAttText (ETPaveLabel x) = resetAttText x
  setTextAttributes (ETPaveLabel x) = setTextAttributes x
  setTextAlign (ETPaveLabel x) = setTextAlign x
  setTextAngle (ETPaveLabel x) = setTextAngle x
  setTextColor (ETPaveLabel x) = setTextColor x
  setTextFont (ETPaveLabel x) = setTextFont x
  setTextSize (ETPaveLabel x) = setTextSize x
  setTextSizePixels (ETPaveLabel x) = setTextSizePixels x

instance ITBox (Exist TPaveLabel) where


instance ITObject (Exist TPaveLabel) where
  draw (ETPaveLabel x) = draw x
  findObject (ETPaveLabel x) = findObject x
  getName (ETPaveLabel x) = getName x
  isA (ETPaveLabel x) = isA x
  isFolder (ETPaveLabel x) = isFolder x
  isEqual (ETPaveLabel x) = isEqual x
  isSortable (ETPaveLabel x) = isSortable x
  paint (ETPaveLabel x) = paint x
  printObj (ETPaveLabel x) = printObj x
  recursiveRemove (ETPaveLabel x) = recursiveRemove x
  saveAs (ETPaveLabel x) = saveAs x
  useCurrentStyle (ETPaveLabel x) = useCurrentStyle x
  write (ETPaveLabel x) = write x

instance ITAttLine (Exist TPaveLabel) where
  getLineColor (ETPaveLabel x) = getLineColor x
  getLineStyle (ETPaveLabel x) = getLineStyle x
  getLineWidth (ETPaveLabel x) = getLineWidth x
  resetAttLine (ETPaveLabel x) = resetAttLine x
  setLineAttributes (ETPaveLabel x) = setLineAttributes x
  setLineColor (ETPaveLabel x) = setLineColor x
  setLineStyle (ETPaveLabel x) = setLineStyle x
  setLineWidth (ETPaveLabel x) = setLineWidth x

instance ITAttFill (Exist TPaveLabel) where
  setFillColor (ETPaveLabel x) = setFillColor x
  setFillStyle (ETPaveLabel x) = setFillStyle x

instance IDeletable (Exist TPaveLabel) where
  delete (ETPaveLabel x) = delete x

instance ITPaveClass (Exist TPaveClass) where


instance ITPaveLabel (Exist TPaveClass) where


instance ITPave (Exist TPaveClass) where


instance ITAttText (Exist TPaveClass) where
  getTextAlign (ETPaveClass x) = getTextAlign x
  getTextAngle (ETPaveClass x) = getTextAngle x
  getTextColor (ETPaveClass x) = getTextColor x
  getTextFont (ETPaveClass x) = getTextFont x
  getTextSize (ETPaveClass x) = getTextSize x
  resetAttText (ETPaveClass x) = resetAttText x
  setTextAttributes (ETPaveClass x) = setTextAttributes x
  setTextAlign (ETPaveClass x) = setTextAlign x
  setTextAngle (ETPaveClass x) = setTextAngle x
  setTextColor (ETPaveClass x) = setTextColor x
  setTextFont (ETPaveClass x) = setTextFont x
  setTextSize (ETPaveClass x) = setTextSize x
  setTextSizePixels (ETPaveClass x) = setTextSizePixels x

instance ITBox (Exist TPaveClass) where


instance ITObject (Exist TPaveClass) where
  draw (ETPaveClass x) = draw x
  findObject (ETPaveClass x) = findObject x
  getName (ETPaveClass x) = getName x
  isA (ETPaveClass x) = isA x
  isFolder (ETPaveClass x) = isFolder x
  isEqual (ETPaveClass x) = isEqual x
  isSortable (ETPaveClass x) = isSortable x
  paint (ETPaveClass x) = paint x
  printObj (ETPaveClass x) = printObj x
  recursiveRemove (ETPaveClass x) = recursiveRemove x
  saveAs (ETPaveClass x) = saveAs x
  useCurrentStyle (ETPaveClass x) = useCurrentStyle x
  write (ETPaveClass x) = write x

instance ITAttLine (Exist TPaveClass) where
  getLineColor (ETPaveClass x) = getLineColor x
  getLineStyle (ETPaveClass x) = getLineStyle x
  getLineWidth (ETPaveClass x) = getLineWidth x
  resetAttLine (ETPaveClass x) = resetAttLine x
  setLineAttributes (ETPaveClass x) = setLineAttributes x
  setLineColor (ETPaveClass x) = setLineColor x
  setLineStyle (ETPaveClass x) = setLineStyle x
  setLineWidth (ETPaveClass x) = setLineWidth x

instance ITAttFill (Exist TPaveClass) where
  setFillColor (ETPaveClass x) = setFillColor x
  setFillStyle (ETPaveClass x) = setFillStyle x

instance IDeletable (Exist TPaveClass) where
  delete (ETPaveClass x) = delete x

instance ITWbox (Exist TWbox) where
  setBorderMode (ETWbox x) = setBorderMode x

instance ITBox (Exist TWbox) where


instance ITObject (Exist TWbox) where
  draw (ETWbox x) = draw x
  findObject (ETWbox x) = findObject x
  getName (ETWbox x) = getName x
  isA (ETWbox x) = isA x
  isFolder (ETWbox x) = isFolder x
  isEqual (ETWbox x) = isEqual x
  isSortable (ETWbox x) = isSortable x
  paint (ETWbox x) = paint x
  printObj (ETWbox x) = printObj x
  recursiveRemove (ETWbox x) = recursiveRemove x
  saveAs (ETWbox x) = saveAs x
  useCurrentStyle (ETWbox x) = useCurrentStyle x
  write (ETWbox x) = write x

instance ITAttLine (Exist TWbox) where
  getLineColor (ETWbox x) = getLineColor x
  getLineStyle (ETWbox x) = getLineStyle x
  getLineWidth (ETWbox x) = getLineWidth x
  resetAttLine (ETWbox x) = resetAttLine x
  setLineAttributes (ETWbox x) = setLineAttributes x
  setLineColor (ETWbox x) = setLineColor x
  setLineStyle (ETWbox x) = setLineStyle x
  setLineWidth (ETWbox x) = setLineWidth x

instance ITAttFill (Exist TWbox) where
  setFillColor (ETWbox x) = setFillColor x
  setFillStyle (ETWbox x) = setFillStyle x

instance IDeletable (Exist TWbox) where
  delete (ETWbox x) = delete x

instance ITFrame (Exist TFrame) where


instance ITWbox (Exist TFrame) where
  setBorderMode (ETFrame x) = setBorderMode x

instance ITBox (Exist TFrame) where


instance ITObject (Exist TFrame) where
  draw (ETFrame x) = draw x
  findObject (ETFrame x) = findObject x
  getName (ETFrame x) = getName x
  isA (ETFrame x) = isA x
  isFolder (ETFrame x) = isFolder x
  isEqual (ETFrame x) = isEqual x
  isSortable (ETFrame x) = isSortable x
  paint (ETFrame x) = paint x
  printObj (ETFrame x) = printObj x
  recursiveRemove (ETFrame x) = recursiveRemove x
  saveAs (ETFrame x) = saveAs x
  useCurrentStyle (ETFrame x) = useCurrentStyle x
  write (ETFrame x) = write x

instance ITAttLine (Exist TFrame) where
  getLineColor (ETFrame x) = getLineColor x
  getLineStyle (ETFrame x) = getLineStyle x
  getLineWidth (ETFrame x) = getLineWidth x
  resetAttLine (ETFrame x) = resetAttLine x
  setLineAttributes (ETFrame x) = setLineAttributes x
  setLineColor (ETFrame x) = setLineColor x
  setLineStyle (ETFrame x) = setLineStyle x
  setLineWidth (ETFrame x) = setLineWidth x

instance ITAttFill (Exist TFrame) where
  setFillColor (ETFrame x) = setFillColor x
  setFillStyle (ETFrame x) = setFillStyle x

instance IDeletable (Exist TFrame) where
  delete (ETFrame x) = delete x

instance ITSliderBox (Exist TSliderBox) where


instance ITWbox (Exist TSliderBox) where
  setBorderMode (ETSliderBox x) = setBorderMode x

instance ITBox (Exist TSliderBox) where


instance ITObject (Exist TSliderBox) where
  draw (ETSliderBox x) = draw x
  findObject (ETSliderBox x) = findObject x
  getName (ETSliderBox x) = getName x
  isA (ETSliderBox x) = isA x
  isFolder (ETSliderBox x) = isFolder x
  isEqual (ETSliderBox x) = isEqual x
  isSortable (ETSliderBox x) = isSortable x
  paint (ETSliderBox x) = paint x
  printObj (ETSliderBox x) = printObj x
  recursiveRemove (ETSliderBox x) = recursiveRemove x
  saveAs (ETSliderBox x) = saveAs x
  useCurrentStyle (ETSliderBox x) = useCurrentStyle x
  write (ETSliderBox x) = write x

instance ITAttLine (Exist TSliderBox) where
  getLineColor (ETSliderBox x) = getLineColor x
  getLineStyle (ETSliderBox x) = getLineStyle x
  getLineWidth (ETSliderBox x) = getLineWidth x
  resetAttLine (ETSliderBox x) = resetAttLine x
  setLineAttributes (ETSliderBox x) = setLineAttributes x
  setLineColor (ETSliderBox x) = setLineColor x
  setLineStyle (ETSliderBox x) = setLineStyle x
  setLineWidth (ETSliderBox x) = setLineWidth x

instance ITAttFill (Exist TSliderBox) where
  setFillColor (ETSliderBox x) = setFillColor x
  setFillStyle (ETSliderBox x) = setFillStyle x

instance IDeletable (Exist TSliderBox) where
  delete (ETSliderBox x) = delete x

instance ITTree (Exist TTree) where


instance ITNamed (Exist TTree) where
  setName (ETTree x) = setName x
  setNameTitle (ETTree x) = setNameTitle x
  setTitle (ETTree x) = setTitle x

instance ITAttLine (Exist TTree) where
  getLineColor (ETTree x) = getLineColor x
  getLineStyle (ETTree x) = getLineStyle x
  getLineWidth (ETTree x) = getLineWidth x
  resetAttLine (ETTree x) = resetAttLine x
  setLineAttributes (ETTree x) = setLineAttributes x
  setLineColor (ETTree x) = setLineColor x
  setLineStyle (ETTree x) = setLineStyle x
  setLineWidth (ETTree x) = setLineWidth x

instance ITAttFill (Exist TTree) where
  setFillColor (ETTree x) = setFillColor x
  setFillStyle (ETTree x) = setFillStyle x

instance ITAttMarker (Exist TTree) where
  getMarkerColor (ETTree x) = getMarkerColor x
  getMarkerStyle (ETTree x) = getMarkerStyle x
  getMarkerSize (ETTree x) = getMarkerSize x
  resetAttMarker (ETTree x) = resetAttMarker x
  setMarkerAttributes (ETTree x) = setMarkerAttributes x
  setMarkerColor (ETTree x) = setMarkerColor x
  setMarkerStyle (ETTree x) = setMarkerStyle x
  setMarkerSize (ETTree x) = setMarkerSize x

instance ITObject (Exist TTree) where
  draw (ETTree x) = draw x
  findObject (ETTree x) = findObject x
  getName (ETTree x) = getName x
  isA (ETTree x) = isA x
  isFolder (ETTree x) = isFolder x
  isEqual (ETTree x) = isEqual x
  isSortable (ETTree x) = isSortable x
  paint (ETTree x) = paint x
  printObj (ETTree x) = printObj x
  recursiveRemove (ETTree x) = recursiveRemove x
  saveAs (ETTree x) = saveAs x
  useCurrentStyle (ETTree x) = useCurrentStyle x
  write (ETTree x) = write x

instance IDeletable (Exist TTree) where
  delete (ETTree x) = delete x

instance ITChain (Exist TChain) where


instance ITTree (Exist TChain) where


instance ITNamed (Exist TChain) where
  setName (ETChain x) = setName x
  setNameTitle (ETChain x) = setNameTitle x
  setTitle (ETChain x) = setTitle x

instance ITAttLine (Exist TChain) where
  getLineColor (ETChain x) = getLineColor x
  getLineStyle (ETChain x) = getLineStyle x
  getLineWidth (ETChain x) = getLineWidth x
  resetAttLine (ETChain x) = resetAttLine x
  setLineAttributes (ETChain x) = setLineAttributes x
  setLineColor (ETChain x) = setLineColor x
  setLineStyle (ETChain x) = setLineStyle x
  setLineWidth (ETChain x) = setLineWidth x

instance ITAttFill (Exist TChain) where
  setFillColor (ETChain x) = setFillColor x
  setFillStyle (ETChain x) = setFillStyle x

instance ITAttMarker (Exist TChain) where
  getMarkerColor (ETChain x) = getMarkerColor x
  getMarkerStyle (ETChain x) = getMarkerStyle x
  getMarkerSize (ETChain x) = getMarkerSize x
  resetAttMarker (ETChain x) = resetAttMarker x
  setMarkerAttributes (ETChain x) = setMarkerAttributes x
  setMarkerColor (ETChain x) = setMarkerColor x
  setMarkerStyle (ETChain x) = setMarkerStyle x
  setMarkerSize (ETChain x) = setMarkerSize x

instance ITObject (Exist TChain) where
  draw (ETChain x) = draw x
  findObject (ETChain x) = findObject x
  getName (ETChain x) = getName x
  isA (ETChain x) = isA x
  isFolder (ETChain x) = isFolder x
  isEqual (ETChain x) = isEqual x
  isSortable (ETChain x) = isSortable x
  paint (ETChain x) = paint x
  printObj (ETChain x) = printObj x
  recursiveRemove (ETChain x) = recursiveRemove x
  saveAs (ETChain x) = saveAs x
  useCurrentStyle (ETChain x) = useCurrentStyle x
  write (ETChain x) = write x

instance IDeletable (Exist TChain) where
  delete (ETChain x) = delete x

instance ITNtuple (Exist TNtuple) where


instance ITTree (Exist TNtuple) where


instance ITNamed (Exist TNtuple) where
  setName (ETNtuple x) = setName x
  setNameTitle (ETNtuple x) = setNameTitle x
  setTitle (ETNtuple x) = setTitle x

instance ITAttLine (Exist TNtuple) where
  getLineColor (ETNtuple x) = getLineColor x
  getLineStyle (ETNtuple x) = getLineStyle x
  getLineWidth (ETNtuple x) = getLineWidth x
  resetAttLine (ETNtuple x) = resetAttLine x
  setLineAttributes (ETNtuple x) = setLineAttributes x
  setLineColor (ETNtuple x) = setLineColor x
  setLineStyle (ETNtuple x) = setLineStyle x
  setLineWidth (ETNtuple x) = setLineWidth x

instance ITAttFill (Exist TNtuple) where
  setFillColor (ETNtuple x) = setFillColor x
  setFillStyle (ETNtuple x) = setFillStyle x

instance ITAttMarker (Exist TNtuple) where
  getMarkerColor (ETNtuple x) = getMarkerColor x
  getMarkerStyle (ETNtuple x) = getMarkerStyle x
  getMarkerSize (ETNtuple x) = getMarkerSize x
  resetAttMarker (ETNtuple x) = resetAttMarker x
  setMarkerAttributes (ETNtuple x) = setMarkerAttributes x
  setMarkerColor (ETNtuple x) = setMarkerColor x
  setMarkerStyle (ETNtuple x) = setMarkerStyle x
  setMarkerSize (ETNtuple x) = setMarkerSize x

instance ITObject (Exist TNtuple) where
  draw (ETNtuple x) = draw x
  findObject (ETNtuple x) = findObject x
  getName (ETNtuple x) = getName x
  isA (ETNtuple x) = isA x
  isFolder (ETNtuple x) = isFolder x
  isEqual (ETNtuple x) = isEqual x
  isSortable (ETNtuple x) = isSortable x
  paint (ETNtuple x) = paint x
  printObj (ETNtuple x) = printObj x
  recursiveRemove (ETNtuple x) = recursiveRemove x
  saveAs (ETNtuple x) = saveAs x
  useCurrentStyle (ETNtuple x) = useCurrentStyle x
  write (ETNtuple x) = write x

instance IDeletable (Exist TNtuple) where
  delete (ETNtuple x) = delete x

instance ITNtupleD (Exist TNtupleD) where


instance ITTree (Exist TNtupleD) where


instance ITNamed (Exist TNtupleD) where
  setName (ETNtupleD x) = setName x
  setNameTitle (ETNtupleD x) = setNameTitle x
  setTitle (ETNtupleD x) = setTitle x

instance ITAttLine (Exist TNtupleD) where
  getLineColor (ETNtupleD x) = getLineColor x
  getLineStyle (ETNtupleD x) = getLineStyle x
  getLineWidth (ETNtupleD x) = getLineWidth x
  resetAttLine (ETNtupleD x) = resetAttLine x
  setLineAttributes (ETNtupleD x) = setLineAttributes x
  setLineColor (ETNtupleD x) = setLineColor x
  setLineStyle (ETNtupleD x) = setLineStyle x
  setLineWidth (ETNtupleD x) = setLineWidth x

instance ITAttFill (Exist TNtupleD) where
  setFillColor (ETNtupleD x) = setFillColor x
  setFillStyle (ETNtupleD x) = setFillStyle x

instance ITAttMarker (Exist TNtupleD) where
  getMarkerColor (ETNtupleD x) = getMarkerColor x
  getMarkerStyle (ETNtupleD x) = getMarkerStyle x
  getMarkerSize (ETNtupleD x) = getMarkerSize x
  resetAttMarker (ETNtupleD x) = resetAttMarker x
  setMarkerAttributes (ETNtupleD x) = setMarkerAttributes x
  setMarkerColor (ETNtupleD x) = setMarkerColor x
  setMarkerStyle (ETNtupleD x) = setMarkerStyle x
  setMarkerSize (ETNtupleD x) = setMarkerSize x

instance ITObject (Exist TNtupleD) where
  draw (ETNtupleD x) = draw x
  findObject (ETNtupleD x) = findObject x
  getName (ETNtupleD x) = getName x
  isA (ETNtupleD x) = isA x
  isFolder (ETNtupleD x) = isFolder x
  isEqual (ETNtupleD x) = isEqual x
  isSortable (ETNtupleD x) = isSortable x
  paint (ETNtupleD x) = paint x
  printObj (ETNtupleD x) = printObj x
  recursiveRemove (ETNtupleD x) = recursiveRemove x
  saveAs (ETNtupleD x) = saveAs x
  useCurrentStyle (ETNtupleD x) = useCurrentStyle x
  write (ETNtupleD x) = write x

instance IDeletable (Exist TNtupleD) where
  delete (ETNtupleD x) = delete x

instance ITTreeSQL (Exist TTreeSQL) where


instance ITTree (Exist TTreeSQL) where


instance ITNamed (Exist TTreeSQL) where
  setName (ETTreeSQL x) = setName x
  setNameTitle (ETTreeSQL x) = setNameTitle x
  setTitle (ETTreeSQL x) = setTitle x

instance ITAttLine (Exist TTreeSQL) where
  getLineColor (ETTreeSQL x) = getLineColor x
  getLineStyle (ETTreeSQL x) = getLineStyle x
  getLineWidth (ETTreeSQL x) = getLineWidth x
  resetAttLine (ETTreeSQL x) = resetAttLine x
  setLineAttributes (ETTreeSQL x) = setLineAttributes x
  setLineColor (ETTreeSQL x) = setLineColor x
  setLineStyle (ETTreeSQL x) = setLineStyle x
  setLineWidth (ETTreeSQL x) = setLineWidth x

instance ITAttFill (Exist TTreeSQL) where
  setFillColor (ETTreeSQL x) = setFillColor x
  setFillStyle (ETTreeSQL x) = setFillStyle x

instance ITAttMarker (Exist TTreeSQL) where
  getMarkerColor (ETTreeSQL x) = getMarkerColor x
  getMarkerStyle (ETTreeSQL x) = getMarkerStyle x
  getMarkerSize (ETTreeSQL x) = getMarkerSize x
  resetAttMarker (ETTreeSQL x) = resetAttMarker x
  setMarkerAttributes (ETTreeSQL x) = setMarkerAttributes x
  setMarkerColor (ETTreeSQL x) = setMarkerColor x
  setMarkerStyle (ETTreeSQL x) = setMarkerStyle x
  setMarkerSize (ETTreeSQL x) = setMarkerSize x

instance ITObject (Exist TTreeSQL) where
  draw (ETTreeSQL x) = draw x
  findObject (ETTreeSQL x) = findObject x
  getName (ETTreeSQL x) = getName x
  isA (ETTreeSQL x) = isA x
  isFolder (ETTreeSQL x) = isFolder x
  isEqual (ETTreeSQL x) = isEqual x
  isSortable (ETTreeSQL x) = isSortable x
  paint (ETTreeSQL x) = paint x
  printObj (ETTreeSQL x) = printObj x
  recursiveRemove (ETTreeSQL x) = recursiveRemove x
  saveAs (ETTreeSQL x) = saveAs x
  useCurrentStyle (ETTreeSQL x) = useCurrentStyle x
  write (ETTreeSQL x) = write x

instance IDeletable (Exist TTreeSQL) where
  delete (ETTreeSQL x) = delete x

instance ITPolyLine (Exist TPolyLine) where


instance ITObject (Exist TPolyLine) where
  draw (ETPolyLine x) = draw x
  findObject (ETPolyLine x) = findObject x
  getName (ETPolyLine x) = getName x
  isA (ETPolyLine x) = isA x
  isFolder (ETPolyLine x) = isFolder x
  isEqual (ETPolyLine x) = isEqual x
  isSortable (ETPolyLine x) = isSortable x
  paint (ETPolyLine x) = paint x
  printObj (ETPolyLine x) = printObj x
  recursiveRemove (ETPolyLine x) = recursiveRemove x
  saveAs (ETPolyLine x) = saveAs x
  useCurrentStyle (ETPolyLine x) = useCurrentStyle x
  write (ETPolyLine x) = write x

instance ITAttLine (Exist TPolyLine) where
  getLineColor (ETPolyLine x) = getLineColor x
  getLineStyle (ETPolyLine x) = getLineStyle x
  getLineWidth (ETPolyLine x) = getLineWidth x
  resetAttLine (ETPolyLine x) = resetAttLine x
  setLineAttributes (ETPolyLine x) = setLineAttributes x
  setLineColor (ETPolyLine x) = setLineColor x
  setLineStyle (ETPolyLine x) = setLineStyle x
  setLineWidth (ETPolyLine x) = setLineWidth x

instance ITAttFill (Exist TPolyLine) where
  setFillColor (ETPolyLine x) = setFillColor x
  setFillStyle (ETPolyLine x) = setFillStyle x

instance IDeletable (Exist TPolyLine) where
  delete (ETPolyLine x) = delete x

instance ITCurlyLine (Exist TCurlyLine) where


instance ITPolyLine (Exist TCurlyLine) where


instance ITObject (Exist TCurlyLine) where
  draw (ETCurlyLine x) = draw x
  findObject (ETCurlyLine x) = findObject x
  getName (ETCurlyLine x) = getName x
  isA (ETCurlyLine x) = isA x
  isFolder (ETCurlyLine x) = isFolder x
  isEqual (ETCurlyLine x) = isEqual x
  isSortable (ETCurlyLine x) = isSortable x
  paint (ETCurlyLine x) = paint x
  printObj (ETCurlyLine x) = printObj x
  recursiveRemove (ETCurlyLine x) = recursiveRemove x
  saveAs (ETCurlyLine x) = saveAs x
  useCurrentStyle (ETCurlyLine x) = useCurrentStyle x
  write (ETCurlyLine x) = write x

instance ITAttLine (Exist TCurlyLine) where
  getLineColor (ETCurlyLine x) = getLineColor x
  getLineStyle (ETCurlyLine x) = getLineStyle x
  getLineWidth (ETCurlyLine x) = getLineWidth x
  resetAttLine (ETCurlyLine x) = resetAttLine x
  setLineAttributes (ETCurlyLine x) = setLineAttributes x
  setLineColor (ETCurlyLine x) = setLineColor x
  setLineStyle (ETCurlyLine x) = setLineStyle x
  setLineWidth (ETCurlyLine x) = setLineWidth x

instance ITAttFill (Exist TCurlyLine) where
  setFillColor (ETCurlyLine x) = setFillColor x
  setFillStyle (ETCurlyLine x) = setFillStyle x

instance IDeletable (Exist TCurlyLine) where
  delete (ETCurlyLine x) = delete x

instance ITCurlyArc (Exist TCurlyArc) where


instance ITCurlyLine (Exist TCurlyArc) where


instance ITPolyLine (Exist TCurlyArc) where


instance ITObject (Exist TCurlyArc) where
  draw (ETCurlyArc x) = draw x
  findObject (ETCurlyArc x) = findObject x
  getName (ETCurlyArc x) = getName x
  isA (ETCurlyArc x) = isA x
  isFolder (ETCurlyArc x) = isFolder x
  isEqual (ETCurlyArc x) = isEqual x
  isSortable (ETCurlyArc x) = isSortable x
  paint (ETCurlyArc x) = paint x
  printObj (ETCurlyArc x) = printObj x
  recursiveRemove (ETCurlyArc x) = recursiveRemove x
  saveAs (ETCurlyArc x) = saveAs x
  useCurrentStyle (ETCurlyArc x) = useCurrentStyle x
  write (ETCurlyArc x) = write x

instance ITAttLine (Exist TCurlyArc) where
  getLineColor (ETCurlyArc x) = getLineColor x
  getLineStyle (ETCurlyArc x) = getLineStyle x
  getLineWidth (ETCurlyArc x) = getLineWidth x
  resetAttLine (ETCurlyArc x) = resetAttLine x
  setLineAttributes (ETCurlyArc x) = setLineAttributes x
  setLineColor (ETCurlyArc x) = setLineColor x
  setLineStyle (ETCurlyArc x) = setLineStyle x
  setLineWidth (ETCurlyArc x) = setLineWidth x

instance ITAttFill (Exist TCurlyArc) where
  setFillColor (ETCurlyArc x) = setFillColor x
  setFillStyle (ETCurlyArc x) = setFillStyle x

instance IDeletable (Exist TCurlyArc) where
  delete (ETCurlyArc x) = delete x

instance ITEfficiency (Exist TEfficiency) where


instance ITNamed (Exist TEfficiency) where
  setName (ETEfficiency x) = setName x
  setNameTitle (ETEfficiency x) = setNameTitle x
  setTitle (ETEfficiency x) = setTitle x

instance ITAttLine (Exist TEfficiency) where
  getLineColor (ETEfficiency x) = getLineColor x
  getLineStyle (ETEfficiency x) = getLineStyle x
  getLineWidth (ETEfficiency x) = getLineWidth x
  resetAttLine (ETEfficiency x) = resetAttLine x
  setLineAttributes (ETEfficiency x) = setLineAttributes x
  setLineColor (ETEfficiency x) = setLineColor x
  setLineStyle (ETEfficiency x) = setLineStyle x
  setLineWidth (ETEfficiency x) = setLineWidth x

instance ITAttFill (Exist TEfficiency) where
  setFillColor (ETEfficiency x) = setFillColor x
  setFillStyle (ETEfficiency x) = setFillStyle x

instance ITAttMarker (Exist TEfficiency) where
  getMarkerColor (ETEfficiency x) = getMarkerColor x
  getMarkerStyle (ETEfficiency x) = getMarkerStyle x
  getMarkerSize (ETEfficiency x) = getMarkerSize x
  resetAttMarker (ETEfficiency x) = resetAttMarker x
  setMarkerAttributes (ETEfficiency x) = setMarkerAttributes x
  setMarkerColor (ETEfficiency x) = setMarkerColor x
  setMarkerStyle (ETEfficiency x) = setMarkerStyle x
  setMarkerSize (ETEfficiency x) = setMarkerSize x

instance ITObject (Exist TEfficiency) where
  draw (ETEfficiency x) = draw x
  findObject (ETEfficiency x) = findObject x
  getName (ETEfficiency x) = getName x
  isA (ETEfficiency x) = isA x
  isFolder (ETEfficiency x) = isFolder x
  isEqual (ETEfficiency x) = isEqual x
  isSortable (ETEfficiency x) = isSortable x
  paint (ETEfficiency x) = paint x
  printObj (ETEfficiency x) = printObj x
  recursiveRemove (ETEfficiency x) = recursiveRemove x
  saveAs (ETEfficiency x) = saveAs x
  useCurrentStyle (ETEfficiency x) = useCurrentStyle x
  write (ETEfficiency x) = write x

instance IDeletable (Exist TEfficiency) where
  delete (ETEfficiency x) = delete x

instance ITAxis (Exist TAxis) where
  setTimeDisplay (ETAxis x) = setTimeDisplay x
  setTimeFormat (ETAxis x) = setTimeFormat x
  setTimeOffset (ETAxis x) = setTimeOffset x

instance ITNamed (Exist TAxis) where
  setName (ETAxis x) = setName x
  setNameTitle (ETAxis x) = setNameTitle x
  setTitle (ETAxis x) = setTitle x

instance ITAttAxis (Exist TAxis) where
  getNdivisions (ETAxis x) = getNdivisions x
  getAxisColor (ETAxis x) = getAxisColor x
  getLabelColor (ETAxis x) = getLabelColor x
  getLabelFont (ETAxis x) = getLabelFont x
  getLabelOffset (ETAxis x) = getLabelOffset x
  getLabelSize (ETAxis x) = getLabelSize x
  getTitleOffset (ETAxis x) = getTitleOffset x
  getTitleSize (ETAxis x) = getTitleSize x
  getTickLength (ETAxis x) = getTickLength x
  getTitleFont (ETAxis x) = getTitleFont x
  setNdivisions (ETAxis x) = setNdivisions x
  setAxisColor (ETAxis x) = setAxisColor x
  setLabelColor (ETAxis x) = setLabelColor x
  setLabelFont (ETAxis x) = setLabelFont x
  setLabelOffset (ETAxis x) = setLabelOffset x
  setLabelSize (ETAxis x) = setLabelSize x
  setTickLength (ETAxis x) = setTickLength x
  setTitleOffset (ETAxis x) = setTitleOffset x
  setTitleSize (ETAxis x) = setTitleSize x
  setTitleColor (ETAxis x) = setTitleColor x
  setTitleFont (ETAxis x) = setTitleFont x

instance ITObject (Exist TAxis) where
  draw (ETAxis x) = draw x
  findObject (ETAxis x) = findObject x
  getName (ETAxis x) = getName x
  isA (ETAxis x) = isA x
  isFolder (ETAxis x) = isFolder x
  isEqual (ETAxis x) = isEqual x
  isSortable (ETAxis x) = isSortable x
  paint (ETAxis x) = paint x
  printObj (ETAxis x) = printObj x
  recursiveRemove (ETAxis x) = recursiveRemove x
  saveAs (ETAxis x) = saveAs x
  useCurrentStyle (ETAxis x) = useCurrentStyle x
  write (ETAxis x) = write x

instance IDeletable (Exist TAxis) where
  delete (ETAxis x) = delete x

instance ITLatex (Exist TLatex) where


instance ITText (Exist TLatex) where


instance ITAttLine (Exist TLatex) where
  getLineColor (ETLatex x) = getLineColor x
  getLineStyle (ETLatex x) = getLineStyle x
  getLineWidth (ETLatex x) = getLineWidth x
  resetAttLine (ETLatex x) = resetAttLine x
  setLineAttributes (ETLatex x) = setLineAttributes x
  setLineColor (ETLatex x) = setLineColor x
  setLineStyle (ETLatex x) = setLineStyle x
  setLineWidth (ETLatex x) = setLineWidth x

instance ITNamed (Exist TLatex) where
  setName (ETLatex x) = setName x
  setNameTitle (ETLatex x) = setNameTitle x
  setTitle (ETLatex x) = setTitle x

instance ITAttText (Exist TLatex) where
  getTextAlign (ETLatex x) = getTextAlign x
  getTextAngle (ETLatex x) = getTextAngle x
  getTextColor (ETLatex x) = getTextColor x
  getTextFont (ETLatex x) = getTextFont x
  getTextSize (ETLatex x) = getTextSize x
  resetAttText (ETLatex x) = resetAttText x
  setTextAttributes (ETLatex x) = setTextAttributes x
  setTextAlign (ETLatex x) = setTextAlign x
  setTextAngle (ETLatex x) = setTextAngle x
  setTextColor (ETLatex x) = setTextColor x
  setTextFont (ETLatex x) = setTextFont x
  setTextSize (ETLatex x) = setTextSize x
  setTextSizePixels (ETLatex x) = setTextSizePixels x

instance ITObject (Exist TLatex) where
  draw (ETLatex x) = draw x
  findObject (ETLatex x) = findObject x
  getName (ETLatex x) = getName x
  isA (ETLatex x) = isA x
  isFolder (ETLatex x) = isFolder x
  isEqual (ETLatex x) = isEqual x
  isSortable (ETLatex x) = isSortable x
  paint (ETLatex x) = paint x
  printObj (ETLatex x) = printObj x
  recursiveRemove (ETLatex x) = recursiveRemove x
  saveAs (ETLatex x) = saveAs x
  useCurrentStyle (ETLatex x) = useCurrentStyle x
  write (ETLatex x) = write x

instance IDeletable (Exist TLatex) where
  delete (ETLatex x) = delete x

instance ITText (Exist TText) where


instance ITNamed (Exist TText) where
  setName (ETText x) = setName x
  setNameTitle (ETText x) = setNameTitle x
  setTitle (ETText x) = setTitle x

instance ITAttText (Exist TText) where
  getTextAlign (ETText x) = getTextAlign x
  getTextAngle (ETText x) = getTextAngle x
  getTextColor (ETText x) = getTextColor x
  getTextFont (ETText x) = getTextFont x
  getTextSize (ETText x) = getTextSize x
  resetAttText (ETText x) = resetAttText x
  setTextAttributes (ETText x) = setTextAttributes x
  setTextAlign (ETText x) = setTextAlign x
  setTextAngle (ETText x) = setTextAngle x
  setTextColor (ETText x) = setTextColor x
  setTextFont (ETText x) = setTextFont x
  setTextSize (ETText x) = setTextSize x
  setTextSizePixels (ETText x) = setTextSizePixels x

instance ITObject (Exist TText) where
  draw (ETText x) = draw x
  findObject (ETText x) = findObject x
  getName (ETText x) = getName x
  isA (ETText x) = isA x
  isFolder (ETText x) = isFolder x
  isEqual (ETText x) = isEqual x
  isSortable (ETText x) = isSortable x
  paint (ETText x) = paint x
  printObj (ETText x) = printObj x
  recursiveRemove (ETText x) = recursiveRemove x
  saveAs (ETText x) = saveAs x
  useCurrentStyle (ETText x) = useCurrentStyle x
  write (ETText x) = write x

instance IDeletable (Exist TText) where
  delete (ETText x) = delete x

instance ITDirectory (Exist TDirectory) where
  append (ETDirectory x) = append x
  addD (ETDirectory x) = addD x
  appendKey (ETDirectory x) = appendKey x
  close (ETDirectory x) = close x
  get (ETDirectory x) = get x

instance ITNamed (Exist TDirectory) where
  setName (ETDirectory x) = setName x
  setNameTitle (ETDirectory x) = setNameTitle x
  setTitle (ETDirectory x) = setTitle x

instance ITObject (Exist TDirectory) where
  draw (ETDirectory x) = draw x
  findObject (ETDirectory x) = findObject x
  getName (ETDirectory x) = getName x
  isA (ETDirectory x) = isA x
  isFolder (ETDirectory x) = isFolder x
  isEqual (ETDirectory x) = isEqual x
  isSortable (ETDirectory x) = isSortable x
  paint (ETDirectory x) = paint x
  printObj (ETDirectory x) = printObj x
  recursiveRemove (ETDirectory x) = recursiveRemove x
  saveAs (ETDirectory x) = saveAs x
  useCurrentStyle (ETDirectory x) = useCurrentStyle x
  write (ETDirectory x) = write x

instance IDeletable (Exist TDirectory) where
  delete (ETDirectory x) = delete x

instance ITDirectoryFile (Exist TDirectoryFile) where
  getListOfKeys (ETDirectoryFile x) = getListOfKeys x

instance ITDirectory (Exist TDirectoryFile) where
  append (ETDirectoryFile x) = append x
  addD (ETDirectoryFile x) = addD x
  appendKey (ETDirectoryFile x) = appendKey x
  close (ETDirectoryFile x) = close x
  get (ETDirectoryFile x) = get x

instance ITNamed (Exist TDirectoryFile) where
  setName (ETDirectoryFile x) = setName x
  setNameTitle (ETDirectoryFile x) = setNameTitle x
  setTitle (ETDirectoryFile x) = setTitle x

instance ITObject (Exist TDirectoryFile) where
  draw (ETDirectoryFile x) = draw x
  findObject (ETDirectoryFile x) = findObject x
  getName (ETDirectoryFile x) = getName x
  isA (ETDirectoryFile x) = isA x
  isFolder (ETDirectoryFile x) = isFolder x
  isEqual (ETDirectoryFile x) = isEqual x
  isSortable (ETDirectoryFile x) = isSortable x
  paint (ETDirectoryFile x) = paint x
  printObj (ETDirectoryFile x) = printObj x
  recursiveRemove (ETDirectoryFile x) = recursiveRemove x
  saveAs (ETDirectoryFile x) = saveAs x
  useCurrentStyle (ETDirectoryFile x) = useCurrentStyle x
  write (ETDirectoryFile x) = write x

instance IDeletable (Exist TDirectoryFile) where
  delete (ETDirectoryFile x) = delete x

instance ITFile (Exist TFile) where


instance ITDirectoryFile (Exist TFile) where
  getListOfKeys (ETFile x) = getListOfKeys x

instance ITDirectory (Exist TFile) where
  append (ETFile x) = append x
  addD (ETFile x) = addD x
  appendKey (ETFile x) = appendKey x
  close (ETFile x) = close x
  get (ETFile x) = get x

instance ITNamed (Exist TFile) where
  setName (ETFile x) = setName x
  setNameTitle (ETFile x) = setNameTitle x
  setTitle (ETFile x) = setTitle x

instance ITObject (Exist TFile) where
  draw (ETFile x) = draw x
  findObject (ETFile x) = findObject x
  getName (ETFile x) = getName x
  isA (ETFile x) = isA x
  isFolder (ETFile x) = isFolder x
  isEqual (ETFile x) = isEqual x
  isSortable (ETFile x) = isSortable x
  paint (ETFile x) = paint x
  printObj (ETFile x) = printObj x
  recursiveRemove (ETFile x) = recursiveRemove x
  saveAs (ETFile x) = saveAs x
  useCurrentStyle (ETFile x) = useCurrentStyle x
  write (ETFile x) = write x

instance IDeletable (Exist TFile) where
  delete (ETFile x) = delete x

instance ITBranch (Exist TBranch) where


instance ITNamed (Exist TBranch) where
  setName (ETBranch x) = setName x
  setNameTitle (ETBranch x) = setNameTitle x
  setTitle (ETBranch x) = setTitle x

instance ITAttFill (Exist TBranch) where
  setFillColor (ETBranch x) = setFillColor x
  setFillStyle (ETBranch x) = setFillStyle x

instance ITObject (Exist TBranch) where
  draw (ETBranch x) = draw x
  findObject (ETBranch x) = findObject x
  getName (ETBranch x) = getName x
  isA (ETBranch x) = isA x
  isFolder (ETBranch x) = isFolder x
  isEqual (ETBranch x) = isEqual x
  isSortable (ETBranch x) = isSortable x
  paint (ETBranch x) = paint x
  printObj (ETBranch x) = printObj x
  recursiveRemove (ETBranch x) = recursiveRemove x
  saveAs (ETBranch x) = saveAs x
  useCurrentStyle (ETBranch x) = useCurrentStyle x
  write (ETBranch x) = write x

instance IDeletable (Exist TBranch) where
  delete (ETBranch x) = delete x

instance ITVirtualTreePlayer (Exist TVirtualTreePlayer) where


instance ITObject (Exist TVirtualTreePlayer) where
  draw (ETVirtualTreePlayer x) = draw x
  findObject (ETVirtualTreePlayer x) = findObject x
  getName (ETVirtualTreePlayer x) = getName x
  isA (ETVirtualTreePlayer x) = isA x
  isFolder (ETVirtualTreePlayer x) = isFolder x
  isEqual (ETVirtualTreePlayer x) = isEqual x
  isSortable (ETVirtualTreePlayer x) = isSortable x
  paint (ETVirtualTreePlayer x) = paint x
  printObj (ETVirtualTreePlayer x) = printObj x
  recursiveRemove (ETVirtualTreePlayer x) = recursiveRemove x
  saveAs (ETVirtualTreePlayer x) = saveAs x
  useCurrentStyle (ETVirtualTreePlayer x) = useCurrentStyle x
  write (ETVirtualTreePlayer x) = write x

instance IDeletable (Exist TVirtualTreePlayer) where
  delete (ETVirtualTreePlayer x) = delete x

instance ITTreePlayer (Exist TTreePlayer) where


instance ITVirtualTreePlayer (Exist TTreePlayer) where


instance ITObject (Exist TTreePlayer) where
  draw (ETTreePlayer x) = draw x
  findObject (ETTreePlayer x) = findObject x
  getName (ETTreePlayer x) = getName x
  isA (ETTreePlayer x) = isA x
  isFolder (ETTreePlayer x) = isFolder x
  isEqual (ETTreePlayer x) = isEqual x
  isSortable (ETTreePlayer x) = isSortable x
  paint (ETTreePlayer x) = paint x
  printObj (ETTreePlayer x) = printObj x
  recursiveRemove (ETTreePlayer x) = recursiveRemove x
  saveAs (ETTreePlayer x) = saveAs x
  useCurrentStyle (ETTreePlayer x) = useCurrentStyle x
  write (ETTreePlayer x) = write x

instance IDeletable (Exist TTreePlayer) where
  delete (ETTreePlayer x) = delete x

instance ITArray (Exist TArray) where


instance IDeletable (Exist TArray) where
  delete (ETArray x) = delete x

instance ITArrayC (Exist TArrayC) where


instance ITArray (Exist TArrayC) where


instance IDeletable (Exist TArrayC) where
  delete (ETArrayC x) = delete x

instance ITArrayD (Exist TArrayD) where


instance ITArray (Exist TArrayD) where


instance IDeletable (Exist TArrayD) where
  delete (ETArrayD x) = delete x

instance ITArrayF (Exist TArrayF) where


instance ITArray (Exist TArrayF) where


instance IDeletable (Exist TArrayF) where
  delete (ETArrayF x) = delete x

instance ITArrayI (Exist TArrayI) where


instance ITArray (Exist TArrayI) where


instance IDeletable (Exist TArrayI) where
  delete (ETArrayI x) = delete x

instance ITArrayL (Exist TArrayL) where


instance ITArray (Exist TArrayL) where


instance IDeletable (Exist TArrayL) where
  delete (ETArrayL x) = delete x

instance ITArrayL64 (Exist TArrayL64) where


instance ITArray (Exist TArrayL64) where


instance IDeletable (Exist TArrayL64) where
  delete (ETArrayL64 x) = delete x

instance ITArrayS (Exist TArrayS) where


instance ITArray (Exist TArrayS) where


instance IDeletable (Exist TArrayS) where
  delete (ETArrayS x) = delete x

instance ITH1 (Exist TH1) where
  add (ETH1 x) = add x
  addBinContent (ETH1 x) = addBinContent x
  chi2Test (ETH1 x) = chi2Test x
  computeIntegral (ETH1 x) = computeIntegral x
  directoryAutoAdd (ETH1 x) = directoryAutoAdd x
  divide (ETH1 x) = divide x
  drawCopyTH1 (ETH1 x) a1 = return . ETH1 =<< drawCopyTH1 x a1
  drawNormalized (ETH1 x) = drawNormalized x
  drawPanelTH1 (ETH1 x) = drawPanelTH1 x
  bufferEmpty (ETH1 x) = bufferEmpty x
  evalF (ETH1 x) = evalF x
  fFT (ETH1 x) = fFT x
  fill1 (ETH1 x) = fill1 x
  fill1w (ETH1 x) = fill1w x
  fillN1 (ETH1 x) = fillN1 x
  fillRandom (ETH1 x) = fillRandom x
  findBin (ETH1 x) = findBin x
  findFixBin (ETH1 x) = findFixBin x
  findFirstBinAbove (ETH1 x) = findFirstBinAbove x
  findLastBinAbove (ETH1 x) = findLastBinAbove x
  fitPanelTH1 (ETH1 x) = fitPanelTH1 x
  getNdivisionA (ETH1 x) = getNdivisionA x
  getAxisColorA (ETH1 x) = getAxisColorA x
  getLabelColorA (ETH1 x) = getLabelColorA x
  getLabelFontA (ETH1 x) = getLabelFontA x
  getLabelOffsetA (ETH1 x) = getLabelOffsetA x
  getLabelSizeA (ETH1 x) = getLabelSizeA x
  getTitleFontA (ETH1 x) = getTitleFontA x
  getTitleOffsetA (ETH1 x) = getTitleOffsetA x
  getTitleSizeA (ETH1 x) = getTitleSizeA x
  getTickLengthA (ETH1 x) = getTickLengthA x
  getBarOffset (ETH1 x) = getBarOffset x
  getBarWidth (ETH1 x) = getBarWidth x
  getContour (ETH1 x) = getContour x
  getContourLevel (ETH1 x) = getContourLevel x
  getContourLevelPad (ETH1 x) = getContourLevelPad x
  getBin (ETH1 x) = getBin x
  getBinCenter (ETH1 x) = getBinCenter x
  getBinContent1 (ETH1 x) = getBinContent1 x
  getBinContent2 (ETH1 x) = getBinContent2 x
  getBinContent3 (ETH1 x) = getBinContent3 x
  getBinError1 (ETH1 x) = getBinError1 x
  getBinError2 (ETH1 x) = getBinError2 x
  getBinError3 (ETH1 x) = getBinError3 x
  getBinLowEdge (ETH1 x) = getBinLowEdge x
  getBinWidth (ETH1 x) = getBinWidth x
  getCellContent (ETH1 x) = getCellContent x
  getCellError (ETH1 x) = getCellError x
  getEntries (ETH1 x) = getEntries x
  getEffectiveEntries (ETH1 x) = getEffectiveEntries x
  getFunction (ETH1 x) = getFunction x
  getDimension (ETH1 x) = getDimension x
  getKurtosis (ETH1 x) = getKurtosis x
  getLowEdge (ETH1 x) = getLowEdge x
  getMaximumTH1 (ETH1 x) = getMaximumTH1 x
  getMaximumBin (ETH1 x) = getMaximumBin x
  getMaximumStored (ETH1 x) = getMaximumStored x
  getMinimumTH1 (ETH1 x) = getMinimumTH1 x
  getMinimumBin (ETH1 x) = getMinimumBin x
  getMinimumStored (ETH1 x) = getMinimumStored x
  getMean (ETH1 x) = getMean x
  getMeanError (ETH1 x) = getMeanError x
  getNbinsX (ETH1 x) = getNbinsX x
  getNbinsY (ETH1 x) = getNbinsY x
  getNbinsZ (ETH1 x) = getNbinsZ x
  getQuantilesTH1 (ETH1 x) = getQuantilesTH1 x
  getRandom (ETH1 x) = getRandom x
  getStats (ETH1 x) = getStats x
  getSumOfWeights (ETH1 x) = getSumOfWeights x
  getSumw2 (ETH1 x) = getSumw2 x
  getSumw2N (ETH1 x) = getSumw2N x
  getRMS (ETH1 x) = getRMS x
  getRMSError (ETH1 x) = getRMSError x
  getSkewness (ETH1 x) = getSkewness x
  integral1 (ETH1 x) = integral1 x
  interpolate1 (ETH1 x) = interpolate1 x
  interpolate2 (ETH1 x) = interpolate2 x
  interpolate3 (ETH1 x) = interpolate3 x
  kolmogorovTest (ETH1 x) = kolmogorovTest x
  labelsDeflate (ETH1 x) = labelsDeflate x
  labelsInflate (ETH1 x) = labelsInflate x
  labelsOption (ETH1 x) = labelsOption x
  multiflyF (ETH1 x) = multiflyF x
  multiply (ETH1 x) = multiply x
  putStats (ETH1 x) = putStats x
  rebin (ETH1 x) = rebin x
  rebinAxis (ETH1 x) = rebinAxis x
  rebuild (ETH1 x) = rebuild x
  reset (ETH1 x) = reset x
  resetStats (ETH1 x) = resetStats x
  scale (ETH1 x) = scale x
  setAxisColorA (ETH1 x) = setAxisColorA x
  setAxisRange (ETH1 x) = setAxisRange x
  setBarOffset (ETH1 x) = setBarOffset x
  setBarWidth (ETH1 x) = setBarWidth x
  setBinContent1 (ETH1 x) = setBinContent1 x
  setBinContent2 (ETH1 x) = setBinContent2 x
  setBinContent3 (ETH1 x) = setBinContent3 x
  setBinError1 (ETH1 x) = setBinError1 x
  setBinError2 (ETH1 x) = setBinError2 x
  setBinError3 (ETH1 x) = setBinError3 x
  setBins1 (ETH1 x) = setBins1 x
  setBins2 (ETH1 x) = setBins2 x
  setBins3 (ETH1 x) = setBins3 x
  setBinsLength (ETH1 x) = setBinsLength x
  setBuffer (ETH1 x) = setBuffer x
  setCellContent (ETH1 x) = setCellContent x
  setContent (ETH1 x) = setContent x
  setContour (ETH1 x) = setContour x
  setContourLevel (ETH1 x) = setContourLevel x
  setDirectory (ETH1 x) = setDirectory x
  setEntries (ETH1 x) = setEntries x
  setError (ETH1 x) = setError x
  setLabelColorA (ETH1 x) = setLabelColorA x
  setLabelSizeA (ETH1 x) = setLabelSizeA x
  setLabelFontA (ETH1 x) = setLabelFontA x
  setLabelOffsetA (ETH1 x) = setLabelOffsetA x
  setMaximum (ETH1 x) = setMaximum x
  setMinimum (ETH1 x) = setMinimum x
  setNormFactor (ETH1 x) = setNormFactor x
  setStats (ETH1 x) = setStats x
  setOption (ETH1 x) = setOption x
  setXTitle (ETH1 x) = setXTitle x
  setYTitle (ETH1 x) = setYTitle x
  setZTitle (ETH1 x) = setZTitle x
  showBackground (ETH1 x) = showBackground x
  showPeaks (ETH1 x) = showPeaks x
  smooth (ETH1 x) = smooth x
  sumw2 (ETH1 x) = sumw2 x

instance ITNamed (Exist TH1) where
  setName (ETH1 x) = setName x
  setNameTitle (ETH1 x) = setNameTitle x
  setTitle (ETH1 x) = setTitle x

instance ITAttLine (Exist TH1) where
  getLineColor (ETH1 x) = getLineColor x
  getLineStyle (ETH1 x) = getLineStyle x
  getLineWidth (ETH1 x) = getLineWidth x
  resetAttLine (ETH1 x) = resetAttLine x
  setLineAttributes (ETH1 x) = setLineAttributes x
  setLineColor (ETH1 x) = setLineColor x
  setLineStyle (ETH1 x) = setLineStyle x
  setLineWidth (ETH1 x) = setLineWidth x

instance ITAttFill (Exist TH1) where
  setFillColor (ETH1 x) = setFillColor x
  setFillStyle (ETH1 x) = setFillStyle x

instance ITAttMarker (Exist TH1) where
  getMarkerColor (ETH1 x) = getMarkerColor x
  getMarkerStyle (ETH1 x) = getMarkerStyle x
  getMarkerSize (ETH1 x) = getMarkerSize x
  resetAttMarker (ETH1 x) = resetAttMarker x
  setMarkerAttributes (ETH1 x) = setMarkerAttributes x
  setMarkerColor (ETH1 x) = setMarkerColor x
  setMarkerStyle (ETH1 x) = setMarkerStyle x
  setMarkerSize (ETH1 x) = setMarkerSize x

instance ITObject (Exist TH1) where
  draw (ETH1 x) = draw x
  findObject (ETH1 x) = findObject x
  getName (ETH1 x) = getName x
  isA (ETH1 x) = isA x
  isFolder (ETH1 x) = isFolder x
  isEqual (ETH1 x) = isEqual x
  isSortable (ETH1 x) = isSortable x
  paint (ETH1 x) = paint x
  printObj (ETH1 x) = printObj x
  recursiveRemove (ETH1 x) = recursiveRemove x
  saveAs (ETH1 x) = saveAs x
  useCurrentStyle (ETH1 x) = useCurrentStyle x
  write (ETH1 x) = write x

instance IDeletable (Exist TH1) where
  delete (ETH1 x) = delete x

instance ITH2 (Exist TH2) where
  fill2 (ETH2 x) = fill2 x
  fill2w (ETH2 x) = fill2w x
  fillN2 (ETH2 x) = fillN2 x
  fillRandom2 (ETH2 x) = fillRandom2 x
  findFirstBinAbove2 (ETH2 x) = findFirstBinAbove2 x
  findLastBinAbove2 (ETH2 x) = findLastBinAbove2 x
  fitSlicesX (ETH2 x) = fitSlicesX x
  fitSlicesY (ETH2 x) = fitSlicesY x
  getCorrelationFactor2 (ETH2 x) = getCorrelationFactor2 x
  getCovariance2 (ETH2 x) = getCovariance2 x
  integral2 (ETH2 x) = integral2 x
  rebinX2 (ETH2 x) = rebinX2 x
  rebinY2 (ETH2 x) = rebinY2 x
  rebin2D (ETH2 x) = rebin2D x
  setShowProjectionX (ETH2 x) = setShowProjectionX x
  setShowProjectionY (ETH2 x) = setShowProjectionY x

instance ITH1 (Exist TH2) where
  add (ETH2 x) = add x
  addBinContent (ETH2 x) = addBinContent x
  chi2Test (ETH2 x) = chi2Test x
  computeIntegral (ETH2 x) = computeIntegral x
  directoryAutoAdd (ETH2 x) = directoryAutoAdd x
  divide (ETH2 x) = divide x
  drawCopyTH1 (ETH2 x) a1 = return . ETH2 =<< drawCopyTH1 x a1
  drawNormalized (ETH2 x) = drawNormalized x
  drawPanelTH1 (ETH2 x) = drawPanelTH1 x
  bufferEmpty (ETH2 x) = bufferEmpty x
  evalF (ETH2 x) = evalF x
  fFT (ETH2 x) = fFT x
  fill1 (ETH2 x) = fill1 x
  fill1w (ETH2 x) = fill1w x
  fillN1 (ETH2 x) = fillN1 x
  fillRandom (ETH2 x) = fillRandom x
  findBin (ETH2 x) = findBin x
  findFixBin (ETH2 x) = findFixBin x
  findFirstBinAbove (ETH2 x) = findFirstBinAbove x
  findLastBinAbove (ETH2 x) = findLastBinAbove x
  fitPanelTH1 (ETH2 x) = fitPanelTH1 x
  getNdivisionA (ETH2 x) = getNdivisionA x
  getAxisColorA (ETH2 x) = getAxisColorA x
  getLabelColorA (ETH2 x) = getLabelColorA x
  getLabelFontA (ETH2 x) = getLabelFontA x
  getLabelOffsetA (ETH2 x) = getLabelOffsetA x
  getLabelSizeA (ETH2 x) = getLabelSizeA x
  getTitleFontA (ETH2 x) = getTitleFontA x
  getTitleOffsetA (ETH2 x) = getTitleOffsetA x
  getTitleSizeA (ETH2 x) = getTitleSizeA x
  getTickLengthA (ETH2 x) = getTickLengthA x
  getBarOffset (ETH2 x) = getBarOffset x
  getBarWidth (ETH2 x) = getBarWidth x
  getContour (ETH2 x) = getContour x
  getContourLevel (ETH2 x) = getContourLevel x
  getContourLevelPad (ETH2 x) = getContourLevelPad x
  getBin (ETH2 x) = getBin x
  getBinCenter (ETH2 x) = getBinCenter x
  getBinContent1 (ETH2 x) = getBinContent1 x
  getBinContent2 (ETH2 x) = getBinContent2 x
  getBinContent3 (ETH2 x) = getBinContent3 x
  getBinError1 (ETH2 x) = getBinError1 x
  getBinError2 (ETH2 x) = getBinError2 x
  getBinError3 (ETH2 x) = getBinError3 x
  getBinLowEdge (ETH2 x) = getBinLowEdge x
  getBinWidth (ETH2 x) = getBinWidth x
  getCellContent (ETH2 x) = getCellContent x
  getCellError (ETH2 x) = getCellError x
  getEntries (ETH2 x) = getEntries x
  getEffectiveEntries (ETH2 x) = getEffectiveEntries x
  getFunction (ETH2 x) = getFunction x
  getDimension (ETH2 x) = getDimension x
  getKurtosis (ETH2 x) = getKurtosis x
  getLowEdge (ETH2 x) = getLowEdge x
  getMaximumTH1 (ETH2 x) = getMaximumTH1 x
  getMaximumBin (ETH2 x) = getMaximumBin x
  getMaximumStored (ETH2 x) = getMaximumStored x
  getMinimumTH1 (ETH2 x) = getMinimumTH1 x
  getMinimumBin (ETH2 x) = getMinimumBin x
  getMinimumStored (ETH2 x) = getMinimumStored x
  getMean (ETH2 x) = getMean x
  getMeanError (ETH2 x) = getMeanError x
  getNbinsX (ETH2 x) = getNbinsX x
  getNbinsY (ETH2 x) = getNbinsY x
  getNbinsZ (ETH2 x) = getNbinsZ x
  getQuantilesTH1 (ETH2 x) = getQuantilesTH1 x
  getRandom (ETH2 x) = getRandom x
  getStats (ETH2 x) = getStats x
  getSumOfWeights (ETH2 x) = getSumOfWeights x
  getSumw2 (ETH2 x) = getSumw2 x
  getSumw2N (ETH2 x) = getSumw2N x
  getRMS (ETH2 x) = getRMS x
  getRMSError (ETH2 x) = getRMSError x
  getSkewness (ETH2 x) = getSkewness x
  integral1 (ETH2 x) = integral1 x
  interpolate1 (ETH2 x) = interpolate1 x
  interpolate2 (ETH2 x) = interpolate2 x
  interpolate3 (ETH2 x) = interpolate3 x
  kolmogorovTest (ETH2 x) = kolmogorovTest x
  labelsDeflate (ETH2 x) = labelsDeflate x
  labelsInflate (ETH2 x) = labelsInflate x
  labelsOption (ETH2 x) = labelsOption x
  multiflyF (ETH2 x) = multiflyF x
  multiply (ETH2 x) = multiply x
  putStats (ETH2 x) = putStats x
  rebin (ETH2 x) = rebin x
  rebinAxis (ETH2 x) = rebinAxis x
  rebuild (ETH2 x) = rebuild x
  reset (ETH2 x) = reset x
  resetStats (ETH2 x) = resetStats x
  scale (ETH2 x) = scale x
  setAxisColorA (ETH2 x) = setAxisColorA x
  setAxisRange (ETH2 x) = setAxisRange x
  setBarOffset (ETH2 x) = setBarOffset x
  setBarWidth (ETH2 x) = setBarWidth x
  setBinContent1 (ETH2 x) = setBinContent1 x
  setBinContent2 (ETH2 x) = setBinContent2 x
  setBinContent3 (ETH2 x) = setBinContent3 x
  setBinError1 (ETH2 x) = setBinError1 x
  setBinError2 (ETH2 x) = setBinError2 x
  setBinError3 (ETH2 x) = setBinError3 x
  setBins1 (ETH2 x) = setBins1 x
  setBins2 (ETH2 x) = setBins2 x
  setBins3 (ETH2 x) = setBins3 x
  setBinsLength (ETH2 x) = setBinsLength x
  setBuffer (ETH2 x) = setBuffer x
  setCellContent (ETH2 x) = setCellContent x
  setContent (ETH2 x) = setContent x
  setContour (ETH2 x) = setContour x
  setContourLevel (ETH2 x) = setContourLevel x
  setDirectory (ETH2 x) = setDirectory x
  setEntries (ETH2 x) = setEntries x
  setError (ETH2 x) = setError x
  setLabelColorA (ETH2 x) = setLabelColorA x
  setLabelSizeA (ETH2 x) = setLabelSizeA x
  setLabelFontA (ETH2 x) = setLabelFontA x
  setLabelOffsetA (ETH2 x) = setLabelOffsetA x
  setMaximum (ETH2 x) = setMaximum x
  setMinimum (ETH2 x) = setMinimum x
  setNormFactor (ETH2 x) = setNormFactor x
  setStats (ETH2 x) = setStats x
  setOption (ETH2 x) = setOption x
  setXTitle (ETH2 x) = setXTitle x
  setYTitle (ETH2 x) = setYTitle x
  setZTitle (ETH2 x) = setZTitle x
  showBackground (ETH2 x) = showBackground x
  showPeaks (ETH2 x) = showPeaks x
  smooth (ETH2 x) = smooth x
  sumw2 (ETH2 x) = sumw2 x

instance ITNamed (Exist TH2) where
  setName (ETH2 x) = setName x
  setNameTitle (ETH2 x) = setNameTitle x
  setTitle (ETH2 x) = setTitle x

instance ITAttLine (Exist TH2) where
  getLineColor (ETH2 x) = getLineColor x
  getLineStyle (ETH2 x) = getLineStyle x
  getLineWidth (ETH2 x) = getLineWidth x
  resetAttLine (ETH2 x) = resetAttLine x
  setLineAttributes (ETH2 x) = setLineAttributes x
  setLineColor (ETH2 x) = setLineColor x
  setLineStyle (ETH2 x) = setLineStyle x
  setLineWidth (ETH2 x) = setLineWidth x

instance ITAttFill (Exist TH2) where
  setFillColor (ETH2 x) = setFillColor x
  setFillStyle (ETH2 x) = setFillStyle x

instance ITAttMarker (Exist TH2) where
  getMarkerColor (ETH2 x) = getMarkerColor x
  getMarkerStyle (ETH2 x) = getMarkerStyle x
  getMarkerSize (ETH2 x) = getMarkerSize x
  resetAttMarker (ETH2 x) = resetAttMarker x
  setMarkerAttributes (ETH2 x) = setMarkerAttributes x
  setMarkerColor (ETH2 x) = setMarkerColor x
  setMarkerStyle (ETH2 x) = setMarkerStyle x
  setMarkerSize (ETH2 x) = setMarkerSize x

instance ITObject (Exist TH2) where
  draw (ETH2 x) = draw x
  findObject (ETH2 x) = findObject x
  getName (ETH2 x) = getName x
  isA (ETH2 x) = isA x
  isFolder (ETH2 x) = isFolder x
  isEqual (ETH2 x) = isEqual x
  isSortable (ETH2 x) = isSortable x
  paint (ETH2 x) = paint x
  printObj (ETH2 x) = printObj x
  recursiveRemove (ETH2 x) = recursiveRemove x
  saveAs (ETH2 x) = saveAs x
  useCurrentStyle (ETH2 x) = useCurrentStyle x
  write (ETH2 x) = write x

instance IDeletable (Exist TH2) where
  delete (ETH2 x) = delete x

instance ITH3 (Exist TH3) where
  fill3 (ETH3 x) = fill3 x
  fill3w (ETH3 x) = fill3w x
  fitSlicesZ (ETH3 x) = fitSlicesZ x
  getCorrelationFactor3 (ETH3 x) = getCorrelationFactor3 x
  getCovariance3 (ETH3 x) = getCovariance3 x
  rebinX3 (ETH3 x) = rebinX3 x
  rebinY3 (ETH3 x) = rebinY3 x
  rebinZ3 (ETH3 x) = rebinZ3 x
  rebin3D (ETH3 x) = rebin3D x

instance ITH1 (Exist TH3) where
  add (ETH3 x) = add x
  addBinContent (ETH3 x) = addBinContent x
  chi2Test (ETH3 x) = chi2Test x
  computeIntegral (ETH3 x) = computeIntegral x
  directoryAutoAdd (ETH3 x) = directoryAutoAdd x
  divide (ETH3 x) = divide x
  drawCopyTH1 (ETH3 x) a1 = return . ETH3 =<< drawCopyTH1 x a1
  drawNormalized (ETH3 x) = drawNormalized x
  drawPanelTH1 (ETH3 x) = drawPanelTH1 x
  bufferEmpty (ETH3 x) = bufferEmpty x
  evalF (ETH3 x) = evalF x
  fFT (ETH3 x) = fFT x
  fill1 (ETH3 x) = fill1 x
  fill1w (ETH3 x) = fill1w x
  fillN1 (ETH3 x) = fillN1 x
  fillRandom (ETH3 x) = fillRandom x
  findBin (ETH3 x) = findBin x
  findFixBin (ETH3 x) = findFixBin x
  findFirstBinAbove (ETH3 x) = findFirstBinAbove x
  findLastBinAbove (ETH3 x) = findLastBinAbove x
  fitPanelTH1 (ETH3 x) = fitPanelTH1 x
  getNdivisionA (ETH3 x) = getNdivisionA x
  getAxisColorA (ETH3 x) = getAxisColorA x
  getLabelColorA (ETH3 x) = getLabelColorA x
  getLabelFontA (ETH3 x) = getLabelFontA x
  getLabelOffsetA (ETH3 x) = getLabelOffsetA x
  getLabelSizeA (ETH3 x) = getLabelSizeA x
  getTitleFontA (ETH3 x) = getTitleFontA x
  getTitleOffsetA (ETH3 x) = getTitleOffsetA x
  getTitleSizeA (ETH3 x) = getTitleSizeA x
  getTickLengthA (ETH3 x) = getTickLengthA x
  getBarOffset (ETH3 x) = getBarOffset x
  getBarWidth (ETH3 x) = getBarWidth x
  getContour (ETH3 x) = getContour x
  getContourLevel (ETH3 x) = getContourLevel x
  getContourLevelPad (ETH3 x) = getContourLevelPad x
  getBin (ETH3 x) = getBin x
  getBinCenter (ETH3 x) = getBinCenter x
  getBinContent1 (ETH3 x) = getBinContent1 x
  getBinContent2 (ETH3 x) = getBinContent2 x
  getBinContent3 (ETH3 x) = getBinContent3 x
  getBinError1 (ETH3 x) = getBinError1 x
  getBinError2 (ETH3 x) = getBinError2 x
  getBinError3 (ETH3 x) = getBinError3 x
  getBinLowEdge (ETH3 x) = getBinLowEdge x
  getBinWidth (ETH3 x) = getBinWidth x
  getCellContent (ETH3 x) = getCellContent x
  getCellError (ETH3 x) = getCellError x
  getEntries (ETH3 x) = getEntries x
  getEffectiveEntries (ETH3 x) = getEffectiveEntries x
  getFunction (ETH3 x) = getFunction x
  getDimension (ETH3 x) = getDimension x
  getKurtosis (ETH3 x) = getKurtosis x
  getLowEdge (ETH3 x) = getLowEdge x
  getMaximumTH1 (ETH3 x) = getMaximumTH1 x
  getMaximumBin (ETH3 x) = getMaximumBin x
  getMaximumStored (ETH3 x) = getMaximumStored x
  getMinimumTH1 (ETH3 x) = getMinimumTH1 x
  getMinimumBin (ETH3 x) = getMinimumBin x
  getMinimumStored (ETH3 x) = getMinimumStored x
  getMean (ETH3 x) = getMean x
  getMeanError (ETH3 x) = getMeanError x
  getNbinsX (ETH3 x) = getNbinsX x
  getNbinsY (ETH3 x) = getNbinsY x
  getNbinsZ (ETH3 x) = getNbinsZ x
  getQuantilesTH1 (ETH3 x) = getQuantilesTH1 x
  getRandom (ETH3 x) = getRandom x
  getStats (ETH3 x) = getStats x
  getSumOfWeights (ETH3 x) = getSumOfWeights x
  getSumw2 (ETH3 x) = getSumw2 x
  getSumw2N (ETH3 x) = getSumw2N x
  getRMS (ETH3 x) = getRMS x
  getRMSError (ETH3 x) = getRMSError x
  getSkewness (ETH3 x) = getSkewness x
  integral1 (ETH3 x) = integral1 x
  interpolate1 (ETH3 x) = interpolate1 x
  interpolate2 (ETH3 x) = interpolate2 x
  interpolate3 (ETH3 x) = interpolate3 x
  kolmogorovTest (ETH3 x) = kolmogorovTest x
  labelsDeflate (ETH3 x) = labelsDeflate x
  labelsInflate (ETH3 x) = labelsInflate x
  labelsOption (ETH3 x) = labelsOption x
  multiflyF (ETH3 x) = multiflyF x
  multiply (ETH3 x) = multiply x
  putStats (ETH3 x) = putStats x
  rebin (ETH3 x) = rebin x
  rebinAxis (ETH3 x) = rebinAxis x
  rebuild (ETH3 x) = rebuild x
  reset (ETH3 x) = reset x
  resetStats (ETH3 x) = resetStats x
  scale (ETH3 x) = scale x
  setAxisColorA (ETH3 x) = setAxisColorA x
  setAxisRange (ETH3 x) = setAxisRange x
  setBarOffset (ETH3 x) = setBarOffset x
  setBarWidth (ETH3 x) = setBarWidth x
  setBinContent1 (ETH3 x) = setBinContent1 x
  setBinContent2 (ETH3 x) = setBinContent2 x
  setBinContent3 (ETH3 x) = setBinContent3 x
  setBinError1 (ETH3 x) = setBinError1 x
  setBinError2 (ETH3 x) = setBinError2 x
  setBinError3 (ETH3 x) = setBinError3 x
  setBins1 (ETH3 x) = setBins1 x
  setBins2 (ETH3 x) = setBins2 x
  setBins3 (ETH3 x) = setBins3 x
  setBinsLength (ETH3 x) = setBinsLength x
  setBuffer (ETH3 x) = setBuffer x
  setCellContent (ETH3 x) = setCellContent x
  setContent (ETH3 x) = setContent x
  setContour (ETH3 x) = setContour x
  setContourLevel (ETH3 x) = setContourLevel x
  setDirectory (ETH3 x) = setDirectory x
  setEntries (ETH3 x) = setEntries x
  setError (ETH3 x) = setError x
  setLabelColorA (ETH3 x) = setLabelColorA x
  setLabelSizeA (ETH3 x) = setLabelSizeA x
  setLabelFontA (ETH3 x) = setLabelFontA x
  setLabelOffsetA (ETH3 x) = setLabelOffsetA x
  setMaximum (ETH3 x) = setMaximum x
  setMinimum (ETH3 x) = setMinimum x
  setNormFactor (ETH3 x) = setNormFactor x
  setStats (ETH3 x) = setStats x
  setOption (ETH3 x) = setOption x
  setXTitle (ETH3 x) = setXTitle x
  setYTitle (ETH3 x) = setYTitle x
  setZTitle (ETH3 x) = setZTitle x
  showBackground (ETH3 x) = showBackground x
  showPeaks (ETH3 x) = showPeaks x
  smooth (ETH3 x) = smooth x
  sumw2 (ETH3 x) = sumw2 x

instance ITAtt3D (Exist TH3) where


instance ITNamed (Exist TH3) where
  setName (ETH3 x) = setName x
  setNameTitle (ETH3 x) = setNameTitle x
  setTitle (ETH3 x) = setTitle x

instance ITAttLine (Exist TH3) where
  getLineColor (ETH3 x) = getLineColor x
  getLineStyle (ETH3 x) = getLineStyle x
  getLineWidth (ETH3 x) = getLineWidth x
  resetAttLine (ETH3 x) = resetAttLine x
  setLineAttributes (ETH3 x) = setLineAttributes x
  setLineColor (ETH3 x) = setLineColor x
  setLineStyle (ETH3 x) = setLineStyle x
  setLineWidth (ETH3 x) = setLineWidth x

instance ITAttFill (Exist TH3) where
  setFillColor (ETH3 x) = setFillColor x
  setFillStyle (ETH3 x) = setFillStyle x

instance ITAttMarker (Exist TH3) where
  getMarkerColor (ETH3 x) = getMarkerColor x
  getMarkerStyle (ETH3 x) = getMarkerStyle x
  getMarkerSize (ETH3 x) = getMarkerSize x
  resetAttMarker (ETH3 x) = resetAttMarker x
  setMarkerAttributes (ETH3 x) = setMarkerAttributes x
  setMarkerColor (ETH3 x) = setMarkerColor x
  setMarkerStyle (ETH3 x) = setMarkerStyle x
  setMarkerSize (ETH3 x) = setMarkerSize x

instance ITObject (Exist TH3) where
  draw (ETH3 x) = draw x
  findObject (ETH3 x) = findObject x
  getName (ETH3 x) = getName x
  isA (ETH3 x) = isA x
  isFolder (ETH3 x) = isFolder x
  isEqual (ETH3 x) = isEqual x
  isSortable (ETH3 x) = isSortable x
  paint (ETH3 x) = paint x
  printObj (ETH3 x) = printObj x
  recursiveRemove (ETH3 x) = recursiveRemove x
  saveAs (ETH3 x) = saveAs x
  useCurrentStyle (ETH3 x) = useCurrentStyle x
  write (ETH3 x) = write x

instance IDeletable (Exist TH3) where
  delete (ETH3 x) = delete x

instance ITH1C (Exist TH1C) where


instance ITH1 (Exist TH1C) where
  add (ETH1C x) = add x
  addBinContent (ETH1C x) = addBinContent x
  chi2Test (ETH1C x) = chi2Test x
  computeIntegral (ETH1C x) = computeIntegral x
  directoryAutoAdd (ETH1C x) = directoryAutoAdd x
  divide (ETH1C x) = divide x
  drawCopyTH1 (ETH1C x) a1 = return . ETH1C =<< drawCopyTH1 x a1
  drawNormalized (ETH1C x) = drawNormalized x
  drawPanelTH1 (ETH1C x) = drawPanelTH1 x
  bufferEmpty (ETH1C x) = bufferEmpty x
  evalF (ETH1C x) = evalF x
  fFT (ETH1C x) = fFT x
  fill1 (ETH1C x) = fill1 x
  fill1w (ETH1C x) = fill1w x
  fillN1 (ETH1C x) = fillN1 x
  fillRandom (ETH1C x) = fillRandom x
  findBin (ETH1C x) = findBin x
  findFixBin (ETH1C x) = findFixBin x
  findFirstBinAbove (ETH1C x) = findFirstBinAbove x
  findLastBinAbove (ETH1C x) = findLastBinAbove x
  fitPanelTH1 (ETH1C x) = fitPanelTH1 x
  getNdivisionA (ETH1C x) = getNdivisionA x
  getAxisColorA (ETH1C x) = getAxisColorA x
  getLabelColorA (ETH1C x) = getLabelColorA x
  getLabelFontA (ETH1C x) = getLabelFontA x
  getLabelOffsetA (ETH1C x) = getLabelOffsetA x
  getLabelSizeA (ETH1C x) = getLabelSizeA x
  getTitleFontA (ETH1C x) = getTitleFontA x
  getTitleOffsetA (ETH1C x) = getTitleOffsetA x
  getTitleSizeA (ETH1C x) = getTitleSizeA x
  getTickLengthA (ETH1C x) = getTickLengthA x
  getBarOffset (ETH1C x) = getBarOffset x
  getBarWidth (ETH1C x) = getBarWidth x
  getContour (ETH1C x) = getContour x
  getContourLevel (ETH1C x) = getContourLevel x
  getContourLevelPad (ETH1C x) = getContourLevelPad x
  getBin (ETH1C x) = getBin x
  getBinCenter (ETH1C x) = getBinCenter x
  getBinContent1 (ETH1C x) = getBinContent1 x
  getBinContent2 (ETH1C x) = getBinContent2 x
  getBinContent3 (ETH1C x) = getBinContent3 x
  getBinError1 (ETH1C x) = getBinError1 x
  getBinError2 (ETH1C x) = getBinError2 x
  getBinError3 (ETH1C x) = getBinError3 x
  getBinLowEdge (ETH1C x) = getBinLowEdge x
  getBinWidth (ETH1C x) = getBinWidth x
  getCellContent (ETH1C x) = getCellContent x
  getCellError (ETH1C x) = getCellError x
  getEntries (ETH1C x) = getEntries x
  getEffectiveEntries (ETH1C x) = getEffectiveEntries x
  getFunction (ETH1C x) = getFunction x
  getDimension (ETH1C x) = getDimension x
  getKurtosis (ETH1C x) = getKurtosis x
  getLowEdge (ETH1C x) = getLowEdge x
  getMaximumTH1 (ETH1C x) = getMaximumTH1 x
  getMaximumBin (ETH1C x) = getMaximumBin x
  getMaximumStored (ETH1C x) = getMaximumStored x
  getMinimumTH1 (ETH1C x) = getMinimumTH1 x
  getMinimumBin (ETH1C x) = getMinimumBin x
  getMinimumStored (ETH1C x) = getMinimumStored x
  getMean (ETH1C x) = getMean x
  getMeanError (ETH1C x) = getMeanError x
  getNbinsX (ETH1C x) = getNbinsX x
  getNbinsY (ETH1C x) = getNbinsY x
  getNbinsZ (ETH1C x) = getNbinsZ x
  getQuantilesTH1 (ETH1C x) = getQuantilesTH1 x
  getRandom (ETH1C x) = getRandom x
  getStats (ETH1C x) = getStats x
  getSumOfWeights (ETH1C x) = getSumOfWeights x
  getSumw2 (ETH1C x) = getSumw2 x
  getSumw2N (ETH1C x) = getSumw2N x
  getRMS (ETH1C x) = getRMS x
  getRMSError (ETH1C x) = getRMSError x
  getSkewness (ETH1C x) = getSkewness x
  integral1 (ETH1C x) = integral1 x
  interpolate1 (ETH1C x) = interpolate1 x
  interpolate2 (ETH1C x) = interpolate2 x
  interpolate3 (ETH1C x) = interpolate3 x
  kolmogorovTest (ETH1C x) = kolmogorovTest x
  labelsDeflate (ETH1C x) = labelsDeflate x
  labelsInflate (ETH1C x) = labelsInflate x
  labelsOption (ETH1C x) = labelsOption x
  multiflyF (ETH1C x) = multiflyF x
  multiply (ETH1C x) = multiply x
  putStats (ETH1C x) = putStats x
  rebin (ETH1C x) = rebin x
  rebinAxis (ETH1C x) = rebinAxis x
  rebuild (ETH1C x) = rebuild x
  reset (ETH1C x) = reset x
  resetStats (ETH1C x) = resetStats x
  scale (ETH1C x) = scale x
  setAxisColorA (ETH1C x) = setAxisColorA x
  setAxisRange (ETH1C x) = setAxisRange x
  setBarOffset (ETH1C x) = setBarOffset x
  setBarWidth (ETH1C x) = setBarWidth x
  setBinContent1 (ETH1C x) = setBinContent1 x
  setBinContent2 (ETH1C x) = setBinContent2 x
  setBinContent3 (ETH1C x) = setBinContent3 x
  setBinError1 (ETH1C x) = setBinError1 x
  setBinError2 (ETH1C x) = setBinError2 x
  setBinError3 (ETH1C x) = setBinError3 x
  setBins1 (ETH1C x) = setBins1 x
  setBins2 (ETH1C x) = setBins2 x
  setBins3 (ETH1C x) = setBins3 x
  setBinsLength (ETH1C x) = setBinsLength x
  setBuffer (ETH1C x) = setBuffer x
  setCellContent (ETH1C x) = setCellContent x
  setContent (ETH1C x) = setContent x
  setContour (ETH1C x) = setContour x
  setContourLevel (ETH1C x) = setContourLevel x
  setDirectory (ETH1C x) = setDirectory x
  setEntries (ETH1C x) = setEntries x
  setError (ETH1C x) = setError x
  setLabelColorA (ETH1C x) = setLabelColorA x
  setLabelSizeA (ETH1C x) = setLabelSizeA x
  setLabelFontA (ETH1C x) = setLabelFontA x
  setLabelOffsetA (ETH1C x) = setLabelOffsetA x
  setMaximum (ETH1C x) = setMaximum x
  setMinimum (ETH1C x) = setMinimum x
  setNormFactor (ETH1C x) = setNormFactor x
  setStats (ETH1C x) = setStats x
  setOption (ETH1C x) = setOption x
  setXTitle (ETH1C x) = setXTitle x
  setYTitle (ETH1C x) = setYTitle x
  setZTitle (ETH1C x) = setZTitle x
  showBackground (ETH1C x) = showBackground x
  showPeaks (ETH1C x) = showPeaks x
  smooth (ETH1C x) = smooth x
  sumw2 (ETH1C x) = sumw2 x

instance ITArrayC (Exist TH1C) where


instance ITNamed (Exist TH1C) where
  setName (ETH1C x) = setName x
  setNameTitle (ETH1C x) = setNameTitle x
  setTitle (ETH1C x) = setTitle x

instance ITAttLine (Exist TH1C) where
  getLineColor (ETH1C x) = getLineColor x
  getLineStyle (ETH1C x) = getLineStyle x
  getLineWidth (ETH1C x) = getLineWidth x
  resetAttLine (ETH1C x) = resetAttLine x
  setLineAttributes (ETH1C x) = setLineAttributes x
  setLineColor (ETH1C x) = setLineColor x
  setLineStyle (ETH1C x) = setLineStyle x
  setLineWidth (ETH1C x) = setLineWidth x

instance ITAttFill (Exist TH1C) where
  setFillColor (ETH1C x) = setFillColor x
  setFillStyle (ETH1C x) = setFillStyle x

instance ITAttMarker (Exist TH1C) where
  getMarkerColor (ETH1C x) = getMarkerColor x
  getMarkerStyle (ETH1C x) = getMarkerStyle x
  getMarkerSize (ETH1C x) = getMarkerSize x
  resetAttMarker (ETH1C x) = resetAttMarker x
  setMarkerAttributes (ETH1C x) = setMarkerAttributes x
  setMarkerColor (ETH1C x) = setMarkerColor x
  setMarkerStyle (ETH1C x) = setMarkerStyle x
  setMarkerSize (ETH1C x) = setMarkerSize x

instance ITObject (Exist TH1C) where
  draw (ETH1C x) = draw x
  findObject (ETH1C x) = findObject x
  getName (ETH1C x) = getName x
  isA (ETH1C x) = isA x
  isFolder (ETH1C x) = isFolder x
  isEqual (ETH1C x) = isEqual x
  isSortable (ETH1C x) = isSortable x
  paint (ETH1C x) = paint x
  printObj (ETH1C x) = printObj x
  recursiveRemove (ETH1C x) = recursiveRemove x
  saveAs (ETH1C x) = saveAs x
  useCurrentStyle (ETH1C x) = useCurrentStyle x
  write (ETH1C x) = write x

instance IDeletable (Exist TH1C) where
  delete (ETH1C x) = delete x

instance ITArray (Exist TH1C) where


instance ITH1D (Exist TH1D) where


instance ITH1 (Exist TH1D) where
  add (ETH1D x) = add x
  addBinContent (ETH1D x) = addBinContent x
  chi2Test (ETH1D x) = chi2Test x
  computeIntegral (ETH1D x) = computeIntegral x
  directoryAutoAdd (ETH1D x) = directoryAutoAdd x
  divide (ETH1D x) = divide x
  drawCopyTH1 (ETH1D x) a1 = return . ETH1D =<< drawCopyTH1 x a1
  drawNormalized (ETH1D x) = drawNormalized x
  drawPanelTH1 (ETH1D x) = drawPanelTH1 x
  bufferEmpty (ETH1D x) = bufferEmpty x
  evalF (ETH1D x) = evalF x
  fFT (ETH1D x) = fFT x
  fill1 (ETH1D x) = fill1 x
  fill1w (ETH1D x) = fill1w x
  fillN1 (ETH1D x) = fillN1 x
  fillRandom (ETH1D x) = fillRandom x
  findBin (ETH1D x) = findBin x
  findFixBin (ETH1D x) = findFixBin x
  findFirstBinAbove (ETH1D x) = findFirstBinAbove x
  findLastBinAbove (ETH1D x) = findLastBinAbove x
  fitPanelTH1 (ETH1D x) = fitPanelTH1 x
  getNdivisionA (ETH1D x) = getNdivisionA x
  getAxisColorA (ETH1D x) = getAxisColorA x
  getLabelColorA (ETH1D x) = getLabelColorA x
  getLabelFontA (ETH1D x) = getLabelFontA x
  getLabelOffsetA (ETH1D x) = getLabelOffsetA x
  getLabelSizeA (ETH1D x) = getLabelSizeA x
  getTitleFontA (ETH1D x) = getTitleFontA x
  getTitleOffsetA (ETH1D x) = getTitleOffsetA x
  getTitleSizeA (ETH1D x) = getTitleSizeA x
  getTickLengthA (ETH1D x) = getTickLengthA x
  getBarOffset (ETH1D x) = getBarOffset x
  getBarWidth (ETH1D x) = getBarWidth x
  getContour (ETH1D x) = getContour x
  getContourLevel (ETH1D x) = getContourLevel x
  getContourLevelPad (ETH1D x) = getContourLevelPad x
  getBin (ETH1D x) = getBin x
  getBinCenter (ETH1D x) = getBinCenter x
  getBinContent1 (ETH1D x) = getBinContent1 x
  getBinContent2 (ETH1D x) = getBinContent2 x
  getBinContent3 (ETH1D x) = getBinContent3 x
  getBinError1 (ETH1D x) = getBinError1 x
  getBinError2 (ETH1D x) = getBinError2 x
  getBinError3 (ETH1D x) = getBinError3 x
  getBinLowEdge (ETH1D x) = getBinLowEdge x
  getBinWidth (ETH1D x) = getBinWidth x
  getCellContent (ETH1D x) = getCellContent x
  getCellError (ETH1D x) = getCellError x
  getEntries (ETH1D x) = getEntries x
  getEffectiveEntries (ETH1D x) = getEffectiveEntries x
  getFunction (ETH1D x) = getFunction x
  getDimension (ETH1D x) = getDimension x
  getKurtosis (ETH1D x) = getKurtosis x
  getLowEdge (ETH1D x) = getLowEdge x
  getMaximumTH1 (ETH1D x) = getMaximumTH1 x
  getMaximumBin (ETH1D x) = getMaximumBin x
  getMaximumStored (ETH1D x) = getMaximumStored x
  getMinimumTH1 (ETH1D x) = getMinimumTH1 x
  getMinimumBin (ETH1D x) = getMinimumBin x
  getMinimumStored (ETH1D x) = getMinimumStored x
  getMean (ETH1D x) = getMean x
  getMeanError (ETH1D x) = getMeanError x
  getNbinsX (ETH1D x) = getNbinsX x
  getNbinsY (ETH1D x) = getNbinsY x
  getNbinsZ (ETH1D x) = getNbinsZ x
  getQuantilesTH1 (ETH1D x) = getQuantilesTH1 x
  getRandom (ETH1D x) = getRandom x
  getStats (ETH1D x) = getStats x
  getSumOfWeights (ETH1D x) = getSumOfWeights x
  getSumw2 (ETH1D x) = getSumw2 x
  getSumw2N (ETH1D x) = getSumw2N x
  getRMS (ETH1D x) = getRMS x
  getRMSError (ETH1D x) = getRMSError x
  getSkewness (ETH1D x) = getSkewness x
  integral1 (ETH1D x) = integral1 x
  interpolate1 (ETH1D x) = interpolate1 x
  interpolate2 (ETH1D x) = interpolate2 x
  interpolate3 (ETH1D x) = interpolate3 x
  kolmogorovTest (ETH1D x) = kolmogorovTest x
  labelsDeflate (ETH1D x) = labelsDeflate x
  labelsInflate (ETH1D x) = labelsInflate x
  labelsOption (ETH1D x) = labelsOption x
  multiflyF (ETH1D x) = multiflyF x
  multiply (ETH1D x) = multiply x
  putStats (ETH1D x) = putStats x
  rebin (ETH1D x) = rebin x
  rebinAxis (ETH1D x) = rebinAxis x
  rebuild (ETH1D x) = rebuild x
  reset (ETH1D x) = reset x
  resetStats (ETH1D x) = resetStats x
  scale (ETH1D x) = scale x
  setAxisColorA (ETH1D x) = setAxisColorA x
  setAxisRange (ETH1D x) = setAxisRange x
  setBarOffset (ETH1D x) = setBarOffset x
  setBarWidth (ETH1D x) = setBarWidth x
  setBinContent1 (ETH1D x) = setBinContent1 x
  setBinContent2 (ETH1D x) = setBinContent2 x
  setBinContent3 (ETH1D x) = setBinContent3 x
  setBinError1 (ETH1D x) = setBinError1 x
  setBinError2 (ETH1D x) = setBinError2 x
  setBinError3 (ETH1D x) = setBinError3 x
  setBins1 (ETH1D x) = setBins1 x
  setBins2 (ETH1D x) = setBins2 x
  setBins3 (ETH1D x) = setBins3 x
  setBinsLength (ETH1D x) = setBinsLength x
  setBuffer (ETH1D x) = setBuffer x
  setCellContent (ETH1D x) = setCellContent x
  setContent (ETH1D x) = setContent x
  setContour (ETH1D x) = setContour x
  setContourLevel (ETH1D x) = setContourLevel x
  setDirectory (ETH1D x) = setDirectory x
  setEntries (ETH1D x) = setEntries x
  setError (ETH1D x) = setError x
  setLabelColorA (ETH1D x) = setLabelColorA x
  setLabelSizeA (ETH1D x) = setLabelSizeA x
  setLabelFontA (ETH1D x) = setLabelFontA x
  setLabelOffsetA (ETH1D x) = setLabelOffsetA x
  setMaximum (ETH1D x) = setMaximum x
  setMinimum (ETH1D x) = setMinimum x
  setNormFactor (ETH1D x) = setNormFactor x
  setStats (ETH1D x) = setStats x
  setOption (ETH1D x) = setOption x
  setXTitle (ETH1D x) = setXTitle x
  setYTitle (ETH1D x) = setYTitle x
  setZTitle (ETH1D x) = setZTitle x
  showBackground (ETH1D x) = showBackground x
  showPeaks (ETH1D x) = showPeaks x
  smooth (ETH1D x) = smooth x
  sumw2 (ETH1D x) = sumw2 x

instance ITArrayD (Exist TH1D) where


instance ITNamed (Exist TH1D) where
  setName (ETH1D x) = setName x
  setNameTitle (ETH1D x) = setNameTitle x
  setTitle (ETH1D x) = setTitle x

instance ITAttLine (Exist TH1D) where
  getLineColor (ETH1D x) = getLineColor x
  getLineStyle (ETH1D x) = getLineStyle x
  getLineWidth (ETH1D x) = getLineWidth x
  resetAttLine (ETH1D x) = resetAttLine x
  setLineAttributes (ETH1D x) = setLineAttributes x
  setLineColor (ETH1D x) = setLineColor x
  setLineStyle (ETH1D x) = setLineStyle x
  setLineWidth (ETH1D x) = setLineWidth x

instance ITAttFill (Exist TH1D) where
  setFillColor (ETH1D x) = setFillColor x
  setFillStyle (ETH1D x) = setFillStyle x

instance ITAttMarker (Exist TH1D) where
  getMarkerColor (ETH1D x) = getMarkerColor x
  getMarkerStyle (ETH1D x) = getMarkerStyle x
  getMarkerSize (ETH1D x) = getMarkerSize x
  resetAttMarker (ETH1D x) = resetAttMarker x
  setMarkerAttributes (ETH1D x) = setMarkerAttributes x
  setMarkerColor (ETH1D x) = setMarkerColor x
  setMarkerStyle (ETH1D x) = setMarkerStyle x
  setMarkerSize (ETH1D x) = setMarkerSize x

instance ITObject (Exist TH1D) where
  draw (ETH1D x) = draw x
  findObject (ETH1D x) = findObject x
  getName (ETH1D x) = getName x
  isA (ETH1D x) = isA x
  isFolder (ETH1D x) = isFolder x
  isEqual (ETH1D x) = isEqual x
  isSortable (ETH1D x) = isSortable x
  paint (ETH1D x) = paint x
  printObj (ETH1D x) = printObj x
  recursiveRemove (ETH1D x) = recursiveRemove x
  saveAs (ETH1D x) = saveAs x
  useCurrentStyle (ETH1D x) = useCurrentStyle x
  write (ETH1D x) = write x

instance IDeletable (Exist TH1D) where
  delete (ETH1D x) = delete x

instance ITArray (Exist TH1D) where


instance ITH1F (Exist TH1F) where


instance ITH1 (Exist TH1F) where
  add (ETH1F x) = add x
  addBinContent (ETH1F x) = addBinContent x
  chi2Test (ETH1F x) = chi2Test x
  computeIntegral (ETH1F x) = computeIntegral x
  directoryAutoAdd (ETH1F x) = directoryAutoAdd x
  divide (ETH1F x) = divide x
  drawCopyTH1 (ETH1F x) a1 = return . ETH1F =<< drawCopyTH1 x a1
  drawNormalized (ETH1F x) = drawNormalized x
  drawPanelTH1 (ETH1F x) = drawPanelTH1 x
  bufferEmpty (ETH1F x) = bufferEmpty x
  evalF (ETH1F x) = evalF x
  fFT (ETH1F x) = fFT x
  fill1 (ETH1F x) = fill1 x
  fill1w (ETH1F x) = fill1w x
  fillN1 (ETH1F x) = fillN1 x
  fillRandom (ETH1F x) = fillRandom x
  findBin (ETH1F x) = findBin x
  findFixBin (ETH1F x) = findFixBin x
  findFirstBinAbove (ETH1F x) = findFirstBinAbove x
  findLastBinAbove (ETH1F x) = findLastBinAbove x
  fitPanelTH1 (ETH1F x) = fitPanelTH1 x
  getNdivisionA (ETH1F x) = getNdivisionA x
  getAxisColorA (ETH1F x) = getAxisColorA x
  getLabelColorA (ETH1F x) = getLabelColorA x
  getLabelFontA (ETH1F x) = getLabelFontA x
  getLabelOffsetA (ETH1F x) = getLabelOffsetA x
  getLabelSizeA (ETH1F x) = getLabelSizeA x
  getTitleFontA (ETH1F x) = getTitleFontA x
  getTitleOffsetA (ETH1F x) = getTitleOffsetA x
  getTitleSizeA (ETH1F x) = getTitleSizeA x
  getTickLengthA (ETH1F x) = getTickLengthA x
  getBarOffset (ETH1F x) = getBarOffset x
  getBarWidth (ETH1F x) = getBarWidth x
  getContour (ETH1F x) = getContour x
  getContourLevel (ETH1F x) = getContourLevel x
  getContourLevelPad (ETH1F x) = getContourLevelPad x
  getBin (ETH1F x) = getBin x
  getBinCenter (ETH1F x) = getBinCenter x
  getBinContent1 (ETH1F x) = getBinContent1 x
  getBinContent2 (ETH1F x) = getBinContent2 x
  getBinContent3 (ETH1F x) = getBinContent3 x
  getBinError1 (ETH1F x) = getBinError1 x
  getBinError2 (ETH1F x) = getBinError2 x
  getBinError3 (ETH1F x) = getBinError3 x
  getBinLowEdge (ETH1F x) = getBinLowEdge x
  getBinWidth (ETH1F x) = getBinWidth x
  getCellContent (ETH1F x) = getCellContent x
  getCellError (ETH1F x) = getCellError x
  getEntries (ETH1F x) = getEntries x
  getEffectiveEntries (ETH1F x) = getEffectiveEntries x
  getFunction (ETH1F x) = getFunction x
  getDimension (ETH1F x) = getDimension x
  getKurtosis (ETH1F x) = getKurtosis x
  getLowEdge (ETH1F x) = getLowEdge x
  getMaximumTH1 (ETH1F x) = getMaximumTH1 x
  getMaximumBin (ETH1F x) = getMaximumBin x
  getMaximumStored (ETH1F x) = getMaximumStored x
  getMinimumTH1 (ETH1F x) = getMinimumTH1 x
  getMinimumBin (ETH1F x) = getMinimumBin x
  getMinimumStored (ETH1F x) = getMinimumStored x
  getMean (ETH1F x) = getMean x
  getMeanError (ETH1F x) = getMeanError x
  getNbinsX (ETH1F x) = getNbinsX x
  getNbinsY (ETH1F x) = getNbinsY x
  getNbinsZ (ETH1F x) = getNbinsZ x
  getQuantilesTH1 (ETH1F x) = getQuantilesTH1 x
  getRandom (ETH1F x) = getRandom x
  getStats (ETH1F x) = getStats x
  getSumOfWeights (ETH1F x) = getSumOfWeights x
  getSumw2 (ETH1F x) = getSumw2 x
  getSumw2N (ETH1F x) = getSumw2N x
  getRMS (ETH1F x) = getRMS x
  getRMSError (ETH1F x) = getRMSError x
  getSkewness (ETH1F x) = getSkewness x
  integral1 (ETH1F x) = integral1 x
  interpolate1 (ETH1F x) = interpolate1 x
  interpolate2 (ETH1F x) = interpolate2 x
  interpolate3 (ETH1F x) = interpolate3 x
  kolmogorovTest (ETH1F x) = kolmogorovTest x
  labelsDeflate (ETH1F x) = labelsDeflate x
  labelsInflate (ETH1F x) = labelsInflate x
  labelsOption (ETH1F x) = labelsOption x
  multiflyF (ETH1F x) = multiflyF x
  multiply (ETH1F x) = multiply x
  putStats (ETH1F x) = putStats x
  rebin (ETH1F x) = rebin x
  rebinAxis (ETH1F x) = rebinAxis x
  rebuild (ETH1F x) = rebuild x
  reset (ETH1F x) = reset x
  resetStats (ETH1F x) = resetStats x
  scale (ETH1F x) = scale x
  setAxisColorA (ETH1F x) = setAxisColorA x
  setAxisRange (ETH1F x) = setAxisRange x
  setBarOffset (ETH1F x) = setBarOffset x
  setBarWidth (ETH1F x) = setBarWidth x
  setBinContent1 (ETH1F x) = setBinContent1 x
  setBinContent2 (ETH1F x) = setBinContent2 x
  setBinContent3 (ETH1F x) = setBinContent3 x
  setBinError1 (ETH1F x) = setBinError1 x
  setBinError2 (ETH1F x) = setBinError2 x
  setBinError3 (ETH1F x) = setBinError3 x
  setBins1 (ETH1F x) = setBins1 x
  setBins2 (ETH1F x) = setBins2 x
  setBins3 (ETH1F x) = setBins3 x
  setBinsLength (ETH1F x) = setBinsLength x
  setBuffer (ETH1F x) = setBuffer x
  setCellContent (ETH1F x) = setCellContent x
  setContent (ETH1F x) = setContent x
  setContour (ETH1F x) = setContour x
  setContourLevel (ETH1F x) = setContourLevel x
  setDirectory (ETH1F x) = setDirectory x
  setEntries (ETH1F x) = setEntries x
  setError (ETH1F x) = setError x
  setLabelColorA (ETH1F x) = setLabelColorA x
  setLabelSizeA (ETH1F x) = setLabelSizeA x
  setLabelFontA (ETH1F x) = setLabelFontA x
  setLabelOffsetA (ETH1F x) = setLabelOffsetA x
  setMaximum (ETH1F x) = setMaximum x
  setMinimum (ETH1F x) = setMinimum x
  setNormFactor (ETH1F x) = setNormFactor x
  setStats (ETH1F x) = setStats x
  setOption (ETH1F x) = setOption x
  setXTitle (ETH1F x) = setXTitle x
  setYTitle (ETH1F x) = setYTitle x
  setZTitle (ETH1F x) = setZTitle x
  showBackground (ETH1F x) = showBackground x
  showPeaks (ETH1F x) = showPeaks x
  smooth (ETH1F x) = smooth x
  sumw2 (ETH1F x) = sumw2 x

instance ITArrayF (Exist TH1F) where


instance ITNamed (Exist TH1F) where
  setName (ETH1F x) = setName x
  setNameTitle (ETH1F x) = setNameTitle x
  setTitle (ETH1F x) = setTitle x

instance ITAttLine (Exist TH1F) where
  getLineColor (ETH1F x) = getLineColor x
  getLineStyle (ETH1F x) = getLineStyle x
  getLineWidth (ETH1F x) = getLineWidth x
  resetAttLine (ETH1F x) = resetAttLine x
  setLineAttributes (ETH1F x) = setLineAttributes x
  setLineColor (ETH1F x) = setLineColor x
  setLineStyle (ETH1F x) = setLineStyle x
  setLineWidth (ETH1F x) = setLineWidth x

instance ITAttFill (Exist TH1F) where
  setFillColor (ETH1F x) = setFillColor x
  setFillStyle (ETH1F x) = setFillStyle x

instance ITAttMarker (Exist TH1F) where
  getMarkerColor (ETH1F x) = getMarkerColor x
  getMarkerStyle (ETH1F x) = getMarkerStyle x
  getMarkerSize (ETH1F x) = getMarkerSize x
  resetAttMarker (ETH1F x) = resetAttMarker x
  setMarkerAttributes (ETH1F x) = setMarkerAttributes x
  setMarkerColor (ETH1F x) = setMarkerColor x
  setMarkerStyle (ETH1F x) = setMarkerStyle x
  setMarkerSize (ETH1F x) = setMarkerSize x

instance ITObject (Exist TH1F) where
  draw (ETH1F x) = draw x
  findObject (ETH1F x) = findObject x
  getName (ETH1F x) = getName x
  isA (ETH1F x) = isA x
  isFolder (ETH1F x) = isFolder x
  isEqual (ETH1F x) = isEqual x
  isSortable (ETH1F x) = isSortable x
  paint (ETH1F x) = paint x
  printObj (ETH1F x) = printObj x
  recursiveRemove (ETH1F x) = recursiveRemove x
  saveAs (ETH1F x) = saveAs x
  useCurrentStyle (ETH1F x) = useCurrentStyle x
  write (ETH1F x) = write x

instance IDeletable (Exist TH1F) where
  delete (ETH1F x) = delete x

instance ITArray (Exist TH1F) where


instance ITH1I (Exist TH1I) where


instance ITH1 (Exist TH1I) where
  add (ETH1I x) = add x
  addBinContent (ETH1I x) = addBinContent x
  chi2Test (ETH1I x) = chi2Test x
  computeIntegral (ETH1I x) = computeIntegral x
  directoryAutoAdd (ETH1I x) = directoryAutoAdd x
  divide (ETH1I x) = divide x
  drawCopyTH1 (ETH1I x) a1 = return . ETH1I =<< drawCopyTH1 x a1
  drawNormalized (ETH1I x) = drawNormalized x
  drawPanelTH1 (ETH1I x) = drawPanelTH1 x
  bufferEmpty (ETH1I x) = bufferEmpty x
  evalF (ETH1I x) = evalF x
  fFT (ETH1I x) = fFT x
  fill1 (ETH1I x) = fill1 x
  fill1w (ETH1I x) = fill1w x
  fillN1 (ETH1I x) = fillN1 x
  fillRandom (ETH1I x) = fillRandom x
  findBin (ETH1I x) = findBin x
  findFixBin (ETH1I x) = findFixBin x
  findFirstBinAbove (ETH1I x) = findFirstBinAbove x
  findLastBinAbove (ETH1I x) = findLastBinAbove x
  fitPanelTH1 (ETH1I x) = fitPanelTH1 x
  getNdivisionA (ETH1I x) = getNdivisionA x
  getAxisColorA (ETH1I x) = getAxisColorA x
  getLabelColorA (ETH1I x) = getLabelColorA x
  getLabelFontA (ETH1I x) = getLabelFontA x
  getLabelOffsetA (ETH1I x) = getLabelOffsetA x
  getLabelSizeA (ETH1I x) = getLabelSizeA x
  getTitleFontA (ETH1I x) = getTitleFontA x
  getTitleOffsetA (ETH1I x) = getTitleOffsetA x
  getTitleSizeA (ETH1I x) = getTitleSizeA x
  getTickLengthA (ETH1I x) = getTickLengthA x
  getBarOffset (ETH1I x) = getBarOffset x
  getBarWidth (ETH1I x) = getBarWidth x
  getContour (ETH1I x) = getContour x
  getContourLevel (ETH1I x) = getContourLevel x
  getContourLevelPad (ETH1I x) = getContourLevelPad x
  getBin (ETH1I x) = getBin x
  getBinCenter (ETH1I x) = getBinCenter x
  getBinContent1 (ETH1I x) = getBinContent1 x
  getBinContent2 (ETH1I x) = getBinContent2 x
  getBinContent3 (ETH1I x) = getBinContent3 x
  getBinError1 (ETH1I x) = getBinError1 x
  getBinError2 (ETH1I x) = getBinError2 x
  getBinError3 (ETH1I x) = getBinError3 x
  getBinLowEdge (ETH1I x) = getBinLowEdge x
  getBinWidth (ETH1I x) = getBinWidth x
  getCellContent (ETH1I x) = getCellContent x
  getCellError (ETH1I x) = getCellError x
  getEntries (ETH1I x) = getEntries x
  getEffectiveEntries (ETH1I x) = getEffectiveEntries x
  getFunction (ETH1I x) = getFunction x
  getDimension (ETH1I x) = getDimension x
  getKurtosis (ETH1I x) = getKurtosis x
  getLowEdge (ETH1I x) = getLowEdge x
  getMaximumTH1 (ETH1I x) = getMaximumTH1 x
  getMaximumBin (ETH1I x) = getMaximumBin x
  getMaximumStored (ETH1I x) = getMaximumStored x
  getMinimumTH1 (ETH1I x) = getMinimumTH1 x
  getMinimumBin (ETH1I x) = getMinimumBin x
  getMinimumStored (ETH1I x) = getMinimumStored x
  getMean (ETH1I x) = getMean x
  getMeanError (ETH1I x) = getMeanError x
  getNbinsX (ETH1I x) = getNbinsX x
  getNbinsY (ETH1I x) = getNbinsY x
  getNbinsZ (ETH1I x) = getNbinsZ x
  getQuantilesTH1 (ETH1I x) = getQuantilesTH1 x
  getRandom (ETH1I x) = getRandom x
  getStats (ETH1I x) = getStats x
  getSumOfWeights (ETH1I x) = getSumOfWeights x
  getSumw2 (ETH1I x) = getSumw2 x
  getSumw2N (ETH1I x) = getSumw2N x
  getRMS (ETH1I x) = getRMS x
  getRMSError (ETH1I x) = getRMSError x
  getSkewness (ETH1I x) = getSkewness x
  integral1 (ETH1I x) = integral1 x
  interpolate1 (ETH1I x) = interpolate1 x
  interpolate2 (ETH1I x) = interpolate2 x
  interpolate3 (ETH1I x) = interpolate3 x
  kolmogorovTest (ETH1I x) = kolmogorovTest x
  labelsDeflate (ETH1I x) = labelsDeflate x
  labelsInflate (ETH1I x) = labelsInflate x
  labelsOption (ETH1I x) = labelsOption x
  multiflyF (ETH1I x) = multiflyF x
  multiply (ETH1I x) = multiply x
  putStats (ETH1I x) = putStats x
  rebin (ETH1I x) = rebin x
  rebinAxis (ETH1I x) = rebinAxis x
  rebuild (ETH1I x) = rebuild x
  reset (ETH1I x) = reset x
  resetStats (ETH1I x) = resetStats x
  scale (ETH1I x) = scale x
  setAxisColorA (ETH1I x) = setAxisColorA x
  setAxisRange (ETH1I x) = setAxisRange x
  setBarOffset (ETH1I x) = setBarOffset x
  setBarWidth (ETH1I x) = setBarWidth x
  setBinContent1 (ETH1I x) = setBinContent1 x
  setBinContent2 (ETH1I x) = setBinContent2 x
  setBinContent3 (ETH1I x) = setBinContent3 x
  setBinError1 (ETH1I x) = setBinError1 x
  setBinError2 (ETH1I x) = setBinError2 x
  setBinError3 (ETH1I x) = setBinError3 x
  setBins1 (ETH1I x) = setBins1 x
  setBins2 (ETH1I x) = setBins2 x
  setBins3 (ETH1I x) = setBins3 x
  setBinsLength (ETH1I x) = setBinsLength x
  setBuffer (ETH1I x) = setBuffer x
  setCellContent (ETH1I x) = setCellContent x
  setContent (ETH1I x) = setContent x
  setContour (ETH1I x) = setContour x
  setContourLevel (ETH1I x) = setContourLevel x
  setDirectory (ETH1I x) = setDirectory x
  setEntries (ETH1I x) = setEntries x
  setError (ETH1I x) = setError x
  setLabelColorA (ETH1I x) = setLabelColorA x
  setLabelSizeA (ETH1I x) = setLabelSizeA x
  setLabelFontA (ETH1I x) = setLabelFontA x
  setLabelOffsetA (ETH1I x) = setLabelOffsetA x
  setMaximum (ETH1I x) = setMaximum x
  setMinimum (ETH1I x) = setMinimum x
  setNormFactor (ETH1I x) = setNormFactor x
  setStats (ETH1I x) = setStats x
  setOption (ETH1I x) = setOption x
  setXTitle (ETH1I x) = setXTitle x
  setYTitle (ETH1I x) = setYTitle x
  setZTitle (ETH1I x) = setZTitle x
  showBackground (ETH1I x) = showBackground x
  showPeaks (ETH1I x) = showPeaks x
  smooth (ETH1I x) = smooth x
  sumw2 (ETH1I x) = sumw2 x

instance ITArrayI (Exist TH1I) where


instance ITNamed (Exist TH1I) where
  setName (ETH1I x) = setName x
  setNameTitle (ETH1I x) = setNameTitle x
  setTitle (ETH1I x) = setTitle x

instance ITAttLine (Exist TH1I) where
  getLineColor (ETH1I x) = getLineColor x
  getLineStyle (ETH1I x) = getLineStyle x
  getLineWidth (ETH1I x) = getLineWidth x
  resetAttLine (ETH1I x) = resetAttLine x
  setLineAttributes (ETH1I x) = setLineAttributes x
  setLineColor (ETH1I x) = setLineColor x
  setLineStyle (ETH1I x) = setLineStyle x
  setLineWidth (ETH1I x) = setLineWidth x

instance ITAttFill (Exist TH1I) where
  setFillColor (ETH1I x) = setFillColor x
  setFillStyle (ETH1I x) = setFillStyle x

instance ITAttMarker (Exist TH1I) where
  getMarkerColor (ETH1I x) = getMarkerColor x
  getMarkerStyle (ETH1I x) = getMarkerStyle x
  getMarkerSize (ETH1I x) = getMarkerSize x
  resetAttMarker (ETH1I x) = resetAttMarker x
  setMarkerAttributes (ETH1I x) = setMarkerAttributes x
  setMarkerColor (ETH1I x) = setMarkerColor x
  setMarkerStyle (ETH1I x) = setMarkerStyle x
  setMarkerSize (ETH1I x) = setMarkerSize x

instance ITObject (Exist TH1I) where
  draw (ETH1I x) = draw x
  findObject (ETH1I x) = findObject x
  getName (ETH1I x) = getName x
  isA (ETH1I x) = isA x
  isFolder (ETH1I x) = isFolder x
  isEqual (ETH1I x) = isEqual x
  isSortable (ETH1I x) = isSortable x
  paint (ETH1I x) = paint x
  printObj (ETH1I x) = printObj x
  recursiveRemove (ETH1I x) = recursiveRemove x
  saveAs (ETH1I x) = saveAs x
  useCurrentStyle (ETH1I x) = useCurrentStyle x
  write (ETH1I x) = write x

instance IDeletable (Exist TH1I) where
  delete (ETH1I x) = delete x

instance ITArray (Exist TH1I) where


instance ITH1S (Exist TH1S) where


instance ITH1 (Exist TH1S) where
  add (ETH1S x) = add x
  addBinContent (ETH1S x) = addBinContent x
  chi2Test (ETH1S x) = chi2Test x
  computeIntegral (ETH1S x) = computeIntegral x
  directoryAutoAdd (ETH1S x) = directoryAutoAdd x
  divide (ETH1S x) = divide x
  drawCopyTH1 (ETH1S x) a1 = return . ETH1S =<< drawCopyTH1 x a1
  drawNormalized (ETH1S x) = drawNormalized x
  drawPanelTH1 (ETH1S x) = drawPanelTH1 x
  bufferEmpty (ETH1S x) = bufferEmpty x
  evalF (ETH1S x) = evalF x
  fFT (ETH1S x) = fFT x
  fill1 (ETH1S x) = fill1 x
  fill1w (ETH1S x) = fill1w x
  fillN1 (ETH1S x) = fillN1 x
  fillRandom (ETH1S x) = fillRandom x
  findBin (ETH1S x) = findBin x
  findFixBin (ETH1S x) = findFixBin x
  findFirstBinAbove (ETH1S x) = findFirstBinAbove x
  findLastBinAbove (ETH1S x) = findLastBinAbove x
  fitPanelTH1 (ETH1S x) = fitPanelTH1 x
  getNdivisionA (ETH1S x) = getNdivisionA x
  getAxisColorA (ETH1S x) = getAxisColorA x
  getLabelColorA (ETH1S x) = getLabelColorA x
  getLabelFontA (ETH1S x) = getLabelFontA x
  getLabelOffsetA (ETH1S x) = getLabelOffsetA x
  getLabelSizeA (ETH1S x) = getLabelSizeA x
  getTitleFontA (ETH1S x) = getTitleFontA x
  getTitleOffsetA (ETH1S x) = getTitleOffsetA x
  getTitleSizeA (ETH1S x) = getTitleSizeA x
  getTickLengthA (ETH1S x) = getTickLengthA x
  getBarOffset (ETH1S x) = getBarOffset x
  getBarWidth (ETH1S x) = getBarWidth x
  getContour (ETH1S x) = getContour x
  getContourLevel (ETH1S x) = getContourLevel x
  getContourLevelPad (ETH1S x) = getContourLevelPad x
  getBin (ETH1S x) = getBin x
  getBinCenter (ETH1S x) = getBinCenter x
  getBinContent1 (ETH1S x) = getBinContent1 x
  getBinContent2 (ETH1S x) = getBinContent2 x
  getBinContent3 (ETH1S x) = getBinContent3 x
  getBinError1 (ETH1S x) = getBinError1 x
  getBinError2 (ETH1S x) = getBinError2 x
  getBinError3 (ETH1S x) = getBinError3 x
  getBinLowEdge (ETH1S x) = getBinLowEdge x
  getBinWidth (ETH1S x) = getBinWidth x
  getCellContent (ETH1S x) = getCellContent x
  getCellError (ETH1S x) = getCellError x
  getEntries (ETH1S x) = getEntries x
  getEffectiveEntries (ETH1S x) = getEffectiveEntries x
  getFunction (ETH1S x) = getFunction x
  getDimension (ETH1S x) = getDimension x
  getKurtosis (ETH1S x) = getKurtosis x
  getLowEdge (ETH1S x) = getLowEdge x
  getMaximumTH1 (ETH1S x) = getMaximumTH1 x
  getMaximumBin (ETH1S x) = getMaximumBin x
  getMaximumStored (ETH1S x) = getMaximumStored x
  getMinimumTH1 (ETH1S x) = getMinimumTH1 x
  getMinimumBin (ETH1S x) = getMinimumBin x
  getMinimumStored (ETH1S x) = getMinimumStored x
  getMean (ETH1S x) = getMean x
  getMeanError (ETH1S x) = getMeanError x
  getNbinsX (ETH1S x) = getNbinsX x
  getNbinsY (ETH1S x) = getNbinsY x
  getNbinsZ (ETH1S x) = getNbinsZ x
  getQuantilesTH1 (ETH1S x) = getQuantilesTH1 x
  getRandom (ETH1S x) = getRandom x
  getStats (ETH1S x) = getStats x
  getSumOfWeights (ETH1S x) = getSumOfWeights x
  getSumw2 (ETH1S x) = getSumw2 x
  getSumw2N (ETH1S x) = getSumw2N x
  getRMS (ETH1S x) = getRMS x
  getRMSError (ETH1S x) = getRMSError x
  getSkewness (ETH1S x) = getSkewness x
  integral1 (ETH1S x) = integral1 x
  interpolate1 (ETH1S x) = interpolate1 x
  interpolate2 (ETH1S x) = interpolate2 x
  interpolate3 (ETH1S x) = interpolate3 x
  kolmogorovTest (ETH1S x) = kolmogorovTest x
  labelsDeflate (ETH1S x) = labelsDeflate x
  labelsInflate (ETH1S x) = labelsInflate x
  labelsOption (ETH1S x) = labelsOption x
  multiflyF (ETH1S x) = multiflyF x
  multiply (ETH1S x) = multiply x
  putStats (ETH1S x) = putStats x
  rebin (ETH1S x) = rebin x
  rebinAxis (ETH1S x) = rebinAxis x
  rebuild (ETH1S x) = rebuild x
  reset (ETH1S x) = reset x
  resetStats (ETH1S x) = resetStats x
  scale (ETH1S x) = scale x
  setAxisColorA (ETH1S x) = setAxisColorA x
  setAxisRange (ETH1S x) = setAxisRange x
  setBarOffset (ETH1S x) = setBarOffset x
  setBarWidth (ETH1S x) = setBarWidth x
  setBinContent1 (ETH1S x) = setBinContent1 x
  setBinContent2 (ETH1S x) = setBinContent2 x
  setBinContent3 (ETH1S x) = setBinContent3 x
  setBinError1 (ETH1S x) = setBinError1 x
  setBinError2 (ETH1S x) = setBinError2 x
  setBinError3 (ETH1S x) = setBinError3 x
  setBins1 (ETH1S x) = setBins1 x
  setBins2 (ETH1S x) = setBins2 x
  setBins3 (ETH1S x) = setBins3 x
  setBinsLength (ETH1S x) = setBinsLength x
  setBuffer (ETH1S x) = setBuffer x
  setCellContent (ETH1S x) = setCellContent x
  setContent (ETH1S x) = setContent x
  setContour (ETH1S x) = setContour x
  setContourLevel (ETH1S x) = setContourLevel x
  setDirectory (ETH1S x) = setDirectory x
  setEntries (ETH1S x) = setEntries x
  setError (ETH1S x) = setError x
  setLabelColorA (ETH1S x) = setLabelColorA x
  setLabelSizeA (ETH1S x) = setLabelSizeA x
  setLabelFontA (ETH1S x) = setLabelFontA x
  setLabelOffsetA (ETH1S x) = setLabelOffsetA x
  setMaximum (ETH1S x) = setMaximum x
  setMinimum (ETH1S x) = setMinimum x
  setNormFactor (ETH1S x) = setNormFactor x
  setStats (ETH1S x) = setStats x
  setOption (ETH1S x) = setOption x
  setXTitle (ETH1S x) = setXTitle x
  setYTitle (ETH1S x) = setYTitle x
  setZTitle (ETH1S x) = setZTitle x
  showBackground (ETH1S x) = showBackground x
  showPeaks (ETH1S x) = showPeaks x
  smooth (ETH1S x) = smooth x
  sumw2 (ETH1S x) = sumw2 x

instance ITArrayS (Exist TH1S) where


instance ITNamed (Exist TH1S) where
  setName (ETH1S x) = setName x
  setNameTitle (ETH1S x) = setNameTitle x
  setTitle (ETH1S x) = setTitle x

instance ITAttLine (Exist TH1S) where
  getLineColor (ETH1S x) = getLineColor x
  getLineStyle (ETH1S x) = getLineStyle x
  getLineWidth (ETH1S x) = getLineWidth x
  resetAttLine (ETH1S x) = resetAttLine x
  setLineAttributes (ETH1S x) = setLineAttributes x
  setLineColor (ETH1S x) = setLineColor x
  setLineStyle (ETH1S x) = setLineStyle x
  setLineWidth (ETH1S x) = setLineWidth x

instance ITAttFill (Exist TH1S) where
  setFillColor (ETH1S x) = setFillColor x
  setFillStyle (ETH1S x) = setFillStyle x

instance ITAttMarker (Exist TH1S) where
  getMarkerColor (ETH1S x) = getMarkerColor x
  getMarkerStyle (ETH1S x) = getMarkerStyle x
  getMarkerSize (ETH1S x) = getMarkerSize x
  resetAttMarker (ETH1S x) = resetAttMarker x
  setMarkerAttributes (ETH1S x) = setMarkerAttributes x
  setMarkerColor (ETH1S x) = setMarkerColor x
  setMarkerStyle (ETH1S x) = setMarkerStyle x
  setMarkerSize (ETH1S x) = setMarkerSize x

instance ITObject (Exist TH1S) where
  draw (ETH1S x) = draw x
  findObject (ETH1S x) = findObject x
  getName (ETH1S x) = getName x
  isA (ETH1S x) = isA x
  isFolder (ETH1S x) = isFolder x
  isEqual (ETH1S x) = isEqual x
  isSortable (ETH1S x) = isSortable x
  paint (ETH1S x) = paint x
  printObj (ETH1S x) = printObj x
  recursiveRemove (ETH1S x) = recursiveRemove x
  saveAs (ETH1S x) = saveAs x
  useCurrentStyle (ETH1S x) = useCurrentStyle x
  write (ETH1S x) = write x

instance IDeletable (Exist TH1S) where
  delete (ETH1S x) = delete x

instance ITArray (Exist TH1S) where


instance ITH2C (Exist TH2C) where


instance ITH2 (Exist TH2C) where
  fill2 (ETH2C x) = fill2 x
  fill2w (ETH2C x) = fill2w x
  fillN2 (ETH2C x) = fillN2 x
  fillRandom2 (ETH2C x) = fillRandom2 x
  findFirstBinAbove2 (ETH2C x) = findFirstBinAbove2 x
  findLastBinAbove2 (ETH2C x) = findLastBinAbove2 x
  fitSlicesX (ETH2C x) = fitSlicesX x
  fitSlicesY (ETH2C x) = fitSlicesY x
  getCorrelationFactor2 (ETH2C x) = getCorrelationFactor2 x
  getCovariance2 (ETH2C x) = getCovariance2 x
  integral2 (ETH2C x) = integral2 x
  rebinX2 (ETH2C x) = rebinX2 x
  rebinY2 (ETH2C x) = rebinY2 x
  rebin2D (ETH2C x) = rebin2D x
  setShowProjectionX (ETH2C x) = setShowProjectionX x
  setShowProjectionY (ETH2C x) = setShowProjectionY x

instance ITArrayC (Exist TH2C) where


instance ITH1 (Exist TH2C) where
  add (ETH2C x) = add x
  addBinContent (ETH2C x) = addBinContent x
  chi2Test (ETH2C x) = chi2Test x
  computeIntegral (ETH2C x) = computeIntegral x
  directoryAutoAdd (ETH2C x) = directoryAutoAdd x
  divide (ETH2C x) = divide x
  drawCopyTH1 (ETH2C x) a1 = return . ETH2C =<< drawCopyTH1 x a1
  drawNormalized (ETH2C x) = drawNormalized x
  drawPanelTH1 (ETH2C x) = drawPanelTH1 x
  bufferEmpty (ETH2C x) = bufferEmpty x
  evalF (ETH2C x) = evalF x
  fFT (ETH2C x) = fFT x
  fill1 (ETH2C x) = fill1 x
  fill1w (ETH2C x) = fill1w x
  fillN1 (ETH2C x) = fillN1 x
  fillRandom (ETH2C x) = fillRandom x
  findBin (ETH2C x) = findBin x
  findFixBin (ETH2C x) = findFixBin x
  findFirstBinAbove (ETH2C x) = findFirstBinAbove x
  findLastBinAbove (ETH2C x) = findLastBinAbove x
  fitPanelTH1 (ETH2C x) = fitPanelTH1 x
  getNdivisionA (ETH2C x) = getNdivisionA x
  getAxisColorA (ETH2C x) = getAxisColorA x
  getLabelColorA (ETH2C x) = getLabelColorA x
  getLabelFontA (ETH2C x) = getLabelFontA x
  getLabelOffsetA (ETH2C x) = getLabelOffsetA x
  getLabelSizeA (ETH2C x) = getLabelSizeA x
  getTitleFontA (ETH2C x) = getTitleFontA x
  getTitleOffsetA (ETH2C x) = getTitleOffsetA x
  getTitleSizeA (ETH2C x) = getTitleSizeA x
  getTickLengthA (ETH2C x) = getTickLengthA x
  getBarOffset (ETH2C x) = getBarOffset x
  getBarWidth (ETH2C x) = getBarWidth x
  getContour (ETH2C x) = getContour x
  getContourLevel (ETH2C x) = getContourLevel x
  getContourLevelPad (ETH2C x) = getContourLevelPad x
  getBin (ETH2C x) = getBin x
  getBinCenter (ETH2C x) = getBinCenter x
  getBinContent1 (ETH2C x) = getBinContent1 x
  getBinContent2 (ETH2C x) = getBinContent2 x
  getBinContent3 (ETH2C x) = getBinContent3 x
  getBinError1 (ETH2C x) = getBinError1 x
  getBinError2 (ETH2C x) = getBinError2 x
  getBinError3 (ETH2C x) = getBinError3 x
  getBinLowEdge (ETH2C x) = getBinLowEdge x
  getBinWidth (ETH2C x) = getBinWidth x
  getCellContent (ETH2C x) = getCellContent x
  getCellError (ETH2C x) = getCellError x
  getEntries (ETH2C x) = getEntries x
  getEffectiveEntries (ETH2C x) = getEffectiveEntries x
  getFunction (ETH2C x) = getFunction x
  getDimension (ETH2C x) = getDimension x
  getKurtosis (ETH2C x) = getKurtosis x
  getLowEdge (ETH2C x) = getLowEdge x
  getMaximumTH1 (ETH2C x) = getMaximumTH1 x
  getMaximumBin (ETH2C x) = getMaximumBin x
  getMaximumStored (ETH2C x) = getMaximumStored x
  getMinimumTH1 (ETH2C x) = getMinimumTH1 x
  getMinimumBin (ETH2C x) = getMinimumBin x
  getMinimumStored (ETH2C x) = getMinimumStored x
  getMean (ETH2C x) = getMean x
  getMeanError (ETH2C x) = getMeanError x
  getNbinsX (ETH2C x) = getNbinsX x
  getNbinsY (ETH2C x) = getNbinsY x
  getNbinsZ (ETH2C x) = getNbinsZ x
  getQuantilesTH1 (ETH2C x) = getQuantilesTH1 x
  getRandom (ETH2C x) = getRandom x
  getStats (ETH2C x) = getStats x
  getSumOfWeights (ETH2C x) = getSumOfWeights x
  getSumw2 (ETH2C x) = getSumw2 x
  getSumw2N (ETH2C x) = getSumw2N x
  getRMS (ETH2C x) = getRMS x
  getRMSError (ETH2C x) = getRMSError x
  getSkewness (ETH2C x) = getSkewness x
  integral1 (ETH2C x) = integral1 x
  interpolate1 (ETH2C x) = interpolate1 x
  interpolate2 (ETH2C x) = interpolate2 x
  interpolate3 (ETH2C x) = interpolate3 x
  kolmogorovTest (ETH2C x) = kolmogorovTest x
  labelsDeflate (ETH2C x) = labelsDeflate x
  labelsInflate (ETH2C x) = labelsInflate x
  labelsOption (ETH2C x) = labelsOption x
  multiflyF (ETH2C x) = multiflyF x
  multiply (ETH2C x) = multiply x
  putStats (ETH2C x) = putStats x
  rebin (ETH2C x) = rebin x
  rebinAxis (ETH2C x) = rebinAxis x
  rebuild (ETH2C x) = rebuild x
  reset (ETH2C x) = reset x
  resetStats (ETH2C x) = resetStats x
  scale (ETH2C x) = scale x
  setAxisColorA (ETH2C x) = setAxisColorA x
  setAxisRange (ETH2C x) = setAxisRange x
  setBarOffset (ETH2C x) = setBarOffset x
  setBarWidth (ETH2C x) = setBarWidth x
  setBinContent1 (ETH2C x) = setBinContent1 x
  setBinContent2 (ETH2C x) = setBinContent2 x
  setBinContent3 (ETH2C x) = setBinContent3 x
  setBinError1 (ETH2C x) = setBinError1 x
  setBinError2 (ETH2C x) = setBinError2 x
  setBinError3 (ETH2C x) = setBinError3 x
  setBins1 (ETH2C x) = setBins1 x
  setBins2 (ETH2C x) = setBins2 x
  setBins3 (ETH2C x) = setBins3 x
  setBinsLength (ETH2C x) = setBinsLength x
  setBuffer (ETH2C x) = setBuffer x
  setCellContent (ETH2C x) = setCellContent x
  setContent (ETH2C x) = setContent x
  setContour (ETH2C x) = setContour x
  setContourLevel (ETH2C x) = setContourLevel x
  setDirectory (ETH2C x) = setDirectory x
  setEntries (ETH2C x) = setEntries x
  setError (ETH2C x) = setError x
  setLabelColorA (ETH2C x) = setLabelColorA x
  setLabelSizeA (ETH2C x) = setLabelSizeA x
  setLabelFontA (ETH2C x) = setLabelFontA x
  setLabelOffsetA (ETH2C x) = setLabelOffsetA x
  setMaximum (ETH2C x) = setMaximum x
  setMinimum (ETH2C x) = setMinimum x
  setNormFactor (ETH2C x) = setNormFactor x
  setStats (ETH2C x) = setStats x
  setOption (ETH2C x) = setOption x
  setXTitle (ETH2C x) = setXTitle x
  setYTitle (ETH2C x) = setYTitle x
  setZTitle (ETH2C x) = setZTitle x
  showBackground (ETH2C x) = showBackground x
  showPeaks (ETH2C x) = showPeaks x
  smooth (ETH2C x) = smooth x
  sumw2 (ETH2C x) = sumw2 x

instance ITNamed (Exist TH2C) where
  setName (ETH2C x) = setName x
  setNameTitle (ETH2C x) = setNameTitle x
  setTitle (ETH2C x) = setTitle x

instance ITAttLine (Exist TH2C) where
  getLineColor (ETH2C x) = getLineColor x
  getLineStyle (ETH2C x) = getLineStyle x
  getLineWidth (ETH2C x) = getLineWidth x
  resetAttLine (ETH2C x) = resetAttLine x
  setLineAttributes (ETH2C x) = setLineAttributes x
  setLineColor (ETH2C x) = setLineColor x
  setLineStyle (ETH2C x) = setLineStyle x
  setLineWidth (ETH2C x) = setLineWidth x

instance ITAttFill (Exist TH2C) where
  setFillColor (ETH2C x) = setFillColor x
  setFillStyle (ETH2C x) = setFillStyle x

instance ITAttMarker (Exist TH2C) where
  getMarkerColor (ETH2C x) = getMarkerColor x
  getMarkerStyle (ETH2C x) = getMarkerStyle x
  getMarkerSize (ETH2C x) = getMarkerSize x
  resetAttMarker (ETH2C x) = resetAttMarker x
  setMarkerAttributes (ETH2C x) = setMarkerAttributes x
  setMarkerColor (ETH2C x) = setMarkerColor x
  setMarkerStyle (ETH2C x) = setMarkerStyle x
  setMarkerSize (ETH2C x) = setMarkerSize x

instance ITObject (Exist TH2C) where
  draw (ETH2C x) = draw x
  findObject (ETH2C x) = findObject x
  getName (ETH2C x) = getName x
  isA (ETH2C x) = isA x
  isFolder (ETH2C x) = isFolder x
  isEqual (ETH2C x) = isEqual x
  isSortable (ETH2C x) = isSortable x
  paint (ETH2C x) = paint x
  printObj (ETH2C x) = printObj x
  recursiveRemove (ETH2C x) = recursiveRemove x
  saveAs (ETH2C x) = saveAs x
  useCurrentStyle (ETH2C x) = useCurrentStyle x
  write (ETH2C x) = write x

instance IDeletable (Exist TH2C) where
  delete (ETH2C x) = delete x

instance ITArray (Exist TH2C) where


instance ITH2D (Exist TH2D) where


instance ITH2 (Exist TH2D) where
  fill2 (ETH2D x) = fill2 x
  fill2w (ETH2D x) = fill2w x
  fillN2 (ETH2D x) = fillN2 x
  fillRandom2 (ETH2D x) = fillRandom2 x
  findFirstBinAbove2 (ETH2D x) = findFirstBinAbove2 x
  findLastBinAbove2 (ETH2D x) = findLastBinAbove2 x
  fitSlicesX (ETH2D x) = fitSlicesX x
  fitSlicesY (ETH2D x) = fitSlicesY x
  getCorrelationFactor2 (ETH2D x) = getCorrelationFactor2 x
  getCovariance2 (ETH2D x) = getCovariance2 x
  integral2 (ETH2D x) = integral2 x
  rebinX2 (ETH2D x) = rebinX2 x
  rebinY2 (ETH2D x) = rebinY2 x
  rebin2D (ETH2D x) = rebin2D x
  setShowProjectionX (ETH2D x) = setShowProjectionX x
  setShowProjectionY (ETH2D x) = setShowProjectionY x

instance ITArrayD (Exist TH2D) where


instance ITH1 (Exist TH2D) where
  add (ETH2D x) = add x
  addBinContent (ETH2D x) = addBinContent x
  chi2Test (ETH2D x) = chi2Test x
  computeIntegral (ETH2D x) = computeIntegral x
  directoryAutoAdd (ETH2D x) = directoryAutoAdd x
  divide (ETH2D x) = divide x
  drawCopyTH1 (ETH2D x) a1 = return . ETH2D =<< drawCopyTH1 x a1
  drawNormalized (ETH2D x) = drawNormalized x
  drawPanelTH1 (ETH2D x) = drawPanelTH1 x
  bufferEmpty (ETH2D x) = bufferEmpty x
  evalF (ETH2D x) = evalF x
  fFT (ETH2D x) = fFT x
  fill1 (ETH2D x) = fill1 x
  fill1w (ETH2D x) = fill1w x
  fillN1 (ETH2D x) = fillN1 x
  fillRandom (ETH2D x) = fillRandom x
  findBin (ETH2D x) = findBin x
  findFixBin (ETH2D x) = findFixBin x
  findFirstBinAbove (ETH2D x) = findFirstBinAbove x
  findLastBinAbove (ETH2D x) = findLastBinAbove x
  fitPanelTH1 (ETH2D x) = fitPanelTH1 x
  getNdivisionA (ETH2D x) = getNdivisionA x
  getAxisColorA (ETH2D x) = getAxisColorA x
  getLabelColorA (ETH2D x) = getLabelColorA x
  getLabelFontA (ETH2D x) = getLabelFontA x
  getLabelOffsetA (ETH2D x) = getLabelOffsetA x
  getLabelSizeA (ETH2D x) = getLabelSizeA x
  getTitleFontA (ETH2D x) = getTitleFontA x
  getTitleOffsetA (ETH2D x) = getTitleOffsetA x
  getTitleSizeA (ETH2D x) = getTitleSizeA x
  getTickLengthA (ETH2D x) = getTickLengthA x
  getBarOffset (ETH2D x) = getBarOffset x
  getBarWidth (ETH2D x) = getBarWidth x
  getContour (ETH2D x) = getContour x
  getContourLevel (ETH2D x) = getContourLevel x
  getContourLevelPad (ETH2D x) = getContourLevelPad x
  getBin (ETH2D x) = getBin x
  getBinCenter (ETH2D x) = getBinCenter x
  getBinContent1 (ETH2D x) = getBinContent1 x
  getBinContent2 (ETH2D x) = getBinContent2 x
  getBinContent3 (ETH2D x) = getBinContent3 x
  getBinError1 (ETH2D x) = getBinError1 x
  getBinError2 (ETH2D x) = getBinError2 x
  getBinError3 (ETH2D x) = getBinError3 x
  getBinLowEdge (ETH2D x) = getBinLowEdge x
  getBinWidth (ETH2D x) = getBinWidth x
  getCellContent (ETH2D x) = getCellContent x
  getCellError (ETH2D x) = getCellError x
  getEntries (ETH2D x) = getEntries x
  getEffectiveEntries (ETH2D x) = getEffectiveEntries x
  getFunction (ETH2D x) = getFunction x
  getDimension (ETH2D x) = getDimension x
  getKurtosis (ETH2D x) = getKurtosis x
  getLowEdge (ETH2D x) = getLowEdge x
  getMaximumTH1 (ETH2D x) = getMaximumTH1 x
  getMaximumBin (ETH2D x) = getMaximumBin x
  getMaximumStored (ETH2D x) = getMaximumStored x
  getMinimumTH1 (ETH2D x) = getMinimumTH1 x
  getMinimumBin (ETH2D x) = getMinimumBin x
  getMinimumStored (ETH2D x) = getMinimumStored x
  getMean (ETH2D x) = getMean x
  getMeanError (ETH2D x) = getMeanError x
  getNbinsX (ETH2D x) = getNbinsX x
  getNbinsY (ETH2D x) = getNbinsY x
  getNbinsZ (ETH2D x) = getNbinsZ x
  getQuantilesTH1 (ETH2D x) = getQuantilesTH1 x
  getRandom (ETH2D x) = getRandom x
  getStats (ETH2D x) = getStats x
  getSumOfWeights (ETH2D x) = getSumOfWeights x
  getSumw2 (ETH2D x) = getSumw2 x
  getSumw2N (ETH2D x) = getSumw2N x
  getRMS (ETH2D x) = getRMS x
  getRMSError (ETH2D x) = getRMSError x
  getSkewness (ETH2D x) = getSkewness x
  integral1 (ETH2D x) = integral1 x
  interpolate1 (ETH2D x) = interpolate1 x
  interpolate2 (ETH2D x) = interpolate2 x
  interpolate3 (ETH2D x) = interpolate3 x
  kolmogorovTest (ETH2D x) = kolmogorovTest x
  labelsDeflate (ETH2D x) = labelsDeflate x
  labelsInflate (ETH2D x) = labelsInflate x
  labelsOption (ETH2D x) = labelsOption x
  multiflyF (ETH2D x) = multiflyF x
  multiply (ETH2D x) = multiply x
  putStats (ETH2D x) = putStats x
  rebin (ETH2D x) = rebin x
  rebinAxis (ETH2D x) = rebinAxis x
  rebuild (ETH2D x) = rebuild x
  reset (ETH2D x) = reset x
  resetStats (ETH2D x) = resetStats x
  scale (ETH2D x) = scale x
  setAxisColorA (ETH2D x) = setAxisColorA x
  setAxisRange (ETH2D x) = setAxisRange x
  setBarOffset (ETH2D x) = setBarOffset x
  setBarWidth (ETH2D x) = setBarWidth x
  setBinContent1 (ETH2D x) = setBinContent1 x
  setBinContent2 (ETH2D x) = setBinContent2 x
  setBinContent3 (ETH2D x) = setBinContent3 x
  setBinError1 (ETH2D x) = setBinError1 x
  setBinError2 (ETH2D x) = setBinError2 x
  setBinError3 (ETH2D x) = setBinError3 x
  setBins1 (ETH2D x) = setBins1 x
  setBins2 (ETH2D x) = setBins2 x
  setBins3 (ETH2D x) = setBins3 x
  setBinsLength (ETH2D x) = setBinsLength x
  setBuffer (ETH2D x) = setBuffer x
  setCellContent (ETH2D x) = setCellContent x
  setContent (ETH2D x) = setContent x
  setContour (ETH2D x) = setContour x
  setContourLevel (ETH2D x) = setContourLevel x
  setDirectory (ETH2D x) = setDirectory x
  setEntries (ETH2D x) = setEntries x
  setError (ETH2D x) = setError x
  setLabelColorA (ETH2D x) = setLabelColorA x
  setLabelSizeA (ETH2D x) = setLabelSizeA x
  setLabelFontA (ETH2D x) = setLabelFontA x
  setLabelOffsetA (ETH2D x) = setLabelOffsetA x
  setMaximum (ETH2D x) = setMaximum x
  setMinimum (ETH2D x) = setMinimum x
  setNormFactor (ETH2D x) = setNormFactor x
  setStats (ETH2D x) = setStats x
  setOption (ETH2D x) = setOption x
  setXTitle (ETH2D x) = setXTitle x
  setYTitle (ETH2D x) = setYTitle x
  setZTitle (ETH2D x) = setZTitle x
  showBackground (ETH2D x) = showBackground x
  showPeaks (ETH2D x) = showPeaks x
  smooth (ETH2D x) = smooth x
  sumw2 (ETH2D x) = sumw2 x

instance ITNamed (Exist TH2D) where
  setName (ETH2D x) = setName x
  setNameTitle (ETH2D x) = setNameTitle x
  setTitle (ETH2D x) = setTitle x

instance ITAttLine (Exist TH2D) where
  getLineColor (ETH2D x) = getLineColor x
  getLineStyle (ETH2D x) = getLineStyle x
  getLineWidth (ETH2D x) = getLineWidth x
  resetAttLine (ETH2D x) = resetAttLine x
  setLineAttributes (ETH2D x) = setLineAttributes x
  setLineColor (ETH2D x) = setLineColor x
  setLineStyle (ETH2D x) = setLineStyle x
  setLineWidth (ETH2D x) = setLineWidth x

instance ITAttFill (Exist TH2D) where
  setFillColor (ETH2D x) = setFillColor x
  setFillStyle (ETH2D x) = setFillStyle x

instance ITAttMarker (Exist TH2D) where
  getMarkerColor (ETH2D x) = getMarkerColor x
  getMarkerStyle (ETH2D x) = getMarkerStyle x
  getMarkerSize (ETH2D x) = getMarkerSize x
  resetAttMarker (ETH2D x) = resetAttMarker x
  setMarkerAttributes (ETH2D x) = setMarkerAttributes x
  setMarkerColor (ETH2D x) = setMarkerColor x
  setMarkerStyle (ETH2D x) = setMarkerStyle x
  setMarkerSize (ETH2D x) = setMarkerSize x

instance ITObject (Exist TH2D) where
  draw (ETH2D x) = draw x
  findObject (ETH2D x) = findObject x
  getName (ETH2D x) = getName x
  isA (ETH2D x) = isA x
  isFolder (ETH2D x) = isFolder x
  isEqual (ETH2D x) = isEqual x
  isSortable (ETH2D x) = isSortable x
  paint (ETH2D x) = paint x
  printObj (ETH2D x) = printObj x
  recursiveRemove (ETH2D x) = recursiveRemove x
  saveAs (ETH2D x) = saveAs x
  useCurrentStyle (ETH2D x) = useCurrentStyle x
  write (ETH2D x) = write x

instance IDeletable (Exist TH2D) where
  delete (ETH2D x) = delete x

instance ITArray (Exist TH2D) where


instance ITH2F (Exist TH2F) where


instance ITH2 (Exist TH2F) where
  fill2 (ETH2F x) = fill2 x
  fill2w (ETH2F x) = fill2w x
  fillN2 (ETH2F x) = fillN2 x
  fillRandom2 (ETH2F x) = fillRandom2 x
  findFirstBinAbove2 (ETH2F x) = findFirstBinAbove2 x
  findLastBinAbove2 (ETH2F x) = findLastBinAbove2 x
  fitSlicesX (ETH2F x) = fitSlicesX x
  fitSlicesY (ETH2F x) = fitSlicesY x
  getCorrelationFactor2 (ETH2F x) = getCorrelationFactor2 x
  getCovariance2 (ETH2F x) = getCovariance2 x
  integral2 (ETH2F x) = integral2 x
  rebinX2 (ETH2F x) = rebinX2 x
  rebinY2 (ETH2F x) = rebinY2 x
  rebin2D (ETH2F x) = rebin2D x
  setShowProjectionX (ETH2F x) = setShowProjectionX x
  setShowProjectionY (ETH2F x) = setShowProjectionY x

instance ITArrayF (Exist TH2F) where


instance ITH1 (Exist TH2F) where
  add (ETH2F x) = add x
  addBinContent (ETH2F x) = addBinContent x
  chi2Test (ETH2F x) = chi2Test x
  computeIntegral (ETH2F x) = computeIntegral x
  directoryAutoAdd (ETH2F x) = directoryAutoAdd x
  divide (ETH2F x) = divide x
  drawCopyTH1 (ETH2F x) a1 = return . ETH2F =<< drawCopyTH1 x a1
  drawNormalized (ETH2F x) = drawNormalized x
  drawPanelTH1 (ETH2F x) = drawPanelTH1 x
  bufferEmpty (ETH2F x) = bufferEmpty x
  evalF (ETH2F x) = evalF x
  fFT (ETH2F x) = fFT x
  fill1 (ETH2F x) = fill1 x
  fill1w (ETH2F x) = fill1w x
  fillN1 (ETH2F x) = fillN1 x
  fillRandom (ETH2F x) = fillRandom x
  findBin (ETH2F x) = findBin x
  findFixBin (ETH2F x) = findFixBin x
  findFirstBinAbove (ETH2F x) = findFirstBinAbove x
  findLastBinAbove (ETH2F x) = findLastBinAbove x
  fitPanelTH1 (ETH2F x) = fitPanelTH1 x
  getNdivisionA (ETH2F x) = getNdivisionA x
  getAxisColorA (ETH2F x) = getAxisColorA x
  getLabelColorA (ETH2F x) = getLabelColorA x
  getLabelFontA (ETH2F x) = getLabelFontA x
  getLabelOffsetA (ETH2F x) = getLabelOffsetA x
  getLabelSizeA (ETH2F x) = getLabelSizeA x
  getTitleFontA (ETH2F x) = getTitleFontA x
  getTitleOffsetA (ETH2F x) = getTitleOffsetA x
  getTitleSizeA (ETH2F x) = getTitleSizeA x
  getTickLengthA (ETH2F x) = getTickLengthA x
  getBarOffset (ETH2F x) = getBarOffset x
  getBarWidth (ETH2F x) = getBarWidth x
  getContour (ETH2F x) = getContour x
  getContourLevel (ETH2F x) = getContourLevel x
  getContourLevelPad (ETH2F x) = getContourLevelPad x
  getBin (ETH2F x) = getBin x
  getBinCenter (ETH2F x) = getBinCenter x
  getBinContent1 (ETH2F x) = getBinContent1 x
  getBinContent2 (ETH2F x) = getBinContent2 x
  getBinContent3 (ETH2F x) = getBinContent3 x
  getBinError1 (ETH2F x) = getBinError1 x
  getBinError2 (ETH2F x) = getBinError2 x
  getBinError3 (ETH2F x) = getBinError3 x
  getBinLowEdge (ETH2F x) = getBinLowEdge x
  getBinWidth (ETH2F x) = getBinWidth x
  getCellContent (ETH2F x) = getCellContent x
  getCellError (ETH2F x) = getCellError x
  getEntries (ETH2F x) = getEntries x
  getEffectiveEntries (ETH2F x) = getEffectiveEntries x
  getFunction (ETH2F x) = getFunction x
  getDimension (ETH2F x) = getDimension x
  getKurtosis (ETH2F x) = getKurtosis x
  getLowEdge (ETH2F x) = getLowEdge x
  getMaximumTH1 (ETH2F x) = getMaximumTH1 x
  getMaximumBin (ETH2F x) = getMaximumBin x
  getMaximumStored (ETH2F x) = getMaximumStored x
  getMinimumTH1 (ETH2F x) = getMinimumTH1 x
  getMinimumBin (ETH2F x) = getMinimumBin x
  getMinimumStored (ETH2F x) = getMinimumStored x
  getMean (ETH2F x) = getMean x
  getMeanError (ETH2F x) = getMeanError x
  getNbinsX (ETH2F x) = getNbinsX x
  getNbinsY (ETH2F x) = getNbinsY x
  getNbinsZ (ETH2F x) = getNbinsZ x
  getQuantilesTH1 (ETH2F x) = getQuantilesTH1 x
  getRandom (ETH2F x) = getRandom x
  getStats (ETH2F x) = getStats x
  getSumOfWeights (ETH2F x) = getSumOfWeights x
  getSumw2 (ETH2F x) = getSumw2 x
  getSumw2N (ETH2F x) = getSumw2N x
  getRMS (ETH2F x) = getRMS x
  getRMSError (ETH2F x) = getRMSError x
  getSkewness (ETH2F x) = getSkewness x
  integral1 (ETH2F x) = integral1 x
  interpolate1 (ETH2F x) = interpolate1 x
  interpolate2 (ETH2F x) = interpolate2 x
  interpolate3 (ETH2F x) = interpolate3 x
  kolmogorovTest (ETH2F x) = kolmogorovTest x
  labelsDeflate (ETH2F x) = labelsDeflate x
  labelsInflate (ETH2F x) = labelsInflate x
  labelsOption (ETH2F x) = labelsOption x
  multiflyF (ETH2F x) = multiflyF x
  multiply (ETH2F x) = multiply x
  putStats (ETH2F x) = putStats x
  rebin (ETH2F x) = rebin x
  rebinAxis (ETH2F x) = rebinAxis x
  rebuild (ETH2F x) = rebuild x
  reset (ETH2F x) = reset x
  resetStats (ETH2F x) = resetStats x
  scale (ETH2F x) = scale x
  setAxisColorA (ETH2F x) = setAxisColorA x
  setAxisRange (ETH2F x) = setAxisRange x
  setBarOffset (ETH2F x) = setBarOffset x
  setBarWidth (ETH2F x) = setBarWidth x
  setBinContent1 (ETH2F x) = setBinContent1 x
  setBinContent2 (ETH2F x) = setBinContent2 x
  setBinContent3 (ETH2F x) = setBinContent3 x
  setBinError1 (ETH2F x) = setBinError1 x
  setBinError2 (ETH2F x) = setBinError2 x
  setBinError3 (ETH2F x) = setBinError3 x
  setBins1 (ETH2F x) = setBins1 x
  setBins2 (ETH2F x) = setBins2 x
  setBins3 (ETH2F x) = setBins3 x
  setBinsLength (ETH2F x) = setBinsLength x
  setBuffer (ETH2F x) = setBuffer x
  setCellContent (ETH2F x) = setCellContent x
  setContent (ETH2F x) = setContent x
  setContour (ETH2F x) = setContour x
  setContourLevel (ETH2F x) = setContourLevel x
  setDirectory (ETH2F x) = setDirectory x
  setEntries (ETH2F x) = setEntries x
  setError (ETH2F x) = setError x
  setLabelColorA (ETH2F x) = setLabelColorA x
  setLabelSizeA (ETH2F x) = setLabelSizeA x
  setLabelFontA (ETH2F x) = setLabelFontA x
  setLabelOffsetA (ETH2F x) = setLabelOffsetA x
  setMaximum (ETH2F x) = setMaximum x
  setMinimum (ETH2F x) = setMinimum x
  setNormFactor (ETH2F x) = setNormFactor x
  setStats (ETH2F x) = setStats x
  setOption (ETH2F x) = setOption x
  setXTitle (ETH2F x) = setXTitle x
  setYTitle (ETH2F x) = setYTitle x
  setZTitle (ETH2F x) = setZTitle x
  showBackground (ETH2F x) = showBackground x
  showPeaks (ETH2F x) = showPeaks x
  smooth (ETH2F x) = smooth x
  sumw2 (ETH2F x) = sumw2 x

instance ITNamed (Exist TH2F) where
  setName (ETH2F x) = setName x
  setNameTitle (ETH2F x) = setNameTitle x
  setTitle (ETH2F x) = setTitle x

instance ITAttLine (Exist TH2F) where
  getLineColor (ETH2F x) = getLineColor x
  getLineStyle (ETH2F x) = getLineStyle x
  getLineWidth (ETH2F x) = getLineWidth x
  resetAttLine (ETH2F x) = resetAttLine x
  setLineAttributes (ETH2F x) = setLineAttributes x
  setLineColor (ETH2F x) = setLineColor x
  setLineStyle (ETH2F x) = setLineStyle x
  setLineWidth (ETH2F x) = setLineWidth x

instance ITAttFill (Exist TH2F) where
  setFillColor (ETH2F x) = setFillColor x
  setFillStyle (ETH2F x) = setFillStyle x

instance ITAttMarker (Exist TH2F) where
  getMarkerColor (ETH2F x) = getMarkerColor x
  getMarkerStyle (ETH2F x) = getMarkerStyle x
  getMarkerSize (ETH2F x) = getMarkerSize x
  resetAttMarker (ETH2F x) = resetAttMarker x
  setMarkerAttributes (ETH2F x) = setMarkerAttributes x
  setMarkerColor (ETH2F x) = setMarkerColor x
  setMarkerStyle (ETH2F x) = setMarkerStyle x
  setMarkerSize (ETH2F x) = setMarkerSize x

instance ITObject (Exist TH2F) where
  draw (ETH2F x) = draw x
  findObject (ETH2F x) = findObject x
  getName (ETH2F x) = getName x
  isA (ETH2F x) = isA x
  isFolder (ETH2F x) = isFolder x
  isEqual (ETH2F x) = isEqual x
  isSortable (ETH2F x) = isSortable x
  paint (ETH2F x) = paint x
  printObj (ETH2F x) = printObj x
  recursiveRemove (ETH2F x) = recursiveRemove x
  saveAs (ETH2F x) = saveAs x
  useCurrentStyle (ETH2F x) = useCurrentStyle x
  write (ETH2F x) = write x

instance IDeletable (Exist TH2F) where
  delete (ETH2F x) = delete x

instance ITArray (Exist TH2F) where


instance ITH2I (Exist TH2I) where


instance ITH2 (Exist TH2I) where
  fill2 (ETH2I x) = fill2 x
  fill2w (ETH2I x) = fill2w x
  fillN2 (ETH2I x) = fillN2 x
  fillRandom2 (ETH2I x) = fillRandom2 x
  findFirstBinAbove2 (ETH2I x) = findFirstBinAbove2 x
  findLastBinAbove2 (ETH2I x) = findLastBinAbove2 x
  fitSlicesX (ETH2I x) = fitSlicesX x
  fitSlicesY (ETH2I x) = fitSlicesY x
  getCorrelationFactor2 (ETH2I x) = getCorrelationFactor2 x
  getCovariance2 (ETH2I x) = getCovariance2 x
  integral2 (ETH2I x) = integral2 x
  rebinX2 (ETH2I x) = rebinX2 x
  rebinY2 (ETH2I x) = rebinY2 x
  rebin2D (ETH2I x) = rebin2D x
  setShowProjectionX (ETH2I x) = setShowProjectionX x
  setShowProjectionY (ETH2I x) = setShowProjectionY x

instance ITArrayI (Exist TH2I) where


instance ITH1 (Exist TH2I) where
  add (ETH2I x) = add x
  addBinContent (ETH2I x) = addBinContent x
  chi2Test (ETH2I x) = chi2Test x
  computeIntegral (ETH2I x) = computeIntegral x
  directoryAutoAdd (ETH2I x) = directoryAutoAdd x
  divide (ETH2I x) = divide x
  drawCopyTH1 (ETH2I x) a1 = return . ETH2I =<< drawCopyTH1 x a1
  drawNormalized (ETH2I x) = drawNormalized x
  drawPanelTH1 (ETH2I x) = drawPanelTH1 x
  bufferEmpty (ETH2I x) = bufferEmpty x
  evalF (ETH2I x) = evalF x
  fFT (ETH2I x) = fFT x
  fill1 (ETH2I x) = fill1 x
  fill1w (ETH2I x) = fill1w x
  fillN1 (ETH2I x) = fillN1 x
  fillRandom (ETH2I x) = fillRandom x
  findBin (ETH2I x) = findBin x
  findFixBin (ETH2I x) = findFixBin x
  findFirstBinAbove (ETH2I x) = findFirstBinAbove x
  findLastBinAbove (ETH2I x) = findLastBinAbove x
  fitPanelTH1 (ETH2I x) = fitPanelTH1 x
  getNdivisionA (ETH2I x) = getNdivisionA x
  getAxisColorA (ETH2I x) = getAxisColorA x
  getLabelColorA (ETH2I x) = getLabelColorA x
  getLabelFontA (ETH2I x) = getLabelFontA x
  getLabelOffsetA (ETH2I x) = getLabelOffsetA x
  getLabelSizeA (ETH2I x) = getLabelSizeA x
  getTitleFontA (ETH2I x) = getTitleFontA x
  getTitleOffsetA (ETH2I x) = getTitleOffsetA x
  getTitleSizeA (ETH2I x) = getTitleSizeA x
  getTickLengthA (ETH2I x) = getTickLengthA x
  getBarOffset (ETH2I x) = getBarOffset x
  getBarWidth (ETH2I x) = getBarWidth x
  getContour (ETH2I x) = getContour x
  getContourLevel (ETH2I x) = getContourLevel x
  getContourLevelPad (ETH2I x) = getContourLevelPad x
  getBin (ETH2I x) = getBin x
  getBinCenter (ETH2I x) = getBinCenter x
  getBinContent1 (ETH2I x) = getBinContent1 x
  getBinContent2 (ETH2I x) = getBinContent2 x
  getBinContent3 (ETH2I x) = getBinContent3 x
  getBinError1 (ETH2I x) = getBinError1 x
  getBinError2 (ETH2I x) = getBinError2 x
  getBinError3 (ETH2I x) = getBinError3 x
  getBinLowEdge (ETH2I x) = getBinLowEdge x
  getBinWidth (ETH2I x) = getBinWidth x
  getCellContent (ETH2I x) = getCellContent x
  getCellError (ETH2I x) = getCellError x
  getEntries (ETH2I x) = getEntries x
  getEffectiveEntries (ETH2I x) = getEffectiveEntries x
  getFunction (ETH2I x) = getFunction x
  getDimension (ETH2I x) = getDimension x
  getKurtosis (ETH2I x) = getKurtosis x
  getLowEdge (ETH2I x) = getLowEdge x
  getMaximumTH1 (ETH2I x) = getMaximumTH1 x
  getMaximumBin (ETH2I x) = getMaximumBin x
  getMaximumStored (ETH2I x) = getMaximumStored x
  getMinimumTH1 (ETH2I x) = getMinimumTH1 x
  getMinimumBin (ETH2I x) = getMinimumBin x
  getMinimumStored (ETH2I x) = getMinimumStored x
  getMean (ETH2I x) = getMean x
  getMeanError (ETH2I x) = getMeanError x
  getNbinsX (ETH2I x) = getNbinsX x
  getNbinsY (ETH2I x) = getNbinsY x
  getNbinsZ (ETH2I x) = getNbinsZ x
  getQuantilesTH1 (ETH2I x) = getQuantilesTH1 x
  getRandom (ETH2I x) = getRandom x
  getStats (ETH2I x) = getStats x
  getSumOfWeights (ETH2I x) = getSumOfWeights x
  getSumw2 (ETH2I x) = getSumw2 x
  getSumw2N (ETH2I x) = getSumw2N x
  getRMS (ETH2I x) = getRMS x
  getRMSError (ETH2I x) = getRMSError x
  getSkewness (ETH2I x) = getSkewness x
  integral1 (ETH2I x) = integral1 x
  interpolate1 (ETH2I x) = interpolate1 x
  interpolate2 (ETH2I x) = interpolate2 x
  interpolate3 (ETH2I x) = interpolate3 x
  kolmogorovTest (ETH2I x) = kolmogorovTest x
  labelsDeflate (ETH2I x) = labelsDeflate x
  labelsInflate (ETH2I x) = labelsInflate x
  labelsOption (ETH2I x) = labelsOption x
  multiflyF (ETH2I x) = multiflyF x
  multiply (ETH2I x) = multiply x
  putStats (ETH2I x) = putStats x
  rebin (ETH2I x) = rebin x
  rebinAxis (ETH2I x) = rebinAxis x
  rebuild (ETH2I x) = rebuild x
  reset (ETH2I x) = reset x
  resetStats (ETH2I x) = resetStats x
  scale (ETH2I x) = scale x
  setAxisColorA (ETH2I x) = setAxisColorA x
  setAxisRange (ETH2I x) = setAxisRange x
  setBarOffset (ETH2I x) = setBarOffset x
  setBarWidth (ETH2I x) = setBarWidth x
  setBinContent1 (ETH2I x) = setBinContent1 x
  setBinContent2 (ETH2I x) = setBinContent2 x
  setBinContent3 (ETH2I x) = setBinContent3 x
  setBinError1 (ETH2I x) = setBinError1 x
  setBinError2 (ETH2I x) = setBinError2 x
  setBinError3 (ETH2I x) = setBinError3 x
  setBins1 (ETH2I x) = setBins1 x
  setBins2 (ETH2I x) = setBins2 x
  setBins3 (ETH2I x) = setBins3 x
  setBinsLength (ETH2I x) = setBinsLength x
  setBuffer (ETH2I x) = setBuffer x
  setCellContent (ETH2I x) = setCellContent x
  setContent (ETH2I x) = setContent x
  setContour (ETH2I x) = setContour x
  setContourLevel (ETH2I x) = setContourLevel x
  setDirectory (ETH2I x) = setDirectory x
  setEntries (ETH2I x) = setEntries x
  setError (ETH2I x) = setError x
  setLabelColorA (ETH2I x) = setLabelColorA x
  setLabelSizeA (ETH2I x) = setLabelSizeA x
  setLabelFontA (ETH2I x) = setLabelFontA x
  setLabelOffsetA (ETH2I x) = setLabelOffsetA x
  setMaximum (ETH2I x) = setMaximum x
  setMinimum (ETH2I x) = setMinimum x
  setNormFactor (ETH2I x) = setNormFactor x
  setStats (ETH2I x) = setStats x
  setOption (ETH2I x) = setOption x
  setXTitle (ETH2I x) = setXTitle x
  setYTitle (ETH2I x) = setYTitle x
  setZTitle (ETH2I x) = setZTitle x
  showBackground (ETH2I x) = showBackground x
  showPeaks (ETH2I x) = showPeaks x
  smooth (ETH2I x) = smooth x
  sumw2 (ETH2I x) = sumw2 x

instance ITNamed (Exist TH2I) where
  setName (ETH2I x) = setName x
  setNameTitle (ETH2I x) = setNameTitle x
  setTitle (ETH2I x) = setTitle x

instance ITAttLine (Exist TH2I) where
  getLineColor (ETH2I x) = getLineColor x
  getLineStyle (ETH2I x) = getLineStyle x
  getLineWidth (ETH2I x) = getLineWidth x
  resetAttLine (ETH2I x) = resetAttLine x
  setLineAttributes (ETH2I x) = setLineAttributes x
  setLineColor (ETH2I x) = setLineColor x
  setLineStyle (ETH2I x) = setLineStyle x
  setLineWidth (ETH2I x) = setLineWidth x

instance ITAttFill (Exist TH2I) where
  setFillColor (ETH2I x) = setFillColor x
  setFillStyle (ETH2I x) = setFillStyle x

instance ITAttMarker (Exist TH2I) where
  getMarkerColor (ETH2I x) = getMarkerColor x
  getMarkerStyle (ETH2I x) = getMarkerStyle x
  getMarkerSize (ETH2I x) = getMarkerSize x
  resetAttMarker (ETH2I x) = resetAttMarker x
  setMarkerAttributes (ETH2I x) = setMarkerAttributes x
  setMarkerColor (ETH2I x) = setMarkerColor x
  setMarkerStyle (ETH2I x) = setMarkerStyle x
  setMarkerSize (ETH2I x) = setMarkerSize x

instance ITObject (Exist TH2I) where
  draw (ETH2I x) = draw x
  findObject (ETH2I x) = findObject x
  getName (ETH2I x) = getName x
  isA (ETH2I x) = isA x
  isFolder (ETH2I x) = isFolder x
  isEqual (ETH2I x) = isEqual x
  isSortable (ETH2I x) = isSortable x
  paint (ETH2I x) = paint x
  printObj (ETH2I x) = printObj x
  recursiveRemove (ETH2I x) = recursiveRemove x
  saveAs (ETH2I x) = saveAs x
  useCurrentStyle (ETH2I x) = useCurrentStyle x
  write (ETH2I x) = write x

instance IDeletable (Exist TH2I) where
  delete (ETH2I x) = delete x

instance ITArray (Exist TH2I) where


instance ITH2Poly (Exist TH2Poly) where


instance ITH2 (Exist TH2Poly) where
  fill2 (ETH2Poly x) = fill2 x
  fill2w (ETH2Poly x) = fill2w x
  fillN2 (ETH2Poly x) = fillN2 x
  fillRandom2 (ETH2Poly x) = fillRandom2 x
  findFirstBinAbove2 (ETH2Poly x) = findFirstBinAbove2 x
  findLastBinAbove2 (ETH2Poly x) = findLastBinAbove2 x
  fitSlicesX (ETH2Poly x) = fitSlicesX x
  fitSlicesY (ETH2Poly x) = fitSlicesY x
  getCorrelationFactor2 (ETH2Poly x) = getCorrelationFactor2 x
  getCovariance2 (ETH2Poly x) = getCovariance2 x
  integral2 (ETH2Poly x) = integral2 x
  rebinX2 (ETH2Poly x) = rebinX2 x
  rebinY2 (ETH2Poly x) = rebinY2 x
  rebin2D (ETH2Poly x) = rebin2D x
  setShowProjectionX (ETH2Poly x) = setShowProjectionX x
  setShowProjectionY (ETH2Poly x) = setShowProjectionY x

instance ITH1 (Exist TH2Poly) where
  add (ETH2Poly x) = add x
  addBinContent (ETH2Poly x) = addBinContent x
  chi2Test (ETH2Poly x) = chi2Test x
  computeIntegral (ETH2Poly x) = computeIntegral x
  directoryAutoAdd (ETH2Poly x) = directoryAutoAdd x
  divide (ETH2Poly x) = divide x
  drawCopyTH1 (ETH2Poly x) a1 = return . ETH2Poly =<< drawCopyTH1 x a1
  drawNormalized (ETH2Poly x) = drawNormalized x
  drawPanelTH1 (ETH2Poly x) = drawPanelTH1 x
  bufferEmpty (ETH2Poly x) = bufferEmpty x
  evalF (ETH2Poly x) = evalF x
  fFT (ETH2Poly x) = fFT x
  fill1 (ETH2Poly x) = fill1 x
  fill1w (ETH2Poly x) = fill1w x
  fillN1 (ETH2Poly x) = fillN1 x
  fillRandom (ETH2Poly x) = fillRandom x
  findBin (ETH2Poly x) = findBin x
  findFixBin (ETH2Poly x) = findFixBin x
  findFirstBinAbove (ETH2Poly x) = findFirstBinAbove x
  findLastBinAbove (ETH2Poly x) = findLastBinAbove x
  fitPanelTH1 (ETH2Poly x) = fitPanelTH1 x
  getNdivisionA (ETH2Poly x) = getNdivisionA x
  getAxisColorA (ETH2Poly x) = getAxisColorA x
  getLabelColorA (ETH2Poly x) = getLabelColorA x
  getLabelFontA (ETH2Poly x) = getLabelFontA x
  getLabelOffsetA (ETH2Poly x) = getLabelOffsetA x
  getLabelSizeA (ETH2Poly x) = getLabelSizeA x
  getTitleFontA (ETH2Poly x) = getTitleFontA x
  getTitleOffsetA (ETH2Poly x) = getTitleOffsetA x
  getTitleSizeA (ETH2Poly x) = getTitleSizeA x
  getTickLengthA (ETH2Poly x) = getTickLengthA x
  getBarOffset (ETH2Poly x) = getBarOffset x
  getBarWidth (ETH2Poly x) = getBarWidth x
  getContour (ETH2Poly x) = getContour x
  getContourLevel (ETH2Poly x) = getContourLevel x
  getContourLevelPad (ETH2Poly x) = getContourLevelPad x
  getBin (ETH2Poly x) = getBin x
  getBinCenter (ETH2Poly x) = getBinCenter x
  getBinContent1 (ETH2Poly x) = getBinContent1 x
  getBinContent2 (ETH2Poly x) = getBinContent2 x
  getBinContent3 (ETH2Poly x) = getBinContent3 x
  getBinError1 (ETH2Poly x) = getBinError1 x
  getBinError2 (ETH2Poly x) = getBinError2 x
  getBinError3 (ETH2Poly x) = getBinError3 x
  getBinLowEdge (ETH2Poly x) = getBinLowEdge x
  getBinWidth (ETH2Poly x) = getBinWidth x
  getCellContent (ETH2Poly x) = getCellContent x
  getCellError (ETH2Poly x) = getCellError x
  getEntries (ETH2Poly x) = getEntries x
  getEffectiveEntries (ETH2Poly x) = getEffectiveEntries x
  getFunction (ETH2Poly x) = getFunction x
  getDimension (ETH2Poly x) = getDimension x
  getKurtosis (ETH2Poly x) = getKurtosis x
  getLowEdge (ETH2Poly x) = getLowEdge x
  getMaximumTH1 (ETH2Poly x) = getMaximumTH1 x
  getMaximumBin (ETH2Poly x) = getMaximumBin x
  getMaximumStored (ETH2Poly x) = getMaximumStored x
  getMinimumTH1 (ETH2Poly x) = getMinimumTH1 x
  getMinimumBin (ETH2Poly x) = getMinimumBin x
  getMinimumStored (ETH2Poly x) = getMinimumStored x
  getMean (ETH2Poly x) = getMean x
  getMeanError (ETH2Poly x) = getMeanError x
  getNbinsX (ETH2Poly x) = getNbinsX x
  getNbinsY (ETH2Poly x) = getNbinsY x
  getNbinsZ (ETH2Poly x) = getNbinsZ x
  getQuantilesTH1 (ETH2Poly x) = getQuantilesTH1 x
  getRandom (ETH2Poly x) = getRandom x
  getStats (ETH2Poly x) = getStats x
  getSumOfWeights (ETH2Poly x) = getSumOfWeights x
  getSumw2 (ETH2Poly x) = getSumw2 x
  getSumw2N (ETH2Poly x) = getSumw2N x
  getRMS (ETH2Poly x) = getRMS x
  getRMSError (ETH2Poly x) = getRMSError x
  getSkewness (ETH2Poly x) = getSkewness x
  integral1 (ETH2Poly x) = integral1 x
  interpolate1 (ETH2Poly x) = interpolate1 x
  interpolate2 (ETH2Poly x) = interpolate2 x
  interpolate3 (ETH2Poly x) = interpolate3 x
  kolmogorovTest (ETH2Poly x) = kolmogorovTest x
  labelsDeflate (ETH2Poly x) = labelsDeflate x
  labelsInflate (ETH2Poly x) = labelsInflate x
  labelsOption (ETH2Poly x) = labelsOption x
  multiflyF (ETH2Poly x) = multiflyF x
  multiply (ETH2Poly x) = multiply x
  putStats (ETH2Poly x) = putStats x
  rebin (ETH2Poly x) = rebin x
  rebinAxis (ETH2Poly x) = rebinAxis x
  rebuild (ETH2Poly x) = rebuild x
  reset (ETH2Poly x) = reset x
  resetStats (ETH2Poly x) = resetStats x
  scale (ETH2Poly x) = scale x
  setAxisColorA (ETH2Poly x) = setAxisColorA x
  setAxisRange (ETH2Poly x) = setAxisRange x
  setBarOffset (ETH2Poly x) = setBarOffset x
  setBarWidth (ETH2Poly x) = setBarWidth x
  setBinContent1 (ETH2Poly x) = setBinContent1 x
  setBinContent2 (ETH2Poly x) = setBinContent2 x
  setBinContent3 (ETH2Poly x) = setBinContent3 x
  setBinError1 (ETH2Poly x) = setBinError1 x
  setBinError2 (ETH2Poly x) = setBinError2 x
  setBinError3 (ETH2Poly x) = setBinError3 x
  setBins1 (ETH2Poly x) = setBins1 x
  setBins2 (ETH2Poly x) = setBins2 x
  setBins3 (ETH2Poly x) = setBins3 x
  setBinsLength (ETH2Poly x) = setBinsLength x
  setBuffer (ETH2Poly x) = setBuffer x
  setCellContent (ETH2Poly x) = setCellContent x
  setContent (ETH2Poly x) = setContent x
  setContour (ETH2Poly x) = setContour x
  setContourLevel (ETH2Poly x) = setContourLevel x
  setDirectory (ETH2Poly x) = setDirectory x
  setEntries (ETH2Poly x) = setEntries x
  setError (ETH2Poly x) = setError x
  setLabelColorA (ETH2Poly x) = setLabelColorA x
  setLabelSizeA (ETH2Poly x) = setLabelSizeA x
  setLabelFontA (ETH2Poly x) = setLabelFontA x
  setLabelOffsetA (ETH2Poly x) = setLabelOffsetA x
  setMaximum (ETH2Poly x) = setMaximum x
  setMinimum (ETH2Poly x) = setMinimum x
  setNormFactor (ETH2Poly x) = setNormFactor x
  setStats (ETH2Poly x) = setStats x
  setOption (ETH2Poly x) = setOption x
  setXTitle (ETH2Poly x) = setXTitle x
  setYTitle (ETH2Poly x) = setYTitle x
  setZTitle (ETH2Poly x) = setZTitle x
  showBackground (ETH2Poly x) = showBackground x
  showPeaks (ETH2Poly x) = showPeaks x
  smooth (ETH2Poly x) = smooth x
  sumw2 (ETH2Poly x) = sumw2 x

instance ITNamed (Exist TH2Poly) where
  setName (ETH2Poly x) = setName x
  setNameTitle (ETH2Poly x) = setNameTitle x
  setTitle (ETH2Poly x) = setTitle x

instance ITAttLine (Exist TH2Poly) where
  getLineColor (ETH2Poly x) = getLineColor x
  getLineStyle (ETH2Poly x) = getLineStyle x
  getLineWidth (ETH2Poly x) = getLineWidth x
  resetAttLine (ETH2Poly x) = resetAttLine x
  setLineAttributes (ETH2Poly x) = setLineAttributes x
  setLineColor (ETH2Poly x) = setLineColor x
  setLineStyle (ETH2Poly x) = setLineStyle x
  setLineWidth (ETH2Poly x) = setLineWidth x

instance ITAttFill (Exist TH2Poly) where
  setFillColor (ETH2Poly x) = setFillColor x
  setFillStyle (ETH2Poly x) = setFillStyle x

instance ITAttMarker (Exist TH2Poly) where
  getMarkerColor (ETH2Poly x) = getMarkerColor x
  getMarkerStyle (ETH2Poly x) = getMarkerStyle x
  getMarkerSize (ETH2Poly x) = getMarkerSize x
  resetAttMarker (ETH2Poly x) = resetAttMarker x
  setMarkerAttributes (ETH2Poly x) = setMarkerAttributes x
  setMarkerColor (ETH2Poly x) = setMarkerColor x
  setMarkerStyle (ETH2Poly x) = setMarkerStyle x
  setMarkerSize (ETH2Poly x) = setMarkerSize x

instance ITObject (Exist TH2Poly) where
  draw (ETH2Poly x) = draw x
  findObject (ETH2Poly x) = findObject x
  getName (ETH2Poly x) = getName x
  isA (ETH2Poly x) = isA x
  isFolder (ETH2Poly x) = isFolder x
  isEqual (ETH2Poly x) = isEqual x
  isSortable (ETH2Poly x) = isSortable x
  paint (ETH2Poly x) = paint x
  printObj (ETH2Poly x) = printObj x
  recursiveRemove (ETH2Poly x) = recursiveRemove x
  saveAs (ETH2Poly x) = saveAs x
  useCurrentStyle (ETH2Poly x) = useCurrentStyle x
  write (ETH2Poly x) = write x

instance IDeletable (Exist TH2Poly) where
  delete (ETH2Poly x) = delete x

instance ITH2S (Exist TH2S) where


instance ITH2 (Exist TH2S) where
  fill2 (ETH2S x) = fill2 x
  fill2w (ETH2S x) = fill2w x
  fillN2 (ETH2S x) = fillN2 x
  fillRandom2 (ETH2S x) = fillRandom2 x
  findFirstBinAbove2 (ETH2S x) = findFirstBinAbove2 x
  findLastBinAbove2 (ETH2S x) = findLastBinAbove2 x
  fitSlicesX (ETH2S x) = fitSlicesX x
  fitSlicesY (ETH2S x) = fitSlicesY x
  getCorrelationFactor2 (ETH2S x) = getCorrelationFactor2 x
  getCovariance2 (ETH2S x) = getCovariance2 x
  integral2 (ETH2S x) = integral2 x
  rebinX2 (ETH2S x) = rebinX2 x
  rebinY2 (ETH2S x) = rebinY2 x
  rebin2D (ETH2S x) = rebin2D x
  setShowProjectionX (ETH2S x) = setShowProjectionX x
  setShowProjectionY (ETH2S x) = setShowProjectionY x

instance ITArrayS (Exist TH2S) where


instance ITH1 (Exist TH2S) where
  add (ETH2S x) = add x
  addBinContent (ETH2S x) = addBinContent x
  chi2Test (ETH2S x) = chi2Test x
  computeIntegral (ETH2S x) = computeIntegral x
  directoryAutoAdd (ETH2S x) = directoryAutoAdd x
  divide (ETH2S x) = divide x
  drawCopyTH1 (ETH2S x) a1 = return . ETH2S =<< drawCopyTH1 x a1
  drawNormalized (ETH2S x) = drawNormalized x
  drawPanelTH1 (ETH2S x) = drawPanelTH1 x
  bufferEmpty (ETH2S x) = bufferEmpty x
  evalF (ETH2S x) = evalF x
  fFT (ETH2S x) = fFT x
  fill1 (ETH2S x) = fill1 x
  fill1w (ETH2S x) = fill1w x
  fillN1 (ETH2S x) = fillN1 x
  fillRandom (ETH2S x) = fillRandom x
  findBin (ETH2S x) = findBin x
  findFixBin (ETH2S x) = findFixBin x
  findFirstBinAbove (ETH2S x) = findFirstBinAbove x
  findLastBinAbove (ETH2S x) = findLastBinAbove x
  fitPanelTH1 (ETH2S x) = fitPanelTH1 x
  getNdivisionA (ETH2S x) = getNdivisionA x
  getAxisColorA (ETH2S x) = getAxisColorA x
  getLabelColorA (ETH2S x) = getLabelColorA x
  getLabelFontA (ETH2S x) = getLabelFontA x
  getLabelOffsetA (ETH2S x) = getLabelOffsetA x
  getLabelSizeA (ETH2S x) = getLabelSizeA x
  getTitleFontA (ETH2S x) = getTitleFontA x
  getTitleOffsetA (ETH2S x) = getTitleOffsetA x
  getTitleSizeA (ETH2S x) = getTitleSizeA x
  getTickLengthA (ETH2S x) = getTickLengthA x
  getBarOffset (ETH2S x) = getBarOffset x
  getBarWidth (ETH2S x) = getBarWidth x
  getContour (ETH2S x) = getContour x
  getContourLevel (ETH2S x) = getContourLevel x
  getContourLevelPad (ETH2S x) = getContourLevelPad x
  getBin (ETH2S x) = getBin x
  getBinCenter (ETH2S x) = getBinCenter x
  getBinContent1 (ETH2S x) = getBinContent1 x
  getBinContent2 (ETH2S x) = getBinContent2 x
  getBinContent3 (ETH2S x) = getBinContent3 x
  getBinError1 (ETH2S x) = getBinError1 x
  getBinError2 (ETH2S x) = getBinError2 x
  getBinError3 (ETH2S x) = getBinError3 x
  getBinLowEdge (ETH2S x) = getBinLowEdge x
  getBinWidth (ETH2S x) = getBinWidth x
  getCellContent (ETH2S x) = getCellContent x
  getCellError (ETH2S x) = getCellError x
  getEntries (ETH2S x) = getEntries x
  getEffectiveEntries (ETH2S x) = getEffectiveEntries x
  getFunction (ETH2S x) = getFunction x
  getDimension (ETH2S x) = getDimension x
  getKurtosis (ETH2S x) = getKurtosis x
  getLowEdge (ETH2S x) = getLowEdge x
  getMaximumTH1 (ETH2S x) = getMaximumTH1 x
  getMaximumBin (ETH2S x) = getMaximumBin x
  getMaximumStored (ETH2S x) = getMaximumStored x
  getMinimumTH1 (ETH2S x) = getMinimumTH1 x
  getMinimumBin (ETH2S x) = getMinimumBin x
  getMinimumStored (ETH2S x) = getMinimumStored x
  getMean (ETH2S x) = getMean x
  getMeanError (ETH2S x) = getMeanError x
  getNbinsX (ETH2S x) = getNbinsX x
  getNbinsY (ETH2S x) = getNbinsY x
  getNbinsZ (ETH2S x) = getNbinsZ x
  getQuantilesTH1 (ETH2S x) = getQuantilesTH1 x
  getRandom (ETH2S x) = getRandom x
  getStats (ETH2S x) = getStats x
  getSumOfWeights (ETH2S x) = getSumOfWeights x
  getSumw2 (ETH2S x) = getSumw2 x
  getSumw2N (ETH2S x) = getSumw2N x
  getRMS (ETH2S x) = getRMS x
  getRMSError (ETH2S x) = getRMSError x
  getSkewness (ETH2S x) = getSkewness x
  integral1 (ETH2S x) = integral1 x
  interpolate1 (ETH2S x) = interpolate1 x
  interpolate2 (ETH2S x) = interpolate2 x
  interpolate3 (ETH2S x) = interpolate3 x
  kolmogorovTest (ETH2S x) = kolmogorovTest x
  labelsDeflate (ETH2S x) = labelsDeflate x
  labelsInflate (ETH2S x) = labelsInflate x
  labelsOption (ETH2S x) = labelsOption x
  multiflyF (ETH2S x) = multiflyF x
  multiply (ETH2S x) = multiply x
  putStats (ETH2S x) = putStats x
  rebin (ETH2S x) = rebin x
  rebinAxis (ETH2S x) = rebinAxis x
  rebuild (ETH2S x) = rebuild x
  reset (ETH2S x) = reset x
  resetStats (ETH2S x) = resetStats x
  scale (ETH2S x) = scale x
  setAxisColorA (ETH2S x) = setAxisColorA x
  setAxisRange (ETH2S x) = setAxisRange x
  setBarOffset (ETH2S x) = setBarOffset x
  setBarWidth (ETH2S x) = setBarWidth x
  setBinContent1 (ETH2S x) = setBinContent1 x
  setBinContent2 (ETH2S x) = setBinContent2 x
  setBinContent3 (ETH2S x) = setBinContent3 x
  setBinError1 (ETH2S x) = setBinError1 x
  setBinError2 (ETH2S x) = setBinError2 x
  setBinError3 (ETH2S x) = setBinError3 x
  setBins1 (ETH2S x) = setBins1 x
  setBins2 (ETH2S x) = setBins2 x
  setBins3 (ETH2S x) = setBins3 x
  setBinsLength (ETH2S x) = setBinsLength x
  setBuffer (ETH2S x) = setBuffer x
  setCellContent (ETH2S x) = setCellContent x
  setContent (ETH2S x) = setContent x
  setContour (ETH2S x) = setContour x
  setContourLevel (ETH2S x) = setContourLevel x
  setDirectory (ETH2S x) = setDirectory x
  setEntries (ETH2S x) = setEntries x
  setError (ETH2S x) = setError x
  setLabelColorA (ETH2S x) = setLabelColorA x
  setLabelSizeA (ETH2S x) = setLabelSizeA x
  setLabelFontA (ETH2S x) = setLabelFontA x
  setLabelOffsetA (ETH2S x) = setLabelOffsetA x
  setMaximum (ETH2S x) = setMaximum x
  setMinimum (ETH2S x) = setMinimum x
  setNormFactor (ETH2S x) = setNormFactor x
  setStats (ETH2S x) = setStats x
  setOption (ETH2S x) = setOption x
  setXTitle (ETH2S x) = setXTitle x
  setYTitle (ETH2S x) = setYTitle x
  setZTitle (ETH2S x) = setZTitle x
  showBackground (ETH2S x) = showBackground x
  showPeaks (ETH2S x) = showPeaks x
  smooth (ETH2S x) = smooth x
  sumw2 (ETH2S x) = sumw2 x

instance ITNamed (Exist TH2S) where
  setName (ETH2S x) = setName x
  setNameTitle (ETH2S x) = setNameTitle x
  setTitle (ETH2S x) = setTitle x

instance ITAttLine (Exist TH2S) where
  getLineColor (ETH2S x) = getLineColor x
  getLineStyle (ETH2S x) = getLineStyle x
  getLineWidth (ETH2S x) = getLineWidth x
  resetAttLine (ETH2S x) = resetAttLine x
  setLineAttributes (ETH2S x) = setLineAttributes x
  setLineColor (ETH2S x) = setLineColor x
  setLineStyle (ETH2S x) = setLineStyle x
  setLineWidth (ETH2S x) = setLineWidth x

instance ITAttFill (Exist TH2S) where
  setFillColor (ETH2S x) = setFillColor x
  setFillStyle (ETH2S x) = setFillStyle x

instance ITAttMarker (Exist TH2S) where
  getMarkerColor (ETH2S x) = getMarkerColor x
  getMarkerStyle (ETH2S x) = getMarkerStyle x
  getMarkerSize (ETH2S x) = getMarkerSize x
  resetAttMarker (ETH2S x) = resetAttMarker x
  setMarkerAttributes (ETH2S x) = setMarkerAttributes x
  setMarkerColor (ETH2S x) = setMarkerColor x
  setMarkerStyle (ETH2S x) = setMarkerStyle x
  setMarkerSize (ETH2S x) = setMarkerSize x

instance ITObject (Exist TH2S) where
  draw (ETH2S x) = draw x
  findObject (ETH2S x) = findObject x
  getName (ETH2S x) = getName x
  isA (ETH2S x) = isA x
  isFolder (ETH2S x) = isFolder x
  isEqual (ETH2S x) = isEqual x
  isSortable (ETH2S x) = isSortable x
  paint (ETH2S x) = paint x
  printObj (ETH2S x) = printObj x
  recursiveRemove (ETH2S x) = recursiveRemove x
  saveAs (ETH2S x) = saveAs x
  useCurrentStyle (ETH2S x) = useCurrentStyle x
  write (ETH2S x) = write x

instance IDeletable (Exist TH2S) where
  delete (ETH2S x) = delete x

instance ITArray (Exist TH2S) where


instance ITH3C (Exist TH3C) where


instance ITH3 (Exist TH3C) where
  fill3 (ETH3C x) = fill3 x
  fill3w (ETH3C x) = fill3w x
  fitSlicesZ (ETH3C x) = fitSlicesZ x
  getCorrelationFactor3 (ETH3C x) = getCorrelationFactor3 x
  getCovariance3 (ETH3C x) = getCovariance3 x
  rebinX3 (ETH3C x) = rebinX3 x
  rebinY3 (ETH3C x) = rebinY3 x
  rebinZ3 (ETH3C x) = rebinZ3 x
  rebin3D (ETH3C x) = rebin3D x

instance ITArrayC (Exist TH3C) where


instance ITH1 (Exist TH3C) where
  add (ETH3C x) = add x
  addBinContent (ETH3C x) = addBinContent x
  chi2Test (ETH3C x) = chi2Test x
  computeIntegral (ETH3C x) = computeIntegral x
  directoryAutoAdd (ETH3C x) = directoryAutoAdd x
  divide (ETH3C x) = divide x
  drawCopyTH1 (ETH3C x) a1 = return . ETH3C =<< drawCopyTH1 x a1
  drawNormalized (ETH3C x) = drawNormalized x
  drawPanelTH1 (ETH3C x) = drawPanelTH1 x
  bufferEmpty (ETH3C x) = bufferEmpty x
  evalF (ETH3C x) = evalF x
  fFT (ETH3C x) = fFT x
  fill1 (ETH3C x) = fill1 x
  fill1w (ETH3C x) = fill1w x
  fillN1 (ETH3C x) = fillN1 x
  fillRandom (ETH3C x) = fillRandom x
  findBin (ETH3C x) = findBin x
  findFixBin (ETH3C x) = findFixBin x
  findFirstBinAbove (ETH3C x) = findFirstBinAbove x
  findLastBinAbove (ETH3C x) = findLastBinAbove x
  fitPanelTH1 (ETH3C x) = fitPanelTH1 x
  getNdivisionA (ETH3C x) = getNdivisionA x
  getAxisColorA (ETH3C x) = getAxisColorA x
  getLabelColorA (ETH3C x) = getLabelColorA x
  getLabelFontA (ETH3C x) = getLabelFontA x
  getLabelOffsetA (ETH3C x) = getLabelOffsetA x
  getLabelSizeA (ETH3C x) = getLabelSizeA x
  getTitleFontA (ETH3C x) = getTitleFontA x
  getTitleOffsetA (ETH3C x) = getTitleOffsetA x
  getTitleSizeA (ETH3C x) = getTitleSizeA x
  getTickLengthA (ETH3C x) = getTickLengthA x
  getBarOffset (ETH3C x) = getBarOffset x
  getBarWidth (ETH3C x) = getBarWidth x
  getContour (ETH3C x) = getContour x
  getContourLevel (ETH3C x) = getContourLevel x
  getContourLevelPad (ETH3C x) = getContourLevelPad x
  getBin (ETH3C x) = getBin x
  getBinCenter (ETH3C x) = getBinCenter x
  getBinContent1 (ETH3C x) = getBinContent1 x
  getBinContent2 (ETH3C x) = getBinContent2 x
  getBinContent3 (ETH3C x) = getBinContent3 x
  getBinError1 (ETH3C x) = getBinError1 x
  getBinError2 (ETH3C x) = getBinError2 x
  getBinError3 (ETH3C x) = getBinError3 x
  getBinLowEdge (ETH3C x) = getBinLowEdge x
  getBinWidth (ETH3C x) = getBinWidth x
  getCellContent (ETH3C x) = getCellContent x
  getCellError (ETH3C x) = getCellError x
  getEntries (ETH3C x) = getEntries x
  getEffectiveEntries (ETH3C x) = getEffectiveEntries x
  getFunction (ETH3C x) = getFunction x
  getDimension (ETH3C x) = getDimension x
  getKurtosis (ETH3C x) = getKurtosis x
  getLowEdge (ETH3C x) = getLowEdge x
  getMaximumTH1 (ETH3C x) = getMaximumTH1 x
  getMaximumBin (ETH3C x) = getMaximumBin x
  getMaximumStored (ETH3C x) = getMaximumStored x
  getMinimumTH1 (ETH3C x) = getMinimumTH1 x
  getMinimumBin (ETH3C x) = getMinimumBin x
  getMinimumStored (ETH3C x) = getMinimumStored x
  getMean (ETH3C x) = getMean x
  getMeanError (ETH3C x) = getMeanError x
  getNbinsX (ETH3C x) = getNbinsX x
  getNbinsY (ETH3C x) = getNbinsY x
  getNbinsZ (ETH3C x) = getNbinsZ x
  getQuantilesTH1 (ETH3C x) = getQuantilesTH1 x
  getRandom (ETH3C x) = getRandom x
  getStats (ETH3C x) = getStats x
  getSumOfWeights (ETH3C x) = getSumOfWeights x
  getSumw2 (ETH3C x) = getSumw2 x
  getSumw2N (ETH3C x) = getSumw2N x
  getRMS (ETH3C x) = getRMS x
  getRMSError (ETH3C x) = getRMSError x
  getSkewness (ETH3C x) = getSkewness x
  integral1 (ETH3C x) = integral1 x
  interpolate1 (ETH3C x) = interpolate1 x
  interpolate2 (ETH3C x) = interpolate2 x
  interpolate3 (ETH3C x) = interpolate3 x
  kolmogorovTest (ETH3C x) = kolmogorovTest x
  labelsDeflate (ETH3C x) = labelsDeflate x
  labelsInflate (ETH3C x) = labelsInflate x
  labelsOption (ETH3C x) = labelsOption x
  multiflyF (ETH3C x) = multiflyF x
  multiply (ETH3C x) = multiply x
  putStats (ETH3C x) = putStats x
  rebin (ETH3C x) = rebin x
  rebinAxis (ETH3C x) = rebinAxis x
  rebuild (ETH3C x) = rebuild x
  reset (ETH3C x) = reset x
  resetStats (ETH3C x) = resetStats x
  scale (ETH3C x) = scale x
  setAxisColorA (ETH3C x) = setAxisColorA x
  setAxisRange (ETH3C x) = setAxisRange x
  setBarOffset (ETH3C x) = setBarOffset x
  setBarWidth (ETH3C x) = setBarWidth x
  setBinContent1 (ETH3C x) = setBinContent1 x
  setBinContent2 (ETH3C x) = setBinContent2 x
  setBinContent3 (ETH3C x) = setBinContent3 x
  setBinError1 (ETH3C x) = setBinError1 x
  setBinError2 (ETH3C x) = setBinError2 x
  setBinError3 (ETH3C x) = setBinError3 x
  setBins1 (ETH3C x) = setBins1 x
  setBins2 (ETH3C x) = setBins2 x
  setBins3 (ETH3C x) = setBins3 x
  setBinsLength (ETH3C x) = setBinsLength x
  setBuffer (ETH3C x) = setBuffer x
  setCellContent (ETH3C x) = setCellContent x
  setContent (ETH3C x) = setContent x
  setContour (ETH3C x) = setContour x
  setContourLevel (ETH3C x) = setContourLevel x
  setDirectory (ETH3C x) = setDirectory x
  setEntries (ETH3C x) = setEntries x
  setError (ETH3C x) = setError x
  setLabelColorA (ETH3C x) = setLabelColorA x
  setLabelSizeA (ETH3C x) = setLabelSizeA x
  setLabelFontA (ETH3C x) = setLabelFontA x
  setLabelOffsetA (ETH3C x) = setLabelOffsetA x
  setMaximum (ETH3C x) = setMaximum x
  setMinimum (ETH3C x) = setMinimum x
  setNormFactor (ETH3C x) = setNormFactor x
  setStats (ETH3C x) = setStats x
  setOption (ETH3C x) = setOption x
  setXTitle (ETH3C x) = setXTitle x
  setYTitle (ETH3C x) = setYTitle x
  setZTitle (ETH3C x) = setZTitle x
  showBackground (ETH3C x) = showBackground x
  showPeaks (ETH3C x) = showPeaks x
  smooth (ETH3C x) = smooth x
  sumw2 (ETH3C x) = sumw2 x

instance ITAtt3D (Exist TH3C) where


instance ITNamed (Exist TH3C) where
  setName (ETH3C x) = setName x
  setNameTitle (ETH3C x) = setNameTitle x
  setTitle (ETH3C x) = setTitle x

instance ITAttLine (Exist TH3C) where
  getLineColor (ETH3C x) = getLineColor x
  getLineStyle (ETH3C x) = getLineStyle x
  getLineWidth (ETH3C x) = getLineWidth x
  resetAttLine (ETH3C x) = resetAttLine x
  setLineAttributes (ETH3C x) = setLineAttributes x
  setLineColor (ETH3C x) = setLineColor x
  setLineStyle (ETH3C x) = setLineStyle x
  setLineWidth (ETH3C x) = setLineWidth x

instance ITAttFill (Exist TH3C) where
  setFillColor (ETH3C x) = setFillColor x
  setFillStyle (ETH3C x) = setFillStyle x

instance ITAttMarker (Exist TH3C) where
  getMarkerColor (ETH3C x) = getMarkerColor x
  getMarkerStyle (ETH3C x) = getMarkerStyle x
  getMarkerSize (ETH3C x) = getMarkerSize x
  resetAttMarker (ETH3C x) = resetAttMarker x
  setMarkerAttributes (ETH3C x) = setMarkerAttributes x
  setMarkerColor (ETH3C x) = setMarkerColor x
  setMarkerStyle (ETH3C x) = setMarkerStyle x
  setMarkerSize (ETH3C x) = setMarkerSize x

instance ITObject (Exist TH3C) where
  draw (ETH3C x) = draw x
  findObject (ETH3C x) = findObject x
  getName (ETH3C x) = getName x
  isA (ETH3C x) = isA x
  isFolder (ETH3C x) = isFolder x
  isEqual (ETH3C x) = isEqual x
  isSortable (ETH3C x) = isSortable x
  paint (ETH3C x) = paint x
  printObj (ETH3C x) = printObj x
  recursiveRemove (ETH3C x) = recursiveRemove x
  saveAs (ETH3C x) = saveAs x
  useCurrentStyle (ETH3C x) = useCurrentStyle x
  write (ETH3C x) = write x

instance IDeletable (Exist TH3C) where
  delete (ETH3C x) = delete x

instance ITArray (Exist TH3C) where


instance ITH3D (Exist TH3D) where


instance ITH3 (Exist TH3D) where
  fill3 (ETH3D x) = fill3 x
  fill3w (ETH3D x) = fill3w x
  fitSlicesZ (ETH3D x) = fitSlicesZ x
  getCorrelationFactor3 (ETH3D x) = getCorrelationFactor3 x
  getCovariance3 (ETH3D x) = getCovariance3 x
  rebinX3 (ETH3D x) = rebinX3 x
  rebinY3 (ETH3D x) = rebinY3 x
  rebinZ3 (ETH3D x) = rebinZ3 x
  rebin3D (ETH3D x) = rebin3D x

instance ITArrayD (Exist TH3D) where


instance ITH1 (Exist TH3D) where
  add (ETH3D x) = add x
  addBinContent (ETH3D x) = addBinContent x
  chi2Test (ETH3D x) = chi2Test x
  computeIntegral (ETH3D x) = computeIntegral x
  directoryAutoAdd (ETH3D x) = directoryAutoAdd x
  divide (ETH3D x) = divide x
  drawCopyTH1 (ETH3D x) a1 = return . ETH3D =<< drawCopyTH1 x a1
  drawNormalized (ETH3D x) = drawNormalized x
  drawPanelTH1 (ETH3D x) = drawPanelTH1 x
  bufferEmpty (ETH3D x) = bufferEmpty x
  evalF (ETH3D x) = evalF x
  fFT (ETH3D x) = fFT x
  fill1 (ETH3D x) = fill1 x
  fill1w (ETH3D x) = fill1w x
  fillN1 (ETH3D x) = fillN1 x
  fillRandom (ETH3D x) = fillRandom x
  findBin (ETH3D x) = findBin x
  findFixBin (ETH3D x) = findFixBin x
  findFirstBinAbove (ETH3D x) = findFirstBinAbove x
  findLastBinAbove (ETH3D x) = findLastBinAbove x
  fitPanelTH1 (ETH3D x) = fitPanelTH1 x
  getNdivisionA (ETH3D x) = getNdivisionA x
  getAxisColorA (ETH3D x) = getAxisColorA x
  getLabelColorA (ETH3D x) = getLabelColorA x
  getLabelFontA (ETH3D x) = getLabelFontA x
  getLabelOffsetA (ETH3D x) = getLabelOffsetA x
  getLabelSizeA (ETH3D x) = getLabelSizeA x
  getTitleFontA (ETH3D x) = getTitleFontA x
  getTitleOffsetA (ETH3D x) = getTitleOffsetA x
  getTitleSizeA (ETH3D x) = getTitleSizeA x
  getTickLengthA (ETH3D x) = getTickLengthA x
  getBarOffset (ETH3D x) = getBarOffset x
  getBarWidth (ETH3D x) = getBarWidth x
  getContour (ETH3D x) = getContour x
  getContourLevel (ETH3D x) = getContourLevel x
  getContourLevelPad (ETH3D x) = getContourLevelPad x
  getBin (ETH3D x) = getBin x
  getBinCenter (ETH3D x) = getBinCenter x
  getBinContent1 (ETH3D x) = getBinContent1 x
  getBinContent2 (ETH3D x) = getBinContent2 x
  getBinContent3 (ETH3D x) = getBinContent3 x
  getBinError1 (ETH3D x) = getBinError1 x
  getBinError2 (ETH3D x) = getBinError2 x
  getBinError3 (ETH3D x) = getBinError3 x
  getBinLowEdge (ETH3D x) = getBinLowEdge x
  getBinWidth (ETH3D x) = getBinWidth x
  getCellContent (ETH3D x) = getCellContent x
  getCellError (ETH3D x) = getCellError x
  getEntries (ETH3D x) = getEntries x
  getEffectiveEntries (ETH3D x) = getEffectiveEntries x
  getFunction (ETH3D x) = getFunction x
  getDimension (ETH3D x) = getDimension x
  getKurtosis (ETH3D x) = getKurtosis x
  getLowEdge (ETH3D x) = getLowEdge x
  getMaximumTH1 (ETH3D x) = getMaximumTH1 x
  getMaximumBin (ETH3D x) = getMaximumBin x
  getMaximumStored (ETH3D x) = getMaximumStored x
  getMinimumTH1 (ETH3D x) = getMinimumTH1 x
  getMinimumBin (ETH3D x) = getMinimumBin x
  getMinimumStored (ETH3D x) = getMinimumStored x
  getMean (ETH3D x) = getMean x
  getMeanError (ETH3D x) = getMeanError x
  getNbinsX (ETH3D x) = getNbinsX x
  getNbinsY (ETH3D x) = getNbinsY x
  getNbinsZ (ETH3D x) = getNbinsZ x
  getQuantilesTH1 (ETH3D x) = getQuantilesTH1 x
  getRandom (ETH3D x) = getRandom x
  getStats (ETH3D x) = getStats x
  getSumOfWeights (ETH3D x) = getSumOfWeights x
  getSumw2 (ETH3D x) = getSumw2 x
  getSumw2N (ETH3D x) = getSumw2N x
  getRMS (ETH3D x) = getRMS x
  getRMSError (ETH3D x) = getRMSError x
  getSkewness (ETH3D x) = getSkewness x
  integral1 (ETH3D x) = integral1 x
  interpolate1 (ETH3D x) = interpolate1 x
  interpolate2 (ETH3D x) = interpolate2 x
  interpolate3 (ETH3D x) = interpolate3 x
  kolmogorovTest (ETH3D x) = kolmogorovTest x
  labelsDeflate (ETH3D x) = labelsDeflate x
  labelsInflate (ETH3D x) = labelsInflate x
  labelsOption (ETH3D x) = labelsOption x
  multiflyF (ETH3D x) = multiflyF x
  multiply (ETH3D x) = multiply x
  putStats (ETH3D x) = putStats x
  rebin (ETH3D x) = rebin x
  rebinAxis (ETH3D x) = rebinAxis x
  rebuild (ETH3D x) = rebuild x
  reset (ETH3D x) = reset x
  resetStats (ETH3D x) = resetStats x
  scale (ETH3D x) = scale x
  setAxisColorA (ETH3D x) = setAxisColorA x
  setAxisRange (ETH3D x) = setAxisRange x
  setBarOffset (ETH3D x) = setBarOffset x
  setBarWidth (ETH3D x) = setBarWidth x
  setBinContent1 (ETH3D x) = setBinContent1 x
  setBinContent2 (ETH3D x) = setBinContent2 x
  setBinContent3 (ETH3D x) = setBinContent3 x
  setBinError1 (ETH3D x) = setBinError1 x
  setBinError2 (ETH3D x) = setBinError2 x
  setBinError3 (ETH3D x) = setBinError3 x
  setBins1 (ETH3D x) = setBins1 x
  setBins2 (ETH3D x) = setBins2 x
  setBins3 (ETH3D x) = setBins3 x
  setBinsLength (ETH3D x) = setBinsLength x
  setBuffer (ETH3D x) = setBuffer x
  setCellContent (ETH3D x) = setCellContent x
  setContent (ETH3D x) = setContent x
  setContour (ETH3D x) = setContour x
  setContourLevel (ETH3D x) = setContourLevel x
  setDirectory (ETH3D x) = setDirectory x
  setEntries (ETH3D x) = setEntries x
  setError (ETH3D x) = setError x
  setLabelColorA (ETH3D x) = setLabelColorA x
  setLabelSizeA (ETH3D x) = setLabelSizeA x
  setLabelFontA (ETH3D x) = setLabelFontA x
  setLabelOffsetA (ETH3D x) = setLabelOffsetA x
  setMaximum (ETH3D x) = setMaximum x
  setMinimum (ETH3D x) = setMinimum x
  setNormFactor (ETH3D x) = setNormFactor x
  setStats (ETH3D x) = setStats x
  setOption (ETH3D x) = setOption x
  setXTitle (ETH3D x) = setXTitle x
  setYTitle (ETH3D x) = setYTitle x
  setZTitle (ETH3D x) = setZTitle x
  showBackground (ETH3D x) = showBackground x
  showPeaks (ETH3D x) = showPeaks x
  smooth (ETH3D x) = smooth x
  sumw2 (ETH3D x) = sumw2 x

instance ITAtt3D (Exist TH3D) where


instance ITNamed (Exist TH3D) where
  setName (ETH3D x) = setName x
  setNameTitle (ETH3D x) = setNameTitle x
  setTitle (ETH3D x) = setTitle x

instance ITAttLine (Exist TH3D) where
  getLineColor (ETH3D x) = getLineColor x
  getLineStyle (ETH3D x) = getLineStyle x
  getLineWidth (ETH3D x) = getLineWidth x
  resetAttLine (ETH3D x) = resetAttLine x
  setLineAttributes (ETH3D x) = setLineAttributes x
  setLineColor (ETH3D x) = setLineColor x
  setLineStyle (ETH3D x) = setLineStyle x
  setLineWidth (ETH3D x) = setLineWidth x

instance ITAttFill (Exist TH3D) where
  setFillColor (ETH3D x) = setFillColor x
  setFillStyle (ETH3D x) = setFillStyle x

instance ITAttMarker (Exist TH3D) where
  getMarkerColor (ETH3D x) = getMarkerColor x
  getMarkerStyle (ETH3D x) = getMarkerStyle x
  getMarkerSize (ETH3D x) = getMarkerSize x
  resetAttMarker (ETH3D x) = resetAttMarker x
  setMarkerAttributes (ETH3D x) = setMarkerAttributes x
  setMarkerColor (ETH3D x) = setMarkerColor x
  setMarkerStyle (ETH3D x) = setMarkerStyle x
  setMarkerSize (ETH3D x) = setMarkerSize x

instance ITObject (Exist TH3D) where
  draw (ETH3D x) = draw x
  findObject (ETH3D x) = findObject x
  getName (ETH3D x) = getName x
  isA (ETH3D x) = isA x
  isFolder (ETH3D x) = isFolder x
  isEqual (ETH3D x) = isEqual x
  isSortable (ETH3D x) = isSortable x
  paint (ETH3D x) = paint x
  printObj (ETH3D x) = printObj x
  recursiveRemove (ETH3D x) = recursiveRemove x
  saveAs (ETH3D x) = saveAs x
  useCurrentStyle (ETH3D x) = useCurrentStyle x
  write (ETH3D x) = write x

instance IDeletable (Exist TH3D) where
  delete (ETH3D x) = delete x

instance ITArray (Exist TH3D) where


instance ITH3F (Exist TH3F) where


instance ITH3 (Exist TH3F) where
  fill3 (ETH3F x) = fill3 x
  fill3w (ETH3F x) = fill3w x
  fitSlicesZ (ETH3F x) = fitSlicesZ x
  getCorrelationFactor3 (ETH3F x) = getCorrelationFactor3 x
  getCovariance3 (ETH3F x) = getCovariance3 x
  rebinX3 (ETH3F x) = rebinX3 x
  rebinY3 (ETH3F x) = rebinY3 x
  rebinZ3 (ETH3F x) = rebinZ3 x
  rebin3D (ETH3F x) = rebin3D x

instance ITArrayF (Exist TH3F) where


instance ITH1 (Exist TH3F) where
  add (ETH3F x) = add x
  addBinContent (ETH3F x) = addBinContent x
  chi2Test (ETH3F x) = chi2Test x
  computeIntegral (ETH3F x) = computeIntegral x
  directoryAutoAdd (ETH3F x) = directoryAutoAdd x
  divide (ETH3F x) = divide x
  drawCopyTH1 (ETH3F x) a1 = return . ETH3F =<< drawCopyTH1 x a1
  drawNormalized (ETH3F x) = drawNormalized x
  drawPanelTH1 (ETH3F x) = drawPanelTH1 x
  bufferEmpty (ETH3F x) = bufferEmpty x
  evalF (ETH3F x) = evalF x
  fFT (ETH3F x) = fFT x
  fill1 (ETH3F x) = fill1 x
  fill1w (ETH3F x) = fill1w x
  fillN1 (ETH3F x) = fillN1 x
  fillRandom (ETH3F x) = fillRandom x
  findBin (ETH3F x) = findBin x
  findFixBin (ETH3F x) = findFixBin x
  findFirstBinAbove (ETH3F x) = findFirstBinAbove x
  findLastBinAbove (ETH3F x) = findLastBinAbove x
  fitPanelTH1 (ETH3F x) = fitPanelTH1 x
  getNdivisionA (ETH3F x) = getNdivisionA x
  getAxisColorA (ETH3F x) = getAxisColorA x
  getLabelColorA (ETH3F x) = getLabelColorA x
  getLabelFontA (ETH3F x) = getLabelFontA x
  getLabelOffsetA (ETH3F x) = getLabelOffsetA x
  getLabelSizeA (ETH3F x) = getLabelSizeA x
  getTitleFontA (ETH3F x) = getTitleFontA x
  getTitleOffsetA (ETH3F x) = getTitleOffsetA x
  getTitleSizeA (ETH3F x) = getTitleSizeA x
  getTickLengthA (ETH3F x) = getTickLengthA x
  getBarOffset (ETH3F x) = getBarOffset x
  getBarWidth (ETH3F x) = getBarWidth x
  getContour (ETH3F x) = getContour x
  getContourLevel (ETH3F x) = getContourLevel x
  getContourLevelPad (ETH3F x) = getContourLevelPad x
  getBin (ETH3F x) = getBin x
  getBinCenter (ETH3F x) = getBinCenter x
  getBinContent1 (ETH3F x) = getBinContent1 x
  getBinContent2 (ETH3F x) = getBinContent2 x
  getBinContent3 (ETH3F x) = getBinContent3 x
  getBinError1 (ETH3F x) = getBinError1 x
  getBinError2 (ETH3F x) = getBinError2 x
  getBinError3 (ETH3F x) = getBinError3 x
  getBinLowEdge (ETH3F x) = getBinLowEdge x
  getBinWidth (ETH3F x) = getBinWidth x
  getCellContent (ETH3F x) = getCellContent x
  getCellError (ETH3F x) = getCellError x
  getEntries (ETH3F x) = getEntries x
  getEffectiveEntries (ETH3F x) = getEffectiveEntries x
  getFunction (ETH3F x) = getFunction x
  getDimension (ETH3F x) = getDimension x
  getKurtosis (ETH3F x) = getKurtosis x
  getLowEdge (ETH3F x) = getLowEdge x
  getMaximumTH1 (ETH3F x) = getMaximumTH1 x
  getMaximumBin (ETH3F x) = getMaximumBin x
  getMaximumStored (ETH3F x) = getMaximumStored x
  getMinimumTH1 (ETH3F x) = getMinimumTH1 x
  getMinimumBin (ETH3F x) = getMinimumBin x
  getMinimumStored (ETH3F x) = getMinimumStored x
  getMean (ETH3F x) = getMean x
  getMeanError (ETH3F x) = getMeanError x
  getNbinsX (ETH3F x) = getNbinsX x
  getNbinsY (ETH3F x) = getNbinsY x
  getNbinsZ (ETH3F x) = getNbinsZ x
  getQuantilesTH1 (ETH3F x) = getQuantilesTH1 x
  getRandom (ETH3F x) = getRandom x
  getStats (ETH3F x) = getStats x
  getSumOfWeights (ETH3F x) = getSumOfWeights x
  getSumw2 (ETH3F x) = getSumw2 x
  getSumw2N (ETH3F x) = getSumw2N x
  getRMS (ETH3F x) = getRMS x
  getRMSError (ETH3F x) = getRMSError x
  getSkewness (ETH3F x) = getSkewness x
  integral1 (ETH3F x) = integral1 x
  interpolate1 (ETH3F x) = interpolate1 x
  interpolate2 (ETH3F x) = interpolate2 x
  interpolate3 (ETH3F x) = interpolate3 x
  kolmogorovTest (ETH3F x) = kolmogorovTest x
  labelsDeflate (ETH3F x) = labelsDeflate x
  labelsInflate (ETH3F x) = labelsInflate x
  labelsOption (ETH3F x) = labelsOption x
  multiflyF (ETH3F x) = multiflyF x
  multiply (ETH3F x) = multiply x
  putStats (ETH3F x) = putStats x
  rebin (ETH3F x) = rebin x
  rebinAxis (ETH3F x) = rebinAxis x
  rebuild (ETH3F x) = rebuild x
  reset (ETH3F x) = reset x
  resetStats (ETH3F x) = resetStats x
  scale (ETH3F x) = scale x
  setAxisColorA (ETH3F x) = setAxisColorA x
  setAxisRange (ETH3F x) = setAxisRange x
  setBarOffset (ETH3F x) = setBarOffset x
  setBarWidth (ETH3F x) = setBarWidth x
  setBinContent1 (ETH3F x) = setBinContent1 x
  setBinContent2 (ETH3F x) = setBinContent2 x
  setBinContent3 (ETH3F x) = setBinContent3 x
  setBinError1 (ETH3F x) = setBinError1 x
  setBinError2 (ETH3F x) = setBinError2 x
  setBinError3 (ETH3F x) = setBinError3 x
  setBins1 (ETH3F x) = setBins1 x
  setBins2 (ETH3F x) = setBins2 x
  setBins3 (ETH3F x) = setBins3 x
  setBinsLength (ETH3F x) = setBinsLength x
  setBuffer (ETH3F x) = setBuffer x
  setCellContent (ETH3F x) = setCellContent x
  setContent (ETH3F x) = setContent x
  setContour (ETH3F x) = setContour x
  setContourLevel (ETH3F x) = setContourLevel x
  setDirectory (ETH3F x) = setDirectory x
  setEntries (ETH3F x) = setEntries x
  setError (ETH3F x) = setError x
  setLabelColorA (ETH3F x) = setLabelColorA x
  setLabelSizeA (ETH3F x) = setLabelSizeA x
  setLabelFontA (ETH3F x) = setLabelFontA x
  setLabelOffsetA (ETH3F x) = setLabelOffsetA x
  setMaximum (ETH3F x) = setMaximum x
  setMinimum (ETH3F x) = setMinimum x
  setNormFactor (ETH3F x) = setNormFactor x
  setStats (ETH3F x) = setStats x
  setOption (ETH3F x) = setOption x
  setXTitle (ETH3F x) = setXTitle x
  setYTitle (ETH3F x) = setYTitle x
  setZTitle (ETH3F x) = setZTitle x
  showBackground (ETH3F x) = showBackground x
  showPeaks (ETH3F x) = showPeaks x
  smooth (ETH3F x) = smooth x
  sumw2 (ETH3F x) = sumw2 x

instance ITAtt3D (Exist TH3F) where


instance ITNamed (Exist TH3F) where
  setName (ETH3F x) = setName x
  setNameTitle (ETH3F x) = setNameTitle x
  setTitle (ETH3F x) = setTitle x

instance ITAttLine (Exist TH3F) where
  getLineColor (ETH3F x) = getLineColor x
  getLineStyle (ETH3F x) = getLineStyle x
  getLineWidth (ETH3F x) = getLineWidth x
  resetAttLine (ETH3F x) = resetAttLine x
  setLineAttributes (ETH3F x) = setLineAttributes x
  setLineColor (ETH3F x) = setLineColor x
  setLineStyle (ETH3F x) = setLineStyle x
  setLineWidth (ETH3F x) = setLineWidth x

instance ITAttFill (Exist TH3F) where
  setFillColor (ETH3F x) = setFillColor x
  setFillStyle (ETH3F x) = setFillStyle x

instance ITAttMarker (Exist TH3F) where
  getMarkerColor (ETH3F x) = getMarkerColor x
  getMarkerStyle (ETH3F x) = getMarkerStyle x
  getMarkerSize (ETH3F x) = getMarkerSize x
  resetAttMarker (ETH3F x) = resetAttMarker x
  setMarkerAttributes (ETH3F x) = setMarkerAttributes x
  setMarkerColor (ETH3F x) = setMarkerColor x
  setMarkerStyle (ETH3F x) = setMarkerStyle x
  setMarkerSize (ETH3F x) = setMarkerSize x

instance ITObject (Exist TH3F) where
  draw (ETH3F x) = draw x
  findObject (ETH3F x) = findObject x
  getName (ETH3F x) = getName x
  isA (ETH3F x) = isA x
  isFolder (ETH3F x) = isFolder x
  isEqual (ETH3F x) = isEqual x
  isSortable (ETH3F x) = isSortable x
  paint (ETH3F x) = paint x
  printObj (ETH3F x) = printObj x
  recursiveRemove (ETH3F x) = recursiveRemove x
  saveAs (ETH3F x) = saveAs x
  useCurrentStyle (ETH3F x) = useCurrentStyle x
  write (ETH3F x) = write x

instance IDeletable (Exist TH3F) where
  delete (ETH3F x) = delete x

instance ITArray (Exist TH3F) where


instance ITH3I (Exist TH3I) where


instance ITH3 (Exist TH3I) where
  fill3 (ETH3I x) = fill3 x
  fill3w (ETH3I x) = fill3w x
  fitSlicesZ (ETH3I x) = fitSlicesZ x
  getCorrelationFactor3 (ETH3I x) = getCorrelationFactor3 x
  getCovariance3 (ETH3I x) = getCovariance3 x
  rebinX3 (ETH3I x) = rebinX3 x
  rebinY3 (ETH3I x) = rebinY3 x
  rebinZ3 (ETH3I x) = rebinZ3 x
  rebin3D (ETH3I x) = rebin3D x

instance ITArrayI (Exist TH3I) where


instance ITH1 (Exist TH3I) where
  add (ETH3I x) = add x
  addBinContent (ETH3I x) = addBinContent x
  chi2Test (ETH3I x) = chi2Test x
  computeIntegral (ETH3I x) = computeIntegral x
  directoryAutoAdd (ETH3I x) = directoryAutoAdd x
  divide (ETH3I x) = divide x
  drawCopyTH1 (ETH3I x) a1 = return . ETH3I =<< drawCopyTH1 x a1
  drawNormalized (ETH3I x) = drawNormalized x
  drawPanelTH1 (ETH3I x) = drawPanelTH1 x
  bufferEmpty (ETH3I x) = bufferEmpty x
  evalF (ETH3I x) = evalF x
  fFT (ETH3I x) = fFT x
  fill1 (ETH3I x) = fill1 x
  fill1w (ETH3I x) = fill1w x
  fillN1 (ETH3I x) = fillN1 x
  fillRandom (ETH3I x) = fillRandom x
  findBin (ETH3I x) = findBin x
  findFixBin (ETH3I x) = findFixBin x
  findFirstBinAbove (ETH3I x) = findFirstBinAbove x
  findLastBinAbove (ETH3I x) = findLastBinAbove x
  fitPanelTH1 (ETH3I x) = fitPanelTH1 x
  getNdivisionA (ETH3I x) = getNdivisionA x
  getAxisColorA (ETH3I x) = getAxisColorA x
  getLabelColorA (ETH3I x) = getLabelColorA x
  getLabelFontA (ETH3I x) = getLabelFontA x
  getLabelOffsetA (ETH3I x) = getLabelOffsetA x
  getLabelSizeA (ETH3I x) = getLabelSizeA x
  getTitleFontA (ETH3I x) = getTitleFontA x
  getTitleOffsetA (ETH3I x) = getTitleOffsetA x
  getTitleSizeA (ETH3I x) = getTitleSizeA x
  getTickLengthA (ETH3I x) = getTickLengthA x
  getBarOffset (ETH3I x) = getBarOffset x
  getBarWidth (ETH3I x) = getBarWidth x
  getContour (ETH3I x) = getContour x
  getContourLevel (ETH3I x) = getContourLevel x
  getContourLevelPad (ETH3I x) = getContourLevelPad x
  getBin (ETH3I x) = getBin x
  getBinCenter (ETH3I x) = getBinCenter x
  getBinContent1 (ETH3I x) = getBinContent1 x
  getBinContent2 (ETH3I x) = getBinContent2 x
  getBinContent3 (ETH3I x) = getBinContent3 x
  getBinError1 (ETH3I x) = getBinError1 x
  getBinError2 (ETH3I x) = getBinError2 x
  getBinError3 (ETH3I x) = getBinError3 x
  getBinLowEdge (ETH3I x) = getBinLowEdge x
  getBinWidth (ETH3I x) = getBinWidth x
  getCellContent (ETH3I x) = getCellContent x
  getCellError (ETH3I x) = getCellError x
  getEntries (ETH3I x) = getEntries x
  getEffectiveEntries (ETH3I x) = getEffectiveEntries x
  getFunction (ETH3I x) = getFunction x
  getDimension (ETH3I x) = getDimension x
  getKurtosis (ETH3I x) = getKurtosis x
  getLowEdge (ETH3I x) = getLowEdge x
  getMaximumTH1 (ETH3I x) = getMaximumTH1 x
  getMaximumBin (ETH3I x) = getMaximumBin x
  getMaximumStored (ETH3I x) = getMaximumStored x
  getMinimumTH1 (ETH3I x) = getMinimumTH1 x
  getMinimumBin (ETH3I x) = getMinimumBin x
  getMinimumStored (ETH3I x) = getMinimumStored x
  getMean (ETH3I x) = getMean x
  getMeanError (ETH3I x) = getMeanError x
  getNbinsX (ETH3I x) = getNbinsX x
  getNbinsY (ETH3I x) = getNbinsY x
  getNbinsZ (ETH3I x) = getNbinsZ x
  getQuantilesTH1 (ETH3I x) = getQuantilesTH1 x
  getRandom (ETH3I x) = getRandom x
  getStats (ETH3I x) = getStats x
  getSumOfWeights (ETH3I x) = getSumOfWeights x
  getSumw2 (ETH3I x) = getSumw2 x
  getSumw2N (ETH3I x) = getSumw2N x
  getRMS (ETH3I x) = getRMS x
  getRMSError (ETH3I x) = getRMSError x
  getSkewness (ETH3I x) = getSkewness x
  integral1 (ETH3I x) = integral1 x
  interpolate1 (ETH3I x) = interpolate1 x
  interpolate2 (ETH3I x) = interpolate2 x
  interpolate3 (ETH3I x) = interpolate3 x
  kolmogorovTest (ETH3I x) = kolmogorovTest x
  labelsDeflate (ETH3I x) = labelsDeflate x
  labelsInflate (ETH3I x) = labelsInflate x
  labelsOption (ETH3I x) = labelsOption x
  multiflyF (ETH3I x) = multiflyF x
  multiply (ETH3I x) = multiply x
  putStats (ETH3I x) = putStats x
  rebin (ETH3I x) = rebin x
  rebinAxis (ETH3I x) = rebinAxis x
  rebuild (ETH3I x) = rebuild x
  reset (ETH3I x) = reset x
  resetStats (ETH3I x) = resetStats x
  scale (ETH3I x) = scale x
  setAxisColorA (ETH3I x) = setAxisColorA x
  setAxisRange (ETH3I x) = setAxisRange x
  setBarOffset (ETH3I x) = setBarOffset x
  setBarWidth (ETH3I x) = setBarWidth x
  setBinContent1 (ETH3I x) = setBinContent1 x
  setBinContent2 (ETH3I x) = setBinContent2 x
  setBinContent3 (ETH3I x) = setBinContent3 x
  setBinError1 (ETH3I x) = setBinError1 x
  setBinError2 (ETH3I x) = setBinError2 x
  setBinError3 (ETH3I x) = setBinError3 x
  setBins1 (ETH3I x) = setBins1 x
  setBins2 (ETH3I x) = setBins2 x
  setBins3 (ETH3I x) = setBins3 x
  setBinsLength (ETH3I x) = setBinsLength x
  setBuffer (ETH3I x) = setBuffer x
  setCellContent (ETH3I x) = setCellContent x
  setContent (ETH3I x) = setContent x
  setContour (ETH3I x) = setContour x
  setContourLevel (ETH3I x) = setContourLevel x
  setDirectory (ETH3I x) = setDirectory x
  setEntries (ETH3I x) = setEntries x
  setError (ETH3I x) = setError x
  setLabelColorA (ETH3I x) = setLabelColorA x
  setLabelSizeA (ETH3I x) = setLabelSizeA x
  setLabelFontA (ETH3I x) = setLabelFontA x
  setLabelOffsetA (ETH3I x) = setLabelOffsetA x
  setMaximum (ETH3I x) = setMaximum x
  setMinimum (ETH3I x) = setMinimum x
  setNormFactor (ETH3I x) = setNormFactor x
  setStats (ETH3I x) = setStats x
  setOption (ETH3I x) = setOption x
  setXTitle (ETH3I x) = setXTitle x
  setYTitle (ETH3I x) = setYTitle x
  setZTitle (ETH3I x) = setZTitle x
  showBackground (ETH3I x) = showBackground x
  showPeaks (ETH3I x) = showPeaks x
  smooth (ETH3I x) = smooth x
  sumw2 (ETH3I x) = sumw2 x

instance ITAtt3D (Exist TH3I) where


instance ITNamed (Exist TH3I) where
  setName (ETH3I x) = setName x
  setNameTitle (ETH3I x) = setNameTitle x
  setTitle (ETH3I x) = setTitle x

instance ITAttLine (Exist TH3I) where
  getLineColor (ETH3I x) = getLineColor x
  getLineStyle (ETH3I x) = getLineStyle x
  getLineWidth (ETH3I x) = getLineWidth x
  resetAttLine (ETH3I x) = resetAttLine x
  setLineAttributes (ETH3I x) = setLineAttributes x
  setLineColor (ETH3I x) = setLineColor x
  setLineStyle (ETH3I x) = setLineStyle x
  setLineWidth (ETH3I x) = setLineWidth x

instance ITAttFill (Exist TH3I) where
  setFillColor (ETH3I x) = setFillColor x
  setFillStyle (ETH3I x) = setFillStyle x

instance ITAttMarker (Exist TH3I) where
  getMarkerColor (ETH3I x) = getMarkerColor x
  getMarkerStyle (ETH3I x) = getMarkerStyle x
  getMarkerSize (ETH3I x) = getMarkerSize x
  resetAttMarker (ETH3I x) = resetAttMarker x
  setMarkerAttributes (ETH3I x) = setMarkerAttributes x
  setMarkerColor (ETH3I x) = setMarkerColor x
  setMarkerStyle (ETH3I x) = setMarkerStyle x
  setMarkerSize (ETH3I x) = setMarkerSize x

instance ITObject (Exist TH3I) where
  draw (ETH3I x) = draw x
  findObject (ETH3I x) = findObject x
  getName (ETH3I x) = getName x
  isA (ETH3I x) = isA x
  isFolder (ETH3I x) = isFolder x
  isEqual (ETH3I x) = isEqual x
  isSortable (ETH3I x) = isSortable x
  paint (ETH3I x) = paint x
  printObj (ETH3I x) = printObj x
  recursiveRemove (ETH3I x) = recursiveRemove x
  saveAs (ETH3I x) = saveAs x
  useCurrentStyle (ETH3I x) = useCurrentStyle x
  write (ETH3I x) = write x

instance IDeletable (Exist TH3I) where
  delete (ETH3I x) = delete x

instance ITArray (Exist TH3I) where


instance ITH3S (Exist TH3S) where


instance ITH3 (Exist TH3S) where
  fill3 (ETH3S x) = fill3 x
  fill3w (ETH3S x) = fill3w x
  fitSlicesZ (ETH3S x) = fitSlicesZ x
  getCorrelationFactor3 (ETH3S x) = getCorrelationFactor3 x
  getCovariance3 (ETH3S x) = getCovariance3 x
  rebinX3 (ETH3S x) = rebinX3 x
  rebinY3 (ETH3S x) = rebinY3 x
  rebinZ3 (ETH3S x) = rebinZ3 x
  rebin3D (ETH3S x) = rebin3D x

instance ITArrayS (Exist TH3S) where


instance ITH1 (Exist TH3S) where
  add (ETH3S x) = add x
  addBinContent (ETH3S x) = addBinContent x
  chi2Test (ETH3S x) = chi2Test x
  computeIntegral (ETH3S x) = computeIntegral x
  directoryAutoAdd (ETH3S x) = directoryAutoAdd x
  divide (ETH3S x) = divide x
  drawCopyTH1 (ETH3S x) a1 = return . ETH3S =<< drawCopyTH1 x a1
  drawNormalized (ETH3S x) = drawNormalized x
  drawPanelTH1 (ETH3S x) = drawPanelTH1 x
  bufferEmpty (ETH3S x) = bufferEmpty x
  evalF (ETH3S x) = evalF x
  fFT (ETH3S x) = fFT x
  fill1 (ETH3S x) = fill1 x
  fill1w (ETH3S x) = fill1w x
  fillN1 (ETH3S x) = fillN1 x
  fillRandom (ETH3S x) = fillRandom x
  findBin (ETH3S x) = findBin x
  findFixBin (ETH3S x) = findFixBin x
  findFirstBinAbove (ETH3S x) = findFirstBinAbove x
  findLastBinAbove (ETH3S x) = findLastBinAbove x
  fitPanelTH1 (ETH3S x) = fitPanelTH1 x
  getNdivisionA (ETH3S x) = getNdivisionA x
  getAxisColorA (ETH3S x) = getAxisColorA x
  getLabelColorA (ETH3S x) = getLabelColorA x
  getLabelFontA (ETH3S x) = getLabelFontA x
  getLabelOffsetA (ETH3S x) = getLabelOffsetA x
  getLabelSizeA (ETH3S x) = getLabelSizeA x
  getTitleFontA (ETH3S x) = getTitleFontA x
  getTitleOffsetA (ETH3S x) = getTitleOffsetA x
  getTitleSizeA (ETH3S x) = getTitleSizeA x
  getTickLengthA (ETH3S x) = getTickLengthA x
  getBarOffset (ETH3S x) = getBarOffset x
  getBarWidth (ETH3S x) = getBarWidth x
  getContour (ETH3S x) = getContour x
  getContourLevel (ETH3S x) = getContourLevel x
  getContourLevelPad (ETH3S x) = getContourLevelPad x
  getBin (ETH3S x) = getBin x
  getBinCenter (ETH3S x) = getBinCenter x
  getBinContent1 (ETH3S x) = getBinContent1 x
  getBinContent2 (ETH3S x) = getBinContent2 x
  getBinContent3 (ETH3S x) = getBinContent3 x
  getBinError1 (ETH3S x) = getBinError1 x
  getBinError2 (ETH3S x) = getBinError2 x
  getBinError3 (ETH3S x) = getBinError3 x
  getBinLowEdge (ETH3S x) = getBinLowEdge x
  getBinWidth (ETH3S x) = getBinWidth x
  getCellContent (ETH3S x) = getCellContent x
  getCellError (ETH3S x) = getCellError x
  getEntries (ETH3S x) = getEntries x
  getEffectiveEntries (ETH3S x) = getEffectiveEntries x
  getFunction (ETH3S x) = getFunction x
  getDimension (ETH3S x) = getDimension x
  getKurtosis (ETH3S x) = getKurtosis x
  getLowEdge (ETH3S x) = getLowEdge x
  getMaximumTH1 (ETH3S x) = getMaximumTH1 x
  getMaximumBin (ETH3S x) = getMaximumBin x
  getMaximumStored (ETH3S x) = getMaximumStored x
  getMinimumTH1 (ETH3S x) = getMinimumTH1 x
  getMinimumBin (ETH3S x) = getMinimumBin x
  getMinimumStored (ETH3S x) = getMinimumStored x
  getMean (ETH3S x) = getMean x
  getMeanError (ETH3S x) = getMeanError x
  getNbinsX (ETH3S x) = getNbinsX x
  getNbinsY (ETH3S x) = getNbinsY x
  getNbinsZ (ETH3S x) = getNbinsZ x
  getQuantilesTH1 (ETH3S x) = getQuantilesTH1 x
  getRandom (ETH3S x) = getRandom x
  getStats (ETH3S x) = getStats x
  getSumOfWeights (ETH3S x) = getSumOfWeights x
  getSumw2 (ETH3S x) = getSumw2 x
  getSumw2N (ETH3S x) = getSumw2N x
  getRMS (ETH3S x) = getRMS x
  getRMSError (ETH3S x) = getRMSError x
  getSkewness (ETH3S x) = getSkewness x
  integral1 (ETH3S x) = integral1 x
  interpolate1 (ETH3S x) = interpolate1 x
  interpolate2 (ETH3S x) = interpolate2 x
  interpolate3 (ETH3S x) = interpolate3 x
  kolmogorovTest (ETH3S x) = kolmogorovTest x
  labelsDeflate (ETH3S x) = labelsDeflate x
  labelsInflate (ETH3S x) = labelsInflate x
  labelsOption (ETH3S x) = labelsOption x
  multiflyF (ETH3S x) = multiflyF x
  multiply (ETH3S x) = multiply x
  putStats (ETH3S x) = putStats x
  rebin (ETH3S x) = rebin x
  rebinAxis (ETH3S x) = rebinAxis x
  rebuild (ETH3S x) = rebuild x
  reset (ETH3S x) = reset x
  resetStats (ETH3S x) = resetStats x
  scale (ETH3S x) = scale x
  setAxisColorA (ETH3S x) = setAxisColorA x
  setAxisRange (ETH3S x) = setAxisRange x
  setBarOffset (ETH3S x) = setBarOffset x
  setBarWidth (ETH3S x) = setBarWidth x
  setBinContent1 (ETH3S x) = setBinContent1 x
  setBinContent2 (ETH3S x) = setBinContent2 x
  setBinContent3 (ETH3S x) = setBinContent3 x
  setBinError1 (ETH3S x) = setBinError1 x
  setBinError2 (ETH3S x) = setBinError2 x
  setBinError3 (ETH3S x) = setBinError3 x
  setBins1 (ETH3S x) = setBins1 x
  setBins2 (ETH3S x) = setBins2 x
  setBins3 (ETH3S x) = setBins3 x
  setBinsLength (ETH3S x) = setBinsLength x
  setBuffer (ETH3S x) = setBuffer x
  setCellContent (ETH3S x) = setCellContent x
  setContent (ETH3S x) = setContent x
  setContour (ETH3S x) = setContour x
  setContourLevel (ETH3S x) = setContourLevel x
  setDirectory (ETH3S x) = setDirectory x
  setEntries (ETH3S x) = setEntries x
  setError (ETH3S x) = setError x
  setLabelColorA (ETH3S x) = setLabelColorA x
  setLabelSizeA (ETH3S x) = setLabelSizeA x
  setLabelFontA (ETH3S x) = setLabelFontA x
  setLabelOffsetA (ETH3S x) = setLabelOffsetA x
  setMaximum (ETH3S x) = setMaximum x
  setMinimum (ETH3S x) = setMinimum x
  setNormFactor (ETH3S x) = setNormFactor x
  setStats (ETH3S x) = setStats x
  setOption (ETH3S x) = setOption x
  setXTitle (ETH3S x) = setXTitle x
  setYTitle (ETH3S x) = setYTitle x
  setZTitle (ETH3S x) = setZTitle x
  showBackground (ETH3S x) = showBackground x
  showPeaks (ETH3S x) = showPeaks x
  smooth (ETH3S x) = smooth x
  sumw2 (ETH3S x) = sumw2 x

instance ITAtt3D (Exist TH3S) where


instance ITNamed (Exist TH3S) where
  setName (ETH3S x) = setName x
  setNameTitle (ETH3S x) = setNameTitle x
  setTitle (ETH3S x) = setTitle x

instance ITAttLine (Exist TH3S) where
  getLineColor (ETH3S x) = getLineColor x
  getLineStyle (ETH3S x) = getLineStyle x
  getLineWidth (ETH3S x) = getLineWidth x
  resetAttLine (ETH3S x) = resetAttLine x
  setLineAttributes (ETH3S x) = setLineAttributes x
  setLineColor (ETH3S x) = setLineColor x
  setLineStyle (ETH3S x) = setLineStyle x
  setLineWidth (ETH3S x) = setLineWidth x

instance ITAttFill (Exist TH3S) where
  setFillColor (ETH3S x) = setFillColor x
  setFillStyle (ETH3S x) = setFillStyle x

instance ITAttMarker (Exist TH3S) where
  getMarkerColor (ETH3S x) = getMarkerColor x
  getMarkerStyle (ETH3S x) = getMarkerStyle x
  getMarkerSize (ETH3S x) = getMarkerSize x
  resetAttMarker (ETH3S x) = resetAttMarker x
  setMarkerAttributes (ETH3S x) = setMarkerAttributes x
  setMarkerColor (ETH3S x) = setMarkerColor x
  setMarkerStyle (ETH3S x) = setMarkerStyle x
  setMarkerSize (ETH3S x) = setMarkerSize x

instance ITObject (Exist TH3S) where
  draw (ETH3S x) = draw x
  findObject (ETH3S x) = findObject x
  getName (ETH3S x) = getName x
  isA (ETH3S x) = isA x
  isFolder (ETH3S x) = isFolder x
  isEqual (ETH3S x) = isEqual x
  isSortable (ETH3S x) = isSortable x
  paint (ETH3S x) = paint x
  printObj (ETH3S x) = printObj x
  recursiveRemove (ETH3S x) = recursiveRemove x
  saveAs (ETH3S x) = saveAs x
  useCurrentStyle (ETH3S x) = useCurrentStyle x
  write (ETH3S x) = write x

instance IDeletable (Exist TH3S) where
  delete (ETH3S x) = delete x

instance ITArray (Exist TH3S) where


instance ITQObject (Exist TQObject) where


instance IDeletable (Exist TQObject) where
  delete (ETQObject x) = delete x

instance ITVirtualPad (Exist TVirtualPad) where
  getFrame (ETVirtualPad x) = getFrame x
  range (ETVirtualPad x) = range x

instance ITObject (Exist TVirtualPad) where
  draw (ETVirtualPad x) = draw x
  findObject (ETVirtualPad x) = findObject x
  getName (ETVirtualPad x) = getName x
  isA (ETVirtualPad x) = isA x
  isFolder (ETVirtualPad x) = isFolder x
  isEqual (ETVirtualPad x) = isEqual x
  isSortable (ETVirtualPad x) = isSortable x
  paint (ETVirtualPad x) = paint x
  printObj (ETVirtualPad x) = printObj x
  recursiveRemove (ETVirtualPad x) = recursiveRemove x
  saveAs (ETVirtualPad x) = saveAs x
  useCurrentStyle (ETVirtualPad x) = useCurrentStyle x
  write (ETVirtualPad x) = write x

instance ITAttLine (Exist TVirtualPad) where
  getLineColor (ETVirtualPad x) = getLineColor x
  getLineStyle (ETVirtualPad x) = getLineStyle x
  getLineWidth (ETVirtualPad x) = getLineWidth x
  resetAttLine (ETVirtualPad x) = resetAttLine x
  setLineAttributes (ETVirtualPad x) = setLineAttributes x
  setLineColor (ETVirtualPad x) = setLineColor x
  setLineStyle (ETVirtualPad x) = setLineStyle x
  setLineWidth (ETVirtualPad x) = setLineWidth x

instance ITAttFill (Exist TVirtualPad) where
  setFillColor (ETVirtualPad x) = setFillColor x
  setFillStyle (ETVirtualPad x) = setFillStyle x

instance ITAttPad (Exist TVirtualPad) where
  resetAttPad (ETVirtualPad x) = resetAttPad x
  setBottomMargin (ETVirtualPad x) = setBottomMargin x
  setLeftMargin (ETVirtualPad x) = setLeftMargin x
  setRightMargin (ETVirtualPad x) = setRightMargin x
  setTopMargin (ETVirtualPad x) = setTopMargin x
  setMargin (ETVirtualPad x) = setMargin x
  setAfile (ETVirtualPad x) = setAfile x
  setXfile (ETVirtualPad x) = setXfile x
  setYfile (ETVirtualPad x) = setYfile x
  setAstat (ETVirtualPad x) = setAstat x
  setXstat (ETVirtualPad x) = setXstat x
  setYstat (ETVirtualPad x) = setYstat x

instance ITQObject (Exist TVirtualPad) where


instance IDeletable (Exist TVirtualPad) where
  delete (ETVirtualPad x) = delete x

instance ITPad (Exist TPad) where


instance ITVirtualPad (Exist TPad) where
  getFrame (ETPad x) = getFrame x
  range (ETPad x) = range x

instance ITObject (Exist TPad) where
  draw (ETPad x) = draw x
  findObject (ETPad x) = findObject x
  getName (ETPad x) = getName x
  isA (ETPad x) = isA x
  isFolder (ETPad x) = isFolder x
  isEqual (ETPad x) = isEqual x
  isSortable (ETPad x) = isSortable x
  paint (ETPad x) = paint x
  printObj (ETPad x) = printObj x
  recursiveRemove (ETPad x) = recursiveRemove x
  saveAs (ETPad x) = saveAs x
  useCurrentStyle (ETPad x) = useCurrentStyle x
  write (ETPad x) = write x

instance ITAttLine (Exist TPad) where
  getLineColor (ETPad x) = getLineColor x
  getLineStyle (ETPad x) = getLineStyle x
  getLineWidth (ETPad x) = getLineWidth x
  resetAttLine (ETPad x) = resetAttLine x
  setLineAttributes (ETPad x) = setLineAttributes x
  setLineColor (ETPad x) = setLineColor x
  setLineStyle (ETPad x) = setLineStyle x
  setLineWidth (ETPad x) = setLineWidth x

instance ITAttFill (Exist TPad) where
  setFillColor (ETPad x) = setFillColor x
  setFillStyle (ETPad x) = setFillStyle x

instance ITAttPad (Exist TPad) where
  resetAttPad (ETPad x) = resetAttPad x
  setBottomMargin (ETPad x) = setBottomMargin x
  setLeftMargin (ETPad x) = setLeftMargin x
  setRightMargin (ETPad x) = setRightMargin x
  setTopMargin (ETPad x) = setTopMargin x
  setMargin (ETPad x) = setMargin x
  setAfile (ETPad x) = setAfile x
  setXfile (ETPad x) = setXfile x
  setYfile (ETPad x) = setYfile x
  setAstat (ETPad x) = setAstat x
  setXstat (ETPad x) = setXstat x
  setYstat (ETPad x) = setYstat x

instance ITQObject (Exist TPad) where


instance IDeletable (Exist TPad) where
  delete (ETPad x) = delete x

instance ITButton (Exist TButton) where


instance ITPad (Exist TButton) where


instance ITAttText (Exist TButton) where
  getTextAlign (ETButton x) = getTextAlign x
  getTextAngle (ETButton x) = getTextAngle x
  getTextColor (ETButton x) = getTextColor x
  getTextFont (ETButton x) = getTextFont x
  getTextSize (ETButton x) = getTextSize x
  resetAttText (ETButton x) = resetAttText x
  setTextAttributes (ETButton x) = setTextAttributes x
  setTextAlign (ETButton x) = setTextAlign x
  setTextAngle (ETButton x) = setTextAngle x
  setTextColor (ETButton x) = setTextColor x
  setTextFont (ETButton x) = setTextFont x
  setTextSize (ETButton x) = setTextSize x
  setTextSizePixels (ETButton x) = setTextSizePixels x

instance ITVirtualPad (Exist TButton) where
  getFrame (ETButton x) = getFrame x
  range (ETButton x) = range x

instance ITObject (Exist TButton) where
  draw (ETButton x) = draw x
  findObject (ETButton x) = findObject x
  getName (ETButton x) = getName x
  isA (ETButton x) = isA x
  isFolder (ETButton x) = isFolder x
  isEqual (ETButton x) = isEqual x
  isSortable (ETButton x) = isSortable x
  paint (ETButton x) = paint x
  printObj (ETButton x) = printObj x
  recursiveRemove (ETButton x) = recursiveRemove x
  saveAs (ETButton x) = saveAs x
  useCurrentStyle (ETButton x) = useCurrentStyle x
  write (ETButton x) = write x

instance ITAttLine (Exist TButton) where
  getLineColor (ETButton x) = getLineColor x
  getLineStyle (ETButton x) = getLineStyle x
  getLineWidth (ETButton x) = getLineWidth x
  resetAttLine (ETButton x) = resetAttLine x
  setLineAttributes (ETButton x) = setLineAttributes x
  setLineColor (ETButton x) = setLineColor x
  setLineStyle (ETButton x) = setLineStyle x
  setLineWidth (ETButton x) = setLineWidth x

instance ITAttFill (Exist TButton) where
  setFillColor (ETButton x) = setFillColor x
  setFillStyle (ETButton x) = setFillStyle x

instance ITAttPad (Exist TButton) where
  resetAttPad (ETButton x) = resetAttPad x
  setBottomMargin (ETButton x) = setBottomMargin x
  setLeftMargin (ETButton x) = setLeftMargin x
  setRightMargin (ETButton x) = setRightMargin x
  setTopMargin (ETButton x) = setTopMargin x
  setMargin (ETButton x) = setMargin x
  setAfile (ETButton x) = setAfile x
  setXfile (ETButton x) = setXfile x
  setYfile (ETButton x) = setYfile x
  setAstat (ETButton x) = setAstat x
  setXstat (ETButton x) = setXstat x
  setYstat (ETButton x) = setYstat x

instance ITQObject (Exist TButton) where


instance IDeletable (Exist TButton) where
  delete (ETButton x) = delete x

instance ITGroupButton (Exist TGroupButton) where


instance ITButton (Exist TGroupButton) where


instance ITPad (Exist TGroupButton) where


instance ITAttText (Exist TGroupButton) where
  getTextAlign (ETGroupButton x) = getTextAlign x
  getTextAngle (ETGroupButton x) = getTextAngle x
  getTextColor (ETGroupButton x) = getTextColor x
  getTextFont (ETGroupButton x) = getTextFont x
  getTextSize (ETGroupButton x) = getTextSize x
  resetAttText (ETGroupButton x) = resetAttText x
  setTextAttributes (ETGroupButton x) = setTextAttributes x
  setTextAlign (ETGroupButton x) = setTextAlign x
  setTextAngle (ETGroupButton x) = setTextAngle x
  setTextColor (ETGroupButton x) = setTextColor x
  setTextFont (ETGroupButton x) = setTextFont x
  setTextSize (ETGroupButton x) = setTextSize x
  setTextSizePixels (ETGroupButton x) = setTextSizePixels x

instance ITVirtualPad (Exist TGroupButton) where
  getFrame (ETGroupButton x) = getFrame x
  range (ETGroupButton x) = range x

instance ITObject (Exist TGroupButton) where
  draw (ETGroupButton x) = draw x
  findObject (ETGroupButton x) = findObject x
  getName (ETGroupButton x) = getName x
  isA (ETGroupButton x) = isA x
  isFolder (ETGroupButton x) = isFolder x
  isEqual (ETGroupButton x) = isEqual x
  isSortable (ETGroupButton x) = isSortable x
  paint (ETGroupButton x) = paint x
  printObj (ETGroupButton x) = printObj x
  recursiveRemove (ETGroupButton x) = recursiveRemove x
  saveAs (ETGroupButton x) = saveAs x
  useCurrentStyle (ETGroupButton x) = useCurrentStyle x
  write (ETGroupButton x) = write x

instance ITAttLine (Exist TGroupButton) where
  getLineColor (ETGroupButton x) = getLineColor x
  getLineStyle (ETGroupButton x) = getLineStyle x
  getLineWidth (ETGroupButton x) = getLineWidth x
  resetAttLine (ETGroupButton x) = resetAttLine x
  setLineAttributes (ETGroupButton x) = setLineAttributes x
  setLineColor (ETGroupButton x) = setLineColor x
  setLineStyle (ETGroupButton x) = setLineStyle x
  setLineWidth (ETGroupButton x) = setLineWidth x

instance ITAttFill (Exist TGroupButton) where
  setFillColor (ETGroupButton x) = setFillColor x
  setFillStyle (ETGroupButton x) = setFillStyle x

instance ITAttPad (Exist TGroupButton) where
  resetAttPad (ETGroupButton x) = resetAttPad x
  setBottomMargin (ETGroupButton x) = setBottomMargin x
  setLeftMargin (ETGroupButton x) = setLeftMargin x
  setRightMargin (ETGroupButton x) = setRightMargin x
  setTopMargin (ETGroupButton x) = setTopMargin x
  setMargin (ETGroupButton x) = setMargin x
  setAfile (ETGroupButton x) = setAfile x
  setXfile (ETGroupButton x) = setXfile x
  setYfile (ETGroupButton x) = setYfile x
  setAstat (ETGroupButton x) = setAstat x
  setXstat (ETGroupButton x) = setXstat x
  setYstat (ETGroupButton x) = setYstat x

instance ITQObject (Exist TGroupButton) where


instance IDeletable (Exist TGroupButton) where
  delete (ETGroupButton x) = delete x

instance ITCanvas (Exist TCanvas) where


instance ITPad (Exist TCanvas) where


instance ITVirtualPad (Exist TCanvas) where
  getFrame (ETCanvas x) = getFrame x
  range (ETCanvas x) = range x

instance ITObject (Exist TCanvas) where
  draw (ETCanvas x) = draw x
  findObject (ETCanvas x) = findObject x
  getName (ETCanvas x) = getName x
  isA (ETCanvas x) = isA x
  isFolder (ETCanvas x) = isFolder x
  isEqual (ETCanvas x) = isEqual x
  isSortable (ETCanvas x) = isSortable x
  paint (ETCanvas x) = paint x
  printObj (ETCanvas x) = printObj x
  recursiveRemove (ETCanvas x) = recursiveRemove x
  saveAs (ETCanvas x) = saveAs x
  useCurrentStyle (ETCanvas x) = useCurrentStyle x
  write (ETCanvas x) = write x

instance ITAttLine (Exist TCanvas) where
  getLineColor (ETCanvas x) = getLineColor x
  getLineStyle (ETCanvas x) = getLineStyle x
  getLineWidth (ETCanvas x) = getLineWidth x
  resetAttLine (ETCanvas x) = resetAttLine x
  setLineAttributes (ETCanvas x) = setLineAttributes x
  setLineColor (ETCanvas x) = setLineColor x
  setLineStyle (ETCanvas x) = setLineStyle x
  setLineWidth (ETCanvas x) = setLineWidth x

instance ITAttFill (Exist TCanvas) where
  setFillColor (ETCanvas x) = setFillColor x
  setFillStyle (ETCanvas x) = setFillStyle x

instance ITAttPad (Exist TCanvas) where
  resetAttPad (ETCanvas x) = resetAttPad x
  setBottomMargin (ETCanvas x) = setBottomMargin x
  setLeftMargin (ETCanvas x) = setLeftMargin x
  setRightMargin (ETCanvas x) = setRightMargin x
  setTopMargin (ETCanvas x) = setTopMargin x
  setMargin (ETCanvas x) = setMargin x
  setAfile (ETCanvas x) = setAfile x
  setXfile (ETCanvas x) = setXfile x
  setYfile (ETCanvas x) = setYfile x
  setAstat (ETCanvas x) = setAstat x
  setXstat (ETCanvas x) = setXstat x
  setYstat (ETCanvas x) = setYstat x

instance ITQObject (Exist TCanvas) where


instance IDeletable (Exist TCanvas) where
  delete (ETCanvas x) = delete x

instance ITDialogCanvas (Exist TDialogCanvas) where


instance ITCanvas (Exist TDialogCanvas) where


instance ITAttText (Exist TDialogCanvas) where
  getTextAlign (ETDialogCanvas x) = getTextAlign x
  getTextAngle (ETDialogCanvas x) = getTextAngle x
  getTextColor (ETDialogCanvas x) = getTextColor x
  getTextFont (ETDialogCanvas x) = getTextFont x
  getTextSize (ETDialogCanvas x) = getTextSize x
  resetAttText (ETDialogCanvas x) = resetAttText x
  setTextAttributes (ETDialogCanvas x) = setTextAttributes x
  setTextAlign (ETDialogCanvas x) = setTextAlign x
  setTextAngle (ETDialogCanvas x) = setTextAngle x
  setTextColor (ETDialogCanvas x) = setTextColor x
  setTextFont (ETDialogCanvas x) = setTextFont x
  setTextSize (ETDialogCanvas x) = setTextSize x
  setTextSizePixels (ETDialogCanvas x) = setTextSizePixels x

instance ITPad (Exist TDialogCanvas) where


instance ITVirtualPad (Exist TDialogCanvas) where
  getFrame (ETDialogCanvas x) = getFrame x
  range (ETDialogCanvas x) = range x

instance ITObject (Exist TDialogCanvas) where
  draw (ETDialogCanvas x) = draw x
  findObject (ETDialogCanvas x) = findObject x
  getName (ETDialogCanvas x) = getName x
  isA (ETDialogCanvas x) = isA x
  isFolder (ETDialogCanvas x) = isFolder x
  isEqual (ETDialogCanvas x) = isEqual x
  isSortable (ETDialogCanvas x) = isSortable x
  paint (ETDialogCanvas x) = paint x
  printObj (ETDialogCanvas x) = printObj x
  recursiveRemove (ETDialogCanvas x) = recursiveRemove x
  saveAs (ETDialogCanvas x) = saveAs x
  useCurrentStyle (ETDialogCanvas x) = useCurrentStyle x
  write (ETDialogCanvas x) = write x

instance ITAttLine (Exist TDialogCanvas) where
  getLineColor (ETDialogCanvas x) = getLineColor x
  getLineStyle (ETDialogCanvas x) = getLineStyle x
  getLineWidth (ETDialogCanvas x) = getLineWidth x
  resetAttLine (ETDialogCanvas x) = resetAttLine x
  setLineAttributes (ETDialogCanvas x) = setLineAttributes x
  setLineColor (ETDialogCanvas x) = setLineColor x
  setLineStyle (ETDialogCanvas x) = setLineStyle x
  setLineWidth (ETDialogCanvas x) = setLineWidth x

instance ITAttFill (Exist TDialogCanvas) where
  setFillColor (ETDialogCanvas x) = setFillColor x
  setFillStyle (ETDialogCanvas x) = setFillStyle x

instance ITAttPad (Exist TDialogCanvas) where
  resetAttPad (ETDialogCanvas x) = resetAttPad x
  setBottomMargin (ETDialogCanvas x) = setBottomMargin x
  setLeftMargin (ETDialogCanvas x) = setLeftMargin x
  setRightMargin (ETDialogCanvas x) = setRightMargin x
  setTopMargin (ETDialogCanvas x) = setTopMargin x
  setMargin (ETDialogCanvas x) = setMargin x
  setAfile (ETDialogCanvas x) = setAfile x
  setXfile (ETDialogCanvas x) = setXfile x
  setYfile (ETDialogCanvas x) = setYfile x
  setAstat (ETDialogCanvas x) = setAstat x
  setXstat (ETDialogCanvas x) = setXstat x
  setYstat (ETDialogCanvas x) = setYstat x

instance ITQObject (Exist TDialogCanvas) where


instance IDeletable (Exist TDialogCanvas) where
  delete (ETDialogCanvas x) = delete x

instance ITInspectCanvas (Exist TInspectCanvas) where


instance ITCanvas (Exist TInspectCanvas) where


instance ITAttText (Exist TInspectCanvas) where
  getTextAlign (ETInspectCanvas x) = getTextAlign x
  getTextAngle (ETInspectCanvas x) = getTextAngle x
  getTextColor (ETInspectCanvas x) = getTextColor x
  getTextFont (ETInspectCanvas x) = getTextFont x
  getTextSize (ETInspectCanvas x) = getTextSize x
  resetAttText (ETInspectCanvas x) = resetAttText x
  setTextAttributes (ETInspectCanvas x) = setTextAttributes x
  setTextAlign (ETInspectCanvas x) = setTextAlign x
  setTextAngle (ETInspectCanvas x) = setTextAngle x
  setTextColor (ETInspectCanvas x) = setTextColor x
  setTextFont (ETInspectCanvas x) = setTextFont x
  setTextSize (ETInspectCanvas x) = setTextSize x
  setTextSizePixels (ETInspectCanvas x) = setTextSizePixels x

instance ITPad (Exist TInspectCanvas) where


instance ITVirtualPad (Exist TInspectCanvas) where
  getFrame (ETInspectCanvas x) = getFrame x
  range (ETInspectCanvas x) = range x

instance ITObject (Exist TInspectCanvas) where
  draw (ETInspectCanvas x) = draw x
  findObject (ETInspectCanvas x) = findObject x
  getName (ETInspectCanvas x) = getName x
  isA (ETInspectCanvas x) = isA x
  isFolder (ETInspectCanvas x) = isFolder x
  isEqual (ETInspectCanvas x) = isEqual x
  isSortable (ETInspectCanvas x) = isSortable x
  paint (ETInspectCanvas x) = paint x
  printObj (ETInspectCanvas x) = printObj x
  recursiveRemove (ETInspectCanvas x) = recursiveRemove x
  saveAs (ETInspectCanvas x) = saveAs x
  useCurrentStyle (ETInspectCanvas x) = useCurrentStyle x
  write (ETInspectCanvas x) = write x

instance ITAttLine (Exist TInspectCanvas) where
  getLineColor (ETInspectCanvas x) = getLineColor x
  getLineStyle (ETInspectCanvas x) = getLineStyle x
  getLineWidth (ETInspectCanvas x) = getLineWidth x
  resetAttLine (ETInspectCanvas x) = resetAttLine x
  setLineAttributes (ETInspectCanvas x) = setLineAttributes x
  setLineColor (ETInspectCanvas x) = setLineColor x
  setLineStyle (ETInspectCanvas x) = setLineStyle x
  setLineWidth (ETInspectCanvas x) = setLineWidth x

instance ITAttFill (Exist TInspectCanvas) where
  setFillColor (ETInspectCanvas x) = setFillColor x
  setFillStyle (ETInspectCanvas x) = setFillStyle x

instance ITAttPad (Exist TInspectCanvas) where
  resetAttPad (ETInspectCanvas x) = resetAttPad x
  setBottomMargin (ETInspectCanvas x) = setBottomMargin x
  setLeftMargin (ETInspectCanvas x) = setLeftMargin x
  setRightMargin (ETInspectCanvas x) = setRightMargin x
  setTopMargin (ETInspectCanvas x) = setTopMargin x
  setMargin (ETInspectCanvas x) = setMargin x
  setAfile (ETInspectCanvas x) = setAfile x
  setXfile (ETInspectCanvas x) = setXfile x
  setYfile (ETInspectCanvas x) = setYfile x
  setAstat (ETInspectCanvas x) = setAstat x
  setXstat (ETInspectCanvas x) = setXstat x
  setYstat (ETInspectCanvas x) = setYstat x

instance ITQObject (Exist TInspectCanvas) where


instance IDeletable (Exist TInspectCanvas) where
  delete (ETInspectCanvas x) = delete x

instance ITEvePad (Exist TEvePad) where


instance ITPad (Exist TEvePad) where


instance ITVirtualPad (Exist TEvePad) where
  getFrame (ETEvePad x) = getFrame x
  range (ETEvePad x) = range x

instance ITObject (Exist TEvePad) where
  draw (ETEvePad x) = draw x
  findObject (ETEvePad x) = findObject x
  getName (ETEvePad x) = getName x
  isA (ETEvePad x) = isA x
  isFolder (ETEvePad x) = isFolder x
  isEqual (ETEvePad x) = isEqual x
  isSortable (ETEvePad x) = isSortable x
  paint (ETEvePad x) = paint x
  printObj (ETEvePad x) = printObj x
  recursiveRemove (ETEvePad x) = recursiveRemove x
  saveAs (ETEvePad x) = saveAs x
  useCurrentStyle (ETEvePad x) = useCurrentStyle x
  write (ETEvePad x) = write x

instance ITAttLine (Exist TEvePad) where
  getLineColor (ETEvePad x) = getLineColor x
  getLineStyle (ETEvePad x) = getLineStyle x
  getLineWidth (ETEvePad x) = getLineWidth x
  resetAttLine (ETEvePad x) = resetAttLine x
  setLineAttributes (ETEvePad x) = setLineAttributes x
  setLineColor (ETEvePad x) = setLineColor x
  setLineStyle (ETEvePad x) = setLineStyle x
  setLineWidth (ETEvePad x) = setLineWidth x

instance ITAttFill (Exist TEvePad) where
  setFillColor (ETEvePad x) = setFillColor x
  setFillStyle (ETEvePad x) = setFillStyle x

instance ITAttPad (Exist TEvePad) where
  resetAttPad (ETEvePad x) = resetAttPad x
  setBottomMargin (ETEvePad x) = setBottomMargin x
  setLeftMargin (ETEvePad x) = setLeftMargin x
  setRightMargin (ETEvePad x) = setRightMargin x
  setTopMargin (ETEvePad x) = setTopMargin x
  setMargin (ETEvePad x) = setMargin x
  setAfile (ETEvePad x) = setAfile x
  setXfile (ETEvePad x) = setXfile x
  setYfile (ETEvePad x) = setYfile x
  setAstat (ETEvePad x) = setAstat x
  setXstat (ETEvePad x) = setXstat x
  setYstat (ETEvePad x) = setYstat x

instance ITQObject (Exist TEvePad) where


instance IDeletable (Exist TEvePad) where
  delete (ETEvePad x) = delete x

instance ITSlider (Exist TSlider) where


instance ITPad (Exist TSlider) where


instance ITVirtualPad (Exist TSlider) where
  getFrame (ETSlider x) = getFrame x
  range (ETSlider x) = range x

instance ITObject (Exist TSlider) where
  draw (ETSlider x) = draw x
  findObject (ETSlider x) = findObject x
  getName (ETSlider x) = getName x
  isA (ETSlider x) = isA x
  isFolder (ETSlider x) = isFolder x
  isEqual (ETSlider x) = isEqual x
  isSortable (ETSlider x) = isSortable x
  paint (ETSlider x) = paint x
  printObj (ETSlider x) = printObj x
  recursiveRemove (ETSlider x) = recursiveRemove x
  saveAs (ETSlider x) = saveAs x
  useCurrentStyle (ETSlider x) = useCurrentStyle x
  write (ETSlider x) = write x

instance ITAttLine (Exist TSlider) where
  getLineColor (ETSlider x) = getLineColor x
  getLineStyle (ETSlider x) = getLineStyle x
  getLineWidth (ETSlider x) = getLineWidth x
  resetAttLine (ETSlider x) = resetAttLine x
  setLineAttributes (ETSlider x) = setLineAttributes x
  setLineColor (ETSlider x) = setLineColor x
  setLineStyle (ETSlider x) = setLineStyle x
  setLineWidth (ETSlider x) = setLineWidth x

instance ITAttFill (Exist TSlider) where
  setFillColor (ETSlider x) = setFillColor x
  setFillStyle (ETSlider x) = setFillStyle x

instance ITAttPad (Exist TSlider) where
  resetAttPad (ETSlider x) = resetAttPad x
  setBottomMargin (ETSlider x) = setBottomMargin x
  setLeftMargin (ETSlider x) = setLeftMargin x
  setRightMargin (ETSlider x) = setRightMargin x
  setTopMargin (ETSlider x) = setTopMargin x
  setMargin (ETSlider x) = setMargin x
  setAfile (ETSlider x) = setAfile x
  setXfile (ETSlider x) = setXfile x
  setYfile (ETSlider x) = setYfile x
  setAstat (ETSlider x) = setAstat x
  setXstat (ETSlider x) = setXstat x
  setYstat (ETSlider x) = setYstat x

instance ITQObject (Exist TSlider) where


instance IDeletable (Exist TSlider) where
  delete (ETSlider x) = delete x

instance ITApplication (Exist TApplication) where
  run (ETApplication x) = run x

instance ITObject (Exist TApplication) where
  draw (ETApplication x) = draw x
  findObject (ETApplication x) = findObject x
  getName (ETApplication x) = getName x
  isA (ETApplication x) = isA x
  isFolder (ETApplication x) = isFolder x
  isEqual (ETApplication x) = isEqual x
  isSortable (ETApplication x) = isSortable x
  paint (ETApplication x) = paint x
  printObj (ETApplication x) = printObj x
  recursiveRemove (ETApplication x) = recursiveRemove x
  saveAs (ETApplication x) = saveAs x
  useCurrentStyle (ETApplication x) = useCurrentStyle x
  write (ETApplication x) = write x

instance ITQObject (Exist TApplication) where


instance IDeletable (Exist TApplication) where
  delete (ETApplication x) = delete x

instance ITRint (Exist TRint) where


instance ITApplication (Exist TRint) where
  run (ETRint x) = run x

instance ITObject (Exist TRint) where
  draw (ETRint x) = draw x
  findObject (ETRint x) = findObject x
  getName (ETRint x) = getName x
  isA (ETRint x) = isA x
  isFolder (ETRint x) = isFolder x
  isEqual (ETRint x) = isEqual x
  isSortable (ETRint x) = isSortable x
  paint (ETRint x) = paint x
  printObj (ETRint x) = printObj x
  recursiveRemove (ETRint x) = recursiveRemove x
  saveAs (ETRint x) = saveAs x
  useCurrentStyle (ETRint x) = useCurrentStyle x
  write (ETRint x) = write x

instance ITQObject (Exist TRint) where


instance IDeletable (Exist TRint) where
  delete (ETRint x) = delete x

instance ITRandom (Exist TRandom) where
  gaus (ETRandom x) = gaus x
  uniform (ETRandom x) = uniform x

instance ITNamed (Exist TRandom) where
  setName (ETRandom x) = setName x
  setNameTitle (ETRandom x) = setNameTitle x
  setTitle (ETRandom x) = setTitle x

instance ITObject (Exist TRandom) where
  draw (ETRandom x) = draw x
  findObject (ETRandom x) = findObject x
  getName (ETRandom x) = getName x
  isA (ETRandom x) = isA x
  isFolder (ETRandom x) = isFolder x
  isEqual (ETRandom x) = isEqual x
  isSortable (ETRandom x) = isSortable x
  paint (ETRandom x) = paint x
  printObj (ETRandom x) = printObj x
  recursiveRemove (ETRandom x) = recursiveRemove x
  saveAs (ETRandom x) = saveAs x
  useCurrentStyle (ETRandom x) = useCurrentStyle x
  write (ETRandom x) = write x

instance IDeletable (Exist TRandom) where
  delete (ETRandom x) = delete x

instance ITCollection (Exist TCollection) where


instance ITObject (Exist TCollection) where
  draw (ETCollection x) = draw x
  findObject (ETCollection x) = findObject x
  getName (ETCollection x) = getName x
  isA (ETCollection x) = isA x
  isFolder (ETCollection x) = isFolder x
  isEqual (ETCollection x) = isEqual x
  isSortable (ETCollection x) = isSortable x
  paint (ETCollection x) = paint x
  printObj (ETCollection x) = printObj x
  recursiveRemove (ETCollection x) = recursiveRemove x
  saveAs (ETCollection x) = saveAs x
  useCurrentStyle (ETCollection x) = useCurrentStyle x
  write (ETCollection x) = write x

instance IDeletable (Exist TCollection) where
  delete (ETCollection x) = delete x

instance ITSeqCollection (Exist TSeqCollection) where


instance ITCollection (Exist TSeqCollection) where


instance ITObject (Exist TSeqCollection) where
  draw (ETSeqCollection x) = draw x
  findObject (ETSeqCollection x) = findObject x
  getName (ETSeqCollection x) = getName x
  isA (ETSeqCollection x) = isA x
  isFolder (ETSeqCollection x) = isFolder x
  isEqual (ETSeqCollection x) = isEqual x
  isSortable (ETSeqCollection x) = isSortable x
  paint (ETSeqCollection x) = paint x
  printObj (ETSeqCollection x) = printObj x
  recursiveRemove (ETSeqCollection x) = recursiveRemove x
  saveAs (ETSeqCollection x) = saveAs x
  useCurrentStyle (ETSeqCollection x) = useCurrentStyle x
  write (ETSeqCollection x) = write x

instance IDeletable (Exist TSeqCollection) where
  delete (ETSeqCollection x) = delete x

instance ITObjArray (Exist TObjArray) where


instance ITSeqCollection (Exist TObjArray) where


instance ITCollection (Exist TObjArray) where


instance ITObject (Exist TObjArray) where
  draw (ETObjArray x) = draw x
  findObject (ETObjArray x) = findObject x
  getName (ETObjArray x) = getName x
  isA (ETObjArray x) = isA x
  isFolder (ETObjArray x) = isFolder x
  isEqual (ETObjArray x) = isEqual x
  isSortable (ETObjArray x) = isSortable x
  paint (ETObjArray x) = paint x
  printObj (ETObjArray x) = printObj x
  recursiveRemove (ETObjArray x) = recursiveRemove x
  saveAs (ETObjArray x) = saveAs x
  useCurrentStyle (ETObjArray x) = useCurrentStyle x
  write (ETObjArray x) = write x

instance IDeletable (Exist TObjArray) where
  delete (ETObjArray x) = delete x

instance ITList (Exist TList) where


instance ITSeqCollection (Exist TList) where


instance ITCollection (Exist TList) where


instance ITObject (Exist TList) where
  draw (ETList x) = draw x
  findObject (ETList x) = findObject x
  getName (ETList x) = getName x
  isA (ETList x) = isA x
  isFolder (ETList x) = isFolder x
  isEqual (ETList x) = isEqual x
  isSortable (ETList x) = isSortable x
  paint (ETList x) = paint x
  printObj (ETList x) = printObj x
  recursiveRemove (ETList x) = recursiveRemove x
  saveAs (ETList x) = saveAs x
  useCurrentStyle (ETList x) = useCurrentStyle x
  write (ETList x) = write x

instance IDeletable (Exist TList) where
  delete (ETList x) = delete x

instance ITKey (Exist TKey) where


instance ITNamed (Exist TKey) where
  setName (ETKey x) = setName x
  setNameTitle (ETKey x) = setNameTitle x
  setTitle (ETKey x) = setTitle x

instance ITObject (Exist TKey) where
  draw (ETKey x) = draw x
  findObject (ETKey x) = findObject x
  getName (ETKey x) = getName x
  isA (ETKey x) = isA x
  isFolder (ETKey x) = isFolder x
  isEqual (ETKey x) = isEqual x
  isSortable (ETKey x) = isSortable x
  paint (ETKey x) = paint x
  printObj (ETKey x) = printObj x
  recursiveRemove (ETKey x) = recursiveRemove x
  saveAs (ETKey x) = saveAs x
  useCurrentStyle (ETKey x) = useCurrentStyle x
  write (ETKey x) = write x

instance IDeletable (Exist TKey) where
  delete (ETKey x) = delete x

instance ITDatime (Exist TDatime) where
  convert (ETDatime x) = convert x

instance IDeletable (Exist TDatime) where
  delete (ETDatime x) = delete x



instance ITObject TObject where
  draw = xform1 c_tobject_draw
  findObject = xform1 c_tobject_findobject
  getName = xform0 c_tobject_getname
  isA = xform0 c_tobject_isa
  isFolder = xform0 c_tobject_isfolder
  isEqual = xform1 c_tobject_isequal
  isSortable = xform0 c_tobject_issortable
  paint = xform1 c_tobject_paint
  printObj = xform1 c_tobject_printobj
  recursiveRemove = xform1 c_tobject_recursiveremove
  saveAs = xform2 c_tobject_saveas
  useCurrentStyle = xform0 c_tobject_usecurrentstyle
  write = xform3 c_tobject_write

instance ITNamed TNamed where
  setName = xform1 c_tnamed_setname
  setNameTitle = xform2 c_tnamed_setnametitle
  setTitle = xform1 c_tnamed_settitle



instance ITClass TClass where

instance ITFormula TFormula where
  compile = xform1 c_tformula_compile
  clear = xform1 c_tformula_clear
  definedValue = xform1 c_tformula_definedvalue
  eval = xform4 c_tformula_eval
  evalParOld = xform2 c_tformula_evalparold
  evalPar = xform2 c_tformula_evalpar
  getNdim = xform0 c_tformula_getndim
  getNpar = xform0 c_tformula_getnpar
  getNumber = xform0 c_tformula_getnumber
  getParNumber = xform1 c_tformula_getparnumber
  isLinear = xform0 c_tformula_islinear
  isNormalized = xform0 c_tformula_isnormalized
  setNumber = xform1 c_tformula_setnumber
  setParameter = xform2 c_tformula_setparameter
  setParameters = xform1 c_tformula_setparameters
  setParName = xform2 c_tformula_setparname
  setParNames = xform11 c_tformula_setparnames
  update = xform0 c_tformula_update

instance ITAtt3D TAtt3D where

instance ITAttAxis TAttAxis where
  getNdivisions = xform0 c_tattaxis_getndivisions
  getAxisColor = xform0 c_tattaxis_getaxiscolor
  getLabelColor = xform0 c_tattaxis_getlabelcolor
  getLabelFont = xform0 c_tattaxis_getlabelfont
  getLabelOffset = xform0 c_tattaxis_getlabeloffset
  getLabelSize = xform0 c_tattaxis_getlabelsize
  getTitleOffset = xform0 c_tattaxis_gettitleoffset
  getTitleSize = xform0 c_tattaxis_gettitlesize
  getTickLength = xform0 c_tattaxis_getticklength
  getTitleFont = xform0 c_tattaxis_gettitlefont
  setNdivisions = xform2 c_tattaxis_setndivisions
  setAxisColor = xform1 c_tattaxis_setaxiscolor
  setLabelColor = xform1 c_tattaxis_setlabelcolor
  setLabelFont = xform1 c_tattaxis_setlabelfont
  setLabelOffset = xform1 c_tattaxis_setlabeloffset
  setLabelSize = xform1 c_tattaxis_setlabelsize
  setTickLength = xform1 c_tattaxis_setticklength
  setTitleOffset = xform1 c_tattaxis_settitleoffset
  setTitleSize = xform1 c_tattaxis_settitlesize
  setTitleColor = xform1 c_tattaxis_settitlecolor
  setTitleFont = xform1 c_tattaxis_settitlefont

instance ITAttBBox TAttBBox where

instance ITAttCanvas TAttCanvas where

instance ITAttFill TAttFill where
  setFillColor = xform1 c_tattfill_setfillcolor
  setFillStyle = xform1 c_tattfill_setfillstyle

instance ITAttImage TAttImage where

instance ITAttLine TAttLine where
  getLineColor = xform0 c_tattline_getlinecolor
  getLineStyle = xform0 c_tattline_getlinestyle
  getLineWidth = xform0 c_tattline_getlinewidth
  resetAttLine = xform1 c_tattline_resetattline
  setLineAttributes = xform0 c_tattline_setlineattributes
  setLineColor = xform1 c_tattline_setlinecolor
  setLineStyle = xform1 c_tattline_setlinestyle
  setLineWidth = xform1 c_tattline_setlinewidth

instance ITAttMarker TAttMarker where
  getMarkerColor = xform0 c_tattmarker_getmarkercolor
  getMarkerStyle = xform0 c_tattmarker_getmarkerstyle
  getMarkerSize = xform0 c_tattmarker_getmarkersize
  resetAttMarker = xform1 c_tattmarker_resetattmarker
  setMarkerAttributes = xform0 c_tattmarker_setmarkerattributes
  setMarkerColor = xform1 c_tattmarker_setmarkercolor
  setMarkerStyle = xform1 c_tattmarker_setmarkerstyle
  setMarkerSize = xform1 c_tattmarker_setmarkersize

instance ITAttPad TAttPad where
  resetAttPad = xform1 c_tattpad_resetattpad
  setBottomMargin = xform1 c_tattpad_setbottommargin
  setLeftMargin = xform1 c_tattpad_setleftmargin
  setRightMargin = xform1 c_tattpad_setrightmargin
  setTopMargin = xform1 c_tattpad_settopmargin
  setMargin = xform4 c_tattpad_setmargin
  setAfile = xform1 c_tattpad_setafile
  setXfile = xform1 c_tattpad_setxfile
  setYfile = xform1 c_tattpad_setyfile
  setAstat = xform1 c_tattpad_setastat
  setXstat = xform1 c_tattpad_setxstat
  setYstat = xform1 c_tattpad_setystat

instance ITAttParticle TAttParticle where

instance ITAttText TAttText where
  getTextAlign = xform0 c_tatttext_gettextalign
  getTextAngle = xform0 c_tatttext_gettextangle
  getTextColor = xform0 c_tatttext_gettextcolor
  getTextFont = xform0 c_tatttext_gettextfont
  getTextSize = xform0 c_tatttext_gettextsize
  resetAttText = xform1 c_tatttext_resetatttext
  setTextAttributes = xform0 c_tatttext_settextattributes
  setTextAlign = xform1 c_tatttext_settextalign
  setTextAngle = xform1 c_tatttext_settextangle
  setTextColor = xform1 c_tatttext_settextcolor
  setTextFont = xform1 c_tatttext_settextfont
  setTextSize = xform1 c_tatttext_settextsize
  setTextSizePixels = xform1 c_tatttext_settextsizepixels

instance ITHStack THStack where

instance ITF1 TF1 where
  derivative = xform3 c_tf1_derivative
  derivative2 = xform3 c_tf1_derivative2
  derivative3 = xform3 c_tf1_derivative3
  drawCopyTF1 = xform1 c_tf1_drawcopytf1
  drawDerivative = xform1 c_tf1_drawderivative
  drawIntegral = xform1 c_tf1_drawintegral
  drawF1 = xform4 c_tf1_drawf1
  fixParameter = xform2 c_tf1_fixparameter
  getMaximumTF1 = xform5 c_tf1_getmaximumtf1
  getMinimumTF1 = xform5 c_tf1_getminimumtf1
  getMaximumX = xform5 c_tf1_getmaximumx
  getMinimumX = xform5 c_tf1_getminimumx
  getNDF = xform0 c_tf1_getndf
  getNpx = xform0 c_tf1_getnpx
  getNumberFreeParameters = xform0 c_tf1_getnumberfreeparameters
  getNumberFitPoints = xform0 c_tf1_getnumberfitpoints
  getParError = xform1 c_tf1_getparerror
  getProb = xform0 c_tf1_getprob
  getQuantilesTF1 = xform3 c_tf1_getquantilestf1
  getRandomTF1 = xform2 c_tf1_getrandomtf1
  getSave = xform1 c_tf1_getsave
  getX = xform5 c_tf1_getx
  getXmin = xform0 c_tf1_getxmin
  getXmax = xform0 c_tf1_getxmax
  gradientPar = xform3 c_tf1_gradientpar
  initArgs = xform2 c_tf1_initargs
  integralTF1 = xform4 c_tf1_integraltf1
  integralError = xform5 c_tf1_integralerror
  integralFast = xform7 c_tf1_integralfast
  isInside = xform1 c_tf1_isinside
  releaseParameter = xform1 c_tf1_releaseparameter
  setChisquare = xform1 c_tf1_setchisquare
  setMaximumTF1 = xform1 c_tf1_setmaximumtf1
  setMinimumTF1 = xform1 c_tf1_setminimumtf1
  setNDF = xform1 c_tf1_setndf
  setNumberFitPoints = xform1 c_tf1_setnumberfitpoints
  setNpx = xform1 c_tf1_setnpx
  setParError = xform2 c_tf1_setparerror
  setParErrors = xform1 c_tf1_setparerrors
  setParLimits = xform3 c_tf1_setparlimits
  setParent = xform1 c_tf1_setparent
  setRange1 = xform2 c_tf1_setrange1
  setRange2 = xform4 c_tf1_setrange2
  setRange3 = xform6 c_tf1_setrange3
  setSavedPoint = xform2 c_tf1_setsavedpoint
  moment = xform5 c_tf1_moment
  centralMoment = xform5 c_tf1_centralmoment
  mean = xform4 c_tf1_mean
  variance = xform4 c_tf1_variance

instance ITGraph TGraph where
  apply = xform1 c_tgraph_apply
  chisquare = xform1 c_tgraph_chisquare
  drawGraph = xform4 c_tgraph_drawgraph
  drawPanelTGraph = xform0 c_tgraph_drawpaneltgraph
  expand = xform2 c_tgraph_expand
  fitPanelTGraph = xform0 c_tgraph_fitpaneltgraph
  getCorrelationFactorTGraph = xform0 c_tgraph_getcorrelationfactortgraph
  getCovarianceTGraph = xform0 c_tgraph_getcovariancetgraph
  getMeanTGraph = xform1 c_tgraph_getmeantgraph
  getRMSTGraph = xform1 c_tgraph_getrmstgraph
  getErrorX = xform1 c_tgraph_geterrorx
  getErrorY = xform1 c_tgraph_geterrory
  getErrorXhigh = xform1 c_tgraph_geterrorxhigh
  getErrorXlow = xform1 c_tgraph_geterrorxlow
  getErrorYhigh = xform1 c_tgraph_geterroryhigh
  getErrorYlow = xform1 c_tgraph_geterrorylow
  initExpo = xform2 c_tgraph_initexpo
  initGaus = xform2 c_tgraph_initgaus
  initPolynom = xform2 c_tgraph_initpolynom
  insertPoint = xform0 c_tgraph_insertpoint
  integralTGraph = xform2 c_tgraph_integraltgraph
  isEditable = xform0 c_tgraph_iseditable
  isInsideTGraph = xform2 c_tgraph_isinsidetgraph
  leastSquareFit = xform4 c_tgraph_leastsquarefit
  paintStats = xform1 c_tgraph_paintstats
  removePoint = xform1 c_tgraph_removepoint
  setEditable = xform1 c_tgraph_seteditable
  setHistogram = xform1 c_tgraph_sethistogram
  setMaximumTGraph = xform1 c_tgraph_setmaximumtgraph
  setMinimumTGraph = xform1 c_tgraph_setminimumtgraph
  set = xform1 c_tgraph_set
  setPoint = xform3 c_tgraph_setpoint

instance ITGraphAsymmErrors TGraphAsymmErrors where

instance ITCutG TCutG where

instance ITGraphBentErrors TGraphBentErrors where

instance ITGraphErrors TGraphErrors where

instance ITGraphPolar TGraphPolar where

instance ITGraphQQ TGraphQQ where

instance ITEllipse TEllipse where

instance ITArc TArc where

instance ITCrown TCrown where

instance ITLine TLine where
  drawLine = xform4 c_tline_drawline
  drawLineNDC = xform4 c_tline_drawlinendc
  paintLine = xform4 c_tline_paintline
  paintLineNDC = xform4 c_tline_paintlinendc
  setX1 = xform1 c_tline_setx1
  setX2 = xform1 c_tline_setx2
  setY1 = xform1 c_tline_sety1
  setY2 = xform1 c_tline_sety2

instance ITArrow TArrow where

instance ITGaxis TGaxis where

instance ITShape TShape where

instance ITBRIK TBRIK where

instance ITTUBE TTUBE where

instance ITPCON TPCON where

instance ITSPHE TSPHE where

instance ITXTRU TXTRU where

instance ITBox TBox where

instance ITPave TPave where

instance ITPaveText TPaveText where

instance ITDiamond TDiamond where

instance ITPaveStats TPaveStats where

instance ITPavesText TPavesText where

instance ITLegend TLegend where
  addEntry = xform3 c_tlegend_addentry

instance ITLegendEntry TLegendEntry where

instance ITPaveLabel TPaveLabel where

instance ITPaveClass TPaveClass where

instance ITWbox TWbox where
  setBorderMode = xform1 c_twbox_setbordermode

instance ITFrame TFrame where

instance ITSliderBox TSliderBox where

instance ITTree TTree where

instance ITChain TChain where

instance ITNtuple TNtuple where

instance ITNtupleD TNtupleD where

instance ITTreeSQL TTreeSQL where

instance ITPolyLine TPolyLine where

instance ITCurlyLine TCurlyLine where

instance ITCurlyArc TCurlyArc where

instance ITEfficiency TEfficiency where

instance ITAxis TAxis where
  setTimeDisplay = xform1 c_taxis_settimedisplay
  setTimeFormat = xform1 c_taxis_settimeformat
  setTimeOffset = xform2 c_taxis_settimeoffset

instance ITLatex TLatex where

instance ITText TText where

instance ITDirectory TDirectory where
  append = xform2 c_tdirectory_append
  addD = xform2 c_tdirectory_addd
  appendKey = xform1 c_tdirectory_appendkey
  close = xform1 c_tdirectory_close
  get = xform1 c_tdirectory_get

instance ITDirectoryFile TDirectoryFile where
  getListOfKeys = xform0 c_tdirectoryfile_getlistofkeys

instance ITFile TFile where

instance ITBranch TBranch where

instance ITVirtualTreePlayer TVirtualTreePlayer where

instance ITTreePlayer TTreePlayer where

instance ITArray TArray where

instance ITArrayC TArrayC where

instance ITArrayD TArrayD where

instance ITArrayF TArrayF where

instance ITArrayI TArrayI where

instance ITArrayL TArrayL where

instance ITArrayL64 TArrayL64 where

instance ITArrayS TArrayS where

instance ITH1 TH1 where
  add = xform2 c_th1_add
  addBinContent = xform2 c_th1_addbincontent
  chi2Test = xform3 c_th1_chi2test
  computeIntegral = xform0 c_th1_computeintegral
  directoryAutoAdd = xform1 c_th1_directoryautoadd
  divide = xform5 c_th1_divide
  drawCopyTH1 = xform1 c_th1_drawcopyth1
  drawNormalized = xform2 c_th1_drawnormalized
  drawPanelTH1 = xform0 c_th1_drawpanelth1
  bufferEmpty = xform1 c_th1_bufferempty
  evalF = xform2 c_th1_evalf
  fFT = xform2 c_th1_fft
  fill1 = xform1 c_th1_fill1
  fill1w = xform2 c_th1_fill1w
  fillN1 = xform4 c_th1_filln1
  fillRandom = xform2 c_th1_fillrandom
  findBin = xform3 c_th1_findbin
  findFixBin = xform3 c_th1_findfixbin
  findFirstBinAbove = xform2 c_th1_findfirstbinabove
  findLastBinAbove = xform2 c_th1_findlastbinabove
  fitPanelTH1 = xform0 c_th1_fitpanelth1
  getNdivisionA = xform1 c_th1_getndivisiona
  getAxisColorA = xform1 c_th1_getaxiscolora
  getLabelColorA = xform1 c_th1_getlabelcolora
  getLabelFontA = xform1 c_th1_getlabelfonta
  getLabelOffsetA = xform1 c_th1_getlabeloffseta
  getLabelSizeA = xform1 c_th1_getlabelsizea
  getTitleFontA = xform1 c_th1_gettitlefonta
  getTitleOffsetA = xform1 c_th1_gettitleoffseta
  getTitleSizeA = xform1 c_th1_gettitlesizea
  getTickLengthA = xform1 c_th1_getticklengtha
  getBarOffset = xform0 c_th1_getbaroffset
  getBarWidth = xform0 c_th1_getbarwidth
  getContour = xform1 c_th1_getcontour
  getContourLevel = xform1 c_th1_getcontourlevel
  getContourLevelPad = xform1 c_th1_getcontourlevelpad
  getBin = xform3 c_th1_getbin
  getBinCenter = xform1 c_th1_getbincenter
  getBinContent1 = xform1 c_th1_getbincontent1
  getBinContent2 = xform2 c_th1_getbincontent2
  getBinContent3 = xform3 c_th1_getbincontent3
  getBinError1 = xform1 c_th1_getbinerror1
  getBinError2 = xform2 c_th1_getbinerror2
  getBinError3 = xform3 c_th1_getbinerror3
  getBinLowEdge = xform1 c_th1_getbinlowedge
  getBinWidth = xform1 c_th1_getbinwidth
  getCellContent = xform2 c_th1_getcellcontent
  getCellError = xform2 c_th1_getcellerror
  getEntries = xform0 c_th1_getentries
  getEffectiveEntries = xform0 c_th1_geteffectiveentries
  getFunction = xform1 c_th1_getfunction
  getDimension = xform0 c_th1_getdimension
  getKurtosis = xform1 c_th1_getkurtosis
  getLowEdge = xform1 c_th1_getlowedge
  getMaximumTH1 = xform1 c_th1_getmaximumth1
  getMaximumBin = xform0 c_th1_getmaximumbin
  getMaximumStored = xform0 c_th1_getmaximumstored
  getMinimumTH1 = xform1 c_th1_getminimumth1
  getMinimumBin = xform0 c_th1_getminimumbin
  getMinimumStored = xform0 c_th1_getminimumstored
  getMean = xform1 c_th1_getmean
  getMeanError = xform1 c_th1_getmeanerror
  getNbinsX = xform0 c_th1_getnbinsx
  getNbinsY = xform0 c_th1_getnbinsy
  getNbinsZ = xform0 c_th1_getnbinsz
  getQuantilesTH1 = xform3 c_th1_getquantilesth1
  getRandom = xform0 c_th1_getrandom
  getStats = xform1 c_th1_getstats
  getSumOfWeights = xform0 c_th1_getsumofweights
  getSumw2 = xform0 c_th1_getsumw2
  getSumw2N = xform0 c_th1_getsumw2n
  getRMS = xform1 c_th1_getrms
  getRMSError = xform1 c_th1_getrmserror
  getSkewness = xform1 c_th1_getskewness
  integral1 = xform3 c_th1_integral1
  interpolate1 = xform1 c_th1_interpolate1
  interpolate2 = xform2 c_th1_interpolate2
  interpolate3 = xform3 c_th1_interpolate3
  kolmogorovTest = xform2 c_th1_kolmogorovtest
  labelsDeflate = xform1 c_th1_labelsdeflate
  labelsInflate = xform1 c_th1_labelsinflate
  labelsOption = xform2 c_th1_labelsoption
  multiflyF = xform2 c_th1_multiflyf
  multiply = xform5 c_th1_multiply
  putStats = xform1 c_th1_putstats
  rebin = xform3 c_th1_rebin
  rebinAxis = xform2 c_th1_rebinaxis
  rebuild = xform1 c_th1_rebuild
  reset = xform1 c_th1_reset
  resetStats = xform0 c_th1_resetstats
  scale = xform2 c_th1_scale
  setAxisColorA = xform2 c_th1_setaxiscolora
  setAxisRange = xform3 c_th1_setaxisrange
  setBarOffset = xform1 c_th1_setbaroffset
  setBarWidth = xform1 c_th1_setbarwidth
  setBinContent1 = xform2 c_th1_setbincontent1
  setBinContent2 = xform3 c_th1_setbincontent2
  setBinContent3 = xform4 c_th1_setbincontent3
  setBinError1 = xform2 c_th1_setbinerror1
  setBinError2 = xform3 c_th1_setbinerror2
  setBinError3 = xform4 c_th1_setbinerror3
  setBins1 = xform2 c_th1_setbins1
  setBins2 = xform4 c_th1_setbins2
  setBins3 = xform6 c_th1_setbins3
  setBinsLength = xform1 c_th1_setbinslength
  setBuffer = xform2 c_th1_setbuffer
  setCellContent = xform3 c_th1_setcellcontent
  setContent = xform1 c_th1_setcontent
  setContour = xform2 c_th1_setcontour
  setContourLevel = xform2 c_th1_setcontourlevel
  setDirectory = xform1 c_th1_setdirectory
  setEntries = xform1 c_th1_setentries
  setError = xform1 c_th1_seterror
  setLabelColorA = xform2 c_th1_setlabelcolora
  setLabelSizeA = xform2 c_th1_setlabelsizea
  setLabelFontA = xform2 c_th1_setlabelfonta
  setLabelOffsetA = xform2 c_th1_setlabeloffseta
  setMaximum = xform1 c_th1_setmaximum
  setMinimum = xform1 c_th1_setminimum
  setNormFactor = xform1 c_th1_setnormfactor
  setStats = xform1 c_th1_setstats
  setOption = xform1 c_th1_setoption
  setXTitle = xform1 c_th1_setxtitle
  setYTitle = xform1 c_th1_setytitle
  setZTitle = xform1 c_th1_setztitle
  showBackground = xform2 c_th1_showbackground
  showPeaks = xform3 c_th1_showpeaks
  smooth = xform2 c_th1_smooth
  sumw2 = xform0 c_th1_sumw2

instance ITH2 TH2 where
  fill2 = xform2 c_th2_fill2
  fill2w = xform3 c_th2_fill2w
  fillN2 = xform5 c_th2_filln2
  fillRandom2 = xform2 c_th2_fillrandom2
  findFirstBinAbove2 = xform2 c_th2_findfirstbinabove2
  findLastBinAbove2 = xform2 c_th2_findlastbinabove2
  fitSlicesX = xform6 c_th2_fitslicesx
  fitSlicesY = xform6 c_th2_fitslicesy
  getCorrelationFactor2 = xform2 c_th2_getcorrelationfactor2
  getCovariance2 = xform2 c_th2_getcovariance2
  integral2 = xform5 c_th2_integral2
  rebinX2 = xform2 c_th2_rebinx2
  rebinY2 = xform2 c_th2_rebiny2
  rebin2D = xform3 c_th2_rebin2d
  setShowProjectionX = xform1 c_th2_setshowprojectionx
  setShowProjectionY = xform1 c_th2_setshowprojectiony

instance ITH3 TH3 where
  fill3 = xform3 c_th3_fill3
  fill3w = xform4 c_th3_fill3w
  fitSlicesZ = xform7 c_th3_fitslicesz
  getCorrelationFactor3 = xform2 c_th3_getcorrelationfactor3
  getCovariance3 = xform2 c_th3_getcovariance3
  rebinX3 = xform2 c_th3_rebinx3
  rebinY3 = xform2 c_th3_rebiny3
  rebinZ3 = xform2 c_th3_rebinz3
  rebin3D = xform4 c_th3_rebin3d

instance ITH1C TH1C where

instance ITH1D TH1D where

instance ITH1F TH1F where

instance ITH1I TH1I where

instance ITH1S TH1S where

instance ITH2C TH2C where

instance ITH2D TH2D where

instance ITH2F TH2F where

instance ITH2I TH2I where

instance ITH2Poly TH2Poly where

instance ITH2S TH2S where

instance ITH3C TH3C where

instance ITH3D TH3D where

instance ITH3F TH3F where

instance ITH3I TH3I where

instance ITH3S TH3S where

instance ITQObject TQObject where

instance ITVirtualPad TVirtualPad where
  getFrame = xform0 c_tvirtualpad_getframe
  range = xform4 c_tvirtualpad_range

instance ITPad TPad where

instance ITButton TButton where

instance ITGroupButton TGroupButton where

instance ITCanvas TCanvas where

instance ITDialogCanvas TDialogCanvas where

instance ITInspectCanvas TInspectCanvas where

instance ITEvePad TEvePad where

instance ITSlider TSlider where

instance ITApplication TApplication where
  run = xform1 c_tapplication_run

instance ITRint TRint where

instance ITRandom TRandom where
  gaus = xform2 c_trandom_gaus
  uniform = xform2 c_trandom_uniform

instance ITCollection TCollection where

instance ITSeqCollection TSeqCollection where

instance ITObjArray TObjArray where

instance ITList TList where

instance ITKey TKey where

instance ITDatime TDatime where
  convert = xform1 c_tdatime_convert





instance IDeletable TDatime where
  delete = xform0 c_tdatime_delete

instance IDeletable TKey where
  delete = xform0 c_tkey_delete

instance IDeletable TList where
  delete = xform0 c_tlist_delete

instance IDeletable TObjArray where
  delete = xform0 c_tobjarray_delete

instance IDeletable TSeqCollection where
  delete = xform0 c_tseqcollection_delete

instance IDeletable TCollection where
  delete = xform0 c_tcollection_delete

instance IDeletable TRandom where
  delete = xform0 c_trandom_delete

instance IDeletable TRint where
  delete = xform0 c_trint_delete

instance IDeletable TApplication where
  delete = xform0 c_tapplication_delete

instance IDeletable TSlider where
  delete = xform0 c_tslider_delete

instance IDeletable TEvePad where
  delete = xform0 c_tevepad_delete

instance IDeletable TInspectCanvas where
  delete = xform0 c_tinspectcanvas_delete

instance IDeletable TDialogCanvas where
  delete = xform0 c_tdialogcanvas_delete

instance IDeletable TCanvas where
  delete = xform0 c_tcanvas_delete

instance IDeletable TGroupButton where
  delete = xform0 c_tgroupbutton_delete

instance IDeletable TButton where
  delete = xform0 c_tbutton_delete

instance IDeletable TPad where
  delete = xform0 c_tpad_delete

instance IDeletable TVirtualPad where
  delete = xform0 c_tvirtualpad_delete

instance IDeletable TQObject where
  delete = xform0 c_tqobject_delete

instance IDeletable TH3S where
  delete = xform0 c_th3s_delete

instance IDeletable TH3I where
  delete = xform0 c_th3i_delete

instance IDeletable TH3F where
  delete = xform0 c_th3f_delete

instance IDeletable TH3D where
  delete = xform0 c_th3d_delete

instance IDeletable TH3C where
  delete = xform0 c_th3c_delete

instance IDeletable TH2S where
  delete = xform0 c_th2s_delete

instance IDeletable TH2Poly where
  delete = xform0 c_th2poly_delete

instance IDeletable TH2I where
  delete = xform0 c_th2i_delete

instance IDeletable TH2F where
  delete = xform0 c_th2f_delete

instance IDeletable TH2D where
  delete = xform0 c_th2d_delete

instance IDeletable TH2C where
  delete = xform0 c_th2c_delete

instance IDeletable TH1S where
  delete = xform0 c_th1s_delete

instance IDeletable TH1I where
  delete = xform0 c_th1i_delete

instance IDeletable TH1F where
  delete = xform0 c_th1f_delete

instance IDeletable TH1D where
  delete = xform0 c_th1d_delete

instance IDeletable TH1C where
  delete = xform0 c_th1c_delete

instance IDeletable TH3 where
  delete = xform0 c_th3_delete

instance IDeletable TH2 where
  delete = xform0 c_th2_delete

instance IDeletable TH1 where
  delete = xform0 c_th1_delete

instance IDeletable TArrayS where
  delete = xform0 c_tarrays_delete

instance IDeletable TArrayL64 where
  delete = xform0 c_tarrayl64_delete

instance IDeletable TArrayL where
  delete = xform0 c_tarrayl_delete

instance IDeletable TArrayI where
  delete = xform0 c_tarrayi_delete

instance IDeletable TArrayF where
  delete = xform0 c_tarrayf_delete

instance IDeletable TArrayD where
  delete = xform0 c_tarrayd_delete

instance IDeletable TArrayC where
  delete = xform0 c_tarrayc_delete

instance IDeletable TArray where
  delete = xform0 c_tarray_delete

instance IDeletable TTreePlayer where
  delete = xform0 c_ttreeplayer_delete

instance IDeletable TVirtualTreePlayer where
  delete = xform0 c_tvirtualtreeplayer_delete

instance IDeletable TBranch where
  delete = xform0 c_tbranch_delete

instance IDeletable TFile where
  delete = xform0 c_tfile_delete

instance IDeletable TDirectoryFile where
  delete = xform0 c_tdirectoryfile_delete

instance IDeletable TDirectory where
  delete = xform0 c_tdirectory_delete

instance IDeletable TText where
  delete = xform0 c_ttext_delete

instance IDeletable TLatex where
  delete = xform0 c_tlatex_delete

instance IDeletable TAxis where
  delete = xform0 c_taxis_delete

instance IDeletable TEfficiency where
  delete = xform0 c_tefficiency_delete

instance IDeletable TCurlyArc where
  delete = xform0 c_tcurlyarc_delete

instance IDeletable TCurlyLine where
  delete = xform0 c_tcurlyline_delete

instance IDeletable TPolyLine where
  delete = xform0 c_tpolyline_delete

instance IDeletable TTreeSQL where
  delete = xform0 c_ttreesql_delete

instance IDeletable TNtupleD where
  delete = xform0 c_tntupled_delete

instance IDeletable TNtuple where
  delete = xform0 c_tntuple_delete

instance IDeletable TChain where
  delete = xform0 c_tchain_delete

instance IDeletable TTree where
  delete = xform0 c_ttree_delete

instance IDeletable TSliderBox where
  delete = xform0 c_tsliderbox_delete

instance IDeletable TFrame where
  delete = xform0 c_tframe_delete

instance IDeletable TWbox where
  delete = xform0 c_twbox_delete

instance IDeletable TPaveClass where
  delete = xform0 c_tpaveclass_delete

instance IDeletable TPaveLabel where
  delete = xform0 c_tpavelabel_delete

instance IDeletable TLegendEntry where
  delete = xform0 c_tlegendentry_delete

instance IDeletable TLegend where
  delete = xform0 c_tlegend_delete

instance IDeletable TPavesText where
  delete = xform0 c_tpavestext_delete

instance IDeletable TPaveStats where
  delete = xform0 c_tpavestats_delete

instance IDeletable TDiamond where
  delete = xform0 c_tdiamond_delete

instance IDeletable TPaveText where
  delete = xform0 c_tpavetext_delete

instance IDeletable TPave where
  delete = xform0 c_tpave_delete

instance IDeletable TBox where
  delete = xform0 c_tbox_delete

instance IDeletable TXTRU where
  delete = xform0 c_txtru_delete

instance IDeletable TSPHE where
  delete = xform0 c_tsphe_delete

instance IDeletable TPCON where
  delete = xform0 c_tpcon_delete

instance IDeletable TTUBE where
  delete = xform0 c_ttube_delete

instance IDeletable TBRIK where
  delete = xform0 c_tbrik_delete

instance IDeletable TShape where
  delete = xform0 c_tshape_delete

instance IDeletable TGaxis where
  delete = xform0 c_tgaxis_delete

instance IDeletable TArrow where
  delete = xform0 c_tarrow_delete

instance IDeletable TLine where
  delete = xform0 c_tline_delete

instance IDeletable TCrown where
  delete = xform0 c_tcrown_delete

instance IDeletable TArc where
  delete = xform0 c_tarc_delete

instance IDeletable TEllipse where
  delete = xform0 c_tellipse_delete

instance IDeletable TGraphQQ where
  delete = xform0 c_tgraphqq_delete

instance IDeletable TGraphPolar where
  delete = xform0 c_tgraphpolar_delete

instance IDeletable TGraphErrors where
  delete = xform0 c_tgrapherrors_delete

instance IDeletable TGraphBentErrors where
  delete = xform0 c_tgraphbenterrors_delete

instance IDeletable TCutG where
  delete = xform0 c_tcutg_delete

instance IDeletable TGraphAsymmErrors where
  delete = xform0 c_tgraphasymmerrors_delete

instance IDeletable TGraph where
  delete = xform0 c_tgraph_delete

instance IDeletable TF1 where
  delete = xform0 c_tf1_delete

instance IDeletable THStack where
  delete = xform0 c_thstack_delete

instance IDeletable TAttText where
  delete = xform0 c_tatttext_delete

instance IDeletable TAttParticle where
  delete = xform0 c_tattparticle_delete

instance IDeletable TAttPad where
  delete = xform0 c_tattpad_delete

instance IDeletable TAttMarker where
  delete = xform0 c_tattmarker_delete

instance IDeletable TAttLine where
  delete = xform0 c_tattline_delete

instance IDeletable TAttImage where
  delete = xform0 c_tattimage_delete

instance IDeletable TAttFill where
  delete = xform0 c_tattfill_delete

instance IDeletable TAttCanvas where
  delete = xform0 c_tattcanvas_delete

instance IDeletable TAttBBox where
  delete = xform0 c_tattbbox_delete

instance IDeletable TAttAxis where
  delete = xform0 c_tattaxis_delete

instance IDeletable TAtt3D where
  delete = xform0 c_tatt3d_delete

instance IDeletable TFormula where
  delete = xform0 c_tformula_delete

instance IDeletable TClass where
  delete = xform0 c_tclass_delete



instance IDeletable TNamed where
  delete = xform0 c_tnamed_delete

instance IDeletable TObject where
  delete = xform0 c_tobject_delete

instance ITApplication TRint where
  run = xform1 c_trint_run

instance ITArray TH3S where

instance ITArray TH3I where

instance ITArray TH3F where

instance ITArray TH3D where

instance ITArray TH3C where

instance ITArray TH2S where

instance ITArray TH2I where

instance ITArray TH2F where

instance ITArray TH2D where

instance ITArray TH2C where

instance ITArray TH1S where

instance ITArray TH1I where

instance ITArray TH1F where

instance ITArray TH1D where

instance ITArray TH1C where

instance ITArray TArrayS where

instance ITArray TArrayL64 where

instance ITArray TArrayL where

instance ITArray TArrayI where

instance ITArray TArrayF where

instance ITArray TArrayD where

instance ITArray TArrayC where

instance ITArrayC TH3C where

instance ITArrayC TH2C where

instance ITArrayC TH1C where

instance ITArrayD TH3D where

instance ITArrayD TH2D where

instance ITArrayD TH1D where

instance ITArrayF TH3F where

instance ITArrayF TH2F where

instance ITArrayF TH1F where

instance ITArrayI TH3I where

instance ITArrayI TH2I where

instance ITArrayI TH1I where

instance ITArrayS TH3S where

instance ITArrayS TH2S where

instance ITArrayS TH1S where

instance ITAtt3D TH3S where

instance ITAtt3D TH3I where

instance ITAtt3D TH3F where

instance ITAtt3D TH3D where

instance ITAtt3D TH3C where

instance ITAtt3D TH3 where

instance ITAtt3D TXTRU where

instance ITAtt3D TSPHE where

instance ITAtt3D TPCON where

instance ITAtt3D TTUBE where

instance ITAtt3D TBRIK where

instance ITAtt3D TShape where

instance ITAttAxis TAxis where
  getNdivisions = xform0 c_taxis_getndivisions
  getAxisColor = xform0 c_taxis_getaxiscolor
  getLabelColor = xform0 c_taxis_getlabelcolor
  getLabelFont = xform0 c_taxis_getlabelfont
  getLabelOffset = xform0 c_taxis_getlabeloffset
  getLabelSize = xform0 c_taxis_getlabelsize
  getTitleOffset = xform0 c_taxis_gettitleoffset
  getTitleSize = xform0 c_taxis_gettitlesize
  getTickLength = xform0 c_taxis_getticklength
  getTitleFont = xform0 c_taxis_gettitlefont
  setNdivisions = xform2 c_taxis_setndivisions
  setAxisColor = xform1 c_taxis_setaxiscolor
  setLabelColor = xform1 c_taxis_setlabelcolor
  setLabelFont = xform1 c_taxis_setlabelfont
  setLabelOffset = xform1 c_taxis_setlabeloffset
  setLabelSize = xform1 c_taxis_setlabelsize
  setTickLength = xform1 c_taxis_setticklength
  setTitleOffset = xform1 c_taxis_settitleoffset
  setTitleSize = xform1 c_taxis_settitlesize
  setTitleColor = xform1 c_taxis_settitlecolor
  setTitleFont = xform1 c_taxis_settitlefont

instance ITAttFill TSlider where
  setFillColor = xform1 c_tslider_setfillcolor
  setFillStyle = xform1 c_tslider_setfillstyle

instance ITAttFill TEvePad where
  setFillColor = xform1 c_tevepad_setfillcolor
  setFillStyle = xform1 c_tevepad_setfillstyle

instance ITAttFill TInspectCanvas where
  setFillColor = xform1 c_tinspectcanvas_setfillcolor
  setFillStyle = xform1 c_tinspectcanvas_setfillstyle

instance ITAttFill TDialogCanvas where
  setFillColor = xform1 c_tdialogcanvas_setfillcolor
  setFillStyle = xform1 c_tdialogcanvas_setfillstyle

instance ITAttFill TCanvas where
  setFillColor = xform1 c_tcanvas_setfillcolor
  setFillStyle = xform1 c_tcanvas_setfillstyle

instance ITAttFill TGroupButton where
  setFillColor = xform1 c_tgroupbutton_setfillcolor
  setFillStyle = xform1 c_tgroupbutton_setfillstyle

instance ITAttFill TButton where
  setFillColor = xform1 c_tbutton_setfillcolor
  setFillStyle = xform1 c_tbutton_setfillstyle

instance ITAttFill TPad where
  setFillColor = xform1 c_tpad_setfillcolor
  setFillStyle = xform1 c_tpad_setfillstyle

instance ITAttFill TVirtualPad where
  setFillColor = xform1 c_tvirtualpad_setfillcolor
  setFillStyle = xform1 c_tvirtualpad_setfillstyle

instance ITAttFill TH3S where
  setFillColor = xform1 c_th3s_setfillcolor
  setFillStyle = xform1 c_th3s_setfillstyle

instance ITAttFill TH3I where
  setFillColor = xform1 c_th3i_setfillcolor
  setFillStyle = xform1 c_th3i_setfillstyle

instance ITAttFill TH3F where
  setFillColor = xform1 c_th3f_setfillcolor
  setFillStyle = xform1 c_th3f_setfillstyle

instance ITAttFill TH3D where
  setFillColor = xform1 c_th3d_setfillcolor
  setFillStyle = xform1 c_th3d_setfillstyle

instance ITAttFill TH3C where
  setFillColor = xform1 c_th3c_setfillcolor
  setFillStyle = xform1 c_th3c_setfillstyle

instance ITAttFill TH2S where
  setFillColor = xform1 c_th2s_setfillcolor
  setFillStyle = xform1 c_th2s_setfillstyle

instance ITAttFill TH2Poly where
  setFillColor = xform1 c_th2poly_setfillcolor
  setFillStyle = xform1 c_th2poly_setfillstyle

instance ITAttFill TH2I where
  setFillColor = xform1 c_th2i_setfillcolor
  setFillStyle = xform1 c_th2i_setfillstyle

instance ITAttFill TH2F where
  setFillColor = xform1 c_th2f_setfillcolor
  setFillStyle = xform1 c_th2f_setfillstyle

instance ITAttFill TH2D where
  setFillColor = xform1 c_th2d_setfillcolor
  setFillStyle = xform1 c_th2d_setfillstyle

instance ITAttFill TH2C where
  setFillColor = xform1 c_th2c_setfillcolor
  setFillStyle = xform1 c_th2c_setfillstyle

instance ITAttFill TH1S where
  setFillColor = xform1 c_th1s_setfillcolor
  setFillStyle = xform1 c_th1s_setfillstyle

instance ITAttFill TH1I where
  setFillColor = xform1 c_th1i_setfillcolor
  setFillStyle = xform1 c_th1i_setfillstyle

instance ITAttFill TH1F where
  setFillColor = xform1 c_th1f_setfillcolor
  setFillStyle = xform1 c_th1f_setfillstyle

instance ITAttFill TH1D where
  setFillColor = xform1 c_th1d_setfillcolor
  setFillStyle = xform1 c_th1d_setfillstyle

instance ITAttFill TH1C where
  setFillColor = xform1 c_th1c_setfillcolor
  setFillStyle = xform1 c_th1c_setfillstyle

instance ITAttFill TH3 where
  setFillColor = xform1 c_th3_setfillcolor
  setFillStyle = xform1 c_th3_setfillstyle

instance ITAttFill TH2 where
  setFillColor = xform1 c_th2_setfillcolor
  setFillStyle = xform1 c_th2_setfillstyle

instance ITAttFill TH1 where
  setFillColor = xform1 c_th1_setfillcolor
  setFillStyle = xform1 c_th1_setfillstyle

instance ITAttFill TBranch where
  setFillColor = xform1 c_tbranch_setfillcolor
  setFillStyle = xform1 c_tbranch_setfillstyle

instance ITAttFill TEfficiency where
  setFillColor = xform1 c_tefficiency_setfillcolor
  setFillStyle = xform1 c_tefficiency_setfillstyle

instance ITAttFill TCurlyArc where
  setFillColor = xform1 c_tcurlyarc_setfillcolor
  setFillStyle = xform1 c_tcurlyarc_setfillstyle

instance ITAttFill TCurlyLine where
  setFillColor = xform1 c_tcurlyline_setfillcolor
  setFillStyle = xform1 c_tcurlyline_setfillstyle

instance ITAttFill TPolyLine where
  setFillColor = xform1 c_tpolyline_setfillcolor
  setFillStyle = xform1 c_tpolyline_setfillstyle

instance ITAttFill TTreeSQL where
  setFillColor = xform1 c_ttreesql_setfillcolor
  setFillStyle = xform1 c_ttreesql_setfillstyle

instance ITAttFill TNtupleD where
  setFillColor = xform1 c_tntupled_setfillcolor
  setFillStyle = xform1 c_tntupled_setfillstyle

instance ITAttFill TNtuple where
  setFillColor = xform1 c_tntuple_setfillcolor
  setFillStyle = xform1 c_tntuple_setfillstyle

instance ITAttFill TChain where
  setFillColor = xform1 c_tchain_setfillcolor
  setFillStyle = xform1 c_tchain_setfillstyle

instance ITAttFill TTree where
  setFillColor = xform1 c_ttree_setfillcolor
  setFillStyle = xform1 c_ttree_setfillstyle

instance ITAttFill TSliderBox where
  setFillColor = xform1 c_tsliderbox_setfillcolor
  setFillStyle = xform1 c_tsliderbox_setfillstyle

instance ITAttFill TFrame where
  setFillColor = xform1 c_tframe_setfillcolor
  setFillStyle = xform1 c_tframe_setfillstyle

instance ITAttFill TWbox where
  setFillColor = xform1 c_twbox_setfillcolor
  setFillStyle = xform1 c_twbox_setfillstyle

instance ITAttFill TPaveClass where
  setFillColor = xform1 c_tpaveclass_setfillcolor
  setFillStyle = xform1 c_tpaveclass_setfillstyle

instance ITAttFill TPaveLabel where
  setFillColor = xform1 c_tpavelabel_setfillcolor
  setFillStyle = xform1 c_tpavelabel_setfillstyle

instance ITAttFill TLegendEntry where
  setFillColor = xform1 c_tlegendentry_setfillcolor
  setFillStyle = xform1 c_tlegendentry_setfillstyle

instance ITAttFill TLegend where
  setFillColor = xform1 c_tlegend_setfillcolor
  setFillStyle = xform1 c_tlegend_setfillstyle

instance ITAttFill TPavesText where
  setFillColor = xform1 c_tpavestext_setfillcolor
  setFillStyle = xform1 c_tpavestext_setfillstyle

instance ITAttFill TPaveStats where
  setFillColor = xform1 c_tpavestats_setfillcolor
  setFillStyle = xform1 c_tpavestats_setfillstyle

instance ITAttFill TDiamond where
  setFillColor = xform1 c_tdiamond_setfillcolor
  setFillStyle = xform1 c_tdiamond_setfillstyle

instance ITAttFill TPaveText where
  setFillColor = xform1 c_tpavetext_setfillcolor
  setFillStyle = xform1 c_tpavetext_setfillstyle

instance ITAttFill TPave where
  setFillColor = xform1 c_tpave_setfillcolor
  setFillStyle = xform1 c_tpave_setfillstyle

instance ITAttFill TBox where
  setFillColor = xform1 c_tbox_setfillcolor
  setFillStyle = xform1 c_tbox_setfillstyle

instance ITAttFill TXTRU where
  setFillColor = xform1 c_txtru_setfillcolor
  setFillStyle = xform1 c_txtru_setfillstyle

instance ITAttFill TSPHE where
  setFillColor = xform1 c_tsphe_setfillcolor
  setFillStyle = xform1 c_tsphe_setfillstyle

instance ITAttFill TPCON where
  setFillColor = xform1 c_tpcon_setfillcolor
  setFillStyle = xform1 c_tpcon_setfillstyle

instance ITAttFill TTUBE where
  setFillColor = xform1 c_ttube_setfillcolor
  setFillStyle = xform1 c_ttube_setfillstyle

instance ITAttFill TBRIK where
  setFillColor = xform1 c_tbrik_setfillcolor
  setFillStyle = xform1 c_tbrik_setfillstyle

instance ITAttFill TShape where
  setFillColor = xform1 c_tshape_setfillcolor
  setFillStyle = xform1 c_tshape_setfillstyle

instance ITAttFill TArrow where
  setFillColor = xform1 c_tarrow_setfillcolor
  setFillStyle = xform1 c_tarrow_setfillstyle

instance ITAttFill TCrown where
  setFillColor = xform1 c_tcrown_setfillcolor
  setFillStyle = xform1 c_tcrown_setfillstyle

instance ITAttFill TArc where
  setFillColor = xform1 c_tarc_setfillcolor
  setFillStyle = xform1 c_tarc_setfillstyle

instance ITAttFill TEllipse where
  setFillColor = xform1 c_tellipse_setfillcolor
  setFillStyle = xform1 c_tellipse_setfillstyle

instance ITAttFill TGraphQQ where
  setFillColor = xform1 c_tgraphqq_setfillcolor
  setFillStyle = xform1 c_tgraphqq_setfillstyle

instance ITAttFill TGraphPolar where
  setFillColor = xform1 c_tgraphpolar_setfillcolor
  setFillStyle = xform1 c_tgraphpolar_setfillstyle

instance ITAttFill TGraphErrors where
  setFillColor = xform1 c_tgrapherrors_setfillcolor
  setFillStyle = xform1 c_tgrapherrors_setfillstyle

instance ITAttFill TGraphBentErrors where
  setFillColor = xform1 c_tgraphbenterrors_setfillcolor
  setFillStyle = xform1 c_tgraphbenterrors_setfillstyle

instance ITAttFill TCutG where
  setFillColor = xform1 c_tcutg_setfillcolor
  setFillStyle = xform1 c_tcutg_setfillstyle

instance ITAttFill TGraphAsymmErrors where
  setFillColor = xform1 c_tgraphasymmerrors_setfillcolor
  setFillStyle = xform1 c_tgraphasymmerrors_setfillstyle

instance ITAttFill TGraph where
  setFillColor = xform1 c_tgraph_setfillcolor
  setFillStyle = xform1 c_tgraph_setfillstyle

instance ITAttFill TF1 where
  setFillColor = xform1 c_tf1_setfillcolor
  setFillStyle = xform1 c_tf1_setfillstyle

instance ITAttLine TSlider where
  getLineColor = xform0 c_tslider_getlinecolor
  getLineStyle = xform0 c_tslider_getlinestyle
  getLineWidth = xform0 c_tslider_getlinewidth
  resetAttLine = xform1 c_tslider_resetattline
  setLineAttributes = xform0 c_tslider_setlineattributes
  setLineColor = xform1 c_tslider_setlinecolor
  setLineStyle = xform1 c_tslider_setlinestyle
  setLineWidth = xform1 c_tslider_setlinewidth

instance ITAttLine TEvePad where
  getLineColor = xform0 c_tevepad_getlinecolor
  getLineStyle = xform0 c_tevepad_getlinestyle
  getLineWidth = xform0 c_tevepad_getlinewidth
  resetAttLine = xform1 c_tevepad_resetattline
  setLineAttributes = xform0 c_tevepad_setlineattributes
  setLineColor = xform1 c_tevepad_setlinecolor
  setLineStyle = xform1 c_tevepad_setlinestyle
  setLineWidth = xform1 c_tevepad_setlinewidth

instance ITAttLine TInspectCanvas where
  getLineColor = xform0 c_tinspectcanvas_getlinecolor
  getLineStyle = xform0 c_tinspectcanvas_getlinestyle
  getLineWidth = xform0 c_tinspectcanvas_getlinewidth
  resetAttLine = xform1 c_tinspectcanvas_resetattline
  setLineAttributes = xform0 c_tinspectcanvas_setlineattributes
  setLineColor = xform1 c_tinspectcanvas_setlinecolor
  setLineStyle = xform1 c_tinspectcanvas_setlinestyle
  setLineWidth = xform1 c_tinspectcanvas_setlinewidth

instance ITAttLine TDialogCanvas where
  getLineColor = xform0 c_tdialogcanvas_getlinecolor
  getLineStyle = xform0 c_tdialogcanvas_getlinestyle
  getLineWidth = xform0 c_tdialogcanvas_getlinewidth
  resetAttLine = xform1 c_tdialogcanvas_resetattline
  setLineAttributes = xform0 c_tdialogcanvas_setlineattributes
  setLineColor = xform1 c_tdialogcanvas_setlinecolor
  setLineStyle = xform1 c_tdialogcanvas_setlinestyle
  setLineWidth = xform1 c_tdialogcanvas_setlinewidth

instance ITAttLine TCanvas where
  getLineColor = xform0 c_tcanvas_getlinecolor
  getLineStyle = xform0 c_tcanvas_getlinestyle
  getLineWidth = xform0 c_tcanvas_getlinewidth
  resetAttLine = xform1 c_tcanvas_resetattline
  setLineAttributes = xform0 c_tcanvas_setlineattributes
  setLineColor = xform1 c_tcanvas_setlinecolor
  setLineStyle = xform1 c_tcanvas_setlinestyle
  setLineWidth = xform1 c_tcanvas_setlinewidth

instance ITAttLine TGroupButton where
  getLineColor = xform0 c_tgroupbutton_getlinecolor
  getLineStyle = xform0 c_tgroupbutton_getlinestyle
  getLineWidth = xform0 c_tgroupbutton_getlinewidth
  resetAttLine = xform1 c_tgroupbutton_resetattline
  setLineAttributes = xform0 c_tgroupbutton_setlineattributes
  setLineColor = xform1 c_tgroupbutton_setlinecolor
  setLineStyle = xform1 c_tgroupbutton_setlinestyle
  setLineWidth = xform1 c_tgroupbutton_setlinewidth

instance ITAttLine TButton where
  getLineColor = xform0 c_tbutton_getlinecolor
  getLineStyle = xform0 c_tbutton_getlinestyle
  getLineWidth = xform0 c_tbutton_getlinewidth
  resetAttLine = xform1 c_tbutton_resetattline
  setLineAttributes = xform0 c_tbutton_setlineattributes
  setLineColor = xform1 c_tbutton_setlinecolor
  setLineStyle = xform1 c_tbutton_setlinestyle
  setLineWidth = xform1 c_tbutton_setlinewidth

instance ITAttLine TPad where
  getLineColor = xform0 c_tpad_getlinecolor
  getLineStyle = xform0 c_tpad_getlinestyle
  getLineWidth = xform0 c_tpad_getlinewidth
  resetAttLine = xform1 c_tpad_resetattline
  setLineAttributes = xform0 c_tpad_setlineattributes
  setLineColor = xform1 c_tpad_setlinecolor
  setLineStyle = xform1 c_tpad_setlinestyle
  setLineWidth = xform1 c_tpad_setlinewidth

instance ITAttLine TVirtualPad where
  getLineColor = xform0 c_tvirtualpad_getlinecolor
  getLineStyle = xform0 c_tvirtualpad_getlinestyle
  getLineWidth = xform0 c_tvirtualpad_getlinewidth
  resetAttLine = xform1 c_tvirtualpad_resetattline
  setLineAttributes = xform0 c_tvirtualpad_setlineattributes
  setLineColor = xform1 c_tvirtualpad_setlinecolor
  setLineStyle = xform1 c_tvirtualpad_setlinestyle
  setLineWidth = xform1 c_tvirtualpad_setlinewidth

instance ITAttLine TH3S where
  getLineColor = xform0 c_th3s_getlinecolor
  getLineStyle = xform0 c_th3s_getlinestyle
  getLineWidth = xform0 c_th3s_getlinewidth
  resetAttLine = xform1 c_th3s_resetattline
  setLineAttributes = xform0 c_th3s_setlineattributes
  setLineColor = xform1 c_th3s_setlinecolor
  setLineStyle = xform1 c_th3s_setlinestyle
  setLineWidth = xform1 c_th3s_setlinewidth

instance ITAttLine TH3I where
  getLineColor = xform0 c_th3i_getlinecolor
  getLineStyle = xform0 c_th3i_getlinestyle
  getLineWidth = xform0 c_th3i_getlinewidth
  resetAttLine = xform1 c_th3i_resetattline
  setLineAttributes = xform0 c_th3i_setlineattributes
  setLineColor = xform1 c_th3i_setlinecolor
  setLineStyle = xform1 c_th3i_setlinestyle
  setLineWidth = xform1 c_th3i_setlinewidth

instance ITAttLine TH3F where
  getLineColor = xform0 c_th3f_getlinecolor
  getLineStyle = xform0 c_th3f_getlinestyle
  getLineWidth = xform0 c_th3f_getlinewidth
  resetAttLine = xform1 c_th3f_resetattline
  setLineAttributes = xform0 c_th3f_setlineattributes
  setLineColor = xform1 c_th3f_setlinecolor
  setLineStyle = xform1 c_th3f_setlinestyle
  setLineWidth = xform1 c_th3f_setlinewidth

instance ITAttLine TH3D where
  getLineColor = xform0 c_th3d_getlinecolor
  getLineStyle = xform0 c_th3d_getlinestyle
  getLineWidth = xform0 c_th3d_getlinewidth
  resetAttLine = xform1 c_th3d_resetattline
  setLineAttributes = xform0 c_th3d_setlineattributes
  setLineColor = xform1 c_th3d_setlinecolor
  setLineStyle = xform1 c_th3d_setlinestyle
  setLineWidth = xform1 c_th3d_setlinewidth

instance ITAttLine TH3C where
  getLineColor = xform0 c_th3c_getlinecolor
  getLineStyle = xform0 c_th3c_getlinestyle
  getLineWidth = xform0 c_th3c_getlinewidth
  resetAttLine = xform1 c_th3c_resetattline
  setLineAttributes = xform0 c_th3c_setlineattributes
  setLineColor = xform1 c_th3c_setlinecolor
  setLineStyle = xform1 c_th3c_setlinestyle
  setLineWidth = xform1 c_th3c_setlinewidth

instance ITAttLine TH2S where
  getLineColor = xform0 c_th2s_getlinecolor
  getLineStyle = xform0 c_th2s_getlinestyle
  getLineWidth = xform0 c_th2s_getlinewidth
  resetAttLine = xform1 c_th2s_resetattline
  setLineAttributes = xform0 c_th2s_setlineattributes
  setLineColor = xform1 c_th2s_setlinecolor
  setLineStyle = xform1 c_th2s_setlinestyle
  setLineWidth = xform1 c_th2s_setlinewidth

instance ITAttLine TH2Poly where
  getLineColor = xform0 c_th2poly_getlinecolor
  getLineStyle = xform0 c_th2poly_getlinestyle
  getLineWidth = xform0 c_th2poly_getlinewidth
  resetAttLine = xform1 c_th2poly_resetattline
  setLineAttributes = xform0 c_th2poly_setlineattributes
  setLineColor = xform1 c_th2poly_setlinecolor
  setLineStyle = xform1 c_th2poly_setlinestyle
  setLineWidth = xform1 c_th2poly_setlinewidth

instance ITAttLine TH2I where
  getLineColor = xform0 c_th2i_getlinecolor
  getLineStyle = xform0 c_th2i_getlinestyle
  getLineWidth = xform0 c_th2i_getlinewidth
  resetAttLine = xform1 c_th2i_resetattline
  setLineAttributes = xform0 c_th2i_setlineattributes
  setLineColor = xform1 c_th2i_setlinecolor
  setLineStyle = xform1 c_th2i_setlinestyle
  setLineWidth = xform1 c_th2i_setlinewidth

instance ITAttLine TH2F where
  getLineColor = xform0 c_th2f_getlinecolor
  getLineStyle = xform0 c_th2f_getlinestyle
  getLineWidth = xform0 c_th2f_getlinewidth
  resetAttLine = xform1 c_th2f_resetattline
  setLineAttributes = xform0 c_th2f_setlineattributes
  setLineColor = xform1 c_th2f_setlinecolor
  setLineStyle = xform1 c_th2f_setlinestyle
  setLineWidth = xform1 c_th2f_setlinewidth

instance ITAttLine TH2D where
  getLineColor = xform0 c_th2d_getlinecolor
  getLineStyle = xform0 c_th2d_getlinestyle
  getLineWidth = xform0 c_th2d_getlinewidth
  resetAttLine = xform1 c_th2d_resetattline
  setLineAttributes = xform0 c_th2d_setlineattributes
  setLineColor = xform1 c_th2d_setlinecolor
  setLineStyle = xform1 c_th2d_setlinestyle
  setLineWidth = xform1 c_th2d_setlinewidth

instance ITAttLine TH2C where
  getLineColor = xform0 c_th2c_getlinecolor
  getLineStyle = xform0 c_th2c_getlinestyle
  getLineWidth = xform0 c_th2c_getlinewidth
  resetAttLine = xform1 c_th2c_resetattline
  setLineAttributes = xform0 c_th2c_setlineattributes
  setLineColor = xform1 c_th2c_setlinecolor
  setLineStyle = xform1 c_th2c_setlinestyle
  setLineWidth = xform1 c_th2c_setlinewidth

instance ITAttLine TH1S where
  getLineColor = xform0 c_th1s_getlinecolor
  getLineStyle = xform0 c_th1s_getlinestyle
  getLineWidth = xform0 c_th1s_getlinewidth
  resetAttLine = xform1 c_th1s_resetattline
  setLineAttributes = xform0 c_th1s_setlineattributes
  setLineColor = xform1 c_th1s_setlinecolor
  setLineStyle = xform1 c_th1s_setlinestyle
  setLineWidth = xform1 c_th1s_setlinewidth

instance ITAttLine TH1I where
  getLineColor = xform0 c_th1i_getlinecolor
  getLineStyle = xform0 c_th1i_getlinestyle
  getLineWidth = xform0 c_th1i_getlinewidth
  resetAttLine = xform1 c_th1i_resetattline
  setLineAttributes = xform0 c_th1i_setlineattributes
  setLineColor = xform1 c_th1i_setlinecolor
  setLineStyle = xform1 c_th1i_setlinestyle
  setLineWidth = xform1 c_th1i_setlinewidth

instance ITAttLine TH1F where
  getLineColor = xform0 c_th1f_getlinecolor
  getLineStyle = xform0 c_th1f_getlinestyle
  getLineWidth = xform0 c_th1f_getlinewidth
  resetAttLine = xform1 c_th1f_resetattline
  setLineAttributes = xform0 c_th1f_setlineattributes
  setLineColor = xform1 c_th1f_setlinecolor
  setLineStyle = xform1 c_th1f_setlinestyle
  setLineWidth = xform1 c_th1f_setlinewidth

instance ITAttLine TH1D where
  getLineColor = xform0 c_th1d_getlinecolor
  getLineStyle = xform0 c_th1d_getlinestyle
  getLineWidth = xform0 c_th1d_getlinewidth
  resetAttLine = xform1 c_th1d_resetattline
  setLineAttributes = xform0 c_th1d_setlineattributes
  setLineColor = xform1 c_th1d_setlinecolor
  setLineStyle = xform1 c_th1d_setlinestyle
  setLineWidth = xform1 c_th1d_setlinewidth

instance ITAttLine TH1C where
  getLineColor = xform0 c_th1c_getlinecolor
  getLineStyle = xform0 c_th1c_getlinestyle
  getLineWidth = xform0 c_th1c_getlinewidth
  resetAttLine = xform1 c_th1c_resetattline
  setLineAttributes = xform0 c_th1c_setlineattributes
  setLineColor = xform1 c_th1c_setlinecolor
  setLineStyle = xform1 c_th1c_setlinestyle
  setLineWidth = xform1 c_th1c_setlinewidth

instance ITAttLine TH3 where
  getLineColor = xform0 c_th3_getlinecolor
  getLineStyle = xform0 c_th3_getlinestyle
  getLineWidth = xform0 c_th3_getlinewidth
  resetAttLine = xform1 c_th3_resetattline
  setLineAttributes = xform0 c_th3_setlineattributes
  setLineColor = xform1 c_th3_setlinecolor
  setLineStyle = xform1 c_th3_setlinestyle
  setLineWidth = xform1 c_th3_setlinewidth

instance ITAttLine TH2 where
  getLineColor = xform0 c_th2_getlinecolor
  getLineStyle = xform0 c_th2_getlinestyle
  getLineWidth = xform0 c_th2_getlinewidth
  resetAttLine = xform1 c_th2_resetattline
  setLineAttributes = xform0 c_th2_setlineattributes
  setLineColor = xform1 c_th2_setlinecolor
  setLineStyle = xform1 c_th2_setlinestyle
  setLineWidth = xform1 c_th2_setlinewidth

instance ITAttLine TH1 where
  getLineColor = xform0 c_th1_getlinecolor
  getLineStyle = xform0 c_th1_getlinestyle
  getLineWidth = xform0 c_th1_getlinewidth
  resetAttLine = xform1 c_th1_resetattline
  setLineAttributes = xform0 c_th1_setlineattributes
  setLineColor = xform1 c_th1_setlinecolor
  setLineStyle = xform1 c_th1_setlinestyle
  setLineWidth = xform1 c_th1_setlinewidth

instance ITAttLine TLatex where
  getLineColor = xform0 c_tlatex_getlinecolor
  getLineStyle = xform0 c_tlatex_getlinestyle
  getLineWidth = xform0 c_tlatex_getlinewidth
  resetAttLine = xform1 c_tlatex_resetattline
  setLineAttributes = xform0 c_tlatex_setlineattributes
  setLineColor = xform1 c_tlatex_setlinecolor
  setLineStyle = xform1 c_tlatex_setlinestyle
  setLineWidth = xform1 c_tlatex_setlinewidth

instance ITAttLine TEfficiency where
  getLineColor = xform0 c_tefficiency_getlinecolor
  getLineStyle = xform0 c_tefficiency_getlinestyle
  getLineWidth = xform0 c_tefficiency_getlinewidth
  resetAttLine = xform1 c_tefficiency_resetattline
  setLineAttributes = xform0 c_tefficiency_setlineattributes
  setLineColor = xform1 c_tefficiency_setlinecolor
  setLineStyle = xform1 c_tefficiency_setlinestyle
  setLineWidth = xform1 c_tefficiency_setlinewidth

instance ITAttLine TCurlyArc where
  getLineColor = xform0 c_tcurlyarc_getlinecolor
  getLineStyle = xform0 c_tcurlyarc_getlinestyle
  getLineWidth = xform0 c_tcurlyarc_getlinewidth
  resetAttLine = xform1 c_tcurlyarc_resetattline
  setLineAttributes = xform0 c_tcurlyarc_setlineattributes
  setLineColor = xform1 c_tcurlyarc_setlinecolor
  setLineStyle = xform1 c_tcurlyarc_setlinestyle
  setLineWidth = xform1 c_tcurlyarc_setlinewidth

instance ITAttLine TCurlyLine where
  getLineColor = xform0 c_tcurlyline_getlinecolor
  getLineStyle = xform0 c_tcurlyline_getlinestyle
  getLineWidth = xform0 c_tcurlyline_getlinewidth
  resetAttLine = xform1 c_tcurlyline_resetattline
  setLineAttributes = xform0 c_tcurlyline_setlineattributes
  setLineColor = xform1 c_tcurlyline_setlinecolor
  setLineStyle = xform1 c_tcurlyline_setlinestyle
  setLineWidth = xform1 c_tcurlyline_setlinewidth

instance ITAttLine TPolyLine where
  getLineColor = xform0 c_tpolyline_getlinecolor
  getLineStyle = xform0 c_tpolyline_getlinestyle
  getLineWidth = xform0 c_tpolyline_getlinewidth
  resetAttLine = xform1 c_tpolyline_resetattline
  setLineAttributes = xform0 c_tpolyline_setlineattributes
  setLineColor = xform1 c_tpolyline_setlinecolor
  setLineStyle = xform1 c_tpolyline_setlinestyle
  setLineWidth = xform1 c_tpolyline_setlinewidth

instance ITAttLine TTreeSQL where
  getLineColor = xform0 c_ttreesql_getlinecolor
  getLineStyle = xform0 c_ttreesql_getlinestyle
  getLineWidth = xform0 c_ttreesql_getlinewidth
  resetAttLine = xform1 c_ttreesql_resetattline
  setLineAttributes = xform0 c_ttreesql_setlineattributes
  setLineColor = xform1 c_ttreesql_setlinecolor
  setLineStyle = xform1 c_ttreesql_setlinestyle
  setLineWidth = xform1 c_ttreesql_setlinewidth

instance ITAttLine TNtupleD where
  getLineColor = xform0 c_tntupled_getlinecolor
  getLineStyle = xform0 c_tntupled_getlinestyle
  getLineWidth = xform0 c_tntupled_getlinewidth
  resetAttLine = xform1 c_tntupled_resetattline
  setLineAttributes = xform0 c_tntupled_setlineattributes
  setLineColor = xform1 c_tntupled_setlinecolor
  setLineStyle = xform1 c_tntupled_setlinestyle
  setLineWidth = xform1 c_tntupled_setlinewidth

instance ITAttLine TNtuple where
  getLineColor = xform0 c_tntuple_getlinecolor
  getLineStyle = xform0 c_tntuple_getlinestyle
  getLineWidth = xform0 c_tntuple_getlinewidth
  resetAttLine = xform1 c_tntuple_resetattline
  setLineAttributes = xform0 c_tntuple_setlineattributes
  setLineColor = xform1 c_tntuple_setlinecolor
  setLineStyle = xform1 c_tntuple_setlinestyle
  setLineWidth = xform1 c_tntuple_setlinewidth

instance ITAttLine TChain where
  getLineColor = xform0 c_tchain_getlinecolor
  getLineStyle = xform0 c_tchain_getlinestyle
  getLineWidth = xform0 c_tchain_getlinewidth
  resetAttLine = xform1 c_tchain_resetattline
  setLineAttributes = xform0 c_tchain_setlineattributes
  setLineColor = xform1 c_tchain_setlinecolor
  setLineStyle = xform1 c_tchain_setlinestyle
  setLineWidth = xform1 c_tchain_setlinewidth

instance ITAttLine TTree where
  getLineColor = xform0 c_ttree_getlinecolor
  getLineStyle = xform0 c_ttree_getlinestyle
  getLineWidth = xform0 c_ttree_getlinewidth
  resetAttLine = xform1 c_ttree_resetattline
  setLineAttributes = xform0 c_ttree_setlineattributes
  setLineColor = xform1 c_ttree_setlinecolor
  setLineStyle = xform1 c_ttree_setlinestyle
  setLineWidth = xform1 c_ttree_setlinewidth

instance ITAttLine TSliderBox where
  getLineColor = xform0 c_tsliderbox_getlinecolor
  getLineStyle = xform0 c_tsliderbox_getlinestyle
  getLineWidth = xform0 c_tsliderbox_getlinewidth
  resetAttLine = xform1 c_tsliderbox_resetattline
  setLineAttributes = xform0 c_tsliderbox_setlineattributes
  setLineColor = xform1 c_tsliderbox_setlinecolor
  setLineStyle = xform1 c_tsliderbox_setlinestyle
  setLineWidth = xform1 c_tsliderbox_setlinewidth

instance ITAttLine TFrame where
  getLineColor = xform0 c_tframe_getlinecolor
  getLineStyle = xform0 c_tframe_getlinestyle
  getLineWidth = xform0 c_tframe_getlinewidth
  resetAttLine = xform1 c_tframe_resetattline
  setLineAttributes = xform0 c_tframe_setlineattributes
  setLineColor = xform1 c_tframe_setlinecolor
  setLineStyle = xform1 c_tframe_setlinestyle
  setLineWidth = xform1 c_tframe_setlinewidth

instance ITAttLine TWbox where
  getLineColor = xform0 c_twbox_getlinecolor
  getLineStyle = xform0 c_twbox_getlinestyle
  getLineWidth = xform0 c_twbox_getlinewidth
  resetAttLine = xform1 c_twbox_resetattline
  setLineAttributes = xform0 c_twbox_setlineattributes
  setLineColor = xform1 c_twbox_setlinecolor
  setLineStyle = xform1 c_twbox_setlinestyle
  setLineWidth = xform1 c_twbox_setlinewidth

instance ITAttLine TPaveClass where
  getLineColor = xform0 c_tpaveclass_getlinecolor
  getLineStyle = xform0 c_tpaveclass_getlinestyle
  getLineWidth = xform0 c_tpaveclass_getlinewidth
  resetAttLine = xform1 c_tpaveclass_resetattline
  setLineAttributes = xform0 c_tpaveclass_setlineattributes
  setLineColor = xform1 c_tpaveclass_setlinecolor
  setLineStyle = xform1 c_tpaveclass_setlinestyle
  setLineWidth = xform1 c_tpaveclass_setlinewidth

instance ITAttLine TPaveLabel where
  getLineColor = xform0 c_tpavelabel_getlinecolor
  getLineStyle = xform0 c_tpavelabel_getlinestyle
  getLineWidth = xform0 c_tpavelabel_getlinewidth
  resetAttLine = xform1 c_tpavelabel_resetattline
  setLineAttributes = xform0 c_tpavelabel_setlineattributes
  setLineColor = xform1 c_tpavelabel_setlinecolor
  setLineStyle = xform1 c_tpavelabel_setlinestyle
  setLineWidth = xform1 c_tpavelabel_setlinewidth

instance ITAttLine TLegendEntry where
  getLineColor = xform0 c_tlegendentry_getlinecolor
  getLineStyle = xform0 c_tlegendentry_getlinestyle
  getLineWidth = xform0 c_tlegendentry_getlinewidth
  resetAttLine = xform1 c_tlegendentry_resetattline
  setLineAttributes = xform0 c_tlegendentry_setlineattributes
  setLineColor = xform1 c_tlegendentry_setlinecolor
  setLineStyle = xform1 c_tlegendentry_setlinestyle
  setLineWidth = xform1 c_tlegendentry_setlinewidth

instance ITAttLine TLegend where
  getLineColor = xform0 c_tlegend_getlinecolor
  getLineStyle = xform0 c_tlegend_getlinestyle
  getLineWidth = xform0 c_tlegend_getlinewidth
  resetAttLine = xform1 c_tlegend_resetattline
  setLineAttributes = xform0 c_tlegend_setlineattributes
  setLineColor = xform1 c_tlegend_setlinecolor
  setLineStyle = xform1 c_tlegend_setlinestyle
  setLineWidth = xform1 c_tlegend_setlinewidth

instance ITAttLine TPavesText where
  getLineColor = xform0 c_tpavestext_getlinecolor
  getLineStyle = xform0 c_tpavestext_getlinestyle
  getLineWidth = xform0 c_tpavestext_getlinewidth
  resetAttLine = xform1 c_tpavestext_resetattline
  setLineAttributes = xform0 c_tpavestext_setlineattributes
  setLineColor = xform1 c_tpavestext_setlinecolor
  setLineStyle = xform1 c_tpavestext_setlinestyle
  setLineWidth = xform1 c_tpavestext_setlinewidth

instance ITAttLine TPaveStats where
  getLineColor = xform0 c_tpavestats_getlinecolor
  getLineStyle = xform0 c_tpavestats_getlinestyle
  getLineWidth = xform0 c_tpavestats_getlinewidth
  resetAttLine = xform1 c_tpavestats_resetattline
  setLineAttributes = xform0 c_tpavestats_setlineattributes
  setLineColor = xform1 c_tpavestats_setlinecolor
  setLineStyle = xform1 c_tpavestats_setlinestyle
  setLineWidth = xform1 c_tpavestats_setlinewidth

instance ITAttLine TDiamond where
  getLineColor = xform0 c_tdiamond_getlinecolor
  getLineStyle = xform0 c_tdiamond_getlinestyle
  getLineWidth = xform0 c_tdiamond_getlinewidth
  resetAttLine = xform1 c_tdiamond_resetattline
  setLineAttributes = xform0 c_tdiamond_setlineattributes
  setLineColor = xform1 c_tdiamond_setlinecolor
  setLineStyle = xform1 c_tdiamond_setlinestyle
  setLineWidth = xform1 c_tdiamond_setlinewidth

instance ITAttLine TPaveText where
  getLineColor = xform0 c_tpavetext_getlinecolor
  getLineStyle = xform0 c_tpavetext_getlinestyle
  getLineWidth = xform0 c_tpavetext_getlinewidth
  resetAttLine = xform1 c_tpavetext_resetattline
  setLineAttributes = xform0 c_tpavetext_setlineattributes
  setLineColor = xform1 c_tpavetext_setlinecolor
  setLineStyle = xform1 c_tpavetext_setlinestyle
  setLineWidth = xform1 c_tpavetext_setlinewidth

instance ITAttLine TPave where
  getLineColor = xform0 c_tpave_getlinecolor
  getLineStyle = xform0 c_tpave_getlinestyle
  getLineWidth = xform0 c_tpave_getlinewidth
  resetAttLine = xform1 c_tpave_resetattline
  setLineAttributes = xform0 c_tpave_setlineattributes
  setLineColor = xform1 c_tpave_setlinecolor
  setLineStyle = xform1 c_tpave_setlinestyle
  setLineWidth = xform1 c_tpave_setlinewidth

instance ITAttLine TBox where
  getLineColor = xform0 c_tbox_getlinecolor
  getLineStyle = xform0 c_tbox_getlinestyle
  getLineWidth = xform0 c_tbox_getlinewidth
  resetAttLine = xform1 c_tbox_resetattline
  setLineAttributes = xform0 c_tbox_setlineattributes
  setLineColor = xform1 c_tbox_setlinecolor
  setLineStyle = xform1 c_tbox_setlinestyle
  setLineWidth = xform1 c_tbox_setlinewidth

instance ITAttLine TXTRU where
  getLineColor = xform0 c_txtru_getlinecolor
  getLineStyle = xform0 c_txtru_getlinestyle
  getLineWidth = xform0 c_txtru_getlinewidth
  resetAttLine = xform1 c_txtru_resetattline
  setLineAttributes = xform0 c_txtru_setlineattributes
  setLineColor = xform1 c_txtru_setlinecolor
  setLineStyle = xform1 c_txtru_setlinestyle
  setLineWidth = xform1 c_txtru_setlinewidth

instance ITAttLine TSPHE where
  getLineColor = xform0 c_tsphe_getlinecolor
  getLineStyle = xform0 c_tsphe_getlinestyle
  getLineWidth = xform0 c_tsphe_getlinewidth
  resetAttLine = xform1 c_tsphe_resetattline
  setLineAttributes = xform0 c_tsphe_setlineattributes
  setLineColor = xform1 c_tsphe_setlinecolor
  setLineStyle = xform1 c_tsphe_setlinestyle
  setLineWidth = xform1 c_tsphe_setlinewidth

instance ITAttLine TPCON where
  getLineColor = xform0 c_tpcon_getlinecolor
  getLineStyle = xform0 c_tpcon_getlinestyle
  getLineWidth = xform0 c_tpcon_getlinewidth
  resetAttLine = xform1 c_tpcon_resetattline
  setLineAttributes = xform0 c_tpcon_setlineattributes
  setLineColor = xform1 c_tpcon_setlinecolor
  setLineStyle = xform1 c_tpcon_setlinestyle
  setLineWidth = xform1 c_tpcon_setlinewidth

instance ITAttLine TTUBE where
  getLineColor = xform0 c_ttube_getlinecolor
  getLineStyle = xform0 c_ttube_getlinestyle
  getLineWidth = xform0 c_ttube_getlinewidth
  resetAttLine = xform1 c_ttube_resetattline
  setLineAttributes = xform0 c_ttube_setlineattributes
  setLineColor = xform1 c_ttube_setlinecolor
  setLineStyle = xform1 c_ttube_setlinestyle
  setLineWidth = xform1 c_ttube_setlinewidth

instance ITAttLine TBRIK where
  getLineColor = xform0 c_tbrik_getlinecolor
  getLineStyle = xform0 c_tbrik_getlinestyle
  getLineWidth = xform0 c_tbrik_getlinewidth
  resetAttLine = xform1 c_tbrik_resetattline
  setLineAttributes = xform0 c_tbrik_setlineattributes
  setLineColor = xform1 c_tbrik_setlinecolor
  setLineStyle = xform1 c_tbrik_setlinestyle
  setLineWidth = xform1 c_tbrik_setlinewidth

instance ITAttLine TShape where
  getLineColor = xform0 c_tshape_getlinecolor
  getLineStyle = xform0 c_tshape_getlinestyle
  getLineWidth = xform0 c_tshape_getlinewidth
  resetAttLine = xform1 c_tshape_resetattline
  setLineAttributes = xform0 c_tshape_setlineattributes
  setLineColor = xform1 c_tshape_setlinecolor
  setLineStyle = xform1 c_tshape_setlinestyle
  setLineWidth = xform1 c_tshape_setlinewidth

instance ITAttLine TGaxis where
  getLineColor = xform0 c_tgaxis_getlinecolor
  getLineStyle = xform0 c_tgaxis_getlinestyle
  getLineWidth = xform0 c_tgaxis_getlinewidth
  resetAttLine = xform1 c_tgaxis_resetattline
  setLineAttributes = xform0 c_tgaxis_setlineattributes
  setLineColor = xform1 c_tgaxis_setlinecolor
  setLineStyle = xform1 c_tgaxis_setlinestyle
  setLineWidth = xform1 c_tgaxis_setlinewidth

instance ITAttLine TArrow where
  getLineColor = xform0 c_tarrow_getlinecolor
  getLineStyle = xform0 c_tarrow_getlinestyle
  getLineWidth = xform0 c_tarrow_getlinewidth
  resetAttLine = xform1 c_tarrow_resetattline
  setLineAttributes = xform0 c_tarrow_setlineattributes
  setLineColor = xform1 c_tarrow_setlinecolor
  setLineStyle = xform1 c_tarrow_setlinestyle
  setLineWidth = xform1 c_tarrow_setlinewidth

instance ITAttLine TLine where
  getLineColor = xform0 c_tline_getlinecolor
  getLineStyle = xform0 c_tline_getlinestyle
  getLineWidth = xform0 c_tline_getlinewidth
  resetAttLine = xform1 c_tline_resetattline
  setLineAttributes = xform0 c_tline_setlineattributes
  setLineColor = xform1 c_tline_setlinecolor
  setLineStyle = xform1 c_tline_setlinestyle
  setLineWidth = xform1 c_tline_setlinewidth

instance ITAttLine TCrown where
  getLineColor = xform0 c_tcrown_getlinecolor
  getLineStyle = xform0 c_tcrown_getlinestyle
  getLineWidth = xform0 c_tcrown_getlinewidth
  resetAttLine = xform1 c_tcrown_resetattline
  setLineAttributes = xform0 c_tcrown_setlineattributes
  setLineColor = xform1 c_tcrown_setlinecolor
  setLineStyle = xform1 c_tcrown_setlinestyle
  setLineWidth = xform1 c_tcrown_setlinewidth

instance ITAttLine TArc where
  getLineColor = xform0 c_tarc_getlinecolor
  getLineStyle = xform0 c_tarc_getlinestyle
  getLineWidth = xform0 c_tarc_getlinewidth
  resetAttLine = xform1 c_tarc_resetattline
  setLineAttributes = xform0 c_tarc_setlineattributes
  setLineColor = xform1 c_tarc_setlinecolor
  setLineStyle = xform1 c_tarc_setlinestyle
  setLineWidth = xform1 c_tarc_setlinewidth

instance ITAttLine TEllipse where
  getLineColor = xform0 c_tellipse_getlinecolor
  getLineStyle = xform0 c_tellipse_getlinestyle
  getLineWidth = xform0 c_tellipse_getlinewidth
  resetAttLine = xform1 c_tellipse_resetattline
  setLineAttributes = xform0 c_tellipse_setlineattributes
  setLineColor = xform1 c_tellipse_setlinecolor
  setLineStyle = xform1 c_tellipse_setlinestyle
  setLineWidth = xform1 c_tellipse_setlinewidth

instance ITAttLine TGraphQQ where
  getLineColor = xform0 c_tgraphqq_getlinecolor
  getLineStyle = xform0 c_tgraphqq_getlinestyle
  getLineWidth = xform0 c_tgraphqq_getlinewidth
  resetAttLine = xform1 c_tgraphqq_resetattline
  setLineAttributes = xform0 c_tgraphqq_setlineattributes
  setLineColor = xform1 c_tgraphqq_setlinecolor
  setLineStyle = xform1 c_tgraphqq_setlinestyle
  setLineWidth = xform1 c_tgraphqq_setlinewidth

instance ITAttLine TGraphPolar where
  getLineColor = xform0 c_tgraphpolar_getlinecolor
  getLineStyle = xform0 c_tgraphpolar_getlinestyle
  getLineWidth = xform0 c_tgraphpolar_getlinewidth
  resetAttLine = xform1 c_tgraphpolar_resetattline
  setLineAttributes = xform0 c_tgraphpolar_setlineattributes
  setLineColor = xform1 c_tgraphpolar_setlinecolor
  setLineStyle = xform1 c_tgraphpolar_setlinestyle
  setLineWidth = xform1 c_tgraphpolar_setlinewidth

instance ITAttLine TGraphErrors where
  getLineColor = xform0 c_tgrapherrors_getlinecolor
  getLineStyle = xform0 c_tgrapherrors_getlinestyle
  getLineWidth = xform0 c_tgrapherrors_getlinewidth
  resetAttLine = xform1 c_tgrapherrors_resetattline
  setLineAttributes = xform0 c_tgrapherrors_setlineattributes
  setLineColor = xform1 c_tgrapherrors_setlinecolor
  setLineStyle = xform1 c_tgrapherrors_setlinestyle
  setLineWidth = xform1 c_tgrapherrors_setlinewidth

instance ITAttLine TGraphBentErrors where
  getLineColor = xform0 c_tgraphbenterrors_getlinecolor
  getLineStyle = xform0 c_tgraphbenterrors_getlinestyle
  getLineWidth = xform0 c_tgraphbenterrors_getlinewidth
  resetAttLine = xform1 c_tgraphbenterrors_resetattline
  setLineAttributes = xform0 c_tgraphbenterrors_setlineattributes
  setLineColor = xform1 c_tgraphbenterrors_setlinecolor
  setLineStyle = xform1 c_tgraphbenterrors_setlinestyle
  setLineWidth = xform1 c_tgraphbenterrors_setlinewidth

instance ITAttLine TCutG where
  getLineColor = xform0 c_tcutg_getlinecolor
  getLineStyle = xform0 c_tcutg_getlinestyle
  getLineWidth = xform0 c_tcutg_getlinewidth
  resetAttLine = xform1 c_tcutg_resetattline
  setLineAttributes = xform0 c_tcutg_setlineattributes
  setLineColor = xform1 c_tcutg_setlinecolor
  setLineStyle = xform1 c_tcutg_setlinestyle
  setLineWidth = xform1 c_tcutg_setlinewidth

instance ITAttLine TGraphAsymmErrors where
  getLineColor = xform0 c_tgraphasymmerrors_getlinecolor
  getLineStyle = xform0 c_tgraphasymmerrors_getlinestyle
  getLineWidth = xform0 c_tgraphasymmerrors_getlinewidth
  resetAttLine = xform1 c_tgraphasymmerrors_resetattline
  setLineAttributes = xform0 c_tgraphasymmerrors_setlineattributes
  setLineColor = xform1 c_tgraphasymmerrors_setlinecolor
  setLineStyle = xform1 c_tgraphasymmerrors_setlinestyle
  setLineWidth = xform1 c_tgraphasymmerrors_setlinewidth

instance ITAttLine TGraph where
  getLineColor = xform0 c_tgraph_getlinecolor
  getLineStyle = xform0 c_tgraph_getlinestyle
  getLineWidth = xform0 c_tgraph_getlinewidth
  resetAttLine = xform1 c_tgraph_resetattline
  setLineAttributes = xform0 c_tgraph_setlineattributes
  setLineColor = xform1 c_tgraph_setlinecolor
  setLineStyle = xform1 c_tgraph_setlinestyle
  setLineWidth = xform1 c_tgraph_setlinewidth

instance ITAttLine TF1 where
  getLineColor = xform0 c_tf1_getlinecolor
  getLineStyle = xform0 c_tf1_getlinestyle
  getLineWidth = xform0 c_tf1_getlinewidth
  resetAttLine = xform1 c_tf1_resetattline
  setLineAttributes = xform0 c_tf1_setlineattributes
  setLineColor = xform1 c_tf1_setlinecolor
  setLineStyle = xform1 c_tf1_setlinestyle
  setLineWidth = xform1 c_tf1_setlinewidth

instance ITAttMarker TH3S where
  getMarkerColor = xform0 c_th3s_getmarkercolor
  getMarkerStyle = xform0 c_th3s_getmarkerstyle
  getMarkerSize = xform0 c_th3s_getmarkersize
  resetAttMarker = xform1 c_th3s_resetattmarker
  setMarkerAttributes = xform0 c_th3s_setmarkerattributes
  setMarkerColor = xform1 c_th3s_setmarkercolor
  setMarkerStyle = xform1 c_th3s_setmarkerstyle
  setMarkerSize = xform1 c_th3s_setmarkersize

instance ITAttMarker TH3I where
  getMarkerColor = xform0 c_th3i_getmarkercolor
  getMarkerStyle = xform0 c_th3i_getmarkerstyle
  getMarkerSize = xform0 c_th3i_getmarkersize
  resetAttMarker = xform1 c_th3i_resetattmarker
  setMarkerAttributes = xform0 c_th3i_setmarkerattributes
  setMarkerColor = xform1 c_th3i_setmarkercolor
  setMarkerStyle = xform1 c_th3i_setmarkerstyle
  setMarkerSize = xform1 c_th3i_setmarkersize

instance ITAttMarker TH3F where
  getMarkerColor = xform0 c_th3f_getmarkercolor
  getMarkerStyle = xform0 c_th3f_getmarkerstyle
  getMarkerSize = xform0 c_th3f_getmarkersize
  resetAttMarker = xform1 c_th3f_resetattmarker
  setMarkerAttributes = xform0 c_th3f_setmarkerattributes
  setMarkerColor = xform1 c_th3f_setmarkercolor
  setMarkerStyle = xform1 c_th3f_setmarkerstyle
  setMarkerSize = xform1 c_th3f_setmarkersize

instance ITAttMarker TH3D where
  getMarkerColor = xform0 c_th3d_getmarkercolor
  getMarkerStyle = xform0 c_th3d_getmarkerstyle
  getMarkerSize = xform0 c_th3d_getmarkersize
  resetAttMarker = xform1 c_th3d_resetattmarker
  setMarkerAttributes = xform0 c_th3d_setmarkerattributes
  setMarkerColor = xform1 c_th3d_setmarkercolor
  setMarkerStyle = xform1 c_th3d_setmarkerstyle
  setMarkerSize = xform1 c_th3d_setmarkersize

instance ITAttMarker TH3C where
  getMarkerColor = xform0 c_th3c_getmarkercolor
  getMarkerStyle = xform0 c_th3c_getmarkerstyle
  getMarkerSize = xform0 c_th3c_getmarkersize
  resetAttMarker = xform1 c_th3c_resetattmarker
  setMarkerAttributes = xform0 c_th3c_setmarkerattributes
  setMarkerColor = xform1 c_th3c_setmarkercolor
  setMarkerStyle = xform1 c_th3c_setmarkerstyle
  setMarkerSize = xform1 c_th3c_setmarkersize

instance ITAttMarker TH2S where
  getMarkerColor = xform0 c_th2s_getmarkercolor
  getMarkerStyle = xform0 c_th2s_getmarkerstyle
  getMarkerSize = xform0 c_th2s_getmarkersize
  resetAttMarker = xform1 c_th2s_resetattmarker
  setMarkerAttributes = xform0 c_th2s_setmarkerattributes
  setMarkerColor = xform1 c_th2s_setmarkercolor
  setMarkerStyle = xform1 c_th2s_setmarkerstyle
  setMarkerSize = xform1 c_th2s_setmarkersize

instance ITAttMarker TH2Poly where
  getMarkerColor = xform0 c_th2poly_getmarkercolor
  getMarkerStyle = xform0 c_th2poly_getmarkerstyle
  getMarkerSize = xform0 c_th2poly_getmarkersize
  resetAttMarker = xform1 c_th2poly_resetattmarker
  setMarkerAttributes = xform0 c_th2poly_setmarkerattributes
  setMarkerColor = xform1 c_th2poly_setmarkercolor
  setMarkerStyle = xform1 c_th2poly_setmarkerstyle
  setMarkerSize = xform1 c_th2poly_setmarkersize

instance ITAttMarker TH2I where
  getMarkerColor = xform0 c_th2i_getmarkercolor
  getMarkerStyle = xform0 c_th2i_getmarkerstyle
  getMarkerSize = xform0 c_th2i_getmarkersize
  resetAttMarker = xform1 c_th2i_resetattmarker
  setMarkerAttributes = xform0 c_th2i_setmarkerattributes
  setMarkerColor = xform1 c_th2i_setmarkercolor
  setMarkerStyle = xform1 c_th2i_setmarkerstyle
  setMarkerSize = xform1 c_th2i_setmarkersize

instance ITAttMarker TH2F where
  getMarkerColor = xform0 c_th2f_getmarkercolor
  getMarkerStyle = xform0 c_th2f_getmarkerstyle
  getMarkerSize = xform0 c_th2f_getmarkersize
  resetAttMarker = xform1 c_th2f_resetattmarker
  setMarkerAttributes = xform0 c_th2f_setmarkerattributes
  setMarkerColor = xform1 c_th2f_setmarkercolor
  setMarkerStyle = xform1 c_th2f_setmarkerstyle
  setMarkerSize = xform1 c_th2f_setmarkersize

instance ITAttMarker TH2D where
  getMarkerColor = xform0 c_th2d_getmarkercolor
  getMarkerStyle = xform0 c_th2d_getmarkerstyle
  getMarkerSize = xform0 c_th2d_getmarkersize
  resetAttMarker = xform1 c_th2d_resetattmarker
  setMarkerAttributes = xform0 c_th2d_setmarkerattributes
  setMarkerColor = xform1 c_th2d_setmarkercolor
  setMarkerStyle = xform1 c_th2d_setmarkerstyle
  setMarkerSize = xform1 c_th2d_setmarkersize

instance ITAttMarker TH2C where
  getMarkerColor = xform0 c_th2c_getmarkercolor
  getMarkerStyle = xform0 c_th2c_getmarkerstyle
  getMarkerSize = xform0 c_th2c_getmarkersize
  resetAttMarker = xform1 c_th2c_resetattmarker
  setMarkerAttributes = xform0 c_th2c_setmarkerattributes
  setMarkerColor = xform1 c_th2c_setmarkercolor
  setMarkerStyle = xform1 c_th2c_setmarkerstyle
  setMarkerSize = xform1 c_th2c_setmarkersize

instance ITAttMarker TH1S where
  getMarkerColor = xform0 c_th1s_getmarkercolor
  getMarkerStyle = xform0 c_th1s_getmarkerstyle
  getMarkerSize = xform0 c_th1s_getmarkersize
  resetAttMarker = xform1 c_th1s_resetattmarker
  setMarkerAttributes = xform0 c_th1s_setmarkerattributes
  setMarkerColor = xform1 c_th1s_setmarkercolor
  setMarkerStyle = xform1 c_th1s_setmarkerstyle
  setMarkerSize = xform1 c_th1s_setmarkersize

instance ITAttMarker TH1I where
  getMarkerColor = xform0 c_th1i_getmarkercolor
  getMarkerStyle = xform0 c_th1i_getmarkerstyle
  getMarkerSize = xform0 c_th1i_getmarkersize
  resetAttMarker = xform1 c_th1i_resetattmarker
  setMarkerAttributes = xform0 c_th1i_setmarkerattributes
  setMarkerColor = xform1 c_th1i_setmarkercolor
  setMarkerStyle = xform1 c_th1i_setmarkerstyle
  setMarkerSize = xform1 c_th1i_setmarkersize

instance ITAttMarker TH1F where
  getMarkerColor = xform0 c_th1f_getmarkercolor
  getMarkerStyle = xform0 c_th1f_getmarkerstyle
  getMarkerSize = xform0 c_th1f_getmarkersize
  resetAttMarker = xform1 c_th1f_resetattmarker
  setMarkerAttributes = xform0 c_th1f_setmarkerattributes
  setMarkerColor = xform1 c_th1f_setmarkercolor
  setMarkerStyle = xform1 c_th1f_setmarkerstyle
  setMarkerSize = xform1 c_th1f_setmarkersize

instance ITAttMarker TH1D where
  getMarkerColor = xform0 c_th1d_getmarkercolor
  getMarkerStyle = xform0 c_th1d_getmarkerstyle
  getMarkerSize = xform0 c_th1d_getmarkersize
  resetAttMarker = xform1 c_th1d_resetattmarker
  setMarkerAttributes = xform0 c_th1d_setmarkerattributes
  setMarkerColor = xform1 c_th1d_setmarkercolor
  setMarkerStyle = xform1 c_th1d_setmarkerstyle
  setMarkerSize = xform1 c_th1d_setmarkersize

instance ITAttMarker TH1C where
  getMarkerColor = xform0 c_th1c_getmarkercolor
  getMarkerStyle = xform0 c_th1c_getmarkerstyle
  getMarkerSize = xform0 c_th1c_getmarkersize
  resetAttMarker = xform1 c_th1c_resetattmarker
  setMarkerAttributes = xform0 c_th1c_setmarkerattributes
  setMarkerColor = xform1 c_th1c_setmarkercolor
  setMarkerStyle = xform1 c_th1c_setmarkerstyle
  setMarkerSize = xform1 c_th1c_setmarkersize

instance ITAttMarker TH3 where
  getMarkerColor = xform0 c_th3_getmarkercolor
  getMarkerStyle = xform0 c_th3_getmarkerstyle
  getMarkerSize = xform0 c_th3_getmarkersize
  resetAttMarker = xform1 c_th3_resetattmarker
  setMarkerAttributes = xform0 c_th3_setmarkerattributes
  setMarkerColor = xform1 c_th3_setmarkercolor
  setMarkerStyle = xform1 c_th3_setmarkerstyle
  setMarkerSize = xform1 c_th3_setmarkersize

instance ITAttMarker TH2 where
  getMarkerColor = xform0 c_th2_getmarkercolor
  getMarkerStyle = xform0 c_th2_getmarkerstyle
  getMarkerSize = xform0 c_th2_getmarkersize
  resetAttMarker = xform1 c_th2_resetattmarker
  setMarkerAttributes = xform0 c_th2_setmarkerattributes
  setMarkerColor = xform1 c_th2_setmarkercolor
  setMarkerStyle = xform1 c_th2_setmarkerstyle
  setMarkerSize = xform1 c_th2_setmarkersize

instance ITAttMarker TH1 where
  getMarkerColor = xform0 c_th1_getmarkercolor
  getMarkerStyle = xform0 c_th1_getmarkerstyle
  getMarkerSize = xform0 c_th1_getmarkersize
  resetAttMarker = xform1 c_th1_resetattmarker
  setMarkerAttributes = xform0 c_th1_setmarkerattributes
  setMarkerColor = xform1 c_th1_setmarkercolor
  setMarkerStyle = xform1 c_th1_setmarkerstyle
  setMarkerSize = xform1 c_th1_setmarkersize

instance ITAttMarker TEfficiency where
  getMarkerColor = xform0 c_tefficiency_getmarkercolor
  getMarkerStyle = xform0 c_tefficiency_getmarkerstyle
  getMarkerSize = xform0 c_tefficiency_getmarkersize
  resetAttMarker = xform1 c_tefficiency_resetattmarker
  setMarkerAttributes = xform0 c_tefficiency_setmarkerattributes
  setMarkerColor = xform1 c_tefficiency_setmarkercolor
  setMarkerStyle = xform1 c_tefficiency_setmarkerstyle
  setMarkerSize = xform1 c_tefficiency_setmarkersize

instance ITAttMarker TTreeSQL where
  getMarkerColor = xform0 c_ttreesql_getmarkercolor
  getMarkerStyle = xform0 c_ttreesql_getmarkerstyle
  getMarkerSize = xform0 c_ttreesql_getmarkersize
  resetAttMarker = xform1 c_ttreesql_resetattmarker
  setMarkerAttributes = xform0 c_ttreesql_setmarkerattributes
  setMarkerColor = xform1 c_ttreesql_setmarkercolor
  setMarkerStyle = xform1 c_ttreesql_setmarkerstyle
  setMarkerSize = xform1 c_ttreesql_setmarkersize

instance ITAttMarker TNtupleD where
  getMarkerColor = xform0 c_tntupled_getmarkercolor
  getMarkerStyle = xform0 c_tntupled_getmarkerstyle
  getMarkerSize = xform0 c_tntupled_getmarkersize
  resetAttMarker = xform1 c_tntupled_resetattmarker
  setMarkerAttributes = xform0 c_tntupled_setmarkerattributes
  setMarkerColor = xform1 c_tntupled_setmarkercolor
  setMarkerStyle = xform1 c_tntupled_setmarkerstyle
  setMarkerSize = xform1 c_tntupled_setmarkersize

instance ITAttMarker TNtuple where
  getMarkerColor = xform0 c_tntuple_getmarkercolor
  getMarkerStyle = xform0 c_tntuple_getmarkerstyle
  getMarkerSize = xform0 c_tntuple_getmarkersize
  resetAttMarker = xform1 c_tntuple_resetattmarker
  setMarkerAttributes = xform0 c_tntuple_setmarkerattributes
  setMarkerColor = xform1 c_tntuple_setmarkercolor
  setMarkerStyle = xform1 c_tntuple_setmarkerstyle
  setMarkerSize = xform1 c_tntuple_setmarkersize

instance ITAttMarker TChain where
  getMarkerColor = xform0 c_tchain_getmarkercolor
  getMarkerStyle = xform0 c_tchain_getmarkerstyle
  getMarkerSize = xform0 c_tchain_getmarkersize
  resetAttMarker = xform1 c_tchain_resetattmarker
  setMarkerAttributes = xform0 c_tchain_setmarkerattributes
  setMarkerColor = xform1 c_tchain_setmarkercolor
  setMarkerStyle = xform1 c_tchain_setmarkerstyle
  setMarkerSize = xform1 c_tchain_setmarkersize

instance ITAttMarker TTree where
  getMarkerColor = xform0 c_ttree_getmarkercolor
  getMarkerStyle = xform0 c_ttree_getmarkerstyle
  getMarkerSize = xform0 c_ttree_getmarkersize
  resetAttMarker = xform1 c_ttree_resetattmarker
  setMarkerAttributes = xform0 c_ttree_setmarkerattributes
  setMarkerColor = xform1 c_ttree_setmarkercolor
  setMarkerStyle = xform1 c_ttree_setmarkerstyle
  setMarkerSize = xform1 c_ttree_setmarkersize

instance ITAttMarker TLegendEntry where
  getMarkerColor = xform0 c_tlegendentry_getmarkercolor
  getMarkerStyle = xform0 c_tlegendentry_getmarkerstyle
  getMarkerSize = xform0 c_tlegendentry_getmarkersize
  resetAttMarker = xform1 c_tlegendentry_resetattmarker
  setMarkerAttributes = xform0 c_tlegendentry_setmarkerattributes
  setMarkerColor = xform1 c_tlegendentry_setmarkercolor
  setMarkerStyle = xform1 c_tlegendentry_setmarkerstyle
  setMarkerSize = xform1 c_tlegendentry_setmarkersize

instance ITAttMarker TGraphQQ where
  getMarkerColor = xform0 c_tgraphqq_getmarkercolor
  getMarkerStyle = xform0 c_tgraphqq_getmarkerstyle
  getMarkerSize = xform0 c_tgraphqq_getmarkersize
  resetAttMarker = xform1 c_tgraphqq_resetattmarker
  setMarkerAttributes = xform0 c_tgraphqq_setmarkerattributes
  setMarkerColor = xform1 c_tgraphqq_setmarkercolor
  setMarkerStyle = xform1 c_tgraphqq_setmarkerstyle
  setMarkerSize = xform1 c_tgraphqq_setmarkersize

instance ITAttMarker TGraphPolar where
  getMarkerColor = xform0 c_tgraphpolar_getmarkercolor
  getMarkerStyle = xform0 c_tgraphpolar_getmarkerstyle
  getMarkerSize = xform0 c_tgraphpolar_getmarkersize
  resetAttMarker = xform1 c_tgraphpolar_resetattmarker
  setMarkerAttributes = xform0 c_tgraphpolar_setmarkerattributes
  setMarkerColor = xform1 c_tgraphpolar_setmarkercolor
  setMarkerStyle = xform1 c_tgraphpolar_setmarkerstyle
  setMarkerSize = xform1 c_tgraphpolar_setmarkersize

instance ITAttMarker TGraphErrors where
  getMarkerColor = xform0 c_tgrapherrors_getmarkercolor
  getMarkerStyle = xform0 c_tgrapherrors_getmarkerstyle
  getMarkerSize = xform0 c_tgrapherrors_getmarkersize
  resetAttMarker = xform1 c_tgrapherrors_resetattmarker
  setMarkerAttributes = xform0 c_tgrapherrors_setmarkerattributes
  setMarkerColor = xform1 c_tgrapherrors_setmarkercolor
  setMarkerStyle = xform1 c_tgrapherrors_setmarkerstyle
  setMarkerSize = xform1 c_tgrapherrors_setmarkersize

instance ITAttMarker TGraphBentErrors where
  getMarkerColor = xform0 c_tgraphbenterrors_getmarkercolor
  getMarkerStyle = xform0 c_tgraphbenterrors_getmarkerstyle
  getMarkerSize = xform0 c_tgraphbenterrors_getmarkersize
  resetAttMarker = xform1 c_tgraphbenterrors_resetattmarker
  setMarkerAttributes = xform0 c_tgraphbenterrors_setmarkerattributes
  setMarkerColor = xform1 c_tgraphbenterrors_setmarkercolor
  setMarkerStyle = xform1 c_tgraphbenterrors_setmarkerstyle
  setMarkerSize = xform1 c_tgraphbenterrors_setmarkersize

instance ITAttMarker TCutG where
  getMarkerColor = xform0 c_tcutg_getmarkercolor
  getMarkerStyle = xform0 c_tcutg_getmarkerstyle
  getMarkerSize = xform0 c_tcutg_getmarkersize
  resetAttMarker = xform1 c_tcutg_resetattmarker
  setMarkerAttributes = xform0 c_tcutg_setmarkerattributes
  setMarkerColor = xform1 c_tcutg_setmarkercolor
  setMarkerStyle = xform1 c_tcutg_setmarkerstyle
  setMarkerSize = xform1 c_tcutg_setmarkersize

instance ITAttMarker TGraphAsymmErrors where
  getMarkerColor = xform0 c_tgraphasymmerrors_getmarkercolor
  getMarkerStyle = xform0 c_tgraphasymmerrors_getmarkerstyle
  getMarkerSize = xform0 c_tgraphasymmerrors_getmarkersize
  resetAttMarker = xform1 c_tgraphasymmerrors_resetattmarker
  setMarkerAttributes = xform0 c_tgraphasymmerrors_setmarkerattributes
  setMarkerColor = xform1 c_tgraphasymmerrors_setmarkercolor
  setMarkerStyle = xform1 c_tgraphasymmerrors_setmarkerstyle
  setMarkerSize = xform1 c_tgraphasymmerrors_setmarkersize

instance ITAttMarker TGraph where
  getMarkerColor = xform0 c_tgraph_getmarkercolor
  getMarkerStyle = xform0 c_tgraph_getmarkerstyle
  getMarkerSize = xform0 c_tgraph_getmarkersize
  resetAttMarker = xform1 c_tgraph_resetattmarker
  setMarkerAttributes = xform0 c_tgraph_setmarkerattributes
  setMarkerColor = xform1 c_tgraph_setmarkercolor
  setMarkerStyle = xform1 c_tgraph_setmarkerstyle
  setMarkerSize = xform1 c_tgraph_setmarkersize

instance ITAttMarker TF1 where
  getMarkerColor = xform0 c_tf1_getmarkercolor
  getMarkerStyle = xform0 c_tf1_getmarkerstyle
  getMarkerSize = xform0 c_tf1_getmarkersize
  resetAttMarker = xform1 c_tf1_resetattmarker
  setMarkerAttributes = xform0 c_tf1_setmarkerattributes
  setMarkerColor = xform1 c_tf1_setmarkercolor
  setMarkerStyle = xform1 c_tf1_setmarkerstyle
  setMarkerSize = xform1 c_tf1_setmarkersize

instance ITAttPad TSlider where
  resetAttPad = xform1 c_tslider_resetattpad
  setBottomMargin = xform1 c_tslider_setbottommargin
  setLeftMargin = xform1 c_tslider_setleftmargin
  setRightMargin = xform1 c_tslider_setrightmargin
  setTopMargin = xform1 c_tslider_settopmargin
  setMargin = xform4 c_tslider_setmargin
  setAfile = xform1 c_tslider_setafile
  setXfile = xform1 c_tslider_setxfile
  setYfile = xform1 c_tslider_setyfile
  setAstat = xform1 c_tslider_setastat
  setXstat = xform1 c_tslider_setxstat
  setYstat = xform1 c_tslider_setystat

instance ITAttPad TEvePad where
  resetAttPad = xform1 c_tevepad_resetattpad
  setBottomMargin = xform1 c_tevepad_setbottommargin
  setLeftMargin = xform1 c_tevepad_setleftmargin
  setRightMargin = xform1 c_tevepad_setrightmargin
  setTopMargin = xform1 c_tevepad_settopmargin
  setMargin = xform4 c_tevepad_setmargin
  setAfile = xform1 c_tevepad_setafile
  setXfile = xform1 c_tevepad_setxfile
  setYfile = xform1 c_tevepad_setyfile
  setAstat = xform1 c_tevepad_setastat
  setXstat = xform1 c_tevepad_setxstat
  setYstat = xform1 c_tevepad_setystat

instance ITAttPad TInspectCanvas where
  resetAttPad = xform1 c_tinspectcanvas_resetattpad
  setBottomMargin = xform1 c_tinspectcanvas_setbottommargin
  setLeftMargin = xform1 c_tinspectcanvas_setleftmargin
  setRightMargin = xform1 c_tinspectcanvas_setrightmargin
  setTopMargin = xform1 c_tinspectcanvas_settopmargin
  setMargin = xform4 c_tinspectcanvas_setmargin
  setAfile = xform1 c_tinspectcanvas_setafile
  setXfile = xform1 c_tinspectcanvas_setxfile
  setYfile = xform1 c_tinspectcanvas_setyfile
  setAstat = xform1 c_tinspectcanvas_setastat
  setXstat = xform1 c_tinspectcanvas_setxstat
  setYstat = xform1 c_tinspectcanvas_setystat

instance ITAttPad TDialogCanvas where
  resetAttPad = xform1 c_tdialogcanvas_resetattpad
  setBottomMargin = xform1 c_tdialogcanvas_setbottommargin
  setLeftMargin = xform1 c_tdialogcanvas_setleftmargin
  setRightMargin = xform1 c_tdialogcanvas_setrightmargin
  setTopMargin = xform1 c_tdialogcanvas_settopmargin
  setMargin = xform4 c_tdialogcanvas_setmargin
  setAfile = xform1 c_tdialogcanvas_setafile
  setXfile = xform1 c_tdialogcanvas_setxfile
  setYfile = xform1 c_tdialogcanvas_setyfile
  setAstat = xform1 c_tdialogcanvas_setastat
  setXstat = xform1 c_tdialogcanvas_setxstat
  setYstat = xform1 c_tdialogcanvas_setystat

instance ITAttPad TCanvas where
  resetAttPad = xform1 c_tcanvas_resetattpad
  setBottomMargin = xform1 c_tcanvas_setbottommargin
  setLeftMargin = xform1 c_tcanvas_setleftmargin
  setRightMargin = xform1 c_tcanvas_setrightmargin
  setTopMargin = xform1 c_tcanvas_settopmargin
  setMargin = xform4 c_tcanvas_setmargin
  setAfile = xform1 c_tcanvas_setafile
  setXfile = xform1 c_tcanvas_setxfile
  setYfile = xform1 c_tcanvas_setyfile
  setAstat = xform1 c_tcanvas_setastat
  setXstat = xform1 c_tcanvas_setxstat
  setYstat = xform1 c_tcanvas_setystat

instance ITAttPad TGroupButton where
  resetAttPad = xform1 c_tgroupbutton_resetattpad
  setBottomMargin = xform1 c_tgroupbutton_setbottommargin
  setLeftMargin = xform1 c_tgroupbutton_setleftmargin
  setRightMargin = xform1 c_tgroupbutton_setrightmargin
  setTopMargin = xform1 c_tgroupbutton_settopmargin
  setMargin = xform4 c_tgroupbutton_setmargin
  setAfile = xform1 c_tgroupbutton_setafile
  setXfile = xform1 c_tgroupbutton_setxfile
  setYfile = xform1 c_tgroupbutton_setyfile
  setAstat = xform1 c_tgroupbutton_setastat
  setXstat = xform1 c_tgroupbutton_setxstat
  setYstat = xform1 c_tgroupbutton_setystat

instance ITAttPad TButton where
  resetAttPad = xform1 c_tbutton_resetattpad
  setBottomMargin = xform1 c_tbutton_setbottommargin
  setLeftMargin = xform1 c_tbutton_setleftmargin
  setRightMargin = xform1 c_tbutton_setrightmargin
  setTopMargin = xform1 c_tbutton_settopmargin
  setMargin = xform4 c_tbutton_setmargin
  setAfile = xform1 c_tbutton_setafile
  setXfile = xform1 c_tbutton_setxfile
  setYfile = xform1 c_tbutton_setyfile
  setAstat = xform1 c_tbutton_setastat
  setXstat = xform1 c_tbutton_setxstat
  setYstat = xform1 c_tbutton_setystat

instance ITAttPad TPad where
  resetAttPad = xform1 c_tpad_resetattpad
  setBottomMargin = xform1 c_tpad_setbottommargin
  setLeftMargin = xform1 c_tpad_setleftmargin
  setRightMargin = xform1 c_tpad_setrightmargin
  setTopMargin = xform1 c_tpad_settopmargin
  setMargin = xform4 c_tpad_setmargin
  setAfile = xform1 c_tpad_setafile
  setXfile = xform1 c_tpad_setxfile
  setYfile = xform1 c_tpad_setyfile
  setAstat = xform1 c_tpad_setastat
  setXstat = xform1 c_tpad_setxstat
  setYstat = xform1 c_tpad_setystat

instance ITAttPad TVirtualPad where
  resetAttPad = xform1 c_tvirtualpad_resetattpad
  setBottomMargin = xform1 c_tvirtualpad_setbottommargin
  setLeftMargin = xform1 c_tvirtualpad_setleftmargin
  setRightMargin = xform1 c_tvirtualpad_setrightmargin
  setTopMargin = xform1 c_tvirtualpad_settopmargin
  setMargin = xform4 c_tvirtualpad_setmargin
  setAfile = xform1 c_tvirtualpad_setafile
  setXfile = xform1 c_tvirtualpad_setxfile
  setYfile = xform1 c_tvirtualpad_setyfile
  setAstat = xform1 c_tvirtualpad_setastat
  setXstat = xform1 c_tvirtualpad_setxstat
  setYstat = xform1 c_tvirtualpad_setystat

instance ITAttText TInspectCanvas where
  getTextAlign = xform0 c_tinspectcanvas_gettextalign
  getTextAngle = xform0 c_tinspectcanvas_gettextangle
  getTextColor = xform0 c_tinspectcanvas_gettextcolor
  getTextFont = xform0 c_tinspectcanvas_gettextfont
  getTextSize = xform0 c_tinspectcanvas_gettextsize
  resetAttText = xform1 c_tinspectcanvas_resetatttext
  setTextAttributes = xform0 c_tinspectcanvas_settextattributes
  setTextAlign = xform1 c_tinspectcanvas_settextalign
  setTextAngle = xform1 c_tinspectcanvas_settextangle
  setTextColor = xform1 c_tinspectcanvas_settextcolor
  setTextFont = xform1 c_tinspectcanvas_settextfont
  setTextSize = xform1 c_tinspectcanvas_settextsize
  setTextSizePixels = xform1 c_tinspectcanvas_settextsizepixels

instance ITAttText TDialogCanvas where
  getTextAlign = xform0 c_tdialogcanvas_gettextalign
  getTextAngle = xform0 c_tdialogcanvas_gettextangle
  getTextColor = xform0 c_tdialogcanvas_gettextcolor
  getTextFont = xform0 c_tdialogcanvas_gettextfont
  getTextSize = xform0 c_tdialogcanvas_gettextsize
  resetAttText = xform1 c_tdialogcanvas_resetatttext
  setTextAttributes = xform0 c_tdialogcanvas_settextattributes
  setTextAlign = xform1 c_tdialogcanvas_settextalign
  setTextAngle = xform1 c_tdialogcanvas_settextangle
  setTextColor = xform1 c_tdialogcanvas_settextcolor
  setTextFont = xform1 c_tdialogcanvas_settextfont
  setTextSize = xform1 c_tdialogcanvas_settextsize
  setTextSizePixels = xform1 c_tdialogcanvas_settextsizepixels

instance ITAttText TGroupButton where
  getTextAlign = xform0 c_tgroupbutton_gettextalign
  getTextAngle = xform0 c_tgroupbutton_gettextangle
  getTextColor = xform0 c_tgroupbutton_gettextcolor
  getTextFont = xform0 c_tgroupbutton_gettextfont
  getTextSize = xform0 c_tgroupbutton_gettextsize
  resetAttText = xform1 c_tgroupbutton_resetatttext
  setTextAttributes = xform0 c_tgroupbutton_settextattributes
  setTextAlign = xform1 c_tgroupbutton_settextalign
  setTextAngle = xform1 c_tgroupbutton_settextangle
  setTextColor = xform1 c_tgroupbutton_settextcolor
  setTextFont = xform1 c_tgroupbutton_settextfont
  setTextSize = xform1 c_tgroupbutton_settextsize
  setTextSizePixels = xform1 c_tgroupbutton_settextsizepixels

instance ITAttText TButton where
  getTextAlign = xform0 c_tbutton_gettextalign
  getTextAngle = xform0 c_tbutton_gettextangle
  getTextColor = xform0 c_tbutton_gettextcolor
  getTextFont = xform0 c_tbutton_gettextfont
  getTextSize = xform0 c_tbutton_gettextsize
  resetAttText = xform1 c_tbutton_resetatttext
  setTextAttributes = xform0 c_tbutton_settextattributes
  setTextAlign = xform1 c_tbutton_settextalign
  setTextAngle = xform1 c_tbutton_settextangle
  setTextColor = xform1 c_tbutton_settextcolor
  setTextFont = xform1 c_tbutton_settextfont
  setTextSize = xform1 c_tbutton_settextsize
  setTextSizePixels = xform1 c_tbutton_settextsizepixels

instance ITAttText TText where
  getTextAlign = xform0 c_ttext_gettextalign
  getTextAngle = xform0 c_ttext_gettextangle
  getTextColor = xform0 c_ttext_gettextcolor
  getTextFont = xform0 c_ttext_gettextfont
  getTextSize = xform0 c_ttext_gettextsize
  resetAttText = xform1 c_ttext_resetatttext
  setTextAttributes = xform0 c_ttext_settextattributes
  setTextAlign = xform1 c_ttext_settextalign
  setTextAngle = xform1 c_ttext_settextangle
  setTextColor = xform1 c_ttext_settextcolor
  setTextFont = xform1 c_ttext_settextfont
  setTextSize = xform1 c_ttext_settextsize
  setTextSizePixels = xform1 c_ttext_settextsizepixels

instance ITAttText TLatex where
  getTextAlign = xform0 c_tlatex_gettextalign
  getTextAngle = xform0 c_tlatex_gettextangle
  getTextColor = xform0 c_tlatex_gettextcolor
  getTextFont = xform0 c_tlatex_gettextfont
  getTextSize = xform0 c_tlatex_gettextsize
  resetAttText = xform1 c_tlatex_resetatttext
  setTextAttributes = xform0 c_tlatex_settextattributes
  setTextAlign = xform1 c_tlatex_settextalign
  setTextAngle = xform1 c_tlatex_settextangle
  setTextColor = xform1 c_tlatex_settextcolor
  setTextFont = xform1 c_tlatex_settextfont
  setTextSize = xform1 c_tlatex_settextsize
  setTextSizePixels = xform1 c_tlatex_settextsizepixels

instance ITAttText TPaveClass where
  getTextAlign = xform0 c_tpaveclass_gettextalign
  getTextAngle = xform0 c_tpaveclass_gettextangle
  getTextColor = xform0 c_tpaveclass_gettextcolor
  getTextFont = xform0 c_tpaveclass_gettextfont
  getTextSize = xform0 c_tpaveclass_gettextsize
  resetAttText = xform1 c_tpaveclass_resetatttext
  setTextAttributes = xform0 c_tpaveclass_settextattributes
  setTextAlign = xform1 c_tpaveclass_settextalign
  setTextAngle = xform1 c_tpaveclass_settextangle
  setTextColor = xform1 c_tpaveclass_settextcolor
  setTextFont = xform1 c_tpaveclass_settextfont
  setTextSize = xform1 c_tpaveclass_settextsize
  setTextSizePixels = xform1 c_tpaveclass_settextsizepixels

instance ITAttText TPaveLabel where
  getTextAlign = xform0 c_tpavelabel_gettextalign
  getTextAngle = xform0 c_tpavelabel_gettextangle
  getTextColor = xform0 c_tpavelabel_gettextcolor
  getTextFont = xform0 c_tpavelabel_gettextfont
  getTextSize = xform0 c_tpavelabel_gettextsize
  resetAttText = xform1 c_tpavelabel_resetatttext
  setTextAttributes = xform0 c_tpavelabel_settextattributes
  setTextAlign = xform1 c_tpavelabel_settextalign
  setTextAngle = xform1 c_tpavelabel_settextangle
  setTextColor = xform1 c_tpavelabel_settextcolor
  setTextFont = xform1 c_tpavelabel_settextfont
  setTextSize = xform1 c_tpavelabel_settextsize
  setTextSizePixels = xform1 c_tpavelabel_settextsizepixels

instance ITAttText TLegendEntry where
  getTextAlign = xform0 c_tlegendentry_gettextalign
  getTextAngle = xform0 c_tlegendentry_gettextangle
  getTextColor = xform0 c_tlegendentry_gettextcolor
  getTextFont = xform0 c_tlegendentry_gettextfont
  getTextSize = xform0 c_tlegendentry_gettextsize
  resetAttText = xform1 c_tlegendentry_resetatttext
  setTextAttributes = xform0 c_tlegendentry_settextattributes
  setTextAlign = xform1 c_tlegendentry_settextalign
  setTextAngle = xform1 c_tlegendentry_settextangle
  setTextColor = xform1 c_tlegendentry_settextcolor
  setTextFont = xform1 c_tlegendentry_settextfont
  setTextSize = xform1 c_tlegendentry_settextsize
  setTextSizePixels = xform1 c_tlegendentry_settextsizepixels

instance ITAttText TLegend where
  getTextAlign = xform0 c_tlegend_gettextalign
  getTextAngle = xform0 c_tlegend_gettextangle
  getTextColor = xform0 c_tlegend_gettextcolor
  getTextFont = xform0 c_tlegend_gettextfont
  getTextSize = xform0 c_tlegend_gettextsize
  resetAttText = xform1 c_tlegend_resetatttext
  setTextAttributes = xform0 c_tlegend_settextattributes
  setTextAlign = xform1 c_tlegend_settextalign
  setTextAngle = xform1 c_tlegend_settextangle
  setTextColor = xform1 c_tlegend_settextcolor
  setTextFont = xform1 c_tlegend_settextfont
  setTextSize = xform1 c_tlegend_settextsize
  setTextSizePixels = xform1 c_tlegend_settextsizepixels

instance ITAttText TPavesText where
  getTextAlign = xform0 c_tpavestext_gettextalign
  getTextAngle = xform0 c_tpavestext_gettextangle
  getTextColor = xform0 c_tpavestext_gettextcolor
  getTextFont = xform0 c_tpavestext_gettextfont
  getTextSize = xform0 c_tpavestext_gettextsize
  resetAttText = xform1 c_tpavestext_resetatttext
  setTextAttributes = xform0 c_tpavestext_settextattributes
  setTextAlign = xform1 c_tpavestext_settextalign
  setTextAngle = xform1 c_tpavestext_settextangle
  setTextColor = xform1 c_tpavestext_settextcolor
  setTextFont = xform1 c_tpavestext_settextfont
  setTextSize = xform1 c_tpavestext_settextsize
  setTextSizePixels = xform1 c_tpavestext_settextsizepixels

instance ITAttText TPaveStats where
  getTextAlign = xform0 c_tpavestats_gettextalign
  getTextAngle = xform0 c_tpavestats_gettextangle
  getTextColor = xform0 c_tpavestats_gettextcolor
  getTextFont = xform0 c_tpavestats_gettextfont
  getTextSize = xform0 c_tpavestats_gettextsize
  resetAttText = xform1 c_tpavestats_resetatttext
  setTextAttributes = xform0 c_tpavestats_settextattributes
  setTextAlign = xform1 c_tpavestats_settextalign
  setTextAngle = xform1 c_tpavestats_settextangle
  setTextColor = xform1 c_tpavestats_settextcolor
  setTextFont = xform1 c_tpavestats_settextfont
  setTextSize = xform1 c_tpavestats_settextsize
  setTextSizePixels = xform1 c_tpavestats_settextsizepixels

instance ITAttText TDiamond where
  getTextAlign = xform0 c_tdiamond_gettextalign
  getTextAngle = xform0 c_tdiamond_gettextangle
  getTextColor = xform0 c_tdiamond_gettextcolor
  getTextFont = xform0 c_tdiamond_gettextfont
  getTextSize = xform0 c_tdiamond_gettextsize
  resetAttText = xform1 c_tdiamond_resetatttext
  setTextAttributes = xform0 c_tdiamond_settextattributes
  setTextAlign = xform1 c_tdiamond_settextalign
  setTextAngle = xform1 c_tdiamond_settextangle
  setTextColor = xform1 c_tdiamond_settextcolor
  setTextFont = xform1 c_tdiamond_settextfont
  setTextSize = xform1 c_tdiamond_settextsize
  setTextSizePixels = xform1 c_tdiamond_settextsizepixels

instance ITAttText TPaveText where
  getTextAlign = xform0 c_tpavetext_gettextalign
  getTextAngle = xform0 c_tpavetext_gettextangle
  getTextColor = xform0 c_tpavetext_gettextcolor
  getTextFont = xform0 c_tpavetext_gettextfont
  getTextSize = xform0 c_tpavetext_gettextsize
  resetAttText = xform1 c_tpavetext_resetatttext
  setTextAttributes = xform0 c_tpavetext_settextattributes
  setTextAlign = xform1 c_tpavetext_settextalign
  setTextAngle = xform1 c_tpavetext_settextangle
  setTextColor = xform1 c_tpavetext_settextcolor
  setTextFont = xform1 c_tpavetext_settextfont
  setTextSize = xform1 c_tpavetext_settextsize
  setTextSizePixels = xform1 c_tpavetext_settextsizepixels

instance ITAttText TGaxis where
  getTextAlign = xform0 c_tgaxis_gettextalign
  getTextAngle = xform0 c_tgaxis_gettextangle
  getTextColor = xform0 c_tgaxis_gettextcolor
  getTextFont = xform0 c_tgaxis_gettextfont
  getTextSize = xform0 c_tgaxis_gettextsize
  resetAttText = xform1 c_tgaxis_resetatttext
  setTextAttributes = xform0 c_tgaxis_settextattributes
  setTextAlign = xform1 c_tgaxis_settextalign
  setTextAngle = xform1 c_tgaxis_settextangle
  setTextColor = xform1 c_tgaxis_settextcolor
  setTextFont = xform1 c_tgaxis_settextfont
  setTextSize = xform1 c_tgaxis_settextsize
  setTextSizePixels = xform1 c_tgaxis_settextsizepixels

instance ITBox TSliderBox where

instance ITBox TFrame where

instance ITBox TWbox where

instance ITBox TPaveClass where

instance ITBox TPaveLabel where

instance ITBox TLegend where

instance ITBox TPavesText where

instance ITBox TPaveStats where

instance ITBox TDiamond where

instance ITBox TPaveText where

instance ITBox TPave where

instance ITButton TGroupButton where

instance ITCanvas TInspectCanvas where

instance ITCanvas TDialogCanvas where

instance ITCollection TList where

instance ITCollection TObjArray where

instance ITCollection TSeqCollection where

instance ITCurlyLine TCurlyArc where

instance ITDictionary TClass where

instance ITDirectory TFile where
  append = xform2 c_tfile_append
  addD = xform2 c_tfile_addd
  appendKey = xform1 c_tfile_appendkey
  close = xform1 c_tfile_close
  get = xform1 c_tfile_get

instance ITDirectory TDirectoryFile where
  append = xform2 c_tdirectoryfile_append
  addD = xform2 c_tdirectoryfile_addd
  appendKey = xform1 c_tdirectoryfile_appendkey
  close = xform1 c_tdirectoryfile_close
  get = xform1 c_tdirectoryfile_get

instance ITDirectoryFile TFile where
  getListOfKeys = xform0 c_tfile_getlistofkeys

instance ITEllipse TCrown where

instance ITEllipse TArc where

instance ITFormula TF1 where
  compile = xform1 c_tf1_compile
  clear = xform1 c_tf1_clear
  definedValue = xform1 c_tf1_definedvalue
  eval = xform4 c_tf1_eval
  evalParOld = xform2 c_tf1_evalparold
  evalPar = xform2 c_tf1_evalpar
  getNdim = xform0 c_tf1_getndim
  getNpar = xform0 c_tf1_getnpar
  getNumber = xform0 c_tf1_getnumber
  getParNumber = xform1 c_tf1_getparnumber
  isLinear = xform0 c_tf1_islinear
  isNormalized = xform0 c_tf1_isnormalized
  setNumber = xform1 c_tf1_setnumber
  setParameter = xform2 c_tf1_setparameter
  setParameters = xform1 c_tf1_setparameters
  setParName = xform2 c_tf1_setparname
  setParNames = xform11 c_tf1_setparnames
  update = xform0 c_tf1_update

instance ITGraph TGraphQQ where
  apply = xform1 c_tgraphqq_apply
  chisquare = xform1 c_tgraphqq_chisquare
  drawGraph = xform4 c_tgraphqq_drawgraph
  drawPanelTGraph = xform0 c_tgraphqq_drawpaneltgraph
  expand = xform2 c_tgraphqq_expand
  fitPanelTGraph = xform0 c_tgraphqq_fitpaneltgraph
  getCorrelationFactorTGraph = xform0 c_tgraphqq_getcorrelationfactortgraph
  getCovarianceTGraph = xform0 c_tgraphqq_getcovariancetgraph
  getMeanTGraph = xform1 c_tgraphqq_getmeantgraph
  getRMSTGraph = xform1 c_tgraphqq_getrmstgraph
  getErrorX = xform1 c_tgraphqq_geterrorx
  getErrorY = xform1 c_tgraphqq_geterrory
  getErrorXhigh = xform1 c_tgraphqq_geterrorxhigh
  getErrorXlow = xform1 c_tgraphqq_geterrorxlow
  getErrorYhigh = xform1 c_tgraphqq_geterroryhigh
  getErrorYlow = xform1 c_tgraphqq_geterrorylow
  initExpo = xform2 c_tgraphqq_initexpo
  initGaus = xform2 c_tgraphqq_initgaus
  initPolynom = xform2 c_tgraphqq_initpolynom
  insertPoint = xform0 c_tgraphqq_insertpoint
  integralTGraph = xform2 c_tgraphqq_integraltgraph
  isEditable = xform0 c_tgraphqq_iseditable
  isInsideTGraph = xform2 c_tgraphqq_isinsidetgraph
  leastSquareFit = xform4 c_tgraphqq_leastsquarefit
  paintStats = xform1 c_tgraphqq_paintstats
  removePoint = xform1 c_tgraphqq_removepoint
  setEditable = xform1 c_tgraphqq_seteditable
  setHistogram = xform1 c_tgraphqq_sethistogram
  setMaximumTGraph = xform1 c_tgraphqq_setmaximumtgraph
  setMinimumTGraph = xform1 c_tgraphqq_setminimumtgraph
  set = xform1 c_tgraphqq_set
  setPoint = xform3 c_tgraphqq_setpoint

instance ITGraph TGraphPolar where
  apply = xform1 c_tgraphpolar_apply
  chisquare = xform1 c_tgraphpolar_chisquare
  drawGraph = xform4 c_tgraphpolar_drawgraph
  drawPanelTGraph = xform0 c_tgraphpolar_drawpaneltgraph
  expand = xform2 c_tgraphpolar_expand
  fitPanelTGraph = xform0 c_tgraphpolar_fitpaneltgraph
  getCorrelationFactorTGraph = xform0 c_tgraphpolar_getcorrelationfactortgraph
  getCovarianceTGraph = xform0 c_tgraphpolar_getcovariancetgraph
  getMeanTGraph = xform1 c_tgraphpolar_getmeantgraph
  getRMSTGraph = xform1 c_tgraphpolar_getrmstgraph
  getErrorX = xform1 c_tgraphpolar_geterrorx
  getErrorY = xform1 c_tgraphpolar_geterrory
  getErrorXhigh = xform1 c_tgraphpolar_geterrorxhigh
  getErrorXlow = xform1 c_tgraphpolar_geterrorxlow
  getErrorYhigh = xform1 c_tgraphpolar_geterroryhigh
  getErrorYlow = xform1 c_tgraphpolar_geterrorylow
  initExpo = xform2 c_tgraphpolar_initexpo
  initGaus = xform2 c_tgraphpolar_initgaus
  initPolynom = xform2 c_tgraphpolar_initpolynom
  insertPoint = xform0 c_tgraphpolar_insertpoint
  integralTGraph = xform2 c_tgraphpolar_integraltgraph
  isEditable = xform0 c_tgraphpolar_iseditable
  isInsideTGraph = xform2 c_tgraphpolar_isinsidetgraph
  leastSquareFit = xform4 c_tgraphpolar_leastsquarefit
  paintStats = xform1 c_tgraphpolar_paintstats
  removePoint = xform1 c_tgraphpolar_removepoint
  setEditable = xform1 c_tgraphpolar_seteditable
  setHistogram = xform1 c_tgraphpolar_sethistogram
  setMaximumTGraph = xform1 c_tgraphpolar_setmaximumtgraph
  setMinimumTGraph = xform1 c_tgraphpolar_setminimumtgraph
  set = xform1 c_tgraphpolar_set
  setPoint = xform3 c_tgraphpolar_setpoint

instance ITGraph TGraphErrors where
  apply = xform1 c_tgrapherrors_apply
  chisquare = xform1 c_tgrapherrors_chisquare
  drawGraph = xform4 c_tgrapherrors_drawgraph
  drawPanelTGraph = xform0 c_tgrapherrors_drawpaneltgraph
  expand = xform2 c_tgrapherrors_expand
  fitPanelTGraph = xform0 c_tgrapherrors_fitpaneltgraph
  getCorrelationFactorTGraph = xform0 c_tgrapherrors_getcorrelationfactortgraph
  getCovarianceTGraph = xform0 c_tgrapherrors_getcovariancetgraph
  getMeanTGraph = xform1 c_tgrapherrors_getmeantgraph
  getRMSTGraph = xform1 c_tgrapherrors_getrmstgraph
  getErrorX = xform1 c_tgrapherrors_geterrorx
  getErrorY = xform1 c_tgrapherrors_geterrory
  getErrorXhigh = xform1 c_tgrapherrors_geterrorxhigh
  getErrorXlow = xform1 c_tgrapherrors_geterrorxlow
  getErrorYhigh = xform1 c_tgrapherrors_geterroryhigh
  getErrorYlow = xform1 c_tgrapherrors_geterrorylow
  initExpo = xform2 c_tgrapherrors_initexpo
  initGaus = xform2 c_tgrapherrors_initgaus
  initPolynom = xform2 c_tgrapherrors_initpolynom
  insertPoint = xform0 c_tgrapherrors_insertpoint
  integralTGraph = xform2 c_tgrapherrors_integraltgraph
  isEditable = xform0 c_tgrapherrors_iseditable
  isInsideTGraph = xform2 c_tgrapherrors_isinsidetgraph
  leastSquareFit = xform4 c_tgrapherrors_leastsquarefit
  paintStats = xform1 c_tgrapherrors_paintstats
  removePoint = xform1 c_tgrapherrors_removepoint
  setEditable = xform1 c_tgrapherrors_seteditable
  setHistogram = xform1 c_tgrapherrors_sethistogram
  setMaximumTGraph = xform1 c_tgrapherrors_setmaximumtgraph
  setMinimumTGraph = xform1 c_tgrapherrors_setminimumtgraph
  set = xform1 c_tgrapherrors_set
  setPoint = xform3 c_tgrapherrors_setpoint

instance ITGraph TGraphBentErrors where
  apply = xform1 c_tgraphbenterrors_apply
  chisquare = xform1 c_tgraphbenterrors_chisquare
  drawGraph = xform4 c_tgraphbenterrors_drawgraph
  drawPanelTGraph = xform0 c_tgraphbenterrors_drawpaneltgraph
  expand = xform2 c_tgraphbenterrors_expand
  fitPanelTGraph = xform0 c_tgraphbenterrors_fitpaneltgraph
  getCorrelationFactorTGraph = xform0 c_tgraphbenterrors_getcorrelationfactortgraph
  getCovarianceTGraph = xform0 c_tgraphbenterrors_getcovariancetgraph
  getMeanTGraph = xform1 c_tgraphbenterrors_getmeantgraph
  getRMSTGraph = xform1 c_tgraphbenterrors_getrmstgraph
  getErrorX = xform1 c_tgraphbenterrors_geterrorx
  getErrorY = xform1 c_tgraphbenterrors_geterrory
  getErrorXhigh = xform1 c_tgraphbenterrors_geterrorxhigh
  getErrorXlow = xform1 c_tgraphbenterrors_geterrorxlow
  getErrorYhigh = xform1 c_tgraphbenterrors_geterroryhigh
  getErrorYlow = xform1 c_tgraphbenterrors_geterrorylow
  initExpo = xform2 c_tgraphbenterrors_initexpo
  initGaus = xform2 c_tgraphbenterrors_initgaus
  initPolynom = xform2 c_tgraphbenterrors_initpolynom
  insertPoint = xform0 c_tgraphbenterrors_insertpoint
  integralTGraph = xform2 c_tgraphbenterrors_integraltgraph
  isEditable = xform0 c_tgraphbenterrors_iseditable
  isInsideTGraph = xform2 c_tgraphbenterrors_isinsidetgraph
  leastSquareFit = xform4 c_tgraphbenterrors_leastsquarefit
  paintStats = xform1 c_tgraphbenterrors_paintstats
  removePoint = xform1 c_tgraphbenterrors_removepoint
  setEditable = xform1 c_tgraphbenterrors_seteditable
  setHistogram = xform1 c_tgraphbenterrors_sethistogram
  setMaximumTGraph = xform1 c_tgraphbenterrors_setmaximumtgraph
  setMinimumTGraph = xform1 c_tgraphbenterrors_setminimumtgraph
  set = xform1 c_tgraphbenterrors_set
  setPoint = xform3 c_tgraphbenterrors_setpoint

instance ITGraph TCutG where
  apply = xform1 c_tcutg_apply
  chisquare = xform1 c_tcutg_chisquare
  drawGraph = xform4 c_tcutg_drawgraph
  drawPanelTGraph = xform0 c_tcutg_drawpaneltgraph
  expand = xform2 c_tcutg_expand
  fitPanelTGraph = xform0 c_tcutg_fitpaneltgraph
  getCorrelationFactorTGraph = xform0 c_tcutg_getcorrelationfactortgraph
  getCovarianceTGraph = xform0 c_tcutg_getcovariancetgraph
  getMeanTGraph = xform1 c_tcutg_getmeantgraph
  getRMSTGraph = xform1 c_tcutg_getrmstgraph
  getErrorX = xform1 c_tcutg_geterrorx
  getErrorY = xform1 c_tcutg_geterrory
  getErrorXhigh = xform1 c_tcutg_geterrorxhigh
  getErrorXlow = xform1 c_tcutg_geterrorxlow
  getErrorYhigh = xform1 c_tcutg_geterroryhigh
  getErrorYlow = xform1 c_tcutg_geterrorylow
  initExpo = xform2 c_tcutg_initexpo
  initGaus = xform2 c_tcutg_initgaus
  initPolynom = xform2 c_tcutg_initpolynom
  insertPoint = xform0 c_tcutg_insertpoint
  integralTGraph = xform2 c_tcutg_integraltgraph
  isEditable = xform0 c_tcutg_iseditable
  isInsideTGraph = xform2 c_tcutg_isinsidetgraph
  leastSquareFit = xform4 c_tcutg_leastsquarefit
  paintStats = xform1 c_tcutg_paintstats
  removePoint = xform1 c_tcutg_removepoint
  setEditable = xform1 c_tcutg_seteditable
  setHistogram = xform1 c_tcutg_sethistogram
  setMaximumTGraph = xform1 c_tcutg_setmaximumtgraph
  setMinimumTGraph = xform1 c_tcutg_setminimumtgraph
  set = xform1 c_tcutg_set
  setPoint = xform3 c_tcutg_setpoint

instance ITGraph TGraphAsymmErrors where
  apply = xform1 c_tgraphasymmerrors_apply
  chisquare = xform1 c_tgraphasymmerrors_chisquare
  drawGraph = xform4 c_tgraphasymmerrors_drawgraph
  drawPanelTGraph = xform0 c_tgraphasymmerrors_drawpaneltgraph
  expand = xform2 c_tgraphasymmerrors_expand
  fitPanelTGraph = xform0 c_tgraphasymmerrors_fitpaneltgraph
  getCorrelationFactorTGraph = xform0 c_tgraphasymmerrors_getcorrelationfactortgraph
  getCovarianceTGraph = xform0 c_tgraphasymmerrors_getcovariancetgraph
  getMeanTGraph = xform1 c_tgraphasymmerrors_getmeantgraph
  getRMSTGraph = xform1 c_tgraphasymmerrors_getrmstgraph
  getErrorX = xform1 c_tgraphasymmerrors_geterrorx
  getErrorY = xform1 c_tgraphasymmerrors_geterrory
  getErrorXhigh = xform1 c_tgraphasymmerrors_geterrorxhigh
  getErrorXlow = xform1 c_tgraphasymmerrors_geterrorxlow
  getErrorYhigh = xform1 c_tgraphasymmerrors_geterroryhigh
  getErrorYlow = xform1 c_tgraphasymmerrors_geterrorylow
  initExpo = xform2 c_tgraphasymmerrors_initexpo
  initGaus = xform2 c_tgraphasymmerrors_initgaus
  initPolynom = xform2 c_tgraphasymmerrors_initpolynom
  insertPoint = xform0 c_tgraphasymmerrors_insertpoint
  integralTGraph = xform2 c_tgraphasymmerrors_integraltgraph
  isEditable = xform0 c_tgraphasymmerrors_iseditable
  isInsideTGraph = xform2 c_tgraphasymmerrors_isinsidetgraph
  leastSquareFit = xform4 c_tgraphasymmerrors_leastsquarefit
  paintStats = xform1 c_tgraphasymmerrors_paintstats
  removePoint = xform1 c_tgraphasymmerrors_removepoint
  setEditable = xform1 c_tgraphasymmerrors_seteditable
  setHistogram = xform1 c_tgraphasymmerrors_sethistogram
  setMaximumTGraph = xform1 c_tgraphasymmerrors_setmaximumtgraph
  setMinimumTGraph = xform1 c_tgraphasymmerrors_setminimumtgraph
  set = xform1 c_tgraphasymmerrors_set
  setPoint = xform3 c_tgraphasymmerrors_setpoint

instance ITGraphErrors TGraphPolar where

instance ITH1 TH3S where
  add = xform2 c_th3s_add
  addBinContent = xform2 c_th3s_addbincontent
  chi2Test = xform3 c_th3s_chi2test
  computeIntegral = xform0 c_th3s_computeintegral
  directoryAutoAdd = xform1 c_th3s_directoryautoadd
  divide = xform5 c_th3s_divide
  drawCopyTH1 = xform1 c_th3s_drawcopyth1
  drawNormalized = xform2 c_th3s_drawnormalized
  drawPanelTH1 = xform0 c_th3s_drawpanelth1
  bufferEmpty = xform1 c_th3s_bufferempty
  evalF = xform2 c_th3s_evalf
  fFT = xform2 c_th3s_fft
  fill1 = xform1 c_th3s_fill1
  fill1w = xform2 c_th3s_fill1w
  fillN1 = xform4 c_th3s_filln1
  fillRandom = xform2 c_th3s_fillrandom
  findBin = xform3 c_th3s_findbin
  findFixBin = xform3 c_th3s_findfixbin
  findFirstBinAbove = xform2 c_th3s_findfirstbinabove
  findLastBinAbove = xform2 c_th3s_findlastbinabove
  fitPanelTH1 = xform0 c_th3s_fitpanelth1
  getNdivisionA = xform1 c_th3s_getndivisiona
  getAxisColorA = xform1 c_th3s_getaxiscolora
  getLabelColorA = xform1 c_th3s_getlabelcolora
  getLabelFontA = xform1 c_th3s_getlabelfonta
  getLabelOffsetA = xform1 c_th3s_getlabeloffseta
  getLabelSizeA = xform1 c_th3s_getlabelsizea
  getTitleFontA = xform1 c_th3s_gettitlefonta
  getTitleOffsetA = xform1 c_th3s_gettitleoffseta
  getTitleSizeA = xform1 c_th3s_gettitlesizea
  getTickLengthA = xform1 c_th3s_getticklengtha
  getBarOffset = xform0 c_th3s_getbaroffset
  getBarWidth = xform0 c_th3s_getbarwidth
  getContour = xform1 c_th3s_getcontour
  getContourLevel = xform1 c_th3s_getcontourlevel
  getContourLevelPad = xform1 c_th3s_getcontourlevelpad
  getBin = xform3 c_th3s_getbin
  getBinCenter = xform1 c_th3s_getbincenter
  getBinContent1 = xform1 c_th3s_getbincontent1
  getBinContent2 = xform2 c_th3s_getbincontent2
  getBinContent3 = xform3 c_th3s_getbincontent3
  getBinError1 = xform1 c_th3s_getbinerror1
  getBinError2 = xform2 c_th3s_getbinerror2
  getBinError3 = xform3 c_th3s_getbinerror3
  getBinLowEdge = xform1 c_th3s_getbinlowedge
  getBinWidth = xform1 c_th3s_getbinwidth
  getCellContent = xform2 c_th3s_getcellcontent
  getCellError = xform2 c_th3s_getcellerror
  getEntries = xform0 c_th3s_getentries
  getEffectiveEntries = xform0 c_th3s_geteffectiveentries
  getFunction = xform1 c_th3s_getfunction
  getDimension = xform0 c_th3s_getdimension
  getKurtosis = xform1 c_th3s_getkurtosis
  getLowEdge = xform1 c_th3s_getlowedge
  getMaximumTH1 = xform1 c_th3s_getmaximumth1
  getMaximumBin = xform0 c_th3s_getmaximumbin
  getMaximumStored = xform0 c_th3s_getmaximumstored
  getMinimumTH1 = xform1 c_th3s_getminimumth1
  getMinimumBin = xform0 c_th3s_getminimumbin
  getMinimumStored = xform0 c_th3s_getminimumstored
  getMean = xform1 c_th3s_getmean
  getMeanError = xform1 c_th3s_getmeanerror
  getNbinsX = xform0 c_th3s_getnbinsx
  getNbinsY = xform0 c_th3s_getnbinsy
  getNbinsZ = xform0 c_th3s_getnbinsz
  getQuantilesTH1 = xform3 c_th3s_getquantilesth1
  getRandom = xform0 c_th3s_getrandom
  getStats = xform1 c_th3s_getstats
  getSumOfWeights = xform0 c_th3s_getsumofweights
  getSumw2 = xform0 c_th3s_getsumw2
  getSumw2N = xform0 c_th3s_getsumw2n
  getRMS = xform1 c_th3s_getrms
  getRMSError = xform1 c_th3s_getrmserror
  getSkewness = xform1 c_th3s_getskewness
  integral1 = xform3 c_th3s_integral1
  interpolate1 = xform1 c_th3s_interpolate1
  interpolate2 = xform2 c_th3s_interpolate2
  interpolate3 = xform3 c_th3s_interpolate3
  kolmogorovTest = xform2 c_th3s_kolmogorovtest
  labelsDeflate = xform1 c_th3s_labelsdeflate
  labelsInflate = xform1 c_th3s_labelsinflate
  labelsOption = xform2 c_th3s_labelsoption
  multiflyF = xform2 c_th3s_multiflyf
  multiply = xform5 c_th3s_multiply
  putStats = xform1 c_th3s_putstats
  rebin = xform3 c_th3s_rebin
  rebinAxis = xform2 c_th3s_rebinaxis
  rebuild = xform1 c_th3s_rebuild
  reset = xform1 c_th3s_reset
  resetStats = xform0 c_th3s_resetstats
  scale = xform2 c_th3s_scale
  setAxisColorA = xform2 c_th3s_setaxiscolora
  setAxisRange = xform3 c_th3s_setaxisrange
  setBarOffset = xform1 c_th3s_setbaroffset
  setBarWidth = xform1 c_th3s_setbarwidth
  setBinContent1 = xform2 c_th3s_setbincontent1
  setBinContent2 = xform3 c_th3s_setbincontent2
  setBinContent3 = xform4 c_th3s_setbincontent3
  setBinError1 = xform2 c_th3s_setbinerror1
  setBinError2 = xform3 c_th3s_setbinerror2
  setBinError3 = xform4 c_th3s_setbinerror3
  setBins1 = xform2 c_th3s_setbins1
  setBins2 = xform4 c_th3s_setbins2
  setBins3 = xform6 c_th3s_setbins3
  setBinsLength = xform1 c_th3s_setbinslength
  setBuffer = xform2 c_th3s_setbuffer
  setCellContent = xform3 c_th3s_setcellcontent
  setContent = xform1 c_th3s_setcontent
  setContour = xform2 c_th3s_setcontour
  setContourLevel = xform2 c_th3s_setcontourlevel
  setDirectory = xform1 c_th3s_setdirectory
  setEntries = xform1 c_th3s_setentries
  setError = xform1 c_th3s_seterror
  setLabelColorA = xform2 c_th3s_setlabelcolora
  setLabelSizeA = xform2 c_th3s_setlabelsizea
  setLabelFontA = xform2 c_th3s_setlabelfonta
  setLabelOffsetA = xform2 c_th3s_setlabeloffseta
  setMaximum = xform1 c_th3s_setmaximum
  setMinimum = xform1 c_th3s_setminimum
  setNormFactor = xform1 c_th3s_setnormfactor
  setStats = xform1 c_th3s_setstats
  setOption = xform1 c_th3s_setoption
  setXTitle = xform1 c_th3s_setxtitle
  setYTitle = xform1 c_th3s_setytitle
  setZTitle = xform1 c_th3s_setztitle
  showBackground = xform2 c_th3s_showbackground
  showPeaks = xform3 c_th3s_showpeaks
  smooth = xform2 c_th3s_smooth
  sumw2 = xform0 c_th3s_sumw2

instance ITH1 TH3I where
  add = xform2 c_th3i_add
  addBinContent = xform2 c_th3i_addbincontent
  chi2Test = xform3 c_th3i_chi2test
  computeIntegral = xform0 c_th3i_computeintegral
  directoryAutoAdd = xform1 c_th3i_directoryautoadd
  divide = xform5 c_th3i_divide
  drawCopyTH1 = xform1 c_th3i_drawcopyth1
  drawNormalized = xform2 c_th3i_drawnormalized
  drawPanelTH1 = xform0 c_th3i_drawpanelth1
  bufferEmpty = xform1 c_th3i_bufferempty
  evalF = xform2 c_th3i_evalf
  fFT = xform2 c_th3i_fft
  fill1 = xform1 c_th3i_fill1
  fill1w = xform2 c_th3i_fill1w
  fillN1 = xform4 c_th3i_filln1
  fillRandom = xform2 c_th3i_fillrandom
  findBin = xform3 c_th3i_findbin
  findFixBin = xform3 c_th3i_findfixbin
  findFirstBinAbove = xform2 c_th3i_findfirstbinabove
  findLastBinAbove = xform2 c_th3i_findlastbinabove
  fitPanelTH1 = xform0 c_th3i_fitpanelth1
  getNdivisionA = xform1 c_th3i_getndivisiona
  getAxisColorA = xform1 c_th3i_getaxiscolora
  getLabelColorA = xform1 c_th3i_getlabelcolora
  getLabelFontA = xform1 c_th3i_getlabelfonta
  getLabelOffsetA = xform1 c_th3i_getlabeloffseta
  getLabelSizeA = xform1 c_th3i_getlabelsizea
  getTitleFontA = xform1 c_th3i_gettitlefonta
  getTitleOffsetA = xform1 c_th3i_gettitleoffseta
  getTitleSizeA = xform1 c_th3i_gettitlesizea
  getTickLengthA = xform1 c_th3i_getticklengtha
  getBarOffset = xform0 c_th3i_getbaroffset
  getBarWidth = xform0 c_th3i_getbarwidth
  getContour = xform1 c_th3i_getcontour
  getContourLevel = xform1 c_th3i_getcontourlevel
  getContourLevelPad = xform1 c_th3i_getcontourlevelpad
  getBin = xform3 c_th3i_getbin
  getBinCenter = xform1 c_th3i_getbincenter
  getBinContent1 = xform1 c_th3i_getbincontent1
  getBinContent2 = xform2 c_th3i_getbincontent2
  getBinContent3 = xform3 c_th3i_getbincontent3
  getBinError1 = xform1 c_th3i_getbinerror1
  getBinError2 = xform2 c_th3i_getbinerror2
  getBinError3 = xform3 c_th3i_getbinerror3
  getBinLowEdge = xform1 c_th3i_getbinlowedge
  getBinWidth = xform1 c_th3i_getbinwidth
  getCellContent = xform2 c_th3i_getcellcontent
  getCellError = xform2 c_th3i_getcellerror
  getEntries = xform0 c_th3i_getentries
  getEffectiveEntries = xform0 c_th3i_geteffectiveentries
  getFunction = xform1 c_th3i_getfunction
  getDimension = xform0 c_th3i_getdimension
  getKurtosis = xform1 c_th3i_getkurtosis
  getLowEdge = xform1 c_th3i_getlowedge
  getMaximumTH1 = xform1 c_th3i_getmaximumth1
  getMaximumBin = xform0 c_th3i_getmaximumbin
  getMaximumStored = xform0 c_th3i_getmaximumstored
  getMinimumTH1 = xform1 c_th3i_getminimumth1
  getMinimumBin = xform0 c_th3i_getminimumbin
  getMinimumStored = xform0 c_th3i_getminimumstored
  getMean = xform1 c_th3i_getmean
  getMeanError = xform1 c_th3i_getmeanerror
  getNbinsX = xform0 c_th3i_getnbinsx
  getNbinsY = xform0 c_th3i_getnbinsy
  getNbinsZ = xform0 c_th3i_getnbinsz
  getQuantilesTH1 = xform3 c_th3i_getquantilesth1
  getRandom = xform0 c_th3i_getrandom
  getStats = xform1 c_th3i_getstats
  getSumOfWeights = xform0 c_th3i_getsumofweights
  getSumw2 = xform0 c_th3i_getsumw2
  getSumw2N = xform0 c_th3i_getsumw2n
  getRMS = xform1 c_th3i_getrms
  getRMSError = xform1 c_th3i_getrmserror
  getSkewness = xform1 c_th3i_getskewness
  integral1 = xform3 c_th3i_integral1
  interpolate1 = xform1 c_th3i_interpolate1
  interpolate2 = xform2 c_th3i_interpolate2
  interpolate3 = xform3 c_th3i_interpolate3
  kolmogorovTest = xform2 c_th3i_kolmogorovtest
  labelsDeflate = xform1 c_th3i_labelsdeflate
  labelsInflate = xform1 c_th3i_labelsinflate
  labelsOption = xform2 c_th3i_labelsoption
  multiflyF = xform2 c_th3i_multiflyf
  multiply = xform5 c_th3i_multiply
  putStats = xform1 c_th3i_putstats
  rebin = xform3 c_th3i_rebin
  rebinAxis = xform2 c_th3i_rebinaxis
  rebuild = xform1 c_th3i_rebuild
  reset = xform1 c_th3i_reset
  resetStats = xform0 c_th3i_resetstats
  scale = xform2 c_th3i_scale
  setAxisColorA = xform2 c_th3i_setaxiscolora
  setAxisRange = xform3 c_th3i_setaxisrange
  setBarOffset = xform1 c_th3i_setbaroffset
  setBarWidth = xform1 c_th3i_setbarwidth
  setBinContent1 = xform2 c_th3i_setbincontent1
  setBinContent2 = xform3 c_th3i_setbincontent2
  setBinContent3 = xform4 c_th3i_setbincontent3
  setBinError1 = xform2 c_th3i_setbinerror1
  setBinError2 = xform3 c_th3i_setbinerror2
  setBinError3 = xform4 c_th3i_setbinerror3
  setBins1 = xform2 c_th3i_setbins1
  setBins2 = xform4 c_th3i_setbins2
  setBins3 = xform6 c_th3i_setbins3
  setBinsLength = xform1 c_th3i_setbinslength
  setBuffer = xform2 c_th3i_setbuffer
  setCellContent = xform3 c_th3i_setcellcontent
  setContent = xform1 c_th3i_setcontent
  setContour = xform2 c_th3i_setcontour
  setContourLevel = xform2 c_th3i_setcontourlevel
  setDirectory = xform1 c_th3i_setdirectory
  setEntries = xform1 c_th3i_setentries
  setError = xform1 c_th3i_seterror
  setLabelColorA = xform2 c_th3i_setlabelcolora
  setLabelSizeA = xform2 c_th3i_setlabelsizea
  setLabelFontA = xform2 c_th3i_setlabelfonta
  setLabelOffsetA = xform2 c_th3i_setlabeloffseta
  setMaximum = xform1 c_th3i_setmaximum
  setMinimum = xform1 c_th3i_setminimum
  setNormFactor = xform1 c_th3i_setnormfactor
  setStats = xform1 c_th3i_setstats
  setOption = xform1 c_th3i_setoption
  setXTitle = xform1 c_th3i_setxtitle
  setYTitle = xform1 c_th3i_setytitle
  setZTitle = xform1 c_th3i_setztitle
  showBackground = xform2 c_th3i_showbackground
  showPeaks = xform3 c_th3i_showpeaks
  smooth = xform2 c_th3i_smooth
  sumw2 = xform0 c_th3i_sumw2

instance ITH1 TH3F where
  add = xform2 c_th3f_add
  addBinContent = xform2 c_th3f_addbincontent
  chi2Test = xform3 c_th3f_chi2test
  computeIntegral = xform0 c_th3f_computeintegral
  directoryAutoAdd = xform1 c_th3f_directoryautoadd
  divide = xform5 c_th3f_divide
  drawCopyTH1 = xform1 c_th3f_drawcopyth1
  drawNormalized = xform2 c_th3f_drawnormalized
  drawPanelTH1 = xform0 c_th3f_drawpanelth1
  bufferEmpty = xform1 c_th3f_bufferempty
  evalF = xform2 c_th3f_evalf
  fFT = xform2 c_th3f_fft
  fill1 = xform1 c_th3f_fill1
  fill1w = xform2 c_th3f_fill1w
  fillN1 = xform4 c_th3f_filln1
  fillRandom = xform2 c_th3f_fillrandom
  findBin = xform3 c_th3f_findbin
  findFixBin = xform3 c_th3f_findfixbin
  findFirstBinAbove = xform2 c_th3f_findfirstbinabove
  findLastBinAbove = xform2 c_th3f_findlastbinabove
  fitPanelTH1 = xform0 c_th3f_fitpanelth1
  getNdivisionA = xform1 c_th3f_getndivisiona
  getAxisColorA = xform1 c_th3f_getaxiscolora
  getLabelColorA = xform1 c_th3f_getlabelcolora
  getLabelFontA = xform1 c_th3f_getlabelfonta
  getLabelOffsetA = xform1 c_th3f_getlabeloffseta
  getLabelSizeA = xform1 c_th3f_getlabelsizea
  getTitleFontA = xform1 c_th3f_gettitlefonta
  getTitleOffsetA = xform1 c_th3f_gettitleoffseta
  getTitleSizeA = xform1 c_th3f_gettitlesizea
  getTickLengthA = xform1 c_th3f_getticklengtha
  getBarOffset = xform0 c_th3f_getbaroffset
  getBarWidth = xform0 c_th3f_getbarwidth
  getContour = xform1 c_th3f_getcontour
  getContourLevel = xform1 c_th3f_getcontourlevel
  getContourLevelPad = xform1 c_th3f_getcontourlevelpad
  getBin = xform3 c_th3f_getbin
  getBinCenter = xform1 c_th3f_getbincenter
  getBinContent1 = xform1 c_th3f_getbincontent1
  getBinContent2 = xform2 c_th3f_getbincontent2
  getBinContent3 = xform3 c_th3f_getbincontent3
  getBinError1 = xform1 c_th3f_getbinerror1
  getBinError2 = xform2 c_th3f_getbinerror2
  getBinError3 = xform3 c_th3f_getbinerror3
  getBinLowEdge = xform1 c_th3f_getbinlowedge
  getBinWidth = xform1 c_th3f_getbinwidth
  getCellContent = xform2 c_th3f_getcellcontent
  getCellError = xform2 c_th3f_getcellerror
  getEntries = xform0 c_th3f_getentries
  getEffectiveEntries = xform0 c_th3f_geteffectiveentries
  getFunction = xform1 c_th3f_getfunction
  getDimension = xform0 c_th3f_getdimension
  getKurtosis = xform1 c_th3f_getkurtosis
  getLowEdge = xform1 c_th3f_getlowedge
  getMaximumTH1 = xform1 c_th3f_getmaximumth1
  getMaximumBin = xform0 c_th3f_getmaximumbin
  getMaximumStored = xform0 c_th3f_getmaximumstored
  getMinimumTH1 = xform1 c_th3f_getminimumth1
  getMinimumBin = xform0 c_th3f_getminimumbin
  getMinimumStored = xform0 c_th3f_getminimumstored
  getMean = xform1 c_th3f_getmean
  getMeanError = xform1 c_th3f_getmeanerror
  getNbinsX = xform0 c_th3f_getnbinsx
  getNbinsY = xform0 c_th3f_getnbinsy
  getNbinsZ = xform0 c_th3f_getnbinsz
  getQuantilesTH1 = xform3 c_th3f_getquantilesth1
  getRandom = xform0 c_th3f_getrandom
  getStats = xform1 c_th3f_getstats
  getSumOfWeights = xform0 c_th3f_getsumofweights
  getSumw2 = xform0 c_th3f_getsumw2
  getSumw2N = xform0 c_th3f_getsumw2n
  getRMS = xform1 c_th3f_getrms
  getRMSError = xform1 c_th3f_getrmserror
  getSkewness = xform1 c_th3f_getskewness
  integral1 = xform3 c_th3f_integral1
  interpolate1 = xform1 c_th3f_interpolate1
  interpolate2 = xform2 c_th3f_interpolate2
  interpolate3 = xform3 c_th3f_interpolate3
  kolmogorovTest = xform2 c_th3f_kolmogorovtest
  labelsDeflate = xform1 c_th3f_labelsdeflate
  labelsInflate = xform1 c_th3f_labelsinflate
  labelsOption = xform2 c_th3f_labelsoption
  multiflyF = xform2 c_th3f_multiflyf
  multiply = xform5 c_th3f_multiply
  putStats = xform1 c_th3f_putstats
  rebin = xform3 c_th3f_rebin
  rebinAxis = xform2 c_th3f_rebinaxis
  rebuild = xform1 c_th3f_rebuild
  reset = xform1 c_th3f_reset
  resetStats = xform0 c_th3f_resetstats
  scale = xform2 c_th3f_scale
  setAxisColorA = xform2 c_th3f_setaxiscolora
  setAxisRange = xform3 c_th3f_setaxisrange
  setBarOffset = xform1 c_th3f_setbaroffset
  setBarWidth = xform1 c_th3f_setbarwidth
  setBinContent1 = xform2 c_th3f_setbincontent1
  setBinContent2 = xform3 c_th3f_setbincontent2
  setBinContent3 = xform4 c_th3f_setbincontent3
  setBinError1 = xform2 c_th3f_setbinerror1
  setBinError2 = xform3 c_th3f_setbinerror2
  setBinError3 = xform4 c_th3f_setbinerror3
  setBins1 = xform2 c_th3f_setbins1
  setBins2 = xform4 c_th3f_setbins2
  setBins3 = xform6 c_th3f_setbins3
  setBinsLength = xform1 c_th3f_setbinslength
  setBuffer = xform2 c_th3f_setbuffer
  setCellContent = xform3 c_th3f_setcellcontent
  setContent = xform1 c_th3f_setcontent
  setContour = xform2 c_th3f_setcontour
  setContourLevel = xform2 c_th3f_setcontourlevel
  setDirectory = xform1 c_th3f_setdirectory
  setEntries = xform1 c_th3f_setentries
  setError = xform1 c_th3f_seterror
  setLabelColorA = xform2 c_th3f_setlabelcolora
  setLabelSizeA = xform2 c_th3f_setlabelsizea
  setLabelFontA = xform2 c_th3f_setlabelfonta
  setLabelOffsetA = xform2 c_th3f_setlabeloffseta
  setMaximum = xform1 c_th3f_setmaximum
  setMinimum = xform1 c_th3f_setminimum
  setNormFactor = xform1 c_th3f_setnormfactor
  setStats = xform1 c_th3f_setstats
  setOption = xform1 c_th3f_setoption
  setXTitle = xform1 c_th3f_setxtitle
  setYTitle = xform1 c_th3f_setytitle
  setZTitle = xform1 c_th3f_setztitle
  showBackground = xform2 c_th3f_showbackground
  showPeaks = xform3 c_th3f_showpeaks
  smooth = xform2 c_th3f_smooth
  sumw2 = xform0 c_th3f_sumw2

instance ITH1 TH3D where
  add = xform2 c_th3d_add
  addBinContent = xform2 c_th3d_addbincontent
  chi2Test = xform3 c_th3d_chi2test
  computeIntegral = xform0 c_th3d_computeintegral
  directoryAutoAdd = xform1 c_th3d_directoryautoadd
  divide = xform5 c_th3d_divide
  drawCopyTH1 = xform1 c_th3d_drawcopyth1
  drawNormalized = xform2 c_th3d_drawnormalized
  drawPanelTH1 = xform0 c_th3d_drawpanelth1
  bufferEmpty = xform1 c_th3d_bufferempty
  evalF = xform2 c_th3d_evalf
  fFT = xform2 c_th3d_fft
  fill1 = xform1 c_th3d_fill1
  fill1w = xform2 c_th3d_fill1w
  fillN1 = xform4 c_th3d_filln1
  fillRandom = xform2 c_th3d_fillrandom
  findBin = xform3 c_th3d_findbin
  findFixBin = xform3 c_th3d_findfixbin
  findFirstBinAbove = xform2 c_th3d_findfirstbinabove
  findLastBinAbove = xform2 c_th3d_findlastbinabove
  fitPanelTH1 = xform0 c_th3d_fitpanelth1
  getNdivisionA = xform1 c_th3d_getndivisiona
  getAxisColorA = xform1 c_th3d_getaxiscolora
  getLabelColorA = xform1 c_th3d_getlabelcolora
  getLabelFontA = xform1 c_th3d_getlabelfonta
  getLabelOffsetA = xform1 c_th3d_getlabeloffseta
  getLabelSizeA = xform1 c_th3d_getlabelsizea
  getTitleFontA = xform1 c_th3d_gettitlefonta
  getTitleOffsetA = xform1 c_th3d_gettitleoffseta
  getTitleSizeA = xform1 c_th3d_gettitlesizea
  getTickLengthA = xform1 c_th3d_getticklengtha
  getBarOffset = xform0 c_th3d_getbaroffset
  getBarWidth = xform0 c_th3d_getbarwidth
  getContour = xform1 c_th3d_getcontour
  getContourLevel = xform1 c_th3d_getcontourlevel
  getContourLevelPad = xform1 c_th3d_getcontourlevelpad
  getBin = xform3 c_th3d_getbin
  getBinCenter = xform1 c_th3d_getbincenter
  getBinContent1 = xform1 c_th3d_getbincontent1
  getBinContent2 = xform2 c_th3d_getbincontent2
  getBinContent3 = xform3 c_th3d_getbincontent3
  getBinError1 = xform1 c_th3d_getbinerror1
  getBinError2 = xform2 c_th3d_getbinerror2
  getBinError3 = xform3 c_th3d_getbinerror3
  getBinLowEdge = xform1 c_th3d_getbinlowedge
  getBinWidth = xform1 c_th3d_getbinwidth
  getCellContent = xform2 c_th3d_getcellcontent
  getCellError = xform2 c_th3d_getcellerror
  getEntries = xform0 c_th3d_getentries
  getEffectiveEntries = xform0 c_th3d_geteffectiveentries
  getFunction = xform1 c_th3d_getfunction
  getDimension = xform0 c_th3d_getdimension
  getKurtosis = xform1 c_th3d_getkurtosis
  getLowEdge = xform1 c_th3d_getlowedge
  getMaximumTH1 = xform1 c_th3d_getmaximumth1
  getMaximumBin = xform0 c_th3d_getmaximumbin
  getMaximumStored = xform0 c_th3d_getmaximumstored
  getMinimumTH1 = xform1 c_th3d_getminimumth1
  getMinimumBin = xform0 c_th3d_getminimumbin
  getMinimumStored = xform0 c_th3d_getminimumstored
  getMean = xform1 c_th3d_getmean
  getMeanError = xform1 c_th3d_getmeanerror
  getNbinsX = xform0 c_th3d_getnbinsx
  getNbinsY = xform0 c_th3d_getnbinsy
  getNbinsZ = xform0 c_th3d_getnbinsz
  getQuantilesTH1 = xform3 c_th3d_getquantilesth1
  getRandom = xform0 c_th3d_getrandom
  getStats = xform1 c_th3d_getstats
  getSumOfWeights = xform0 c_th3d_getsumofweights
  getSumw2 = xform0 c_th3d_getsumw2
  getSumw2N = xform0 c_th3d_getsumw2n
  getRMS = xform1 c_th3d_getrms
  getRMSError = xform1 c_th3d_getrmserror
  getSkewness = xform1 c_th3d_getskewness
  integral1 = xform3 c_th3d_integral1
  interpolate1 = xform1 c_th3d_interpolate1
  interpolate2 = xform2 c_th3d_interpolate2
  interpolate3 = xform3 c_th3d_interpolate3
  kolmogorovTest = xform2 c_th3d_kolmogorovtest
  labelsDeflate = xform1 c_th3d_labelsdeflate
  labelsInflate = xform1 c_th3d_labelsinflate
  labelsOption = xform2 c_th3d_labelsoption
  multiflyF = xform2 c_th3d_multiflyf
  multiply = xform5 c_th3d_multiply
  putStats = xform1 c_th3d_putstats
  rebin = xform3 c_th3d_rebin
  rebinAxis = xform2 c_th3d_rebinaxis
  rebuild = xform1 c_th3d_rebuild
  reset = xform1 c_th3d_reset
  resetStats = xform0 c_th3d_resetstats
  scale = xform2 c_th3d_scale
  setAxisColorA = xform2 c_th3d_setaxiscolora
  setAxisRange = xform3 c_th3d_setaxisrange
  setBarOffset = xform1 c_th3d_setbaroffset
  setBarWidth = xform1 c_th3d_setbarwidth
  setBinContent1 = xform2 c_th3d_setbincontent1
  setBinContent2 = xform3 c_th3d_setbincontent2
  setBinContent3 = xform4 c_th3d_setbincontent3
  setBinError1 = xform2 c_th3d_setbinerror1
  setBinError2 = xform3 c_th3d_setbinerror2
  setBinError3 = xform4 c_th3d_setbinerror3
  setBins1 = xform2 c_th3d_setbins1
  setBins2 = xform4 c_th3d_setbins2
  setBins3 = xform6 c_th3d_setbins3
  setBinsLength = xform1 c_th3d_setbinslength
  setBuffer = xform2 c_th3d_setbuffer
  setCellContent = xform3 c_th3d_setcellcontent
  setContent = xform1 c_th3d_setcontent
  setContour = xform2 c_th3d_setcontour
  setContourLevel = xform2 c_th3d_setcontourlevel
  setDirectory = xform1 c_th3d_setdirectory
  setEntries = xform1 c_th3d_setentries
  setError = xform1 c_th3d_seterror
  setLabelColorA = xform2 c_th3d_setlabelcolora
  setLabelSizeA = xform2 c_th3d_setlabelsizea
  setLabelFontA = xform2 c_th3d_setlabelfonta
  setLabelOffsetA = xform2 c_th3d_setlabeloffseta
  setMaximum = xform1 c_th3d_setmaximum
  setMinimum = xform1 c_th3d_setminimum
  setNormFactor = xform1 c_th3d_setnormfactor
  setStats = xform1 c_th3d_setstats
  setOption = xform1 c_th3d_setoption
  setXTitle = xform1 c_th3d_setxtitle
  setYTitle = xform1 c_th3d_setytitle
  setZTitle = xform1 c_th3d_setztitle
  showBackground = xform2 c_th3d_showbackground
  showPeaks = xform3 c_th3d_showpeaks
  smooth = xform2 c_th3d_smooth
  sumw2 = xform0 c_th3d_sumw2

instance ITH1 TH3C where
  add = xform2 c_th3c_add
  addBinContent = xform2 c_th3c_addbincontent
  chi2Test = xform3 c_th3c_chi2test
  computeIntegral = xform0 c_th3c_computeintegral
  directoryAutoAdd = xform1 c_th3c_directoryautoadd
  divide = xform5 c_th3c_divide
  drawCopyTH1 = xform1 c_th3c_drawcopyth1
  drawNormalized = xform2 c_th3c_drawnormalized
  drawPanelTH1 = xform0 c_th3c_drawpanelth1
  bufferEmpty = xform1 c_th3c_bufferempty
  evalF = xform2 c_th3c_evalf
  fFT = xform2 c_th3c_fft
  fill1 = xform1 c_th3c_fill1
  fill1w = xform2 c_th3c_fill1w
  fillN1 = xform4 c_th3c_filln1
  fillRandom = xform2 c_th3c_fillrandom
  findBin = xform3 c_th3c_findbin
  findFixBin = xform3 c_th3c_findfixbin
  findFirstBinAbove = xform2 c_th3c_findfirstbinabove
  findLastBinAbove = xform2 c_th3c_findlastbinabove
  fitPanelTH1 = xform0 c_th3c_fitpanelth1
  getNdivisionA = xform1 c_th3c_getndivisiona
  getAxisColorA = xform1 c_th3c_getaxiscolora
  getLabelColorA = xform1 c_th3c_getlabelcolora
  getLabelFontA = xform1 c_th3c_getlabelfonta
  getLabelOffsetA = xform1 c_th3c_getlabeloffseta
  getLabelSizeA = xform1 c_th3c_getlabelsizea
  getTitleFontA = xform1 c_th3c_gettitlefonta
  getTitleOffsetA = xform1 c_th3c_gettitleoffseta
  getTitleSizeA = xform1 c_th3c_gettitlesizea
  getTickLengthA = xform1 c_th3c_getticklengtha
  getBarOffset = xform0 c_th3c_getbaroffset
  getBarWidth = xform0 c_th3c_getbarwidth
  getContour = xform1 c_th3c_getcontour
  getContourLevel = xform1 c_th3c_getcontourlevel
  getContourLevelPad = xform1 c_th3c_getcontourlevelpad
  getBin = xform3 c_th3c_getbin
  getBinCenter = xform1 c_th3c_getbincenter
  getBinContent1 = xform1 c_th3c_getbincontent1
  getBinContent2 = xform2 c_th3c_getbincontent2
  getBinContent3 = xform3 c_th3c_getbincontent3
  getBinError1 = xform1 c_th3c_getbinerror1
  getBinError2 = xform2 c_th3c_getbinerror2
  getBinError3 = xform3 c_th3c_getbinerror3
  getBinLowEdge = xform1 c_th3c_getbinlowedge
  getBinWidth = xform1 c_th3c_getbinwidth
  getCellContent = xform2 c_th3c_getcellcontent
  getCellError = xform2 c_th3c_getcellerror
  getEntries = xform0 c_th3c_getentries
  getEffectiveEntries = xform0 c_th3c_geteffectiveentries
  getFunction = xform1 c_th3c_getfunction
  getDimension = xform0 c_th3c_getdimension
  getKurtosis = xform1 c_th3c_getkurtosis
  getLowEdge = xform1 c_th3c_getlowedge
  getMaximumTH1 = xform1 c_th3c_getmaximumth1
  getMaximumBin = xform0 c_th3c_getmaximumbin
  getMaximumStored = xform0 c_th3c_getmaximumstored
  getMinimumTH1 = xform1 c_th3c_getminimumth1
  getMinimumBin = xform0 c_th3c_getminimumbin
  getMinimumStored = xform0 c_th3c_getminimumstored
  getMean = xform1 c_th3c_getmean
  getMeanError = xform1 c_th3c_getmeanerror
  getNbinsX = xform0 c_th3c_getnbinsx
  getNbinsY = xform0 c_th3c_getnbinsy
  getNbinsZ = xform0 c_th3c_getnbinsz
  getQuantilesTH1 = xform3 c_th3c_getquantilesth1
  getRandom = xform0 c_th3c_getrandom
  getStats = xform1 c_th3c_getstats
  getSumOfWeights = xform0 c_th3c_getsumofweights
  getSumw2 = xform0 c_th3c_getsumw2
  getSumw2N = xform0 c_th3c_getsumw2n
  getRMS = xform1 c_th3c_getrms
  getRMSError = xform1 c_th3c_getrmserror
  getSkewness = xform1 c_th3c_getskewness
  integral1 = xform3 c_th3c_integral1
  interpolate1 = xform1 c_th3c_interpolate1
  interpolate2 = xform2 c_th3c_interpolate2
  interpolate3 = xform3 c_th3c_interpolate3
  kolmogorovTest = xform2 c_th3c_kolmogorovtest
  labelsDeflate = xform1 c_th3c_labelsdeflate
  labelsInflate = xform1 c_th3c_labelsinflate
  labelsOption = xform2 c_th3c_labelsoption
  multiflyF = xform2 c_th3c_multiflyf
  multiply = xform5 c_th3c_multiply
  putStats = xform1 c_th3c_putstats
  rebin = xform3 c_th3c_rebin
  rebinAxis = xform2 c_th3c_rebinaxis
  rebuild = xform1 c_th3c_rebuild
  reset = xform1 c_th3c_reset
  resetStats = xform0 c_th3c_resetstats
  scale = xform2 c_th3c_scale
  setAxisColorA = xform2 c_th3c_setaxiscolora
  setAxisRange = xform3 c_th3c_setaxisrange
  setBarOffset = xform1 c_th3c_setbaroffset
  setBarWidth = xform1 c_th3c_setbarwidth
  setBinContent1 = xform2 c_th3c_setbincontent1
  setBinContent2 = xform3 c_th3c_setbincontent2
  setBinContent3 = xform4 c_th3c_setbincontent3
  setBinError1 = xform2 c_th3c_setbinerror1
  setBinError2 = xform3 c_th3c_setbinerror2
  setBinError3 = xform4 c_th3c_setbinerror3
  setBins1 = xform2 c_th3c_setbins1
  setBins2 = xform4 c_th3c_setbins2
  setBins3 = xform6 c_th3c_setbins3
  setBinsLength = xform1 c_th3c_setbinslength
  setBuffer = xform2 c_th3c_setbuffer
  setCellContent = xform3 c_th3c_setcellcontent
  setContent = xform1 c_th3c_setcontent
  setContour = xform2 c_th3c_setcontour
  setContourLevel = xform2 c_th3c_setcontourlevel
  setDirectory = xform1 c_th3c_setdirectory
  setEntries = xform1 c_th3c_setentries
  setError = xform1 c_th3c_seterror
  setLabelColorA = xform2 c_th3c_setlabelcolora
  setLabelSizeA = xform2 c_th3c_setlabelsizea
  setLabelFontA = xform2 c_th3c_setlabelfonta
  setLabelOffsetA = xform2 c_th3c_setlabeloffseta
  setMaximum = xform1 c_th3c_setmaximum
  setMinimum = xform1 c_th3c_setminimum
  setNormFactor = xform1 c_th3c_setnormfactor
  setStats = xform1 c_th3c_setstats
  setOption = xform1 c_th3c_setoption
  setXTitle = xform1 c_th3c_setxtitle
  setYTitle = xform1 c_th3c_setytitle
  setZTitle = xform1 c_th3c_setztitle
  showBackground = xform2 c_th3c_showbackground
  showPeaks = xform3 c_th3c_showpeaks
  smooth = xform2 c_th3c_smooth
  sumw2 = xform0 c_th3c_sumw2

instance ITH1 TH2S where
  add = xform2 c_th2s_add
  addBinContent = xform2 c_th2s_addbincontent
  chi2Test = xform3 c_th2s_chi2test
  computeIntegral = xform0 c_th2s_computeintegral
  directoryAutoAdd = xform1 c_th2s_directoryautoadd
  divide = xform5 c_th2s_divide
  drawCopyTH1 = xform1 c_th2s_drawcopyth1
  drawNormalized = xform2 c_th2s_drawnormalized
  drawPanelTH1 = xform0 c_th2s_drawpanelth1
  bufferEmpty = xform1 c_th2s_bufferempty
  evalF = xform2 c_th2s_evalf
  fFT = xform2 c_th2s_fft
  fill1 = xform1 c_th2s_fill1
  fill1w = xform2 c_th2s_fill1w
  fillN1 = xform4 c_th2s_filln1
  fillRandom = xform2 c_th2s_fillrandom
  findBin = xform3 c_th2s_findbin
  findFixBin = xform3 c_th2s_findfixbin
  findFirstBinAbove = xform2 c_th2s_findfirstbinabove
  findLastBinAbove = xform2 c_th2s_findlastbinabove
  fitPanelTH1 = xform0 c_th2s_fitpanelth1
  getNdivisionA = xform1 c_th2s_getndivisiona
  getAxisColorA = xform1 c_th2s_getaxiscolora
  getLabelColorA = xform1 c_th2s_getlabelcolora
  getLabelFontA = xform1 c_th2s_getlabelfonta
  getLabelOffsetA = xform1 c_th2s_getlabeloffseta
  getLabelSizeA = xform1 c_th2s_getlabelsizea
  getTitleFontA = xform1 c_th2s_gettitlefonta
  getTitleOffsetA = xform1 c_th2s_gettitleoffseta
  getTitleSizeA = xform1 c_th2s_gettitlesizea
  getTickLengthA = xform1 c_th2s_getticklengtha
  getBarOffset = xform0 c_th2s_getbaroffset
  getBarWidth = xform0 c_th2s_getbarwidth
  getContour = xform1 c_th2s_getcontour
  getContourLevel = xform1 c_th2s_getcontourlevel
  getContourLevelPad = xform1 c_th2s_getcontourlevelpad
  getBin = xform3 c_th2s_getbin
  getBinCenter = xform1 c_th2s_getbincenter
  getBinContent1 = xform1 c_th2s_getbincontent1
  getBinContent2 = xform2 c_th2s_getbincontent2
  getBinContent3 = xform3 c_th2s_getbincontent3
  getBinError1 = xform1 c_th2s_getbinerror1
  getBinError2 = xform2 c_th2s_getbinerror2
  getBinError3 = xform3 c_th2s_getbinerror3
  getBinLowEdge = xform1 c_th2s_getbinlowedge
  getBinWidth = xform1 c_th2s_getbinwidth
  getCellContent = xform2 c_th2s_getcellcontent
  getCellError = xform2 c_th2s_getcellerror
  getEntries = xform0 c_th2s_getentries
  getEffectiveEntries = xform0 c_th2s_geteffectiveentries
  getFunction = xform1 c_th2s_getfunction
  getDimension = xform0 c_th2s_getdimension
  getKurtosis = xform1 c_th2s_getkurtosis
  getLowEdge = xform1 c_th2s_getlowedge
  getMaximumTH1 = xform1 c_th2s_getmaximumth1
  getMaximumBin = xform0 c_th2s_getmaximumbin
  getMaximumStored = xform0 c_th2s_getmaximumstored
  getMinimumTH1 = xform1 c_th2s_getminimumth1
  getMinimumBin = xform0 c_th2s_getminimumbin
  getMinimumStored = xform0 c_th2s_getminimumstored
  getMean = xform1 c_th2s_getmean
  getMeanError = xform1 c_th2s_getmeanerror
  getNbinsX = xform0 c_th2s_getnbinsx
  getNbinsY = xform0 c_th2s_getnbinsy
  getNbinsZ = xform0 c_th2s_getnbinsz
  getQuantilesTH1 = xform3 c_th2s_getquantilesth1
  getRandom = xform0 c_th2s_getrandom
  getStats = xform1 c_th2s_getstats
  getSumOfWeights = xform0 c_th2s_getsumofweights
  getSumw2 = xform0 c_th2s_getsumw2
  getSumw2N = xform0 c_th2s_getsumw2n
  getRMS = xform1 c_th2s_getrms
  getRMSError = xform1 c_th2s_getrmserror
  getSkewness = xform1 c_th2s_getskewness
  integral1 = xform3 c_th2s_integral1
  interpolate1 = xform1 c_th2s_interpolate1
  interpolate2 = xform2 c_th2s_interpolate2
  interpolate3 = xform3 c_th2s_interpolate3
  kolmogorovTest = xform2 c_th2s_kolmogorovtest
  labelsDeflate = xform1 c_th2s_labelsdeflate
  labelsInflate = xform1 c_th2s_labelsinflate
  labelsOption = xform2 c_th2s_labelsoption
  multiflyF = xform2 c_th2s_multiflyf
  multiply = xform5 c_th2s_multiply
  putStats = xform1 c_th2s_putstats
  rebin = xform3 c_th2s_rebin
  rebinAxis = xform2 c_th2s_rebinaxis
  rebuild = xform1 c_th2s_rebuild
  reset = xform1 c_th2s_reset
  resetStats = xform0 c_th2s_resetstats
  scale = xform2 c_th2s_scale
  setAxisColorA = xform2 c_th2s_setaxiscolora
  setAxisRange = xform3 c_th2s_setaxisrange
  setBarOffset = xform1 c_th2s_setbaroffset
  setBarWidth = xform1 c_th2s_setbarwidth
  setBinContent1 = xform2 c_th2s_setbincontent1
  setBinContent2 = xform3 c_th2s_setbincontent2
  setBinContent3 = xform4 c_th2s_setbincontent3
  setBinError1 = xform2 c_th2s_setbinerror1
  setBinError2 = xform3 c_th2s_setbinerror2
  setBinError3 = xform4 c_th2s_setbinerror3
  setBins1 = xform2 c_th2s_setbins1
  setBins2 = xform4 c_th2s_setbins2
  setBins3 = xform6 c_th2s_setbins3
  setBinsLength = xform1 c_th2s_setbinslength
  setBuffer = xform2 c_th2s_setbuffer
  setCellContent = xform3 c_th2s_setcellcontent
  setContent = xform1 c_th2s_setcontent
  setContour = xform2 c_th2s_setcontour
  setContourLevel = xform2 c_th2s_setcontourlevel
  setDirectory = xform1 c_th2s_setdirectory
  setEntries = xform1 c_th2s_setentries
  setError = xform1 c_th2s_seterror
  setLabelColorA = xform2 c_th2s_setlabelcolora
  setLabelSizeA = xform2 c_th2s_setlabelsizea
  setLabelFontA = xform2 c_th2s_setlabelfonta
  setLabelOffsetA = xform2 c_th2s_setlabeloffseta
  setMaximum = xform1 c_th2s_setmaximum
  setMinimum = xform1 c_th2s_setminimum
  setNormFactor = xform1 c_th2s_setnormfactor
  setStats = xform1 c_th2s_setstats
  setOption = xform1 c_th2s_setoption
  setXTitle = xform1 c_th2s_setxtitle
  setYTitle = xform1 c_th2s_setytitle
  setZTitle = xform1 c_th2s_setztitle
  showBackground = xform2 c_th2s_showbackground
  showPeaks = xform3 c_th2s_showpeaks
  smooth = xform2 c_th2s_smooth
  sumw2 = xform0 c_th2s_sumw2

instance ITH1 TH2Poly where
  add = xform2 c_th2poly_add
  addBinContent = xform2 c_th2poly_addbincontent
  chi2Test = xform3 c_th2poly_chi2test
  computeIntegral = xform0 c_th2poly_computeintegral
  directoryAutoAdd = xform1 c_th2poly_directoryautoadd
  divide = xform5 c_th2poly_divide
  drawCopyTH1 = xform1 c_th2poly_drawcopyth1
  drawNormalized = xform2 c_th2poly_drawnormalized
  drawPanelTH1 = xform0 c_th2poly_drawpanelth1
  bufferEmpty = xform1 c_th2poly_bufferempty
  evalF = xform2 c_th2poly_evalf
  fFT = xform2 c_th2poly_fft
  fill1 = xform1 c_th2poly_fill1
  fill1w = xform2 c_th2poly_fill1w
  fillN1 = xform4 c_th2poly_filln1
  fillRandom = xform2 c_th2poly_fillrandom
  findBin = xform3 c_th2poly_findbin
  findFixBin = xform3 c_th2poly_findfixbin
  findFirstBinAbove = xform2 c_th2poly_findfirstbinabove
  findLastBinAbove = xform2 c_th2poly_findlastbinabove
  fitPanelTH1 = xform0 c_th2poly_fitpanelth1
  getNdivisionA = xform1 c_th2poly_getndivisiona
  getAxisColorA = xform1 c_th2poly_getaxiscolora
  getLabelColorA = xform1 c_th2poly_getlabelcolora
  getLabelFontA = xform1 c_th2poly_getlabelfonta
  getLabelOffsetA = xform1 c_th2poly_getlabeloffseta
  getLabelSizeA = xform1 c_th2poly_getlabelsizea
  getTitleFontA = xform1 c_th2poly_gettitlefonta
  getTitleOffsetA = xform1 c_th2poly_gettitleoffseta
  getTitleSizeA = xform1 c_th2poly_gettitlesizea
  getTickLengthA = xform1 c_th2poly_getticklengtha
  getBarOffset = xform0 c_th2poly_getbaroffset
  getBarWidth = xform0 c_th2poly_getbarwidth
  getContour = xform1 c_th2poly_getcontour
  getContourLevel = xform1 c_th2poly_getcontourlevel
  getContourLevelPad = xform1 c_th2poly_getcontourlevelpad
  getBin = xform3 c_th2poly_getbin
  getBinCenter = xform1 c_th2poly_getbincenter
  getBinContent1 = xform1 c_th2poly_getbincontent1
  getBinContent2 = xform2 c_th2poly_getbincontent2
  getBinContent3 = xform3 c_th2poly_getbincontent3
  getBinError1 = xform1 c_th2poly_getbinerror1
  getBinError2 = xform2 c_th2poly_getbinerror2
  getBinError3 = xform3 c_th2poly_getbinerror3
  getBinLowEdge = xform1 c_th2poly_getbinlowedge
  getBinWidth = xform1 c_th2poly_getbinwidth
  getCellContent = xform2 c_th2poly_getcellcontent
  getCellError = xform2 c_th2poly_getcellerror
  getEntries = xform0 c_th2poly_getentries
  getEffectiveEntries = xform0 c_th2poly_geteffectiveentries
  getFunction = xform1 c_th2poly_getfunction
  getDimension = xform0 c_th2poly_getdimension
  getKurtosis = xform1 c_th2poly_getkurtosis
  getLowEdge = xform1 c_th2poly_getlowedge
  getMaximumTH1 = xform1 c_th2poly_getmaximumth1
  getMaximumBin = xform0 c_th2poly_getmaximumbin
  getMaximumStored = xform0 c_th2poly_getmaximumstored
  getMinimumTH1 = xform1 c_th2poly_getminimumth1
  getMinimumBin = xform0 c_th2poly_getminimumbin
  getMinimumStored = xform0 c_th2poly_getminimumstored
  getMean = xform1 c_th2poly_getmean
  getMeanError = xform1 c_th2poly_getmeanerror
  getNbinsX = xform0 c_th2poly_getnbinsx
  getNbinsY = xform0 c_th2poly_getnbinsy
  getNbinsZ = xform0 c_th2poly_getnbinsz
  getQuantilesTH1 = xform3 c_th2poly_getquantilesth1
  getRandom = xform0 c_th2poly_getrandom
  getStats = xform1 c_th2poly_getstats
  getSumOfWeights = xform0 c_th2poly_getsumofweights
  getSumw2 = xform0 c_th2poly_getsumw2
  getSumw2N = xform0 c_th2poly_getsumw2n
  getRMS = xform1 c_th2poly_getrms
  getRMSError = xform1 c_th2poly_getrmserror
  getSkewness = xform1 c_th2poly_getskewness
  integral1 = xform3 c_th2poly_integral1
  interpolate1 = xform1 c_th2poly_interpolate1
  interpolate2 = xform2 c_th2poly_interpolate2
  interpolate3 = xform3 c_th2poly_interpolate3
  kolmogorovTest = xform2 c_th2poly_kolmogorovtest
  labelsDeflate = xform1 c_th2poly_labelsdeflate
  labelsInflate = xform1 c_th2poly_labelsinflate
  labelsOption = xform2 c_th2poly_labelsoption
  multiflyF = xform2 c_th2poly_multiflyf
  multiply = xform5 c_th2poly_multiply
  putStats = xform1 c_th2poly_putstats
  rebin = xform3 c_th2poly_rebin
  rebinAxis = xform2 c_th2poly_rebinaxis
  rebuild = xform1 c_th2poly_rebuild
  reset = xform1 c_th2poly_reset
  resetStats = xform0 c_th2poly_resetstats
  scale = xform2 c_th2poly_scale
  setAxisColorA = xform2 c_th2poly_setaxiscolora
  setAxisRange = xform3 c_th2poly_setaxisrange
  setBarOffset = xform1 c_th2poly_setbaroffset
  setBarWidth = xform1 c_th2poly_setbarwidth
  setBinContent1 = xform2 c_th2poly_setbincontent1
  setBinContent2 = xform3 c_th2poly_setbincontent2
  setBinContent3 = xform4 c_th2poly_setbincontent3
  setBinError1 = xform2 c_th2poly_setbinerror1
  setBinError2 = xform3 c_th2poly_setbinerror2
  setBinError3 = xform4 c_th2poly_setbinerror3
  setBins1 = xform2 c_th2poly_setbins1
  setBins2 = xform4 c_th2poly_setbins2
  setBins3 = xform6 c_th2poly_setbins3
  setBinsLength = xform1 c_th2poly_setbinslength
  setBuffer = xform2 c_th2poly_setbuffer
  setCellContent = xform3 c_th2poly_setcellcontent
  setContent = xform1 c_th2poly_setcontent
  setContour = xform2 c_th2poly_setcontour
  setContourLevel = xform2 c_th2poly_setcontourlevel
  setDirectory = xform1 c_th2poly_setdirectory
  setEntries = xform1 c_th2poly_setentries
  setError = xform1 c_th2poly_seterror
  setLabelColorA = xform2 c_th2poly_setlabelcolora
  setLabelSizeA = xform2 c_th2poly_setlabelsizea
  setLabelFontA = xform2 c_th2poly_setlabelfonta
  setLabelOffsetA = xform2 c_th2poly_setlabeloffseta
  setMaximum = xform1 c_th2poly_setmaximum
  setMinimum = xform1 c_th2poly_setminimum
  setNormFactor = xform1 c_th2poly_setnormfactor
  setStats = xform1 c_th2poly_setstats
  setOption = xform1 c_th2poly_setoption
  setXTitle = xform1 c_th2poly_setxtitle
  setYTitle = xform1 c_th2poly_setytitle
  setZTitle = xform1 c_th2poly_setztitle
  showBackground = xform2 c_th2poly_showbackground
  showPeaks = xform3 c_th2poly_showpeaks
  smooth = xform2 c_th2poly_smooth
  sumw2 = xform0 c_th2poly_sumw2

instance ITH1 TH2I where
  add = xform2 c_th2i_add
  addBinContent = xform2 c_th2i_addbincontent
  chi2Test = xform3 c_th2i_chi2test
  computeIntegral = xform0 c_th2i_computeintegral
  directoryAutoAdd = xform1 c_th2i_directoryautoadd
  divide = xform5 c_th2i_divide
  drawCopyTH1 = xform1 c_th2i_drawcopyth1
  drawNormalized = xform2 c_th2i_drawnormalized
  drawPanelTH1 = xform0 c_th2i_drawpanelth1
  bufferEmpty = xform1 c_th2i_bufferempty
  evalF = xform2 c_th2i_evalf
  fFT = xform2 c_th2i_fft
  fill1 = xform1 c_th2i_fill1
  fill1w = xform2 c_th2i_fill1w
  fillN1 = xform4 c_th2i_filln1
  fillRandom = xform2 c_th2i_fillrandom
  findBin = xform3 c_th2i_findbin
  findFixBin = xform3 c_th2i_findfixbin
  findFirstBinAbove = xform2 c_th2i_findfirstbinabove
  findLastBinAbove = xform2 c_th2i_findlastbinabove
  fitPanelTH1 = xform0 c_th2i_fitpanelth1
  getNdivisionA = xform1 c_th2i_getndivisiona
  getAxisColorA = xform1 c_th2i_getaxiscolora
  getLabelColorA = xform1 c_th2i_getlabelcolora
  getLabelFontA = xform1 c_th2i_getlabelfonta
  getLabelOffsetA = xform1 c_th2i_getlabeloffseta
  getLabelSizeA = xform1 c_th2i_getlabelsizea
  getTitleFontA = xform1 c_th2i_gettitlefonta
  getTitleOffsetA = xform1 c_th2i_gettitleoffseta
  getTitleSizeA = xform1 c_th2i_gettitlesizea
  getTickLengthA = xform1 c_th2i_getticklengtha
  getBarOffset = xform0 c_th2i_getbaroffset
  getBarWidth = xform0 c_th2i_getbarwidth
  getContour = xform1 c_th2i_getcontour
  getContourLevel = xform1 c_th2i_getcontourlevel
  getContourLevelPad = xform1 c_th2i_getcontourlevelpad
  getBin = xform3 c_th2i_getbin
  getBinCenter = xform1 c_th2i_getbincenter
  getBinContent1 = xform1 c_th2i_getbincontent1
  getBinContent2 = xform2 c_th2i_getbincontent2
  getBinContent3 = xform3 c_th2i_getbincontent3
  getBinError1 = xform1 c_th2i_getbinerror1
  getBinError2 = xform2 c_th2i_getbinerror2
  getBinError3 = xform3 c_th2i_getbinerror3
  getBinLowEdge = xform1 c_th2i_getbinlowedge
  getBinWidth = xform1 c_th2i_getbinwidth
  getCellContent = xform2 c_th2i_getcellcontent
  getCellError = xform2 c_th2i_getcellerror
  getEntries = xform0 c_th2i_getentries
  getEffectiveEntries = xform0 c_th2i_geteffectiveentries
  getFunction = xform1 c_th2i_getfunction
  getDimension = xform0 c_th2i_getdimension
  getKurtosis = xform1 c_th2i_getkurtosis
  getLowEdge = xform1 c_th2i_getlowedge
  getMaximumTH1 = xform1 c_th2i_getmaximumth1
  getMaximumBin = xform0 c_th2i_getmaximumbin
  getMaximumStored = xform0 c_th2i_getmaximumstored
  getMinimumTH1 = xform1 c_th2i_getminimumth1
  getMinimumBin = xform0 c_th2i_getminimumbin
  getMinimumStored = xform0 c_th2i_getminimumstored
  getMean = xform1 c_th2i_getmean
  getMeanError = xform1 c_th2i_getmeanerror
  getNbinsX = xform0 c_th2i_getnbinsx
  getNbinsY = xform0 c_th2i_getnbinsy
  getNbinsZ = xform0 c_th2i_getnbinsz
  getQuantilesTH1 = xform3 c_th2i_getquantilesth1
  getRandom = xform0 c_th2i_getrandom
  getStats = xform1 c_th2i_getstats
  getSumOfWeights = xform0 c_th2i_getsumofweights
  getSumw2 = xform0 c_th2i_getsumw2
  getSumw2N = xform0 c_th2i_getsumw2n
  getRMS = xform1 c_th2i_getrms
  getRMSError = xform1 c_th2i_getrmserror
  getSkewness = xform1 c_th2i_getskewness
  integral1 = xform3 c_th2i_integral1
  interpolate1 = xform1 c_th2i_interpolate1
  interpolate2 = xform2 c_th2i_interpolate2
  interpolate3 = xform3 c_th2i_interpolate3
  kolmogorovTest = xform2 c_th2i_kolmogorovtest
  labelsDeflate = xform1 c_th2i_labelsdeflate
  labelsInflate = xform1 c_th2i_labelsinflate
  labelsOption = xform2 c_th2i_labelsoption
  multiflyF = xform2 c_th2i_multiflyf
  multiply = xform5 c_th2i_multiply
  putStats = xform1 c_th2i_putstats
  rebin = xform3 c_th2i_rebin
  rebinAxis = xform2 c_th2i_rebinaxis
  rebuild = xform1 c_th2i_rebuild
  reset = xform1 c_th2i_reset
  resetStats = xform0 c_th2i_resetstats
  scale = xform2 c_th2i_scale
  setAxisColorA = xform2 c_th2i_setaxiscolora
  setAxisRange = xform3 c_th2i_setaxisrange
  setBarOffset = xform1 c_th2i_setbaroffset
  setBarWidth = xform1 c_th2i_setbarwidth
  setBinContent1 = xform2 c_th2i_setbincontent1
  setBinContent2 = xform3 c_th2i_setbincontent2
  setBinContent3 = xform4 c_th2i_setbincontent3
  setBinError1 = xform2 c_th2i_setbinerror1
  setBinError2 = xform3 c_th2i_setbinerror2
  setBinError3 = xform4 c_th2i_setbinerror3
  setBins1 = xform2 c_th2i_setbins1
  setBins2 = xform4 c_th2i_setbins2
  setBins3 = xform6 c_th2i_setbins3
  setBinsLength = xform1 c_th2i_setbinslength
  setBuffer = xform2 c_th2i_setbuffer
  setCellContent = xform3 c_th2i_setcellcontent
  setContent = xform1 c_th2i_setcontent
  setContour = xform2 c_th2i_setcontour
  setContourLevel = xform2 c_th2i_setcontourlevel
  setDirectory = xform1 c_th2i_setdirectory
  setEntries = xform1 c_th2i_setentries
  setError = xform1 c_th2i_seterror
  setLabelColorA = xform2 c_th2i_setlabelcolora
  setLabelSizeA = xform2 c_th2i_setlabelsizea
  setLabelFontA = xform2 c_th2i_setlabelfonta
  setLabelOffsetA = xform2 c_th2i_setlabeloffseta
  setMaximum = xform1 c_th2i_setmaximum
  setMinimum = xform1 c_th2i_setminimum
  setNormFactor = xform1 c_th2i_setnormfactor
  setStats = xform1 c_th2i_setstats
  setOption = xform1 c_th2i_setoption
  setXTitle = xform1 c_th2i_setxtitle
  setYTitle = xform1 c_th2i_setytitle
  setZTitle = xform1 c_th2i_setztitle
  showBackground = xform2 c_th2i_showbackground
  showPeaks = xform3 c_th2i_showpeaks
  smooth = xform2 c_th2i_smooth
  sumw2 = xform0 c_th2i_sumw2

instance ITH1 TH2F where
  add = xform2 c_th2f_add
  addBinContent = xform2 c_th2f_addbincontent
  chi2Test = xform3 c_th2f_chi2test
  computeIntegral = xform0 c_th2f_computeintegral
  directoryAutoAdd = xform1 c_th2f_directoryautoadd
  divide = xform5 c_th2f_divide
  drawCopyTH1 = xform1 c_th2f_drawcopyth1
  drawNormalized = xform2 c_th2f_drawnormalized
  drawPanelTH1 = xform0 c_th2f_drawpanelth1
  bufferEmpty = xform1 c_th2f_bufferempty
  evalF = xform2 c_th2f_evalf
  fFT = xform2 c_th2f_fft
  fill1 = xform1 c_th2f_fill1
  fill1w = xform2 c_th2f_fill1w
  fillN1 = xform4 c_th2f_filln1
  fillRandom = xform2 c_th2f_fillrandom
  findBin = xform3 c_th2f_findbin
  findFixBin = xform3 c_th2f_findfixbin
  findFirstBinAbove = xform2 c_th2f_findfirstbinabove
  findLastBinAbove = xform2 c_th2f_findlastbinabove
  fitPanelTH1 = xform0 c_th2f_fitpanelth1
  getNdivisionA = xform1 c_th2f_getndivisiona
  getAxisColorA = xform1 c_th2f_getaxiscolora
  getLabelColorA = xform1 c_th2f_getlabelcolora
  getLabelFontA = xform1 c_th2f_getlabelfonta
  getLabelOffsetA = xform1 c_th2f_getlabeloffseta
  getLabelSizeA = xform1 c_th2f_getlabelsizea
  getTitleFontA = xform1 c_th2f_gettitlefonta
  getTitleOffsetA = xform1 c_th2f_gettitleoffseta
  getTitleSizeA = xform1 c_th2f_gettitlesizea
  getTickLengthA = xform1 c_th2f_getticklengtha
  getBarOffset = xform0 c_th2f_getbaroffset
  getBarWidth = xform0 c_th2f_getbarwidth
  getContour = xform1 c_th2f_getcontour
  getContourLevel = xform1 c_th2f_getcontourlevel
  getContourLevelPad = xform1 c_th2f_getcontourlevelpad
  getBin = xform3 c_th2f_getbin
  getBinCenter = xform1 c_th2f_getbincenter
  getBinContent1 = xform1 c_th2f_getbincontent1
  getBinContent2 = xform2 c_th2f_getbincontent2
  getBinContent3 = xform3 c_th2f_getbincontent3
  getBinError1 = xform1 c_th2f_getbinerror1
  getBinError2 = xform2 c_th2f_getbinerror2
  getBinError3 = xform3 c_th2f_getbinerror3
  getBinLowEdge = xform1 c_th2f_getbinlowedge
  getBinWidth = xform1 c_th2f_getbinwidth
  getCellContent = xform2 c_th2f_getcellcontent
  getCellError = xform2 c_th2f_getcellerror
  getEntries = xform0 c_th2f_getentries
  getEffectiveEntries = xform0 c_th2f_geteffectiveentries
  getFunction = xform1 c_th2f_getfunction
  getDimension = xform0 c_th2f_getdimension
  getKurtosis = xform1 c_th2f_getkurtosis
  getLowEdge = xform1 c_th2f_getlowedge
  getMaximumTH1 = xform1 c_th2f_getmaximumth1
  getMaximumBin = xform0 c_th2f_getmaximumbin
  getMaximumStored = xform0 c_th2f_getmaximumstored
  getMinimumTH1 = xform1 c_th2f_getminimumth1
  getMinimumBin = xform0 c_th2f_getminimumbin
  getMinimumStored = xform0 c_th2f_getminimumstored
  getMean = xform1 c_th2f_getmean
  getMeanError = xform1 c_th2f_getmeanerror
  getNbinsX = xform0 c_th2f_getnbinsx
  getNbinsY = xform0 c_th2f_getnbinsy
  getNbinsZ = xform0 c_th2f_getnbinsz
  getQuantilesTH1 = xform3 c_th2f_getquantilesth1
  getRandom = xform0 c_th2f_getrandom
  getStats = xform1 c_th2f_getstats
  getSumOfWeights = xform0 c_th2f_getsumofweights
  getSumw2 = xform0 c_th2f_getsumw2
  getSumw2N = xform0 c_th2f_getsumw2n
  getRMS = xform1 c_th2f_getrms
  getRMSError = xform1 c_th2f_getrmserror
  getSkewness = xform1 c_th2f_getskewness
  integral1 = xform3 c_th2f_integral1
  interpolate1 = xform1 c_th2f_interpolate1
  interpolate2 = xform2 c_th2f_interpolate2
  interpolate3 = xform3 c_th2f_interpolate3
  kolmogorovTest = xform2 c_th2f_kolmogorovtest
  labelsDeflate = xform1 c_th2f_labelsdeflate
  labelsInflate = xform1 c_th2f_labelsinflate
  labelsOption = xform2 c_th2f_labelsoption
  multiflyF = xform2 c_th2f_multiflyf
  multiply = xform5 c_th2f_multiply
  putStats = xform1 c_th2f_putstats
  rebin = xform3 c_th2f_rebin
  rebinAxis = xform2 c_th2f_rebinaxis
  rebuild = xform1 c_th2f_rebuild
  reset = xform1 c_th2f_reset
  resetStats = xform0 c_th2f_resetstats
  scale = xform2 c_th2f_scale
  setAxisColorA = xform2 c_th2f_setaxiscolora
  setAxisRange = xform3 c_th2f_setaxisrange
  setBarOffset = xform1 c_th2f_setbaroffset
  setBarWidth = xform1 c_th2f_setbarwidth
  setBinContent1 = xform2 c_th2f_setbincontent1
  setBinContent2 = xform3 c_th2f_setbincontent2
  setBinContent3 = xform4 c_th2f_setbincontent3
  setBinError1 = xform2 c_th2f_setbinerror1
  setBinError2 = xform3 c_th2f_setbinerror2
  setBinError3 = xform4 c_th2f_setbinerror3
  setBins1 = xform2 c_th2f_setbins1
  setBins2 = xform4 c_th2f_setbins2
  setBins3 = xform6 c_th2f_setbins3
  setBinsLength = xform1 c_th2f_setbinslength
  setBuffer = xform2 c_th2f_setbuffer
  setCellContent = xform3 c_th2f_setcellcontent
  setContent = xform1 c_th2f_setcontent
  setContour = xform2 c_th2f_setcontour
  setContourLevel = xform2 c_th2f_setcontourlevel
  setDirectory = xform1 c_th2f_setdirectory
  setEntries = xform1 c_th2f_setentries
  setError = xform1 c_th2f_seterror
  setLabelColorA = xform2 c_th2f_setlabelcolora
  setLabelSizeA = xform2 c_th2f_setlabelsizea
  setLabelFontA = xform2 c_th2f_setlabelfonta
  setLabelOffsetA = xform2 c_th2f_setlabeloffseta
  setMaximum = xform1 c_th2f_setmaximum
  setMinimum = xform1 c_th2f_setminimum
  setNormFactor = xform1 c_th2f_setnormfactor
  setStats = xform1 c_th2f_setstats
  setOption = xform1 c_th2f_setoption
  setXTitle = xform1 c_th2f_setxtitle
  setYTitle = xform1 c_th2f_setytitle
  setZTitle = xform1 c_th2f_setztitle
  showBackground = xform2 c_th2f_showbackground
  showPeaks = xform3 c_th2f_showpeaks
  smooth = xform2 c_th2f_smooth
  sumw2 = xform0 c_th2f_sumw2

instance ITH1 TH2D where
  add = xform2 c_th2d_add
  addBinContent = xform2 c_th2d_addbincontent
  chi2Test = xform3 c_th2d_chi2test
  computeIntegral = xform0 c_th2d_computeintegral
  directoryAutoAdd = xform1 c_th2d_directoryautoadd
  divide = xform5 c_th2d_divide
  drawCopyTH1 = xform1 c_th2d_drawcopyth1
  drawNormalized = xform2 c_th2d_drawnormalized
  drawPanelTH1 = xform0 c_th2d_drawpanelth1
  bufferEmpty = xform1 c_th2d_bufferempty
  evalF = xform2 c_th2d_evalf
  fFT = xform2 c_th2d_fft
  fill1 = xform1 c_th2d_fill1
  fill1w = xform2 c_th2d_fill1w
  fillN1 = xform4 c_th2d_filln1
  fillRandom = xform2 c_th2d_fillrandom
  findBin = xform3 c_th2d_findbin
  findFixBin = xform3 c_th2d_findfixbin
  findFirstBinAbove = xform2 c_th2d_findfirstbinabove
  findLastBinAbove = xform2 c_th2d_findlastbinabove
  fitPanelTH1 = xform0 c_th2d_fitpanelth1
  getNdivisionA = xform1 c_th2d_getndivisiona
  getAxisColorA = xform1 c_th2d_getaxiscolora
  getLabelColorA = xform1 c_th2d_getlabelcolora
  getLabelFontA = xform1 c_th2d_getlabelfonta
  getLabelOffsetA = xform1 c_th2d_getlabeloffseta
  getLabelSizeA = xform1 c_th2d_getlabelsizea
  getTitleFontA = xform1 c_th2d_gettitlefonta
  getTitleOffsetA = xform1 c_th2d_gettitleoffseta
  getTitleSizeA = xform1 c_th2d_gettitlesizea
  getTickLengthA = xform1 c_th2d_getticklengtha
  getBarOffset = xform0 c_th2d_getbaroffset
  getBarWidth = xform0 c_th2d_getbarwidth
  getContour = xform1 c_th2d_getcontour
  getContourLevel = xform1 c_th2d_getcontourlevel
  getContourLevelPad = xform1 c_th2d_getcontourlevelpad
  getBin = xform3 c_th2d_getbin
  getBinCenter = xform1 c_th2d_getbincenter
  getBinContent1 = xform1 c_th2d_getbincontent1
  getBinContent2 = xform2 c_th2d_getbincontent2
  getBinContent3 = xform3 c_th2d_getbincontent3
  getBinError1 = xform1 c_th2d_getbinerror1
  getBinError2 = xform2 c_th2d_getbinerror2
  getBinError3 = xform3 c_th2d_getbinerror3
  getBinLowEdge = xform1 c_th2d_getbinlowedge
  getBinWidth = xform1 c_th2d_getbinwidth
  getCellContent = xform2 c_th2d_getcellcontent
  getCellError = xform2 c_th2d_getcellerror
  getEntries = xform0 c_th2d_getentries
  getEffectiveEntries = xform0 c_th2d_geteffectiveentries
  getFunction = xform1 c_th2d_getfunction
  getDimension = xform0 c_th2d_getdimension
  getKurtosis = xform1 c_th2d_getkurtosis
  getLowEdge = xform1 c_th2d_getlowedge
  getMaximumTH1 = xform1 c_th2d_getmaximumth1
  getMaximumBin = xform0 c_th2d_getmaximumbin
  getMaximumStored = xform0 c_th2d_getmaximumstored
  getMinimumTH1 = xform1 c_th2d_getminimumth1
  getMinimumBin = xform0 c_th2d_getminimumbin
  getMinimumStored = xform0 c_th2d_getminimumstored
  getMean = xform1 c_th2d_getmean
  getMeanError = xform1 c_th2d_getmeanerror
  getNbinsX = xform0 c_th2d_getnbinsx
  getNbinsY = xform0 c_th2d_getnbinsy
  getNbinsZ = xform0 c_th2d_getnbinsz
  getQuantilesTH1 = xform3 c_th2d_getquantilesth1
  getRandom = xform0 c_th2d_getrandom
  getStats = xform1 c_th2d_getstats
  getSumOfWeights = xform0 c_th2d_getsumofweights
  getSumw2 = xform0 c_th2d_getsumw2
  getSumw2N = xform0 c_th2d_getsumw2n
  getRMS = xform1 c_th2d_getrms
  getRMSError = xform1 c_th2d_getrmserror
  getSkewness = xform1 c_th2d_getskewness
  integral1 = xform3 c_th2d_integral1
  interpolate1 = xform1 c_th2d_interpolate1
  interpolate2 = xform2 c_th2d_interpolate2
  interpolate3 = xform3 c_th2d_interpolate3
  kolmogorovTest = xform2 c_th2d_kolmogorovtest
  labelsDeflate = xform1 c_th2d_labelsdeflate
  labelsInflate = xform1 c_th2d_labelsinflate
  labelsOption = xform2 c_th2d_labelsoption
  multiflyF = xform2 c_th2d_multiflyf
  multiply = xform5 c_th2d_multiply
  putStats = xform1 c_th2d_putstats
  rebin = xform3 c_th2d_rebin
  rebinAxis = xform2 c_th2d_rebinaxis
  rebuild = xform1 c_th2d_rebuild
  reset = xform1 c_th2d_reset
  resetStats = xform0 c_th2d_resetstats
  scale = xform2 c_th2d_scale
  setAxisColorA = xform2 c_th2d_setaxiscolora
  setAxisRange = xform3 c_th2d_setaxisrange
  setBarOffset = xform1 c_th2d_setbaroffset
  setBarWidth = xform1 c_th2d_setbarwidth
  setBinContent1 = xform2 c_th2d_setbincontent1
  setBinContent2 = xform3 c_th2d_setbincontent2
  setBinContent3 = xform4 c_th2d_setbincontent3
  setBinError1 = xform2 c_th2d_setbinerror1
  setBinError2 = xform3 c_th2d_setbinerror2
  setBinError3 = xform4 c_th2d_setbinerror3
  setBins1 = xform2 c_th2d_setbins1
  setBins2 = xform4 c_th2d_setbins2
  setBins3 = xform6 c_th2d_setbins3
  setBinsLength = xform1 c_th2d_setbinslength
  setBuffer = xform2 c_th2d_setbuffer
  setCellContent = xform3 c_th2d_setcellcontent
  setContent = xform1 c_th2d_setcontent
  setContour = xform2 c_th2d_setcontour
  setContourLevel = xform2 c_th2d_setcontourlevel
  setDirectory = xform1 c_th2d_setdirectory
  setEntries = xform1 c_th2d_setentries
  setError = xform1 c_th2d_seterror
  setLabelColorA = xform2 c_th2d_setlabelcolora
  setLabelSizeA = xform2 c_th2d_setlabelsizea
  setLabelFontA = xform2 c_th2d_setlabelfonta
  setLabelOffsetA = xform2 c_th2d_setlabeloffseta
  setMaximum = xform1 c_th2d_setmaximum
  setMinimum = xform1 c_th2d_setminimum
  setNormFactor = xform1 c_th2d_setnormfactor
  setStats = xform1 c_th2d_setstats
  setOption = xform1 c_th2d_setoption
  setXTitle = xform1 c_th2d_setxtitle
  setYTitle = xform1 c_th2d_setytitle
  setZTitle = xform1 c_th2d_setztitle
  showBackground = xform2 c_th2d_showbackground
  showPeaks = xform3 c_th2d_showpeaks
  smooth = xform2 c_th2d_smooth
  sumw2 = xform0 c_th2d_sumw2

instance ITH1 TH2C where
  add = xform2 c_th2c_add
  addBinContent = xform2 c_th2c_addbincontent
  chi2Test = xform3 c_th2c_chi2test
  computeIntegral = xform0 c_th2c_computeintegral
  directoryAutoAdd = xform1 c_th2c_directoryautoadd
  divide = xform5 c_th2c_divide
  drawCopyTH1 = xform1 c_th2c_drawcopyth1
  drawNormalized = xform2 c_th2c_drawnormalized
  drawPanelTH1 = xform0 c_th2c_drawpanelth1
  bufferEmpty = xform1 c_th2c_bufferempty
  evalF = xform2 c_th2c_evalf
  fFT = xform2 c_th2c_fft
  fill1 = xform1 c_th2c_fill1
  fill1w = xform2 c_th2c_fill1w
  fillN1 = xform4 c_th2c_filln1
  fillRandom = xform2 c_th2c_fillrandom
  findBin = xform3 c_th2c_findbin
  findFixBin = xform3 c_th2c_findfixbin
  findFirstBinAbove = xform2 c_th2c_findfirstbinabove
  findLastBinAbove = xform2 c_th2c_findlastbinabove
  fitPanelTH1 = xform0 c_th2c_fitpanelth1
  getNdivisionA = xform1 c_th2c_getndivisiona
  getAxisColorA = xform1 c_th2c_getaxiscolora
  getLabelColorA = xform1 c_th2c_getlabelcolora
  getLabelFontA = xform1 c_th2c_getlabelfonta
  getLabelOffsetA = xform1 c_th2c_getlabeloffseta
  getLabelSizeA = xform1 c_th2c_getlabelsizea
  getTitleFontA = xform1 c_th2c_gettitlefonta
  getTitleOffsetA = xform1 c_th2c_gettitleoffseta
  getTitleSizeA = xform1 c_th2c_gettitlesizea
  getTickLengthA = xform1 c_th2c_getticklengtha
  getBarOffset = xform0 c_th2c_getbaroffset
  getBarWidth = xform0 c_th2c_getbarwidth
  getContour = xform1 c_th2c_getcontour
  getContourLevel = xform1 c_th2c_getcontourlevel
  getContourLevelPad = xform1 c_th2c_getcontourlevelpad
  getBin = xform3 c_th2c_getbin
  getBinCenter = xform1 c_th2c_getbincenter
  getBinContent1 = xform1 c_th2c_getbincontent1
  getBinContent2 = xform2 c_th2c_getbincontent2
  getBinContent3 = xform3 c_th2c_getbincontent3
  getBinError1 = xform1 c_th2c_getbinerror1
  getBinError2 = xform2 c_th2c_getbinerror2
  getBinError3 = xform3 c_th2c_getbinerror3
  getBinLowEdge = xform1 c_th2c_getbinlowedge
  getBinWidth = xform1 c_th2c_getbinwidth
  getCellContent = xform2 c_th2c_getcellcontent
  getCellError = xform2 c_th2c_getcellerror
  getEntries = xform0 c_th2c_getentries
  getEffectiveEntries = xform0 c_th2c_geteffectiveentries
  getFunction = xform1 c_th2c_getfunction
  getDimension = xform0 c_th2c_getdimension
  getKurtosis = xform1 c_th2c_getkurtosis
  getLowEdge = xform1 c_th2c_getlowedge
  getMaximumTH1 = xform1 c_th2c_getmaximumth1
  getMaximumBin = xform0 c_th2c_getmaximumbin
  getMaximumStored = xform0 c_th2c_getmaximumstored
  getMinimumTH1 = xform1 c_th2c_getminimumth1
  getMinimumBin = xform0 c_th2c_getminimumbin
  getMinimumStored = xform0 c_th2c_getminimumstored
  getMean = xform1 c_th2c_getmean
  getMeanError = xform1 c_th2c_getmeanerror
  getNbinsX = xform0 c_th2c_getnbinsx
  getNbinsY = xform0 c_th2c_getnbinsy
  getNbinsZ = xform0 c_th2c_getnbinsz
  getQuantilesTH1 = xform3 c_th2c_getquantilesth1
  getRandom = xform0 c_th2c_getrandom
  getStats = xform1 c_th2c_getstats
  getSumOfWeights = xform0 c_th2c_getsumofweights
  getSumw2 = xform0 c_th2c_getsumw2
  getSumw2N = xform0 c_th2c_getsumw2n
  getRMS = xform1 c_th2c_getrms
  getRMSError = xform1 c_th2c_getrmserror
  getSkewness = xform1 c_th2c_getskewness
  integral1 = xform3 c_th2c_integral1
  interpolate1 = xform1 c_th2c_interpolate1
  interpolate2 = xform2 c_th2c_interpolate2
  interpolate3 = xform3 c_th2c_interpolate3
  kolmogorovTest = xform2 c_th2c_kolmogorovtest
  labelsDeflate = xform1 c_th2c_labelsdeflate
  labelsInflate = xform1 c_th2c_labelsinflate
  labelsOption = xform2 c_th2c_labelsoption
  multiflyF = xform2 c_th2c_multiflyf
  multiply = xform5 c_th2c_multiply
  putStats = xform1 c_th2c_putstats
  rebin = xform3 c_th2c_rebin
  rebinAxis = xform2 c_th2c_rebinaxis
  rebuild = xform1 c_th2c_rebuild
  reset = xform1 c_th2c_reset
  resetStats = xform0 c_th2c_resetstats
  scale = xform2 c_th2c_scale
  setAxisColorA = xform2 c_th2c_setaxiscolora
  setAxisRange = xform3 c_th2c_setaxisrange
  setBarOffset = xform1 c_th2c_setbaroffset
  setBarWidth = xform1 c_th2c_setbarwidth
  setBinContent1 = xform2 c_th2c_setbincontent1
  setBinContent2 = xform3 c_th2c_setbincontent2
  setBinContent3 = xform4 c_th2c_setbincontent3
  setBinError1 = xform2 c_th2c_setbinerror1
  setBinError2 = xform3 c_th2c_setbinerror2
  setBinError3 = xform4 c_th2c_setbinerror3
  setBins1 = xform2 c_th2c_setbins1
  setBins2 = xform4 c_th2c_setbins2
  setBins3 = xform6 c_th2c_setbins3
  setBinsLength = xform1 c_th2c_setbinslength
  setBuffer = xform2 c_th2c_setbuffer
  setCellContent = xform3 c_th2c_setcellcontent
  setContent = xform1 c_th2c_setcontent
  setContour = xform2 c_th2c_setcontour
  setContourLevel = xform2 c_th2c_setcontourlevel
  setDirectory = xform1 c_th2c_setdirectory
  setEntries = xform1 c_th2c_setentries
  setError = xform1 c_th2c_seterror
  setLabelColorA = xform2 c_th2c_setlabelcolora
  setLabelSizeA = xform2 c_th2c_setlabelsizea
  setLabelFontA = xform2 c_th2c_setlabelfonta
  setLabelOffsetA = xform2 c_th2c_setlabeloffseta
  setMaximum = xform1 c_th2c_setmaximum
  setMinimum = xform1 c_th2c_setminimum
  setNormFactor = xform1 c_th2c_setnormfactor
  setStats = xform1 c_th2c_setstats
  setOption = xform1 c_th2c_setoption
  setXTitle = xform1 c_th2c_setxtitle
  setYTitle = xform1 c_th2c_setytitle
  setZTitle = xform1 c_th2c_setztitle
  showBackground = xform2 c_th2c_showbackground
  showPeaks = xform3 c_th2c_showpeaks
  smooth = xform2 c_th2c_smooth
  sumw2 = xform0 c_th2c_sumw2

instance ITH1 TH1S where
  add = xform2 c_th1s_add
  addBinContent = xform2 c_th1s_addbincontent
  chi2Test = xform3 c_th1s_chi2test
  computeIntegral = xform0 c_th1s_computeintegral
  directoryAutoAdd = xform1 c_th1s_directoryautoadd
  divide = xform5 c_th1s_divide
  drawCopyTH1 = xform1 c_th1s_drawcopyth1
  drawNormalized = xform2 c_th1s_drawnormalized
  drawPanelTH1 = xform0 c_th1s_drawpanelth1
  bufferEmpty = xform1 c_th1s_bufferempty
  evalF = xform2 c_th1s_evalf
  fFT = xform2 c_th1s_fft
  fill1 = xform1 c_th1s_fill1
  fill1w = xform2 c_th1s_fill1w
  fillN1 = xform4 c_th1s_filln1
  fillRandom = xform2 c_th1s_fillrandom
  findBin = xform3 c_th1s_findbin
  findFixBin = xform3 c_th1s_findfixbin
  findFirstBinAbove = xform2 c_th1s_findfirstbinabove
  findLastBinAbove = xform2 c_th1s_findlastbinabove
  fitPanelTH1 = xform0 c_th1s_fitpanelth1
  getNdivisionA = xform1 c_th1s_getndivisiona
  getAxisColorA = xform1 c_th1s_getaxiscolora
  getLabelColorA = xform1 c_th1s_getlabelcolora
  getLabelFontA = xform1 c_th1s_getlabelfonta
  getLabelOffsetA = xform1 c_th1s_getlabeloffseta
  getLabelSizeA = xform1 c_th1s_getlabelsizea
  getTitleFontA = xform1 c_th1s_gettitlefonta
  getTitleOffsetA = xform1 c_th1s_gettitleoffseta
  getTitleSizeA = xform1 c_th1s_gettitlesizea
  getTickLengthA = xform1 c_th1s_getticklengtha
  getBarOffset = xform0 c_th1s_getbaroffset
  getBarWidth = xform0 c_th1s_getbarwidth
  getContour = xform1 c_th1s_getcontour
  getContourLevel = xform1 c_th1s_getcontourlevel
  getContourLevelPad = xform1 c_th1s_getcontourlevelpad
  getBin = xform3 c_th1s_getbin
  getBinCenter = xform1 c_th1s_getbincenter
  getBinContent1 = xform1 c_th1s_getbincontent1
  getBinContent2 = xform2 c_th1s_getbincontent2
  getBinContent3 = xform3 c_th1s_getbincontent3
  getBinError1 = xform1 c_th1s_getbinerror1
  getBinError2 = xform2 c_th1s_getbinerror2
  getBinError3 = xform3 c_th1s_getbinerror3
  getBinLowEdge = xform1 c_th1s_getbinlowedge
  getBinWidth = xform1 c_th1s_getbinwidth
  getCellContent = xform2 c_th1s_getcellcontent
  getCellError = xform2 c_th1s_getcellerror
  getEntries = xform0 c_th1s_getentries
  getEffectiveEntries = xform0 c_th1s_geteffectiveentries
  getFunction = xform1 c_th1s_getfunction
  getDimension = xform0 c_th1s_getdimension
  getKurtosis = xform1 c_th1s_getkurtosis
  getLowEdge = xform1 c_th1s_getlowedge
  getMaximumTH1 = xform1 c_th1s_getmaximumth1
  getMaximumBin = xform0 c_th1s_getmaximumbin
  getMaximumStored = xform0 c_th1s_getmaximumstored
  getMinimumTH1 = xform1 c_th1s_getminimumth1
  getMinimumBin = xform0 c_th1s_getminimumbin
  getMinimumStored = xform0 c_th1s_getminimumstored
  getMean = xform1 c_th1s_getmean
  getMeanError = xform1 c_th1s_getmeanerror
  getNbinsX = xform0 c_th1s_getnbinsx
  getNbinsY = xform0 c_th1s_getnbinsy
  getNbinsZ = xform0 c_th1s_getnbinsz
  getQuantilesTH1 = xform3 c_th1s_getquantilesth1
  getRandom = xform0 c_th1s_getrandom
  getStats = xform1 c_th1s_getstats
  getSumOfWeights = xform0 c_th1s_getsumofweights
  getSumw2 = xform0 c_th1s_getsumw2
  getSumw2N = xform0 c_th1s_getsumw2n
  getRMS = xform1 c_th1s_getrms
  getRMSError = xform1 c_th1s_getrmserror
  getSkewness = xform1 c_th1s_getskewness
  integral1 = xform3 c_th1s_integral1
  interpolate1 = xform1 c_th1s_interpolate1
  interpolate2 = xform2 c_th1s_interpolate2
  interpolate3 = xform3 c_th1s_interpolate3
  kolmogorovTest = xform2 c_th1s_kolmogorovtest
  labelsDeflate = xform1 c_th1s_labelsdeflate
  labelsInflate = xform1 c_th1s_labelsinflate
  labelsOption = xform2 c_th1s_labelsoption
  multiflyF = xform2 c_th1s_multiflyf
  multiply = xform5 c_th1s_multiply
  putStats = xform1 c_th1s_putstats
  rebin = xform3 c_th1s_rebin
  rebinAxis = xform2 c_th1s_rebinaxis
  rebuild = xform1 c_th1s_rebuild
  reset = xform1 c_th1s_reset
  resetStats = xform0 c_th1s_resetstats
  scale = xform2 c_th1s_scale
  setAxisColorA = xform2 c_th1s_setaxiscolora
  setAxisRange = xform3 c_th1s_setaxisrange
  setBarOffset = xform1 c_th1s_setbaroffset
  setBarWidth = xform1 c_th1s_setbarwidth
  setBinContent1 = xform2 c_th1s_setbincontent1
  setBinContent2 = xform3 c_th1s_setbincontent2
  setBinContent3 = xform4 c_th1s_setbincontent3
  setBinError1 = xform2 c_th1s_setbinerror1
  setBinError2 = xform3 c_th1s_setbinerror2
  setBinError3 = xform4 c_th1s_setbinerror3
  setBins1 = xform2 c_th1s_setbins1
  setBins2 = xform4 c_th1s_setbins2
  setBins3 = xform6 c_th1s_setbins3
  setBinsLength = xform1 c_th1s_setbinslength
  setBuffer = xform2 c_th1s_setbuffer
  setCellContent = xform3 c_th1s_setcellcontent
  setContent = xform1 c_th1s_setcontent
  setContour = xform2 c_th1s_setcontour
  setContourLevel = xform2 c_th1s_setcontourlevel
  setDirectory = xform1 c_th1s_setdirectory
  setEntries = xform1 c_th1s_setentries
  setError = xform1 c_th1s_seterror
  setLabelColorA = xform2 c_th1s_setlabelcolora
  setLabelSizeA = xform2 c_th1s_setlabelsizea
  setLabelFontA = xform2 c_th1s_setlabelfonta
  setLabelOffsetA = xform2 c_th1s_setlabeloffseta
  setMaximum = xform1 c_th1s_setmaximum
  setMinimum = xform1 c_th1s_setminimum
  setNormFactor = xform1 c_th1s_setnormfactor
  setStats = xform1 c_th1s_setstats
  setOption = xform1 c_th1s_setoption
  setXTitle = xform1 c_th1s_setxtitle
  setYTitle = xform1 c_th1s_setytitle
  setZTitle = xform1 c_th1s_setztitle
  showBackground = xform2 c_th1s_showbackground
  showPeaks = xform3 c_th1s_showpeaks
  smooth = xform2 c_th1s_smooth
  sumw2 = xform0 c_th1s_sumw2

instance ITH1 TH1I where
  add = xform2 c_th1i_add
  addBinContent = xform2 c_th1i_addbincontent
  chi2Test = xform3 c_th1i_chi2test
  computeIntegral = xform0 c_th1i_computeintegral
  directoryAutoAdd = xform1 c_th1i_directoryautoadd
  divide = xform5 c_th1i_divide
  drawCopyTH1 = xform1 c_th1i_drawcopyth1
  drawNormalized = xform2 c_th1i_drawnormalized
  drawPanelTH1 = xform0 c_th1i_drawpanelth1
  bufferEmpty = xform1 c_th1i_bufferempty
  evalF = xform2 c_th1i_evalf
  fFT = xform2 c_th1i_fft
  fill1 = xform1 c_th1i_fill1
  fill1w = xform2 c_th1i_fill1w
  fillN1 = xform4 c_th1i_filln1
  fillRandom = xform2 c_th1i_fillrandom
  findBin = xform3 c_th1i_findbin
  findFixBin = xform3 c_th1i_findfixbin
  findFirstBinAbove = xform2 c_th1i_findfirstbinabove
  findLastBinAbove = xform2 c_th1i_findlastbinabove
  fitPanelTH1 = xform0 c_th1i_fitpanelth1
  getNdivisionA = xform1 c_th1i_getndivisiona
  getAxisColorA = xform1 c_th1i_getaxiscolora
  getLabelColorA = xform1 c_th1i_getlabelcolora
  getLabelFontA = xform1 c_th1i_getlabelfonta
  getLabelOffsetA = xform1 c_th1i_getlabeloffseta
  getLabelSizeA = xform1 c_th1i_getlabelsizea
  getTitleFontA = xform1 c_th1i_gettitlefonta
  getTitleOffsetA = xform1 c_th1i_gettitleoffseta
  getTitleSizeA = xform1 c_th1i_gettitlesizea
  getTickLengthA = xform1 c_th1i_getticklengtha
  getBarOffset = xform0 c_th1i_getbaroffset
  getBarWidth = xform0 c_th1i_getbarwidth
  getContour = xform1 c_th1i_getcontour
  getContourLevel = xform1 c_th1i_getcontourlevel
  getContourLevelPad = xform1 c_th1i_getcontourlevelpad
  getBin = xform3 c_th1i_getbin
  getBinCenter = xform1 c_th1i_getbincenter
  getBinContent1 = xform1 c_th1i_getbincontent1
  getBinContent2 = xform2 c_th1i_getbincontent2
  getBinContent3 = xform3 c_th1i_getbincontent3
  getBinError1 = xform1 c_th1i_getbinerror1
  getBinError2 = xform2 c_th1i_getbinerror2
  getBinError3 = xform3 c_th1i_getbinerror3
  getBinLowEdge = xform1 c_th1i_getbinlowedge
  getBinWidth = xform1 c_th1i_getbinwidth
  getCellContent = xform2 c_th1i_getcellcontent
  getCellError = xform2 c_th1i_getcellerror
  getEntries = xform0 c_th1i_getentries
  getEffectiveEntries = xform0 c_th1i_geteffectiveentries
  getFunction = xform1 c_th1i_getfunction
  getDimension = xform0 c_th1i_getdimension
  getKurtosis = xform1 c_th1i_getkurtosis
  getLowEdge = xform1 c_th1i_getlowedge
  getMaximumTH1 = xform1 c_th1i_getmaximumth1
  getMaximumBin = xform0 c_th1i_getmaximumbin
  getMaximumStored = xform0 c_th1i_getmaximumstored
  getMinimumTH1 = xform1 c_th1i_getminimumth1
  getMinimumBin = xform0 c_th1i_getminimumbin
  getMinimumStored = xform0 c_th1i_getminimumstored
  getMean = xform1 c_th1i_getmean
  getMeanError = xform1 c_th1i_getmeanerror
  getNbinsX = xform0 c_th1i_getnbinsx
  getNbinsY = xform0 c_th1i_getnbinsy
  getNbinsZ = xform0 c_th1i_getnbinsz
  getQuantilesTH1 = xform3 c_th1i_getquantilesth1
  getRandom = xform0 c_th1i_getrandom
  getStats = xform1 c_th1i_getstats
  getSumOfWeights = xform0 c_th1i_getsumofweights
  getSumw2 = xform0 c_th1i_getsumw2
  getSumw2N = xform0 c_th1i_getsumw2n
  getRMS = xform1 c_th1i_getrms
  getRMSError = xform1 c_th1i_getrmserror
  getSkewness = xform1 c_th1i_getskewness
  integral1 = xform3 c_th1i_integral1
  interpolate1 = xform1 c_th1i_interpolate1
  interpolate2 = xform2 c_th1i_interpolate2
  interpolate3 = xform3 c_th1i_interpolate3
  kolmogorovTest = xform2 c_th1i_kolmogorovtest
  labelsDeflate = xform1 c_th1i_labelsdeflate
  labelsInflate = xform1 c_th1i_labelsinflate
  labelsOption = xform2 c_th1i_labelsoption
  multiflyF = xform2 c_th1i_multiflyf
  multiply = xform5 c_th1i_multiply
  putStats = xform1 c_th1i_putstats
  rebin = xform3 c_th1i_rebin
  rebinAxis = xform2 c_th1i_rebinaxis
  rebuild = xform1 c_th1i_rebuild
  reset = xform1 c_th1i_reset
  resetStats = xform0 c_th1i_resetstats
  scale = xform2 c_th1i_scale
  setAxisColorA = xform2 c_th1i_setaxiscolora
  setAxisRange = xform3 c_th1i_setaxisrange
  setBarOffset = xform1 c_th1i_setbaroffset
  setBarWidth = xform1 c_th1i_setbarwidth
  setBinContent1 = xform2 c_th1i_setbincontent1
  setBinContent2 = xform3 c_th1i_setbincontent2
  setBinContent3 = xform4 c_th1i_setbincontent3
  setBinError1 = xform2 c_th1i_setbinerror1
  setBinError2 = xform3 c_th1i_setbinerror2
  setBinError3 = xform4 c_th1i_setbinerror3
  setBins1 = xform2 c_th1i_setbins1
  setBins2 = xform4 c_th1i_setbins2
  setBins3 = xform6 c_th1i_setbins3
  setBinsLength = xform1 c_th1i_setbinslength
  setBuffer = xform2 c_th1i_setbuffer
  setCellContent = xform3 c_th1i_setcellcontent
  setContent = xform1 c_th1i_setcontent
  setContour = xform2 c_th1i_setcontour
  setContourLevel = xform2 c_th1i_setcontourlevel
  setDirectory = xform1 c_th1i_setdirectory
  setEntries = xform1 c_th1i_setentries
  setError = xform1 c_th1i_seterror
  setLabelColorA = xform2 c_th1i_setlabelcolora
  setLabelSizeA = xform2 c_th1i_setlabelsizea
  setLabelFontA = xform2 c_th1i_setlabelfonta
  setLabelOffsetA = xform2 c_th1i_setlabeloffseta
  setMaximum = xform1 c_th1i_setmaximum
  setMinimum = xform1 c_th1i_setminimum
  setNormFactor = xform1 c_th1i_setnormfactor
  setStats = xform1 c_th1i_setstats
  setOption = xform1 c_th1i_setoption
  setXTitle = xform1 c_th1i_setxtitle
  setYTitle = xform1 c_th1i_setytitle
  setZTitle = xform1 c_th1i_setztitle
  showBackground = xform2 c_th1i_showbackground
  showPeaks = xform3 c_th1i_showpeaks
  smooth = xform2 c_th1i_smooth
  sumw2 = xform0 c_th1i_sumw2

instance ITH1 TH1F where
  add = xform2 c_th1f_add
  addBinContent = xform2 c_th1f_addbincontent
  chi2Test = xform3 c_th1f_chi2test
  computeIntegral = xform0 c_th1f_computeintegral
  directoryAutoAdd = xform1 c_th1f_directoryautoadd
  divide = xform5 c_th1f_divide
  drawCopyTH1 = xform1 c_th1f_drawcopyth1
  drawNormalized = xform2 c_th1f_drawnormalized
  drawPanelTH1 = xform0 c_th1f_drawpanelth1
  bufferEmpty = xform1 c_th1f_bufferempty
  evalF = xform2 c_th1f_evalf
  fFT = xform2 c_th1f_fft
  fill1 = xform1 c_th1f_fill1
  fill1w = xform2 c_th1f_fill1w
  fillN1 = xform4 c_th1f_filln1
  fillRandom = xform2 c_th1f_fillrandom
  findBin = xform3 c_th1f_findbin
  findFixBin = xform3 c_th1f_findfixbin
  findFirstBinAbove = xform2 c_th1f_findfirstbinabove
  findLastBinAbove = xform2 c_th1f_findlastbinabove
  fitPanelTH1 = xform0 c_th1f_fitpanelth1
  getNdivisionA = xform1 c_th1f_getndivisiona
  getAxisColorA = xform1 c_th1f_getaxiscolora
  getLabelColorA = xform1 c_th1f_getlabelcolora
  getLabelFontA = xform1 c_th1f_getlabelfonta
  getLabelOffsetA = xform1 c_th1f_getlabeloffseta
  getLabelSizeA = xform1 c_th1f_getlabelsizea
  getTitleFontA = xform1 c_th1f_gettitlefonta
  getTitleOffsetA = xform1 c_th1f_gettitleoffseta
  getTitleSizeA = xform1 c_th1f_gettitlesizea
  getTickLengthA = xform1 c_th1f_getticklengtha
  getBarOffset = xform0 c_th1f_getbaroffset
  getBarWidth = xform0 c_th1f_getbarwidth
  getContour = xform1 c_th1f_getcontour
  getContourLevel = xform1 c_th1f_getcontourlevel
  getContourLevelPad = xform1 c_th1f_getcontourlevelpad
  getBin = xform3 c_th1f_getbin
  getBinCenter = xform1 c_th1f_getbincenter
  getBinContent1 = xform1 c_th1f_getbincontent1
  getBinContent2 = xform2 c_th1f_getbincontent2
  getBinContent3 = xform3 c_th1f_getbincontent3
  getBinError1 = xform1 c_th1f_getbinerror1
  getBinError2 = xform2 c_th1f_getbinerror2
  getBinError3 = xform3 c_th1f_getbinerror3
  getBinLowEdge = xform1 c_th1f_getbinlowedge
  getBinWidth = xform1 c_th1f_getbinwidth
  getCellContent = xform2 c_th1f_getcellcontent
  getCellError = xform2 c_th1f_getcellerror
  getEntries = xform0 c_th1f_getentries
  getEffectiveEntries = xform0 c_th1f_geteffectiveentries
  getFunction = xform1 c_th1f_getfunction
  getDimension = xform0 c_th1f_getdimension
  getKurtosis = xform1 c_th1f_getkurtosis
  getLowEdge = xform1 c_th1f_getlowedge
  getMaximumTH1 = xform1 c_th1f_getmaximumth1
  getMaximumBin = xform0 c_th1f_getmaximumbin
  getMaximumStored = xform0 c_th1f_getmaximumstored
  getMinimumTH1 = xform1 c_th1f_getminimumth1
  getMinimumBin = xform0 c_th1f_getminimumbin
  getMinimumStored = xform0 c_th1f_getminimumstored
  getMean = xform1 c_th1f_getmean
  getMeanError = xform1 c_th1f_getmeanerror
  getNbinsX = xform0 c_th1f_getnbinsx
  getNbinsY = xform0 c_th1f_getnbinsy
  getNbinsZ = xform0 c_th1f_getnbinsz
  getQuantilesTH1 = xform3 c_th1f_getquantilesth1
  getRandom = xform0 c_th1f_getrandom
  getStats = xform1 c_th1f_getstats
  getSumOfWeights = xform0 c_th1f_getsumofweights
  getSumw2 = xform0 c_th1f_getsumw2
  getSumw2N = xform0 c_th1f_getsumw2n
  getRMS = xform1 c_th1f_getrms
  getRMSError = xform1 c_th1f_getrmserror
  getSkewness = xform1 c_th1f_getskewness
  integral1 = xform3 c_th1f_integral1
  interpolate1 = xform1 c_th1f_interpolate1
  interpolate2 = xform2 c_th1f_interpolate2
  interpolate3 = xform3 c_th1f_interpolate3
  kolmogorovTest = xform2 c_th1f_kolmogorovtest
  labelsDeflate = xform1 c_th1f_labelsdeflate
  labelsInflate = xform1 c_th1f_labelsinflate
  labelsOption = xform2 c_th1f_labelsoption
  multiflyF = xform2 c_th1f_multiflyf
  multiply = xform5 c_th1f_multiply
  putStats = xform1 c_th1f_putstats
  rebin = xform3 c_th1f_rebin
  rebinAxis = xform2 c_th1f_rebinaxis
  rebuild = xform1 c_th1f_rebuild
  reset = xform1 c_th1f_reset
  resetStats = xform0 c_th1f_resetstats
  scale = xform2 c_th1f_scale
  setAxisColorA = xform2 c_th1f_setaxiscolora
  setAxisRange = xform3 c_th1f_setaxisrange
  setBarOffset = xform1 c_th1f_setbaroffset
  setBarWidth = xform1 c_th1f_setbarwidth
  setBinContent1 = xform2 c_th1f_setbincontent1
  setBinContent2 = xform3 c_th1f_setbincontent2
  setBinContent3 = xform4 c_th1f_setbincontent3
  setBinError1 = xform2 c_th1f_setbinerror1
  setBinError2 = xform3 c_th1f_setbinerror2
  setBinError3 = xform4 c_th1f_setbinerror3
  setBins1 = xform2 c_th1f_setbins1
  setBins2 = xform4 c_th1f_setbins2
  setBins3 = xform6 c_th1f_setbins3
  setBinsLength = xform1 c_th1f_setbinslength
  setBuffer = xform2 c_th1f_setbuffer
  setCellContent = xform3 c_th1f_setcellcontent
  setContent = xform1 c_th1f_setcontent
  setContour = xform2 c_th1f_setcontour
  setContourLevel = xform2 c_th1f_setcontourlevel
  setDirectory = xform1 c_th1f_setdirectory
  setEntries = xform1 c_th1f_setentries
  setError = xform1 c_th1f_seterror
  setLabelColorA = xform2 c_th1f_setlabelcolora
  setLabelSizeA = xform2 c_th1f_setlabelsizea
  setLabelFontA = xform2 c_th1f_setlabelfonta
  setLabelOffsetA = xform2 c_th1f_setlabeloffseta
  setMaximum = xform1 c_th1f_setmaximum
  setMinimum = xform1 c_th1f_setminimum
  setNormFactor = xform1 c_th1f_setnormfactor
  setStats = xform1 c_th1f_setstats
  setOption = xform1 c_th1f_setoption
  setXTitle = xform1 c_th1f_setxtitle
  setYTitle = xform1 c_th1f_setytitle
  setZTitle = xform1 c_th1f_setztitle
  showBackground = xform2 c_th1f_showbackground
  showPeaks = xform3 c_th1f_showpeaks
  smooth = xform2 c_th1f_smooth
  sumw2 = xform0 c_th1f_sumw2

instance ITH1 TH1D where
  add = xform2 c_th1d_add
  addBinContent = xform2 c_th1d_addbincontent
  chi2Test = xform3 c_th1d_chi2test
  computeIntegral = xform0 c_th1d_computeintegral
  directoryAutoAdd = xform1 c_th1d_directoryautoadd
  divide = xform5 c_th1d_divide
  drawCopyTH1 = xform1 c_th1d_drawcopyth1
  drawNormalized = xform2 c_th1d_drawnormalized
  drawPanelTH1 = xform0 c_th1d_drawpanelth1
  bufferEmpty = xform1 c_th1d_bufferempty
  evalF = xform2 c_th1d_evalf
  fFT = xform2 c_th1d_fft
  fill1 = xform1 c_th1d_fill1
  fill1w = xform2 c_th1d_fill1w
  fillN1 = xform4 c_th1d_filln1
  fillRandom = xform2 c_th1d_fillrandom
  findBin = xform3 c_th1d_findbin
  findFixBin = xform3 c_th1d_findfixbin
  findFirstBinAbove = xform2 c_th1d_findfirstbinabove
  findLastBinAbove = xform2 c_th1d_findlastbinabove
  fitPanelTH1 = xform0 c_th1d_fitpanelth1
  getNdivisionA = xform1 c_th1d_getndivisiona
  getAxisColorA = xform1 c_th1d_getaxiscolora
  getLabelColorA = xform1 c_th1d_getlabelcolora
  getLabelFontA = xform1 c_th1d_getlabelfonta
  getLabelOffsetA = xform1 c_th1d_getlabeloffseta
  getLabelSizeA = xform1 c_th1d_getlabelsizea
  getTitleFontA = xform1 c_th1d_gettitlefonta
  getTitleOffsetA = xform1 c_th1d_gettitleoffseta
  getTitleSizeA = xform1 c_th1d_gettitlesizea
  getTickLengthA = xform1 c_th1d_getticklengtha
  getBarOffset = xform0 c_th1d_getbaroffset
  getBarWidth = xform0 c_th1d_getbarwidth
  getContour = xform1 c_th1d_getcontour
  getContourLevel = xform1 c_th1d_getcontourlevel
  getContourLevelPad = xform1 c_th1d_getcontourlevelpad
  getBin = xform3 c_th1d_getbin
  getBinCenter = xform1 c_th1d_getbincenter
  getBinContent1 = xform1 c_th1d_getbincontent1
  getBinContent2 = xform2 c_th1d_getbincontent2
  getBinContent3 = xform3 c_th1d_getbincontent3
  getBinError1 = xform1 c_th1d_getbinerror1
  getBinError2 = xform2 c_th1d_getbinerror2
  getBinError3 = xform3 c_th1d_getbinerror3
  getBinLowEdge = xform1 c_th1d_getbinlowedge
  getBinWidth = xform1 c_th1d_getbinwidth
  getCellContent = xform2 c_th1d_getcellcontent
  getCellError = xform2 c_th1d_getcellerror
  getEntries = xform0 c_th1d_getentries
  getEffectiveEntries = xform0 c_th1d_geteffectiveentries
  getFunction = xform1 c_th1d_getfunction
  getDimension = xform0 c_th1d_getdimension
  getKurtosis = xform1 c_th1d_getkurtosis
  getLowEdge = xform1 c_th1d_getlowedge
  getMaximumTH1 = xform1 c_th1d_getmaximumth1
  getMaximumBin = xform0 c_th1d_getmaximumbin
  getMaximumStored = xform0 c_th1d_getmaximumstored
  getMinimumTH1 = xform1 c_th1d_getminimumth1
  getMinimumBin = xform0 c_th1d_getminimumbin
  getMinimumStored = xform0 c_th1d_getminimumstored
  getMean = xform1 c_th1d_getmean
  getMeanError = xform1 c_th1d_getmeanerror
  getNbinsX = xform0 c_th1d_getnbinsx
  getNbinsY = xform0 c_th1d_getnbinsy
  getNbinsZ = xform0 c_th1d_getnbinsz
  getQuantilesTH1 = xform3 c_th1d_getquantilesth1
  getRandom = xform0 c_th1d_getrandom
  getStats = xform1 c_th1d_getstats
  getSumOfWeights = xform0 c_th1d_getsumofweights
  getSumw2 = xform0 c_th1d_getsumw2
  getSumw2N = xform0 c_th1d_getsumw2n
  getRMS = xform1 c_th1d_getrms
  getRMSError = xform1 c_th1d_getrmserror
  getSkewness = xform1 c_th1d_getskewness
  integral1 = xform3 c_th1d_integral1
  interpolate1 = xform1 c_th1d_interpolate1
  interpolate2 = xform2 c_th1d_interpolate2
  interpolate3 = xform3 c_th1d_interpolate3
  kolmogorovTest = xform2 c_th1d_kolmogorovtest
  labelsDeflate = xform1 c_th1d_labelsdeflate
  labelsInflate = xform1 c_th1d_labelsinflate
  labelsOption = xform2 c_th1d_labelsoption
  multiflyF = xform2 c_th1d_multiflyf
  multiply = xform5 c_th1d_multiply
  putStats = xform1 c_th1d_putstats
  rebin = xform3 c_th1d_rebin
  rebinAxis = xform2 c_th1d_rebinaxis
  rebuild = xform1 c_th1d_rebuild
  reset = xform1 c_th1d_reset
  resetStats = xform0 c_th1d_resetstats
  scale = xform2 c_th1d_scale
  setAxisColorA = xform2 c_th1d_setaxiscolora
  setAxisRange = xform3 c_th1d_setaxisrange
  setBarOffset = xform1 c_th1d_setbaroffset
  setBarWidth = xform1 c_th1d_setbarwidth
  setBinContent1 = xform2 c_th1d_setbincontent1
  setBinContent2 = xform3 c_th1d_setbincontent2
  setBinContent3 = xform4 c_th1d_setbincontent3
  setBinError1 = xform2 c_th1d_setbinerror1
  setBinError2 = xform3 c_th1d_setbinerror2
  setBinError3 = xform4 c_th1d_setbinerror3
  setBins1 = xform2 c_th1d_setbins1
  setBins2 = xform4 c_th1d_setbins2
  setBins3 = xform6 c_th1d_setbins3
  setBinsLength = xform1 c_th1d_setbinslength
  setBuffer = xform2 c_th1d_setbuffer
  setCellContent = xform3 c_th1d_setcellcontent
  setContent = xform1 c_th1d_setcontent
  setContour = xform2 c_th1d_setcontour
  setContourLevel = xform2 c_th1d_setcontourlevel
  setDirectory = xform1 c_th1d_setdirectory
  setEntries = xform1 c_th1d_setentries
  setError = xform1 c_th1d_seterror
  setLabelColorA = xform2 c_th1d_setlabelcolora
  setLabelSizeA = xform2 c_th1d_setlabelsizea
  setLabelFontA = xform2 c_th1d_setlabelfonta
  setLabelOffsetA = xform2 c_th1d_setlabeloffseta
  setMaximum = xform1 c_th1d_setmaximum
  setMinimum = xform1 c_th1d_setminimum
  setNormFactor = xform1 c_th1d_setnormfactor
  setStats = xform1 c_th1d_setstats
  setOption = xform1 c_th1d_setoption
  setXTitle = xform1 c_th1d_setxtitle
  setYTitle = xform1 c_th1d_setytitle
  setZTitle = xform1 c_th1d_setztitle
  showBackground = xform2 c_th1d_showbackground
  showPeaks = xform3 c_th1d_showpeaks
  smooth = xform2 c_th1d_smooth
  sumw2 = xform0 c_th1d_sumw2

instance ITH1 TH1C where
  add = xform2 c_th1c_add
  addBinContent = xform2 c_th1c_addbincontent
  chi2Test = xform3 c_th1c_chi2test
  computeIntegral = xform0 c_th1c_computeintegral
  directoryAutoAdd = xform1 c_th1c_directoryautoadd
  divide = xform5 c_th1c_divide
  drawCopyTH1 = xform1 c_th1c_drawcopyth1
  drawNormalized = xform2 c_th1c_drawnormalized
  drawPanelTH1 = xform0 c_th1c_drawpanelth1
  bufferEmpty = xform1 c_th1c_bufferempty
  evalF = xform2 c_th1c_evalf
  fFT = xform2 c_th1c_fft
  fill1 = xform1 c_th1c_fill1
  fill1w = xform2 c_th1c_fill1w
  fillN1 = xform4 c_th1c_filln1
  fillRandom = xform2 c_th1c_fillrandom
  findBin = xform3 c_th1c_findbin
  findFixBin = xform3 c_th1c_findfixbin
  findFirstBinAbove = xform2 c_th1c_findfirstbinabove
  findLastBinAbove = xform2 c_th1c_findlastbinabove
  fitPanelTH1 = xform0 c_th1c_fitpanelth1
  getNdivisionA = xform1 c_th1c_getndivisiona
  getAxisColorA = xform1 c_th1c_getaxiscolora
  getLabelColorA = xform1 c_th1c_getlabelcolora
  getLabelFontA = xform1 c_th1c_getlabelfonta
  getLabelOffsetA = xform1 c_th1c_getlabeloffseta
  getLabelSizeA = xform1 c_th1c_getlabelsizea
  getTitleFontA = xform1 c_th1c_gettitlefonta
  getTitleOffsetA = xform1 c_th1c_gettitleoffseta
  getTitleSizeA = xform1 c_th1c_gettitlesizea
  getTickLengthA = xform1 c_th1c_getticklengtha
  getBarOffset = xform0 c_th1c_getbaroffset
  getBarWidth = xform0 c_th1c_getbarwidth
  getContour = xform1 c_th1c_getcontour
  getContourLevel = xform1 c_th1c_getcontourlevel
  getContourLevelPad = xform1 c_th1c_getcontourlevelpad
  getBin = xform3 c_th1c_getbin
  getBinCenter = xform1 c_th1c_getbincenter
  getBinContent1 = xform1 c_th1c_getbincontent1
  getBinContent2 = xform2 c_th1c_getbincontent2
  getBinContent3 = xform3 c_th1c_getbincontent3
  getBinError1 = xform1 c_th1c_getbinerror1
  getBinError2 = xform2 c_th1c_getbinerror2
  getBinError3 = xform3 c_th1c_getbinerror3
  getBinLowEdge = xform1 c_th1c_getbinlowedge
  getBinWidth = xform1 c_th1c_getbinwidth
  getCellContent = xform2 c_th1c_getcellcontent
  getCellError = xform2 c_th1c_getcellerror
  getEntries = xform0 c_th1c_getentries
  getEffectiveEntries = xform0 c_th1c_geteffectiveentries
  getFunction = xform1 c_th1c_getfunction
  getDimension = xform0 c_th1c_getdimension
  getKurtosis = xform1 c_th1c_getkurtosis
  getLowEdge = xform1 c_th1c_getlowedge
  getMaximumTH1 = xform1 c_th1c_getmaximumth1
  getMaximumBin = xform0 c_th1c_getmaximumbin
  getMaximumStored = xform0 c_th1c_getmaximumstored
  getMinimumTH1 = xform1 c_th1c_getminimumth1
  getMinimumBin = xform0 c_th1c_getminimumbin
  getMinimumStored = xform0 c_th1c_getminimumstored
  getMean = xform1 c_th1c_getmean
  getMeanError = xform1 c_th1c_getmeanerror
  getNbinsX = xform0 c_th1c_getnbinsx
  getNbinsY = xform0 c_th1c_getnbinsy
  getNbinsZ = xform0 c_th1c_getnbinsz
  getQuantilesTH1 = xform3 c_th1c_getquantilesth1
  getRandom = xform0 c_th1c_getrandom
  getStats = xform1 c_th1c_getstats
  getSumOfWeights = xform0 c_th1c_getsumofweights
  getSumw2 = xform0 c_th1c_getsumw2
  getSumw2N = xform0 c_th1c_getsumw2n
  getRMS = xform1 c_th1c_getrms
  getRMSError = xform1 c_th1c_getrmserror
  getSkewness = xform1 c_th1c_getskewness
  integral1 = xform3 c_th1c_integral1
  interpolate1 = xform1 c_th1c_interpolate1
  interpolate2 = xform2 c_th1c_interpolate2
  interpolate3 = xform3 c_th1c_interpolate3
  kolmogorovTest = xform2 c_th1c_kolmogorovtest
  labelsDeflate = xform1 c_th1c_labelsdeflate
  labelsInflate = xform1 c_th1c_labelsinflate
  labelsOption = xform2 c_th1c_labelsoption
  multiflyF = xform2 c_th1c_multiflyf
  multiply = xform5 c_th1c_multiply
  putStats = xform1 c_th1c_putstats
  rebin = xform3 c_th1c_rebin
  rebinAxis = xform2 c_th1c_rebinaxis
  rebuild = xform1 c_th1c_rebuild
  reset = xform1 c_th1c_reset
  resetStats = xform0 c_th1c_resetstats
  scale = xform2 c_th1c_scale
  setAxisColorA = xform2 c_th1c_setaxiscolora
  setAxisRange = xform3 c_th1c_setaxisrange
  setBarOffset = xform1 c_th1c_setbaroffset
  setBarWidth = xform1 c_th1c_setbarwidth
  setBinContent1 = xform2 c_th1c_setbincontent1
  setBinContent2 = xform3 c_th1c_setbincontent2
  setBinContent3 = xform4 c_th1c_setbincontent3
  setBinError1 = xform2 c_th1c_setbinerror1
  setBinError2 = xform3 c_th1c_setbinerror2
  setBinError3 = xform4 c_th1c_setbinerror3
  setBins1 = xform2 c_th1c_setbins1
  setBins2 = xform4 c_th1c_setbins2
  setBins3 = xform6 c_th1c_setbins3
  setBinsLength = xform1 c_th1c_setbinslength
  setBuffer = xform2 c_th1c_setbuffer
  setCellContent = xform3 c_th1c_setcellcontent
  setContent = xform1 c_th1c_setcontent
  setContour = xform2 c_th1c_setcontour
  setContourLevel = xform2 c_th1c_setcontourlevel
  setDirectory = xform1 c_th1c_setdirectory
  setEntries = xform1 c_th1c_setentries
  setError = xform1 c_th1c_seterror
  setLabelColorA = xform2 c_th1c_setlabelcolora
  setLabelSizeA = xform2 c_th1c_setlabelsizea
  setLabelFontA = xform2 c_th1c_setlabelfonta
  setLabelOffsetA = xform2 c_th1c_setlabeloffseta
  setMaximum = xform1 c_th1c_setmaximum
  setMinimum = xform1 c_th1c_setminimum
  setNormFactor = xform1 c_th1c_setnormfactor
  setStats = xform1 c_th1c_setstats
  setOption = xform1 c_th1c_setoption
  setXTitle = xform1 c_th1c_setxtitle
  setYTitle = xform1 c_th1c_setytitle
  setZTitle = xform1 c_th1c_setztitle
  showBackground = xform2 c_th1c_showbackground
  showPeaks = xform3 c_th1c_showpeaks
  smooth = xform2 c_th1c_smooth
  sumw2 = xform0 c_th1c_sumw2

instance ITH1 TH3 where
  add = xform2 c_th3_add
  addBinContent = xform2 c_th3_addbincontent
  chi2Test = xform3 c_th3_chi2test
  computeIntegral = xform0 c_th3_computeintegral
  directoryAutoAdd = xform1 c_th3_directoryautoadd
  divide = xform5 c_th3_divide
  drawCopyTH1 = xform1 c_th3_drawcopyth1
  drawNormalized = xform2 c_th3_drawnormalized
  drawPanelTH1 = xform0 c_th3_drawpanelth1
  bufferEmpty = xform1 c_th3_bufferempty
  evalF = xform2 c_th3_evalf
  fFT = xform2 c_th3_fft
  fill1 = xform1 c_th3_fill1
  fill1w = xform2 c_th3_fill1w
  fillN1 = xform4 c_th3_filln1
  fillRandom = xform2 c_th3_fillrandom
  findBin = xform3 c_th3_findbin
  findFixBin = xform3 c_th3_findfixbin
  findFirstBinAbove = xform2 c_th3_findfirstbinabove
  findLastBinAbove = xform2 c_th3_findlastbinabove
  fitPanelTH1 = xform0 c_th3_fitpanelth1
  getNdivisionA = xform1 c_th3_getndivisiona
  getAxisColorA = xform1 c_th3_getaxiscolora
  getLabelColorA = xform1 c_th3_getlabelcolora
  getLabelFontA = xform1 c_th3_getlabelfonta
  getLabelOffsetA = xform1 c_th3_getlabeloffseta
  getLabelSizeA = xform1 c_th3_getlabelsizea
  getTitleFontA = xform1 c_th3_gettitlefonta
  getTitleOffsetA = xform1 c_th3_gettitleoffseta
  getTitleSizeA = xform1 c_th3_gettitlesizea
  getTickLengthA = xform1 c_th3_getticklengtha
  getBarOffset = xform0 c_th3_getbaroffset
  getBarWidth = xform0 c_th3_getbarwidth
  getContour = xform1 c_th3_getcontour
  getContourLevel = xform1 c_th3_getcontourlevel
  getContourLevelPad = xform1 c_th3_getcontourlevelpad
  getBin = xform3 c_th3_getbin
  getBinCenter = xform1 c_th3_getbincenter
  getBinContent1 = xform1 c_th3_getbincontent1
  getBinContent2 = xform2 c_th3_getbincontent2
  getBinContent3 = xform3 c_th3_getbincontent3
  getBinError1 = xform1 c_th3_getbinerror1
  getBinError2 = xform2 c_th3_getbinerror2
  getBinError3 = xform3 c_th3_getbinerror3
  getBinLowEdge = xform1 c_th3_getbinlowedge
  getBinWidth = xform1 c_th3_getbinwidth
  getCellContent = xform2 c_th3_getcellcontent
  getCellError = xform2 c_th3_getcellerror
  getEntries = xform0 c_th3_getentries
  getEffectiveEntries = xform0 c_th3_geteffectiveentries
  getFunction = xform1 c_th3_getfunction
  getDimension = xform0 c_th3_getdimension
  getKurtosis = xform1 c_th3_getkurtosis
  getLowEdge = xform1 c_th3_getlowedge
  getMaximumTH1 = xform1 c_th3_getmaximumth1
  getMaximumBin = xform0 c_th3_getmaximumbin
  getMaximumStored = xform0 c_th3_getmaximumstored
  getMinimumTH1 = xform1 c_th3_getminimumth1
  getMinimumBin = xform0 c_th3_getminimumbin
  getMinimumStored = xform0 c_th3_getminimumstored
  getMean = xform1 c_th3_getmean
  getMeanError = xform1 c_th3_getmeanerror
  getNbinsX = xform0 c_th3_getnbinsx
  getNbinsY = xform0 c_th3_getnbinsy
  getNbinsZ = xform0 c_th3_getnbinsz
  getQuantilesTH1 = xform3 c_th3_getquantilesth1
  getRandom = xform0 c_th3_getrandom
  getStats = xform1 c_th3_getstats
  getSumOfWeights = xform0 c_th3_getsumofweights
  getSumw2 = xform0 c_th3_getsumw2
  getSumw2N = xform0 c_th3_getsumw2n
  getRMS = xform1 c_th3_getrms
  getRMSError = xform1 c_th3_getrmserror
  getSkewness = xform1 c_th3_getskewness
  integral1 = xform3 c_th3_integral1
  interpolate1 = xform1 c_th3_interpolate1
  interpolate2 = xform2 c_th3_interpolate2
  interpolate3 = xform3 c_th3_interpolate3
  kolmogorovTest = xform2 c_th3_kolmogorovtest
  labelsDeflate = xform1 c_th3_labelsdeflate
  labelsInflate = xform1 c_th3_labelsinflate
  labelsOption = xform2 c_th3_labelsoption
  multiflyF = xform2 c_th3_multiflyf
  multiply = xform5 c_th3_multiply
  putStats = xform1 c_th3_putstats
  rebin = xform3 c_th3_rebin
  rebinAxis = xform2 c_th3_rebinaxis
  rebuild = xform1 c_th3_rebuild
  reset = xform1 c_th3_reset
  resetStats = xform0 c_th3_resetstats
  scale = xform2 c_th3_scale
  setAxisColorA = xform2 c_th3_setaxiscolora
  setAxisRange = xform3 c_th3_setaxisrange
  setBarOffset = xform1 c_th3_setbaroffset
  setBarWidth = xform1 c_th3_setbarwidth
  setBinContent1 = xform2 c_th3_setbincontent1
  setBinContent2 = xform3 c_th3_setbincontent2
  setBinContent3 = xform4 c_th3_setbincontent3
  setBinError1 = xform2 c_th3_setbinerror1
  setBinError2 = xform3 c_th3_setbinerror2
  setBinError3 = xform4 c_th3_setbinerror3
  setBins1 = xform2 c_th3_setbins1
  setBins2 = xform4 c_th3_setbins2
  setBins3 = xform6 c_th3_setbins3
  setBinsLength = xform1 c_th3_setbinslength
  setBuffer = xform2 c_th3_setbuffer
  setCellContent = xform3 c_th3_setcellcontent
  setContent = xform1 c_th3_setcontent
  setContour = xform2 c_th3_setcontour
  setContourLevel = xform2 c_th3_setcontourlevel
  setDirectory = xform1 c_th3_setdirectory
  setEntries = xform1 c_th3_setentries
  setError = xform1 c_th3_seterror
  setLabelColorA = xform2 c_th3_setlabelcolora
  setLabelSizeA = xform2 c_th3_setlabelsizea
  setLabelFontA = xform2 c_th3_setlabelfonta
  setLabelOffsetA = xform2 c_th3_setlabeloffseta
  setMaximum = xform1 c_th3_setmaximum
  setMinimum = xform1 c_th3_setminimum
  setNormFactor = xform1 c_th3_setnormfactor
  setStats = xform1 c_th3_setstats
  setOption = xform1 c_th3_setoption
  setXTitle = xform1 c_th3_setxtitle
  setYTitle = xform1 c_th3_setytitle
  setZTitle = xform1 c_th3_setztitle
  showBackground = xform2 c_th3_showbackground
  showPeaks = xform3 c_th3_showpeaks
  smooth = xform2 c_th3_smooth
  sumw2 = xform0 c_th3_sumw2

instance ITH1 TH2 where
  add = xform2 c_th2_add
  addBinContent = xform2 c_th2_addbincontent
  chi2Test = xform3 c_th2_chi2test
  computeIntegral = xform0 c_th2_computeintegral
  directoryAutoAdd = xform1 c_th2_directoryautoadd
  divide = xform5 c_th2_divide
  drawCopyTH1 = xform1 c_th2_drawcopyth1
  drawNormalized = xform2 c_th2_drawnormalized
  drawPanelTH1 = xform0 c_th2_drawpanelth1
  bufferEmpty = xform1 c_th2_bufferempty
  evalF = xform2 c_th2_evalf
  fFT = xform2 c_th2_fft
  fill1 = xform1 c_th2_fill1
  fill1w = xform2 c_th2_fill1w
  fillN1 = xform4 c_th2_filln1
  fillRandom = xform2 c_th2_fillrandom
  findBin = xform3 c_th2_findbin
  findFixBin = xform3 c_th2_findfixbin
  findFirstBinAbove = xform2 c_th2_findfirstbinabove
  findLastBinAbove = xform2 c_th2_findlastbinabove
  fitPanelTH1 = xform0 c_th2_fitpanelth1
  getNdivisionA = xform1 c_th2_getndivisiona
  getAxisColorA = xform1 c_th2_getaxiscolora
  getLabelColorA = xform1 c_th2_getlabelcolora
  getLabelFontA = xform1 c_th2_getlabelfonta
  getLabelOffsetA = xform1 c_th2_getlabeloffseta
  getLabelSizeA = xform1 c_th2_getlabelsizea
  getTitleFontA = xform1 c_th2_gettitlefonta
  getTitleOffsetA = xform1 c_th2_gettitleoffseta
  getTitleSizeA = xform1 c_th2_gettitlesizea
  getTickLengthA = xform1 c_th2_getticklengtha
  getBarOffset = xform0 c_th2_getbaroffset
  getBarWidth = xform0 c_th2_getbarwidth
  getContour = xform1 c_th2_getcontour
  getContourLevel = xform1 c_th2_getcontourlevel
  getContourLevelPad = xform1 c_th2_getcontourlevelpad
  getBin = xform3 c_th2_getbin
  getBinCenter = xform1 c_th2_getbincenter
  getBinContent1 = xform1 c_th2_getbincontent1
  getBinContent2 = xform2 c_th2_getbincontent2
  getBinContent3 = xform3 c_th2_getbincontent3
  getBinError1 = xform1 c_th2_getbinerror1
  getBinError2 = xform2 c_th2_getbinerror2
  getBinError3 = xform3 c_th2_getbinerror3
  getBinLowEdge = xform1 c_th2_getbinlowedge
  getBinWidth = xform1 c_th2_getbinwidth
  getCellContent = xform2 c_th2_getcellcontent
  getCellError = xform2 c_th2_getcellerror
  getEntries = xform0 c_th2_getentries
  getEffectiveEntries = xform0 c_th2_geteffectiveentries
  getFunction = xform1 c_th2_getfunction
  getDimension = xform0 c_th2_getdimension
  getKurtosis = xform1 c_th2_getkurtosis
  getLowEdge = xform1 c_th2_getlowedge
  getMaximumTH1 = xform1 c_th2_getmaximumth1
  getMaximumBin = xform0 c_th2_getmaximumbin
  getMaximumStored = xform0 c_th2_getmaximumstored
  getMinimumTH1 = xform1 c_th2_getminimumth1
  getMinimumBin = xform0 c_th2_getminimumbin
  getMinimumStored = xform0 c_th2_getminimumstored
  getMean = xform1 c_th2_getmean
  getMeanError = xform1 c_th2_getmeanerror
  getNbinsX = xform0 c_th2_getnbinsx
  getNbinsY = xform0 c_th2_getnbinsy
  getNbinsZ = xform0 c_th2_getnbinsz
  getQuantilesTH1 = xform3 c_th2_getquantilesth1
  getRandom = xform0 c_th2_getrandom
  getStats = xform1 c_th2_getstats
  getSumOfWeights = xform0 c_th2_getsumofweights
  getSumw2 = xform0 c_th2_getsumw2
  getSumw2N = xform0 c_th2_getsumw2n
  getRMS = xform1 c_th2_getrms
  getRMSError = xform1 c_th2_getrmserror
  getSkewness = xform1 c_th2_getskewness
  integral1 = xform3 c_th2_integral1
  interpolate1 = xform1 c_th2_interpolate1
  interpolate2 = xform2 c_th2_interpolate2
  interpolate3 = xform3 c_th2_interpolate3
  kolmogorovTest = xform2 c_th2_kolmogorovtest
  labelsDeflate = xform1 c_th2_labelsdeflate
  labelsInflate = xform1 c_th2_labelsinflate
  labelsOption = xform2 c_th2_labelsoption
  multiflyF = xform2 c_th2_multiflyf
  multiply = xform5 c_th2_multiply
  putStats = xform1 c_th2_putstats
  rebin = xform3 c_th2_rebin
  rebinAxis = xform2 c_th2_rebinaxis
  rebuild = xform1 c_th2_rebuild
  reset = xform1 c_th2_reset
  resetStats = xform0 c_th2_resetstats
  scale = xform2 c_th2_scale
  setAxisColorA = xform2 c_th2_setaxiscolora
  setAxisRange = xform3 c_th2_setaxisrange
  setBarOffset = xform1 c_th2_setbaroffset
  setBarWidth = xform1 c_th2_setbarwidth
  setBinContent1 = xform2 c_th2_setbincontent1
  setBinContent2 = xform3 c_th2_setbincontent2
  setBinContent3 = xform4 c_th2_setbincontent3
  setBinError1 = xform2 c_th2_setbinerror1
  setBinError2 = xform3 c_th2_setbinerror2
  setBinError3 = xform4 c_th2_setbinerror3
  setBins1 = xform2 c_th2_setbins1
  setBins2 = xform4 c_th2_setbins2
  setBins3 = xform6 c_th2_setbins3
  setBinsLength = xform1 c_th2_setbinslength
  setBuffer = xform2 c_th2_setbuffer
  setCellContent = xform3 c_th2_setcellcontent
  setContent = xform1 c_th2_setcontent
  setContour = xform2 c_th2_setcontour
  setContourLevel = xform2 c_th2_setcontourlevel
  setDirectory = xform1 c_th2_setdirectory
  setEntries = xform1 c_th2_setentries
  setError = xform1 c_th2_seterror
  setLabelColorA = xform2 c_th2_setlabelcolora
  setLabelSizeA = xform2 c_th2_setlabelsizea
  setLabelFontA = xform2 c_th2_setlabelfonta
  setLabelOffsetA = xform2 c_th2_setlabeloffseta
  setMaximum = xform1 c_th2_setmaximum
  setMinimum = xform1 c_th2_setminimum
  setNormFactor = xform1 c_th2_setnormfactor
  setStats = xform1 c_th2_setstats
  setOption = xform1 c_th2_setoption
  setXTitle = xform1 c_th2_setxtitle
  setYTitle = xform1 c_th2_setytitle
  setZTitle = xform1 c_th2_setztitle
  showBackground = xform2 c_th2_showbackground
  showPeaks = xform3 c_th2_showpeaks
  smooth = xform2 c_th2_smooth
  sumw2 = xform0 c_th2_sumw2

instance ITH2 TH2S where
  fill2 = xform2 c_th2s_fill2
  fill2w = xform3 c_th2s_fill2w
  fillN2 = xform5 c_th2s_filln2
  fillRandom2 = xform2 c_th2s_fillrandom2
  findFirstBinAbove2 = xform2 c_th2s_findfirstbinabove2
  findLastBinAbove2 = xform2 c_th2s_findlastbinabove2
  fitSlicesX = xform6 c_th2s_fitslicesx
  fitSlicesY = xform6 c_th2s_fitslicesy
  getCorrelationFactor2 = xform2 c_th2s_getcorrelationfactor2
  getCovariance2 = xform2 c_th2s_getcovariance2
  integral2 = xform5 c_th2s_integral2
  rebinX2 = xform2 c_th2s_rebinx2
  rebinY2 = xform2 c_th2s_rebiny2
  rebin2D = xform3 c_th2s_rebin2d
  setShowProjectionX = xform1 c_th2s_setshowprojectionx
  setShowProjectionY = xform1 c_th2s_setshowprojectiony

instance ITH2 TH2Poly where
  fill2 = xform2 c_th2poly_fill2
  fill2w = xform3 c_th2poly_fill2w
  fillN2 = xform5 c_th2poly_filln2
  fillRandom2 = xform2 c_th2poly_fillrandom2
  findFirstBinAbove2 = xform2 c_th2poly_findfirstbinabove2
  findLastBinAbove2 = xform2 c_th2poly_findlastbinabove2
  fitSlicesX = xform6 c_th2poly_fitslicesx
  fitSlicesY = xform6 c_th2poly_fitslicesy
  getCorrelationFactor2 = xform2 c_th2poly_getcorrelationfactor2
  getCovariance2 = xform2 c_th2poly_getcovariance2
  integral2 = xform5 c_th2poly_integral2
  rebinX2 = xform2 c_th2poly_rebinx2
  rebinY2 = xform2 c_th2poly_rebiny2
  rebin2D = xform3 c_th2poly_rebin2d
  setShowProjectionX = xform1 c_th2poly_setshowprojectionx
  setShowProjectionY = xform1 c_th2poly_setshowprojectiony

instance ITH2 TH2I where
  fill2 = xform2 c_th2i_fill2
  fill2w = xform3 c_th2i_fill2w
  fillN2 = xform5 c_th2i_filln2
  fillRandom2 = xform2 c_th2i_fillrandom2
  findFirstBinAbove2 = xform2 c_th2i_findfirstbinabove2
  findLastBinAbove2 = xform2 c_th2i_findlastbinabove2
  fitSlicesX = xform6 c_th2i_fitslicesx
  fitSlicesY = xform6 c_th2i_fitslicesy
  getCorrelationFactor2 = xform2 c_th2i_getcorrelationfactor2
  getCovariance2 = xform2 c_th2i_getcovariance2
  integral2 = xform5 c_th2i_integral2
  rebinX2 = xform2 c_th2i_rebinx2
  rebinY2 = xform2 c_th2i_rebiny2
  rebin2D = xform3 c_th2i_rebin2d
  setShowProjectionX = xform1 c_th2i_setshowprojectionx
  setShowProjectionY = xform1 c_th2i_setshowprojectiony

instance ITH2 TH2F where
  fill2 = xform2 c_th2f_fill2
  fill2w = xform3 c_th2f_fill2w
  fillN2 = xform5 c_th2f_filln2
  fillRandom2 = xform2 c_th2f_fillrandom2
  findFirstBinAbove2 = xform2 c_th2f_findfirstbinabove2
  findLastBinAbove2 = xform2 c_th2f_findlastbinabove2
  fitSlicesX = xform6 c_th2f_fitslicesx
  fitSlicesY = xform6 c_th2f_fitslicesy
  getCorrelationFactor2 = xform2 c_th2f_getcorrelationfactor2
  getCovariance2 = xform2 c_th2f_getcovariance2
  integral2 = xform5 c_th2f_integral2
  rebinX2 = xform2 c_th2f_rebinx2
  rebinY2 = xform2 c_th2f_rebiny2
  rebin2D = xform3 c_th2f_rebin2d
  setShowProjectionX = xform1 c_th2f_setshowprojectionx
  setShowProjectionY = xform1 c_th2f_setshowprojectiony

instance ITH2 TH2D where
  fill2 = xform2 c_th2d_fill2
  fill2w = xform3 c_th2d_fill2w
  fillN2 = xform5 c_th2d_filln2
  fillRandom2 = xform2 c_th2d_fillrandom2
  findFirstBinAbove2 = xform2 c_th2d_findfirstbinabove2
  findLastBinAbove2 = xform2 c_th2d_findlastbinabove2
  fitSlicesX = xform6 c_th2d_fitslicesx
  fitSlicesY = xform6 c_th2d_fitslicesy
  getCorrelationFactor2 = xform2 c_th2d_getcorrelationfactor2
  getCovariance2 = xform2 c_th2d_getcovariance2
  integral2 = xform5 c_th2d_integral2
  rebinX2 = xform2 c_th2d_rebinx2
  rebinY2 = xform2 c_th2d_rebiny2
  rebin2D = xform3 c_th2d_rebin2d
  setShowProjectionX = xform1 c_th2d_setshowprojectionx
  setShowProjectionY = xform1 c_th2d_setshowprojectiony

instance ITH2 TH2C where
  fill2 = xform2 c_th2c_fill2
  fill2w = xform3 c_th2c_fill2w
  fillN2 = xform5 c_th2c_filln2
  fillRandom2 = xform2 c_th2c_fillrandom2
  findFirstBinAbove2 = xform2 c_th2c_findfirstbinabove2
  findLastBinAbove2 = xform2 c_th2c_findlastbinabove2
  fitSlicesX = xform6 c_th2c_fitslicesx
  fitSlicesY = xform6 c_th2c_fitslicesy
  getCorrelationFactor2 = xform2 c_th2c_getcorrelationfactor2
  getCovariance2 = xform2 c_th2c_getcovariance2
  integral2 = xform5 c_th2c_integral2
  rebinX2 = xform2 c_th2c_rebinx2
  rebinY2 = xform2 c_th2c_rebiny2
  rebin2D = xform3 c_th2c_rebin2d
  setShowProjectionX = xform1 c_th2c_setshowprojectionx
  setShowProjectionY = xform1 c_th2c_setshowprojectiony

instance ITH3 TH3S where
  fill3 = xform3 c_th3s_fill3
  fill3w = xform4 c_th3s_fill3w
  fitSlicesZ = xform7 c_th3s_fitslicesz
  getCorrelationFactor3 = xform2 c_th3s_getcorrelationfactor3
  getCovariance3 = xform2 c_th3s_getcovariance3
  rebinX3 = xform2 c_th3s_rebinx3
  rebinY3 = xform2 c_th3s_rebiny3
  rebinZ3 = xform2 c_th3s_rebinz3
  rebin3D = xform4 c_th3s_rebin3d

instance ITH3 TH3I where
  fill3 = xform3 c_th3i_fill3
  fill3w = xform4 c_th3i_fill3w
  fitSlicesZ = xform7 c_th3i_fitslicesz
  getCorrelationFactor3 = xform2 c_th3i_getcorrelationfactor3
  getCovariance3 = xform2 c_th3i_getcovariance3
  rebinX3 = xform2 c_th3i_rebinx3
  rebinY3 = xform2 c_th3i_rebiny3
  rebinZ3 = xform2 c_th3i_rebinz3
  rebin3D = xform4 c_th3i_rebin3d

instance ITH3 TH3F where
  fill3 = xform3 c_th3f_fill3
  fill3w = xform4 c_th3f_fill3w
  fitSlicesZ = xform7 c_th3f_fitslicesz
  getCorrelationFactor3 = xform2 c_th3f_getcorrelationfactor3
  getCovariance3 = xform2 c_th3f_getcovariance3
  rebinX3 = xform2 c_th3f_rebinx3
  rebinY3 = xform2 c_th3f_rebiny3
  rebinZ3 = xform2 c_th3f_rebinz3
  rebin3D = xform4 c_th3f_rebin3d

instance ITH3 TH3D where
  fill3 = xform3 c_th3d_fill3
  fill3w = xform4 c_th3d_fill3w
  fitSlicesZ = xform7 c_th3d_fitslicesz
  getCorrelationFactor3 = xform2 c_th3d_getcorrelationfactor3
  getCovariance3 = xform2 c_th3d_getcovariance3
  rebinX3 = xform2 c_th3d_rebinx3
  rebinY3 = xform2 c_th3d_rebiny3
  rebinZ3 = xform2 c_th3d_rebinz3
  rebin3D = xform4 c_th3d_rebin3d

instance ITH3 TH3C where
  fill3 = xform3 c_th3c_fill3
  fill3w = xform4 c_th3c_fill3w
  fitSlicesZ = xform7 c_th3c_fitslicesz
  getCorrelationFactor3 = xform2 c_th3c_getcorrelationfactor3
  getCovariance3 = xform2 c_th3c_getcovariance3
  rebinX3 = xform2 c_th3c_rebinx3
  rebinY3 = xform2 c_th3c_rebiny3
  rebinZ3 = xform2 c_th3c_rebinz3
  rebin3D = xform4 c_th3c_rebin3d

instance ITLine TGaxis where
  drawLine = xform4 c_tgaxis_drawline
  drawLineNDC = xform4 c_tgaxis_drawlinendc
  paintLine = xform4 c_tgaxis_paintline
  paintLineNDC = xform4 c_tgaxis_paintlinendc
  setX1 = xform1 c_tgaxis_setx1
  setX2 = xform1 c_tgaxis_setx2
  setY1 = xform1 c_tgaxis_sety1
  setY2 = xform1 c_tgaxis_sety2

instance ITLine TArrow where
  drawLine = xform4 c_tarrow_drawline
  drawLineNDC = xform4 c_tarrow_drawlinendc
  paintLine = xform4 c_tarrow_paintline
  paintLineNDC = xform4 c_tarrow_paintlinendc
  setX1 = xform1 c_tarrow_setx1
  setX2 = xform1 c_tarrow_setx2
  setY1 = xform1 c_tarrow_sety1
  setY2 = xform1 c_tarrow_sety2

instance ITNamed TKey where
  setName = xform1 c_tkey_setname
  setNameTitle = xform2 c_tkey_setnametitle
  setTitle = xform1 c_tkey_settitle

instance ITNamed TRandom where
  setName = xform1 c_trandom_setname
  setNameTitle = xform2 c_trandom_setnametitle
  setTitle = xform1 c_trandom_settitle

instance ITNamed TH3S where
  setName = xform1 c_th3s_setname
  setNameTitle = xform2 c_th3s_setnametitle
  setTitle = xform1 c_th3s_settitle

instance ITNamed TH3I where
  setName = xform1 c_th3i_setname
  setNameTitle = xform2 c_th3i_setnametitle
  setTitle = xform1 c_th3i_settitle

instance ITNamed TH3F where
  setName = xform1 c_th3f_setname
  setNameTitle = xform2 c_th3f_setnametitle
  setTitle = xform1 c_th3f_settitle

instance ITNamed TH3D where
  setName = xform1 c_th3d_setname
  setNameTitle = xform2 c_th3d_setnametitle
  setTitle = xform1 c_th3d_settitle

instance ITNamed TH3C where
  setName = xform1 c_th3c_setname
  setNameTitle = xform2 c_th3c_setnametitle
  setTitle = xform1 c_th3c_settitle

instance ITNamed TH2S where
  setName = xform1 c_th2s_setname
  setNameTitle = xform2 c_th2s_setnametitle
  setTitle = xform1 c_th2s_settitle

instance ITNamed TH2Poly where
  setName = xform1 c_th2poly_setname
  setNameTitle = xform2 c_th2poly_setnametitle
  setTitle = xform1 c_th2poly_settitle

instance ITNamed TH2I where
  setName = xform1 c_th2i_setname
  setNameTitle = xform2 c_th2i_setnametitle
  setTitle = xform1 c_th2i_settitle

instance ITNamed TH2F where
  setName = xform1 c_th2f_setname
  setNameTitle = xform2 c_th2f_setnametitle
  setTitle = xform1 c_th2f_settitle

instance ITNamed TH2D where
  setName = xform1 c_th2d_setname
  setNameTitle = xform2 c_th2d_setnametitle
  setTitle = xform1 c_th2d_settitle

instance ITNamed TH2C where
  setName = xform1 c_th2c_setname
  setNameTitle = xform2 c_th2c_setnametitle
  setTitle = xform1 c_th2c_settitle

instance ITNamed TH1S where
  setName = xform1 c_th1s_setname
  setNameTitle = xform2 c_th1s_setnametitle
  setTitle = xform1 c_th1s_settitle

instance ITNamed TH1I where
  setName = xform1 c_th1i_setname
  setNameTitle = xform2 c_th1i_setnametitle
  setTitle = xform1 c_th1i_settitle

instance ITNamed TH1F where
  setName = xform1 c_th1f_setname
  setNameTitle = xform2 c_th1f_setnametitle
  setTitle = xform1 c_th1f_settitle

instance ITNamed TH1D where
  setName = xform1 c_th1d_setname
  setNameTitle = xform2 c_th1d_setnametitle
  setTitle = xform1 c_th1d_settitle

instance ITNamed TH1C where
  setName = xform1 c_th1c_setname
  setNameTitle = xform2 c_th1c_setnametitle
  setTitle = xform1 c_th1c_settitle

instance ITNamed TH3 where
  setName = xform1 c_th3_setname
  setNameTitle = xform2 c_th3_setnametitle
  setTitle = xform1 c_th3_settitle

instance ITNamed TH2 where
  setName = xform1 c_th2_setname
  setNameTitle = xform2 c_th2_setnametitle
  setTitle = xform1 c_th2_settitle

instance ITNamed TH1 where
  setName = xform1 c_th1_setname
  setNameTitle = xform2 c_th1_setnametitle
  setTitle = xform1 c_th1_settitle

instance ITNamed TBranch where
  setName = xform1 c_tbranch_setname
  setNameTitle = xform2 c_tbranch_setnametitle
  setTitle = xform1 c_tbranch_settitle

instance ITNamed TFile where
  setName = xform1 c_tfile_setname
  setNameTitle = xform2 c_tfile_setnametitle
  setTitle = xform1 c_tfile_settitle

instance ITNamed TDirectoryFile where
  setName = xform1 c_tdirectoryfile_setname
  setNameTitle = xform2 c_tdirectoryfile_setnametitle
  setTitle = xform1 c_tdirectoryfile_settitle

instance ITNamed TDirectory where
  setName = xform1 c_tdirectory_setname
  setNameTitle = xform2 c_tdirectory_setnametitle
  setTitle = xform1 c_tdirectory_settitle

instance ITNamed TText where
  setName = xform1 c_ttext_setname
  setNameTitle = xform2 c_ttext_setnametitle
  setTitle = xform1 c_ttext_settitle

instance ITNamed TLatex where
  setName = xform1 c_tlatex_setname
  setNameTitle = xform2 c_tlatex_setnametitle
  setTitle = xform1 c_tlatex_settitle

instance ITNamed TAxis where
  setName = xform1 c_taxis_setname
  setNameTitle = xform2 c_taxis_setnametitle
  setTitle = xform1 c_taxis_settitle

instance ITNamed TEfficiency where
  setName = xform1 c_tefficiency_setname
  setNameTitle = xform2 c_tefficiency_setnametitle
  setTitle = xform1 c_tefficiency_settitle

instance ITNamed TTreeSQL where
  setName = xform1 c_ttreesql_setname
  setNameTitle = xform2 c_ttreesql_setnametitle
  setTitle = xform1 c_ttreesql_settitle

instance ITNamed TNtupleD where
  setName = xform1 c_tntupled_setname
  setNameTitle = xform2 c_tntupled_setnametitle
  setTitle = xform1 c_tntupled_settitle

instance ITNamed TNtuple where
  setName = xform1 c_tntuple_setname
  setNameTitle = xform2 c_tntuple_setnametitle
  setTitle = xform1 c_tntuple_settitle

instance ITNamed TChain where
  setName = xform1 c_tchain_setname
  setNameTitle = xform2 c_tchain_setnametitle
  setTitle = xform1 c_tchain_settitle

instance ITNamed TTree where
  setName = xform1 c_ttree_setname
  setNameTitle = xform2 c_ttree_setnametitle
  setTitle = xform1 c_ttree_settitle

instance ITNamed TXTRU where
  setName = xform1 c_txtru_setname
  setNameTitle = xform2 c_txtru_setnametitle
  setTitle = xform1 c_txtru_settitle

instance ITNamed TSPHE where
  setName = xform1 c_tsphe_setname
  setNameTitle = xform2 c_tsphe_setnametitle
  setTitle = xform1 c_tsphe_settitle

instance ITNamed TPCON where
  setName = xform1 c_tpcon_setname
  setNameTitle = xform2 c_tpcon_setnametitle
  setTitle = xform1 c_tpcon_settitle

instance ITNamed TTUBE where
  setName = xform1 c_ttube_setname
  setNameTitle = xform2 c_ttube_setnametitle
  setTitle = xform1 c_ttube_settitle

instance ITNamed TBRIK where
  setName = xform1 c_tbrik_setname
  setNameTitle = xform2 c_tbrik_setnametitle
  setTitle = xform1 c_tbrik_settitle

instance ITNamed TShape where
  setName = xform1 c_tshape_setname
  setNameTitle = xform2 c_tshape_setnametitle
  setTitle = xform1 c_tshape_settitle

instance ITNamed TGraphQQ where
  setName = xform1 c_tgraphqq_setname
  setNameTitle = xform2 c_tgraphqq_setnametitle
  setTitle = xform1 c_tgraphqq_settitle

instance ITNamed TGraphPolar where
  setName = xform1 c_tgraphpolar_setname
  setNameTitle = xform2 c_tgraphpolar_setnametitle
  setTitle = xform1 c_tgraphpolar_settitle

instance ITNamed TGraphErrors where
  setName = xform1 c_tgrapherrors_setname
  setNameTitle = xform2 c_tgrapherrors_setnametitle
  setTitle = xform1 c_tgrapherrors_settitle

instance ITNamed TGraphBentErrors where
  setName = xform1 c_tgraphbenterrors_setname
  setNameTitle = xform2 c_tgraphbenterrors_setnametitle
  setTitle = xform1 c_tgraphbenterrors_settitle

instance ITNamed TCutG where
  setName = xform1 c_tcutg_setname
  setNameTitle = xform2 c_tcutg_setnametitle
  setTitle = xform1 c_tcutg_settitle

instance ITNamed TGraphAsymmErrors where
  setName = xform1 c_tgraphasymmerrors_setname
  setNameTitle = xform2 c_tgraphasymmerrors_setnametitle
  setTitle = xform1 c_tgraphasymmerrors_settitle

instance ITNamed TGraph where
  setName = xform1 c_tgraph_setname
  setNameTitle = xform2 c_tgraph_setnametitle
  setTitle = xform1 c_tgraph_settitle

instance ITNamed TF1 where
  setName = xform1 c_tf1_setname
  setNameTitle = xform2 c_tf1_setnametitle
  setTitle = xform1 c_tf1_settitle

instance ITNamed THStack where
  setName = xform1 c_thstack_setname
  setNameTitle = xform2 c_thstack_setnametitle
  setTitle = xform1 c_thstack_settitle

instance ITNamed TAttParticle where
  setName = xform1 c_tattparticle_setname
  setNameTitle = xform2 c_tattparticle_setnametitle
  setTitle = xform1 c_tattparticle_settitle

instance ITNamed TFormula where
  setName = xform1 c_tformula_setname
  setNameTitle = xform2 c_tformula_setnametitle
  setTitle = xform1 c_tformula_settitle

instance ITNamed TClass where
  setName = xform1 c_tclass_setname
  setNameTitle = xform2 c_tclass_setnametitle
  setTitle = xform1 c_tclass_settitle





instance ITObject TKey where
  draw = xform1 c_tkey_draw
  findObject = xform1 c_tkey_findobject
  getName = xform0 c_tkey_getname
  isA = xform0 c_tkey_isa
  isFolder = xform0 c_tkey_isfolder
  isEqual = xform1 c_tkey_isequal
  isSortable = xform0 c_tkey_issortable
  paint = xform1 c_tkey_paint
  printObj = xform1 c_tkey_printobj
  recursiveRemove = xform1 c_tkey_recursiveremove
  saveAs = xform2 c_tkey_saveas
  useCurrentStyle = xform0 c_tkey_usecurrentstyle
  write = xform3 c_tkey_write

instance ITObject TList where
  draw = xform1 c_tlist_draw
  findObject = xform1 c_tlist_findobject
  getName = xform0 c_tlist_getname
  isA = xform0 c_tlist_isa
  isFolder = xform0 c_tlist_isfolder
  isEqual = xform1 c_tlist_isequal
  isSortable = xform0 c_tlist_issortable
  paint = xform1 c_tlist_paint
  printObj = xform1 c_tlist_printobj
  recursiveRemove = xform1 c_tlist_recursiveremove
  saveAs = xform2 c_tlist_saveas
  useCurrentStyle = xform0 c_tlist_usecurrentstyle
  write = xform3 c_tlist_write

instance ITObject TObjArray where
  draw = xform1 c_tobjarray_draw
  findObject = xform1 c_tobjarray_findobject
  getName = xform0 c_tobjarray_getname
  isA = xform0 c_tobjarray_isa
  isFolder = xform0 c_tobjarray_isfolder
  isEqual = xform1 c_tobjarray_isequal
  isSortable = xform0 c_tobjarray_issortable
  paint = xform1 c_tobjarray_paint
  printObj = xform1 c_tobjarray_printobj
  recursiveRemove = xform1 c_tobjarray_recursiveremove
  saveAs = xform2 c_tobjarray_saveas
  useCurrentStyle = xform0 c_tobjarray_usecurrentstyle
  write = xform3 c_tobjarray_write

instance ITObject TSeqCollection where
  draw = xform1 c_tseqcollection_draw
  findObject = xform1 c_tseqcollection_findobject
  getName = xform0 c_tseqcollection_getname
  isA = xform0 c_tseqcollection_isa
  isFolder = xform0 c_tseqcollection_isfolder
  isEqual = xform1 c_tseqcollection_isequal
  isSortable = xform0 c_tseqcollection_issortable
  paint = xform1 c_tseqcollection_paint
  printObj = xform1 c_tseqcollection_printobj
  recursiveRemove = xform1 c_tseqcollection_recursiveremove
  saveAs = xform2 c_tseqcollection_saveas
  useCurrentStyle = xform0 c_tseqcollection_usecurrentstyle
  write = xform3 c_tseqcollection_write

instance ITObject TCollection where
  draw = xform1 c_tcollection_draw
  findObject = xform1 c_tcollection_findobject
  getName = xform0 c_tcollection_getname
  isA = xform0 c_tcollection_isa
  isFolder = xform0 c_tcollection_isfolder
  isEqual = xform1 c_tcollection_isequal
  isSortable = xform0 c_tcollection_issortable
  paint = xform1 c_tcollection_paint
  printObj = xform1 c_tcollection_printobj
  recursiveRemove = xform1 c_tcollection_recursiveremove
  saveAs = xform2 c_tcollection_saveas
  useCurrentStyle = xform0 c_tcollection_usecurrentstyle
  write = xform3 c_tcollection_write

instance ITObject TRandom where
  draw = xform1 c_trandom_draw
  findObject = xform1 c_trandom_findobject
  getName = xform0 c_trandom_getname
  isA = xform0 c_trandom_isa
  isFolder = xform0 c_trandom_isfolder
  isEqual = xform1 c_trandom_isequal
  isSortable = xform0 c_trandom_issortable
  paint = xform1 c_trandom_paint
  printObj = xform1 c_trandom_printobj
  recursiveRemove = xform1 c_trandom_recursiveremove
  saveAs = xform2 c_trandom_saveas
  useCurrentStyle = xform0 c_trandom_usecurrentstyle
  write = xform3 c_trandom_write

instance ITObject TRint where
  draw = xform1 c_trint_draw
  findObject = xform1 c_trint_findobject
  getName = xform0 c_trint_getname
  isA = xform0 c_trint_isa
  isFolder = xform0 c_trint_isfolder
  isEqual = xform1 c_trint_isequal
  isSortable = xform0 c_trint_issortable
  paint = xform1 c_trint_paint
  printObj = xform1 c_trint_printobj
  recursiveRemove = xform1 c_trint_recursiveremove
  saveAs = xform2 c_trint_saveas
  useCurrentStyle = xform0 c_trint_usecurrentstyle
  write = xform3 c_trint_write

instance ITObject TApplication where
  draw = xform1 c_tapplication_draw
  findObject = xform1 c_tapplication_findobject
  getName = xform0 c_tapplication_getname
  isA = xform0 c_tapplication_isa
  isFolder = xform0 c_tapplication_isfolder
  isEqual = xform1 c_tapplication_isequal
  isSortable = xform0 c_tapplication_issortable
  paint = xform1 c_tapplication_paint
  printObj = xform1 c_tapplication_printobj
  recursiveRemove = xform1 c_tapplication_recursiveremove
  saveAs = xform2 c_tapplication_saveas
  useCurrentStyle = xform0 c_tapplication_usecurrentstyle
  write = xform3 c_tapplication_write

instance ITObject TSlider where
  draw = xform1 c_tslider_draw
  findObject = xform1 c_tslider_findobject
  getName = xform0 c_tslider_getname
  isA = xform0 c_tslider_isa
  isFolder = xform0 c_tslider_isfolder
  isEqual = xform1 c_tslider_isequal
  isSortable = xform0 c_tslider_issortable
  paint = xform1 c_tslider_paint
  printObj = xform1 c_tslider_printobj
  recursiveRemove = xform1 c_tslider_recursiveremove
  saveAs = xform2 c_tslider_saveas
  useCurrentStyle = xform0 c_tslider_usecurrentstyle
  write = xform3 c_tslider_write

instance ITObject TEvePad where
  draw = xform1 c_tevepad_draw
  findObject = xform1 c_tevepad_findobject
  getName = xform0 c_tevepad_getname
  isA = xform0 c_tevepad_isa
  isFolder = xform0 c_tevepad_isfolder
  isEqual = xform1 c_tevepad_isequal
  isSortable = xform0 c_tevepad_issortable
  paint = xform1 c_tevepad_paint
  printObj = xform1 c_tevepad_printobj
  recursiveRemove = xform1 c_tevepad_recursiveremove
  saveAs = xform2 c_tevepad_saveas
  useCurrentStyle = xform0 c_tevepad_usecurrentstyle
  write = xform3 c_tevepad_write

instance ITObject TInspectCanvas where
  draw = xform1 c_tinspectcanvas_draw
  findObject = xform1 c_tinspectcanvas_findobject
  getName = xform0 c_tinspectcanvas_getname
  isA = xform0 c_tinspectcanvas_isa
  isFolder = xform0 c_tinspectcanvas_isfolder
  isEqual = xform1 c_tinspectcanvas_isequal
  isSortable = xform0 c_tinspectcanvas_issortable
  paint = xform1 c_tinspectcanvas_paint
  printObj = xform1 c_tinspectcanvas_printobj
  recursiveRemove = xform1 c_tinspectcanvas_recursiveremove
  saveAs = xform2 c_tinspectcanvas_saveas
  useCurrentStyle = xform0 c_tinspectcanvas_usecurrentstyle
  write = xform3 c_tinspectcanvas_write

instance ITObject TDialogCanvas where
  draw = xform1 c_tdialogcanvas_draw
  findObject = xform1 c_tdialogcanvas_findobject
  getName = xform0 c_tdialogcanvas_getname
  isA = xform0 c_tdialogcanvas_isa
  isFolder = xform0 c_tdialogcanvas_isfolder
  isEqual = xform1 c_tdialogcanvas_isequal
  isSortable = xform0 c_tdialogcanvas_issortable
  paint = xform1 c_tdialogcanvas_paint
  printObj = xform1 c_tdialogcanvas_printobj
  recursiveRemove = xform1 c_tdialogcanvas_recursiveremove
  saveAs = xform2 c_tdialogcanvas_saveas
  useCurrentStyle = xform0 c_tdialogcanvas_usecurrentstyle
  write = xform3 c_tdialogcanvas_write

instance ITObject TCanvas where
  draw = xform1 c_tcanvas_draw
  findObject = xform1 c_tcanvas_findobject
  getName = xform0 c_tcanvas_getname
  isA = xform0 c_tcanvas_isa
  isFolder = xform0 c_tcanvas_isfolder
  isEqual = xform1 c_tcanvas_isequal
  isSortable = xform0 c_tcanvas_issortable
  paint = xform1 c_tcanvas_paint
  printObj = xform1 c_tcanvas_printobj
  recursiveRemove = xform1 c_tcanvas_recursiveremove
  saveAs = xform2 c_tcanvas_saveas
  useCurrentStyle = xform0 c_tcanvas_usecurrentstyle
  write = xform3 c_tcanvas_write

instance ITObject TGroupButton where
  draw = xform1 c_tgroupbutton_draw
  findObject = xform1 c_tgroupbutton_findobject
  getName = xform0 c_tgroupbutton_getname
  isA = xform0 c_tgroupbutton_isa
  isFolder = xform0 c_tgroupbutton_isfolder
  isEqual = xform1 c_tgroupbutton_isequal
  isSortable = xform0 c_tgroupbutton_issortable
  paint = xform1 c_tgroupbutton_paint
  printObj = xform1 c_tgroupbutton_printobj
  recursiveRemove = xform1 c_tgroupbutton_recursiveremove
  saveAs = xform2 c_tgroupbutton_saveas
  useCurrentStyle = xform0 c_tgroupbutton_usecurrentstyle
  write = xform3 c_tgroupbutton_write

instance ITObject TButton where
  draw = xform1 c_tbutton_draw
  findObject = xform1 c_tbutton_findobject
  getName = xform0 c_tbutton_getname
  isA = xform0 c_tbutton_isa
  isFolder = xform0 c_tbutton_isfolder
  isEqual = xform1 c_tbutton_isequal
  isSortable = xform0 c_tbutton_issortable
  paint = xform1 c_tbutton_paint
  printObj = xform1 c_tbutton_printobj
  recursiveRemove = xform1 c_tbutton_recursiveremove
  saveAs = xform2 c_tbutton_saveas
  useCurrentStyle = xform0 c_tbutton_usecurrentstyle
  write = xform3 c_tbutton_write

instance ITObject TPad where
  draw = xform1 c_tpad_draw
  findObject = xform1 c_tpad_findobject
  getName = xform0 c_tpad_getname
  isA = xform0 c_tpad_isa
  isFolder = xform0 c_tpad_isfolder
  isEqual = xform1 c_tpad_isequal
  isSortable = xform0 c_tpad_issortable
  paint = xform1 c_tpad_paint
  printObj = xform1 c_tpad_printobj
  recursiveRemove = xform1 c_tpad_recursiveremove
  saveAs = xform2 c_tpad_saveas
  useCurrentStyle = xform0 c_tpad_usecurrentstyle
  write = xform3 c_tpad_write

instance ITObject TVirtualPad where
  draw = xform1 c_tvirtualpad_draw
  findObject = xform1 c_tvirtualpad_findobject
  getName = xform0 c_tvirtualpad_getname
  isA = xform0 c_tvirtualpad_isa
  isFolder = xform0 c_tvirtualpad_isfolder
  isEqual = xform1 c_tvirtualpad_isequal
  isSortable = xform0 c_tvirtualpad_issortable
  paint = xform1 c_tvirtualpad_paint
  printObj = xform1 c_tvirtualpad_printobj
  recursiveRemove = xform1 c_tvirtualpad_recursiveremove
  saveAs = xform2 c_tvirtualpad_saveas
  useCurrentStyle = xform0 c_tvirtualpad_usecurrentstyle
  write = xform3 c_tvirtualpad_write

instance ITObject TH3S where
  draw = xform1 c_th3s_draw
  findObject = xform1 c_th3s_findobject
  getName = xform0 c_th3s_getname
  isA = xform0 c_th3s_isa
  isFolder = xform0 c_th3s_isfolder
  isEqual = xform1 c_th3s_isequal
  isSortable = xform0 c_th3s_issortable
  paint = xform1 c_th3s_paint
  printObj = xform1 c_th3s_printobj
  recursiveRemove = xform1 c_th3s_recursiveremove
  saveAs = xform2 c_th3s_saveas
  useCurrentStyle = xform0 c_th3s_usecurrentstyle
  write = xform3 c_th3s_write

instance ITObject TH3I where
  draw = xform1 c_th3i_draw
  findObject = xform1 c_th3i_findobject
  getName = xform0 c_th3i_getname
  isA = xform0 c_th3i_isa
  isFolder = xform0 c_th3i_isfolder
  isEqual = xform1 c_th3i_isequal
  isSortable = xform0 c_th3i_issortable
  paint = xform1 c_th3i_paint
  printObj = xform1 c_th3i_printobj
  recursiveRemove = xform1 c_th3i_recursiveremove
  saveAs = xform2 c_th3i_saveas
  useCurrentStyle = xform0 c_th3i_usecurrentstyle
  write = xform3 c_th3i_write

instance ITObject TH3F where
  draw = xform1 c_th3f_draw
  findObject = xform1 c_th3f_findobject
  getName = xform0 c_th3f_getname
  isA = xform0 c_th3f_isa
  isFolder = xform0 c_th3f_isfolder
  isEqual = xform1 c_th3f_isequal
  isSortable = xform0 c_th3f_issortable
  paint = xform1 c_th3f_paint
  printObj = xform1 c_th3f_printobj
  recursiveRemove = xform1 c_th3f_recursiveremove
  saveAs = xform2 c_th3f_saveas
  useCurrentStyle = xform0 c_th3f_usecurrentstyle
  write = xform3 c_th3f_write

instance ITObject TH3D where
  draw = xform1 c_th3d_draw
  findObject = xform1 c_th3d_findobject
  getName = xform0 c_th3d_getname
  isA = xform0 c_th3d_isa
  isFolder = xform0 c_th3d_isfolder
  isEqual = xform1 c_th3d_isequal
  isSortable = xform0 c_th3d_issortable
  paint = xform1 c_th3d_paint
  printObj = xform1 c_th3d_printobj
  recursiveRemove = xform1 c_th3d_recursiveremove
  saveAs = xform2 c_th3d_saveas
  useCurrentStyle = xform0 c_th3d_usecurrentstyle
  write = xform3 c_th3d_write

instance ITObject TH3C where
  draw = xform1 c_th3c_draw
  findObject = xform1 c_th3c_findobject
  getName = xform0 c_th3c_getname
  isA = xform0 c_th3c_isa
  isFolder = xform0 c_th3c_isfolder
  isEqual = xform1 c_th3c_isequal
  isSortable = xform0 c_th3c_issortable
  paint = xform1 c_th3c_paint
  printObj = xform1 c_th3c_printobj
  recursiveRemove = xform1 c_th3c_recursiveremove
  saveAs = xform2 c_th3c_saveas
  useCurrentStyle = xform0 c_th3c_usecurrentstyle
  write = xform3 c_th3c_write

instance ITObject TH2S where
  draw = xform1 c_th2s_draw
  findObject = xform1 c_th2s_findobject
  getName = xform0 c_th2s_getname
  isA = xform0 c_th2s_isa
  isFolder = xform0 c_th2s_isfolder
  isEqual = xform1 c_th2s_isequal
  isSortable = xform0 c_th2s_issortable
  paint = xform1 c_th2s_paint
  printObj = xform1 c_th2s_printobj
  recursiveRemove = xform1 c_th2s_recursiveremove
  saveAs = xform2 c_th2s_saveas
  useCurrentStyle = xform0 c_th2s_usecurrentstyle
  write = xform3 c_th2s_write

instance ITObject TH2Poly where
  draw = xform1 c_th2poly_draw
  findObject = xform1 c_th2poly_findobject
  getName = xform0 c_th2poly_getname
  isA = xform0 c_th2poly_isa
  isFolder = xform0 c_th2poly_isfolder
  isEqual = xform1 c_th2poly_isequal
  isSortable = xform0 c_th2poly_issortable
  paint = xform1 c_th2poly_paint
  printObj = xform1 c_th2poly_printobj
  recursiveRemove = xform1 c_th2poly_recursiveremove
  saveAs = xform2 c_th2poly_saveas
  useCurrentStyle = xform0 c_th2poly_usecurrentstyle
  write = xform3 c_th2poly_write

instance ITObject TH2I where
  draw = xform1 c_th2i_draw
  findObject = xform1 c_th2i_findobject
  getName = xform0 c_th2i_getname
  isA = xform0 c_th2i_isa
  isFolder = xform0 c_th2i_isfolder
  isEqual = xform1 c_th2i_isequal
  isSortable = xform0 c_th2i_issortable
  paint = xform1 c_th2i_paint
  printObj = xform1 c_th2i_printobj
  recursiveRemove = xform1 c_th2i_recursiveremove
  saveAs = xform2 c_th2i_saveas
  useCurrentStyle = xform0 c_th2i_usecurrentstyle
  write = xform3 c_th2i_write

instance ITObject TH2F where
  draw = xform1 c_th2f_draw
  findObject = xform1 c_th2f_findobject
  getName = xform0 c_th2f_getname
  isA = xform0 c_th2f_isa
  isFolder = xform0 c_th2f_isfolder
  isEqual = xform1 c_th2f_isequal
  isSortable = xform0 c_th2f_issortable
  paint = xform1 c_th2f_paint
  printObj = xform1 c_th2f_printobj
  recursiveRemove = xform1 c_th2f_recursiveremove
  saveAs = xform2 c_th2f_saveas
  useCurrentStyle = xform0 c_th2f_usecurrentstyle
  write = xform3 c_th2f_write

instance ITObject TH2D where
  draw = xform1 c_th2d_draw
  findObject = xform1 c_th2d_findobject
  getName = xform0 c_th2d_getname
  isA = xform0 c_th2d_isa
  isFolder = xform0 c_th2d_isfolder
  isEqual = xform1 c_th2d_isequal
  isSortable = xform0 c_th2d_issortable
  paint = xform1 c_th2d_paint
  printObj = xform1 c_th2d_printobj
  recursiveRemove = xform1 c_th2d_recursiveremove
  saveAs = xform2 c_th2d_saveas
  useCurrentStyle = xform0 c_th2d_usecurrentstyle
  write = xform3 c_th2d_write

instance ITObject TH2C where
  draw = xform1 c_th2c_draw
  findObject = xform1 c_th2c_findobject
  getName = xform0 c_th2c_getname
  isA = xform0 c_th2c_isa
  isFolder = xform0 c_th2c_isfolder
  isEqual = xform1 c_th2c_isequal
  isSortable = xform0 c_th2c_issortable
  paint = xform1 c_th2c_paint
  printObj = xform1 c_th2c_printobj
  recursiveRemove = xform1 c_th2c_recursiveremove
  saveAs = xform2 c_th2c_saveas
  useCurrentStyle = xform0 c_th2c_usecurrentstyle
  write = xform3 c_th2c_write

instance ITObject TH1S where
  draw = xform1 c_th1s_draw
  findObject = xform1 c_th1s_findobject
  getName = xform0 c_th1s_getname
  isA = xform0 c_th1s_isa
  isFolder = xform0 c_th1s_isfolder
  isEqual = xform1 c_th1s_isequal
  isSortable = xform0 c_th1s_issortable
  paint = xform1 c_th1s_paint
  printObj = xform1 c_th1s_printobj
  recursiveRemove = xform1 c_th1s_recursiveremove
  saveAs = xform2 c_th1s_saveas
  useCurrentStyle = xform0 c_th1s_usecurrentstyle
  write = xform3 c_th1s_write

instance ITObject TH1I where
  draw = xform1 c_th1i_draw
  findObject = xform1 c_th1i_findobject
  getName = xform0 c_th1i_getname
  isA = xform0 c_th1i_isa
  isFolder = xform0 c_th1i_isfolder
  isEqual = xform1 c_th1i_isequal
  isSortable = xform0 c_th1i_issortable
  paint = xform1 c_th1i_paint
  printObj = xform1 c_th1i_printobj
  recursiveRemove = xform1 c_th1i_recursiveremove
  saveAs = xform2 c_th1i_saveas
  useCurrentStyle = xform0 c_th1i_usecurrentstyle
  write = xform3 c_th1i_write

instance ITObject TH1F where
  draw = xform1 c_th1f_draw
  findObject = xform1 c_th1f_findobject
  getName = xform0 c_th1f_getname
  isA = xform0 c_th1f_isa
  isFolder = xform0 c_th1f_isfolder
  isEqual = xform1 c_th1f_isequal
  isSortable = xform0 c_th1f_issortable
  paint = xform1 c_th1f_paint
  printObj = xform1 c_th1f_printobj
  recursiveRemove = xform1 c_th1f_recursiveremove
  saveAs = xform2 c_th1f_saveas
  useCurrentStyle = xform0 c_th1f_usecurrentstyle
  write = xform3 c_th1f_write

instance ITObject TH1D where
  draw = xform1 c_th1d_draw
  findObject = xform1 c_th1d_findobject
  getName = xform0 c_th1d_getname
  isA = xform0 c_th1d_isa
  isFolder = xform0 c_th1d_isfolder
  isEqual = xform1 c_th1d_isequal
  isSortable = xform0 c_th1d_issortable
  paint = xform1 c_th1d_paint
  printObj = xform1 c_th1d_printobj
  recursiveRemove = xform1 c_th1d_recursiveremove
  saveAs = xform2 c_th1d_saveas
  useCurrentStyle = xform0 c_th1d_usecurrentstyle
  write = xform3 c_th1d_write

instance ITObject TH1C where
  draw = xform1 c_th1c_draw
  findObject = xform1 c_th1c_findobject
  getName = xform0 c_th1c_getname
  isA = xform0 c_th1c_isa
  isFolder = xform0 c_th1c_isfolder
  isEqual = xform1 c_th1c_isequal
  isSortable = xform0 c_th1c_issortable
  paint = xform1 c_th1c_paint
  printObj = xform1 c_th1c_printobj
  recursiveRemove = xform1 c_th1c_recursiveremove
  saveAs = xform2 c_th1c_saveas
  useCurrentStyle = xform0 c_th1c_usecurrentstyle
  write = xform3 c_th1c_write

instance ITObject TH3 where
  draw = xform1 c_th3_draw
  findObject = xform1 c_th3_findobject
  getName = xform0 c_th3_getname
  isA = xform0 c_th3_isa
  isFolder = xform0 c_th3_isfolder
  isEqual = xform1 c_th3_isequal
  isSortable = xform0 c_th3_issortable
  paint = xform1 c_th3_paint
  printObj = xform1 c_th3_printobj
  recursiveRemove = xform1 c_th3_recursiveremove
  saveAs = xform2 c_th3_saveas
  useCurrentStyle = xform0 c_th3_usecurrentstyle
  write = xform3 c_th3_write

instance ITObject TH2 where
  draw = xform1 c_th2_draw
  findObject = xform1 c_th2_findobject
  getName = xform0 c_th2_getname
  isA = xform0 c_th2_isa
  isFolder = xform0 c_th2_isfolder
  isEqual = xform1 c_th2_isequal
  isSortable = xform0 c_th2_issortable
  paint = xform1 c_th2_paint
  printObj = xform1 c_th2_printobj
  recursiveRemove = xform1 c_th2_recursiveremove
  saveAs = xform2 c_th2_saveas
  useCurrentStyle = xform0 c_th2_usecurrentstyle
  write = xform3 c_th2_write

instance ITObject TH1 where
  draw = xform1 c_th1_draw
  findObject = xform1 c_th1_findobject
  getName = xform0 c_th1_getname
  isA = xform0 c_th1_isa
  isFolder = xform0 c_th1_isfolder
  isEqual = xform1 c_th1_isequal
  isSortable = xform0 c_th1_issortable
  paint = xform1 c_th1_paint
  printObj = xform1 c_th1_printobj
  recursiveRemove = xform1 c_th1_recursiveremove
  saveAs = xform2 c_th1_saveas
  useCurrentStyle = xform0 c_th1_usecurrentstyle
  write = xform3 c_th1_write

instance ITObject TTreePlayer where
  draw = xform1 c_ttreeplayer_draw
  findObject = xform1 c_ttreeplayer_findobject
  getName = xform0 c_ttreeplayer_getname
  isA = xform0 c_ttreeplayer_isa
  isFolder = xform0 c_ttreeplayer_isfolder
  isEqual = xform1 c_ttreeplayer_isequal
  isSortable = xform0 c_ttreeplayer_issortable
  paint = xform1 c_ttreeplayer_paint
  printObj = xform1 c_ttreeplayer_printobj
  recursiveRemove = xform1 c_ttreeplayer_recursiveremove
  saveAs = xform2 c_ttreeplayer_saveas
  useCurrentStyle = xform0 c_ttreeplayer_usecurrentstyle
  write = xform3 c_ttreeplayer_write

instance ITObject TVirtualTreePlayer where
  draw = xform1 c_tvirtualtreeplayer_draw
  findObject = xform1 c_tvirtualtreeplayer_findobject
  getName = xform0 c_tvirtualtreeplayer_getname
  isA = xform0 c_tvirtualtreeplayer_isa
  isFolder = xform0 c_tvirtualtreeplayer_isfolder
  isEqual = xform1 c_tvirtualtreeplayer_isequal
  isSortable = xform0 c_tvirtualtreeplayer_issortable
  paint = xform1 c_tvirtualtreeplayer_paint
  printObj = xform1 c_tvirtualtreeplayer_printobj
  recursiveRemove = xform1 c_tvirtualtreeplayer_recursiveremove
  saveAs = xform2 c_tvirtualtreeplayer_saveas
  useCurrentStyle = xform0 c_tvirtualtreeplayer_usecurrentstyle
  write = xform3 c_tvirtualtreeplayer_write

instance ITObject TBranch where
  draw = xform1 c_tbranch_draw
  findObject = xform1 c_tbranch_findobject
  getName = xform0 c_tbranch_getname
  isA = xform0 c_tbranch_isa
  isFolder = xform0 c_tbranch_isfolder
  isEqual = xform1 c_tbranch_isequal
  isSortable = xform0 c_tbranch_issortable
  paint = xform1 c_tbranch_paint
  printObj = xform1 c_tbranch_printobj
  recursiveRemove = xform1 c_tbranch_recursiveremove
  saveAs = xform2 c_tbranch_saveas
  useCurrentStyle = xform0 c_tbranch_usecurrentstyle
  write = xform3 c_tbranch_write

instance ITObject TFile where
  draw = xform1 c_tfile_draw
  findObject = xform1 c_tfile_findobject
  getName = xform0 c_tfile_getname
  isA = xform0 c_tfile_isa
  isFolder = xform0 c_tfile_isfolder
  isEqual = xform1 c_tfile_isequal
  isSortable = xform0 c_tfile_issortable
  paint = xform1 c_tfile_paint
  printObj = xform1 c_tfile_printobj
  recursiveRemove = xform1 c_tfile_recursiveremove
  saveAs = xform2 c_tfile_saveas
  useCurrentStyle = xform0 c_tfile_usecurrentstyle
  write = xform3 c_tfile_write

instance ITObject TDirectoryFile where
  draw = xform1 c_tdirectoryfile_draw
  findObject = xform1 c_tdirectoryfile_findobject
  getName = xform0 c_tdirectoryfile_getname
  isA = xform0 c_tdirectoryfile_isa
  isFolder = xform0 c_tdirectoryfile_isfolder
  isEqual = xform1 c_tdirectoryfile_isequal
  isSortable = xform0 c_tdirectoryfile_issortable
  paint = xform1 c_tdirectoryfile_paint
  printObj = xform1 c_tdirectoryfile_printobj
  recursiveRemove = xform1 c_tdirectoryfile_recursiveremove
  saveAs = xform2 c_tdirectoryfile_saveas
  useCurrentStyle = xform0 c_tdirectoryfile_usecurrentstyle
  write = xform3 c_tdirectoryfile_write

instance ITObject TDirectory where
  draw = xform1 c_tdirectory_draw
  findObject = xform1 c_tdirectory_findobject
  getName = xform0 c_tdirectory_getname
  isA = xform0 c_tdirectory_isa
  isFolder = xform0 c_tdirectory_isfolder
  isEqual = xform1 c_tdirectory_isequal
  isSortable = xform0 c_tdirectory_issortable
  paint = xform1 c_tdirectory_paint
  printObj = xform1 c_tdirectory_printobj
  recursiveRemove = xform1 c_tdirectory_recursiveremove
  saveAs = xform2 c_tdirectory_saveas
  useCurrentStyle = xform0 c_tdirectory_usecurrentstyle
  write = xform3 c_tdirectory_write

instance ITObject TText where
  draw = xform1 c_ttext_draw
  findObject = xform1 c_ttext_findobject
  getName = xform0 c_ttext_getname
  isA = xform0 c_ttext_isa
  isFolder = xform0 c_ttext_isfolder
  isEqual = xform1 c_ttext_isequal
  isSortable = xform0 c_ttext_issortable
  paint = xform1 c_ttext_paint
  printObj = xform1 c_ttext_printobj
  recursiveRemove = xform1 c_ttext_recursiveremove
  saveAs = xform2 c_ttext_saveas
  useCurrentStyle = xform0 c_ttext_usecurrentstyle
  write = xform3 c_ttext_write

instance ITObject TLatex where
  draw = xform1 c_tlatex_draw
  findObject = xform1 c_tlatex_findobject
  getName = xform0 c_tlatex_getname
  isA = xform0 c_tlatex_isa
  isFolder = xform0 c_tlatex_isfolder
  isEqual = xform1 c_tlatex_isequal
  isSortable = xform0 c_tlatex_issortable
  paint = xform1 c_tlatex_paint
  printObj = xform1 c_tlatex_printobj
  recursiveRemove = xform1 c_tlatex_recursiveremove
  saveAs = xform2 c_tlatex_saveas
  useCurrentStyle = xform0 c_tlatex_usecurrentstyle
  write = xform3 c_tlatex_write

instance ITObject TAxis where
  draw = xform1 c_taxis_draw
  findObject = xform1 c_taxis_findobject
  getName = xform0 c_taxis_getname
  isA = xform0 c_taxis_isa
  isFolder = xform0 c_taxis_isfolder
  isEqual = xform1 c_taxis_isequal
  isSortable = xform0 c_taxis_issortable
  paint = xform1 c_taxis_paint
  printObj = xform1 c_taxis_printobj
  recursiveRemove = xform1 c_taxis_recursiveremove
  saveAs = xform2 c_taxis_saveas
  useCurrentStyle = xform0 c_taxis_usecurrentstyle
  write = xform3 c_taxis_write

instance ITObject TEfficiency where
  draw = xform1 c_tefficiency_draw
  findObject = xform1 c_tefficiency_findobject
  getName = xform0 c_tefficiency_getname
  isA = xform0 c_tefficiency_isa
  isFolder = xform0 c_tefficiency_isfolder
  isEqual = xform1 c_tefficiency_isequal
  isSortable = xform0 c_tefficiency_issortable
  paint = xform1 c_tefficiency_paint
  printObj = xform1 c_tefficiency_printobj
  recursiveRemove = xform1 c_tefficiency_recursiveremove
  saveAs = xform2 c_tefficiency_saveas
  useCurrentStyle = xform0 c_tefficiency_usecurrentstyle
  write = xform3 c_tefficiency_write

instance ITObject TCurlyArc where
  draw = xform1 c_tcurlyarc_draw
  findObject = xform1 c_tcurlyarc_findobject
  getName = xform0 c_tcurlyarc_getname
  isA = xform0 c_tcurlyarc_isa
  isFolder = xform0 c_tcurlyarc_isfolder
  isEqual = xform1 c_tcurlyarc_isequal
  isSortable = xform0 c_tcurlyarc_issortable
  paint = xform1 c_tcurlyarc_paint
  printObj = xform1 c_tcurlyarc_printobj
  recursiveRemove = xform1 c_tcurlyarc_recursiveremove
  saveAs = xform2 c_tcurlyarc_saveas
  useCurrentStyle = xform0 c_tcurlyarc_usecurrentstyle
  write = xform3 c_tcurlyarc_write

instance ITObject TCurlyLine where
  draw = xform1 c_tcurlyline_draw
  findObject = xform1 c_tcurlyline_findobject
  getName = xform0 c_tcurlyline_getname
  isA = xform0 c_tcurlyline_isa
  isFolder = xform0 c_tcurlyline_isfolder
  isEqual = xform1 c_tcurlyline_isequal
  isSortable = xform0 c_tcurlyline_issortable
  paint = xform1 c_tcurlyline_paint
  printObj = xform1 c_tcurlyline_printobj
  recursiveRemove = xform1 c_tcurlyline_recursiveremove
  saveAs = xform2 c_tcurlyline_saveas
  useCurrentStyle = xform0 c_tcurlyline_usecurrentstyle
  write = xform3 c_tcurlyline_write

instance ITObject TPolyLine where
  draw = xform1 c_tpolyline_draw
  findObject = xform1 c_tpolyline_findobject
  getName = xform0 c_tpolyline_getname
  isA = xform0 c_tpolyline_isa
  isFolder = xform0 c_tpolyline_isfolder
  isEqual = xform1 c_tpolyline_isequal
  isSortable = xform0 c_tpolyline_issortable
  paint = xform1 c_tpolyline_paint
  printObj = xform1 c_tpolyline_printobj
  recursiveRemove = xform1 c_tpolyline_recursiveremove
  saveAs = xform2 c_tpolyline_saveas
  useCurrentStyle = xform0 c_tpolyline_usecurrentstyle
  write = xform3 c_tpolyline_write

instance ITObject TTreeSQL where
  draw = xform1 c_ttreesql_draw
  findObject = xform1 c_ttreesql_findobject
  getName = xform0 c_ttreesql_getname
  isA = xform0 c_ttreesql_isa
  isFolder = xform0 c_ttreesql_isfolder
  isEqual = xform1 c_ttreesql_isequal
  isSortable = xform0 c_ttreesql_issortable
  paint = xform1 c_ttreesql_paint
  printObj = xform1 c_ttreesql_printobj
  recursiveRemove = xform1 c_ttreesql_recursiveremove
  saveAs = xform2 c_ttreesql_saveas
  useCurrentStyle = xform0 c_ttreesql_usecurrentstyle
  write = xform3 c_ttreesql_write

instance ITObject TNtupleD where
  draw = xform1 c_tntupled_draw
  findObject = xform1 c_tntupled_findobject
  getName = xform0 c_tntupled_getname
  isA = xform0 c_tntupled_isa
  isFolder = xform0 c_tntupled_isfolder
  isEqual = xform1 c_tntupled_isequal
  isSortable = xform0 c_tntupled_issortable
  paint = xform1 c_tntupled_paint
  printObj = xform1 c_tntupled_printobj
  recursiveRemove = xform1 c_tntupled_recursiveremove
  saveAs = xform2 c_tntupled_saveas
  useCurrentStyle = xform0 c_tntupled_usecurrentstyle
  write = xform3 c_tntupled_write

instance ITObject TNtuple where
  draw = xform1 c_tntuple_draw
  findObject = xform1 c_tntuple_findobject
  getName = xform0 c_tntuple_getname
  isA = xform0 c_tntuple_isa
  isFolder = xform0 c_tntuple_isfolder
  isEqual = xform1 c_tntuple_isequal
  isSortable = xform0 c_tntuple_issortable
  paint = xform1 c_tntuple_paint
  printObj = xform1 c_tntuple_printobj
  recursiveRemove = xform1 c_tntuple_recursiveremove
  saveAs = xform2 c_tntuple_saveas
  useCurrentStyle = xform0 c_tntuple_usecurrentstyle
  write = xform3 c_tntuple_write

instance ITObject TChain where
  draw = xform1 c_tchain_draw
  findObject = xform1 c_tchain_findobject
  getName = xform0 c_tchain_getname
  isA = xform0 c_tchain_isa
  isFolder = xform0 c_tchain_isfolder
  isEqual = xform1 c_tchain_isequal
  isSortable = xform0 c_tchain_issortable
  paint = xform1 c_tchain_paint
  printObj = xform1 c_tchain_printobj
  recursiveRemove = xform1 c_tchain_recursiveremove
  saveAs = xform2 c_tchain_saveas
  useCurrentStyle = xform0 c_tchain_usecurrentstyle
  write = xform3 c_tchain_write

instance ITObject TTree where
  draw = xform1 c_ttree_draw
  findObject = xform1 c_ttree_findobject
  getName = xform0 c_ttree_getname
  isA = xform0 c_ttree_isa
  isFolder = xform0 c_ttree_isfolder
  isEqual = xform1 c_ttree_isequal
  isSortable = xform0 c_ttree_issortable
  paint = xform1 c_ttree_paint
  printObj = xform1 c_ttree_printobj
  recursiveRemove = xform1 c_ttree_recursiveremove
  saveAs = xform2 c_ttree_saveas
  useCurrentStyle = xform0 c_ttree_usecurrentstyle
  write = xform3 c_ttree_write

instance ITObject TSliderBox where
  draw = xform1 c_tsliderbox_draw
  findObject = xform1 c_tsliderbox_findobject
  getName = xform0 c_tsliderbox_getname
  isA = xform0 c_tsliderbox_isa
  isFolder = xform0 c_tsliderbox_isfolder
  isEqual = xform1 c_tsliderbox_isequal
  isSortable = xform0 c_tsliderbox_issortable
  paint = xform1 c_tsliderbox_paint
  printObj = xform1 c_tsliderbox_printobj
  recursiveRemove = xform1 c_tsliderbox_recursiveremove
  saveAs = xform2 c_tsliderbox_saveas
  useCurrentStyle = xform0 c_tsliderbox_usecurrentstyle
  write = xform3 c_tsliderbox_write

instance ITObject TFrame where
  draw = xform1 c_tframe_draw
  findObject = xform1 c_tframe_findobject
  getName = xform0 c_tframe_getname
  isA = xform0 c_tframe_isa
  isFolder = xform0 c_tframe_isfolder
  isEqual = xform1 c_tframe_isequal
  isSortable = xform0 c_tframe_issortable
  paint = xform1 c_tframe_paint
  printObj = xform1 c_tframe_printobj
  recursiveRemove = xform1 c_tframe_recursiveremove
  saveAs = xform2 c_tframe_saveas
  useCurrentStyle = xform0 c_tframe_usecurrentstyle
  write = xform3 c_tframe_write

instance ITObject TWbox where
  draw = xform1 c_twbox_draw
  findObject = xform1 c_twbox_findobject
  getName = xform0 c_twbox_getname
  isA = xform0 c_twbox_isa
  isFolder = xform0 c_twbox_isfolder
  isEqual = xform1 c_twbox_isequal
  isSortable = xform0 c_twbox_issortable
  paint = xform1 c_twbox_paint
  printObj = xform1 c_twbox_printobj
  recursiveRemove = xform1 c_twbox_recursiveremove
  saveAs = xform2 c_twbox_saveas
  useCurrentStyle = xform0 c_twbox_usecurrentstyle
  write = xform3 c_twbox_write

instance ITObject TPaveClass where
  draw = xform1 c_tpaveclass_draw
  findObject = xform1 c_tpaveclass_findobject
  getName = xform0 c_tpaveclass_getname
  isA = xform0 c_tpaveclass_isa
  isFolder = xform0 c_tpaveclass_isfolder
  isEqual = xform1 c_tpaveclass_isequal
  isSortable = xform0 c_tpaveclass_issortable
  paint = xform1 c_tpaveclass_paint
  printObj = xform1 c_tpaveclass_printobj
  recursiveRemove = xform1 c_tpaveclass_recursiveremove
  saveAs = xform2 c_tpaveclass_saveas
  useCurrentStyle = xform0 c_tpaveclass_usecurrentstyle
  write = xform3 c_tpaveclass_write

instance ITObject TPaveLabel where
  draw = xform1 c_tpavelabel_draw
  findObject = xform1 c_tpavelabel_findobject
  getName = xform0 c_tpavelabel_getname
  isA = xform0 c_tpavelabel_isa
  isFolder = xform0 c_tpavelabel_isfolder
  isEqual = xform1 c_tpavelabel_isequal
  isSortable = xform0 c_tpavelabel_issortable
  paint = xform1 c_tpavelabel_paint
  printObj = xform1 c_tpavelabel_printobj
  recursiveRemove = xform1 c_tpavelabel_recursiveremove
  saveAs = xform2 c_tpavelabel_saveas
  useCurrentStyle = xform0 c_tpavelabel_usecurrentstyle
  write = xform3 c_tpavelabel_write

instance ITObject TLegendEntry where
  draw = xform1 c_tlegendentry_draw
  findObject = xform1 c_tlegendentry_findobject
  getName = xform0 c_tlegendentry_getname
  isA = xform0 c_tlegendentry_isa
  isFolder = xform0 c_tlegendentry_isfolder
  isEqual = xform1 c_tlegendentry_isequal
  isSortable = xform0 c_tlegendentry_issortable
  paint = xform1 c_tlegendentry_paint
  printObj = xform1 c_tlegendentry_printobj
  recursiveRemove = xform1 c_tlegendentry_recursiveremove
  saveAs = xform2 c_tlegendentry_saveas
  useCurrentStyle = xform0 c_tlegendentry_usecurrentstyle
  write = xform3 c_tlegendentry_write

instance ITObject TLegend where
  draw = xform1 c_tlegend_draw
  findObject = xform1 c_tlegend_findobject
  getName = xform0 c_tlegend_getname
  isA = xform0 c_tlegend_isa
  isFolder = xform0 c_tlegend_isfolder
  isEqual = xform1 c_tlegend_isequal
  isSortable = xform0 c_tlegend_issortable
  paint = xform1 c_tlegend_paint
  printObj = xform1 c_tlegend_printobj
  recursiveRemove = xform1 c_tlegend_recursiveremove
  saveAs = xform2 c_tlegend_saveas
  useCurrentStyle = xform0 c_tlegend_usecurrentstyle
  write = xform3 c_tlegend_write

instance ITObject TPavesText where
  draw = xform1 c_tpavestext_draw
  findObject = xform1 c_tpavestext_findobject
  getName = xform0 c_tpavestext_getname
  isA = xform0 c_tpavestext_isa
  isFolder = xform0 c_tpavestext_isfolder
  isEqual = xform1 c_tpavestext_isequal
  isSortable = xform0 c_tpavestext_issortable
  paint = xform1 c_tpavestext_paint
  printObj = xform1 c_tpavestext_printobj
  recursiveRemove = xform1 c_tpavestext_recursiveremove
  saveAs = xform2 c_tpavestext_saveas
  useCurrentStyle = xform0 c_tpavestext_usecurrentstyle
  write = xform3 c_tpavestext_write

instance ITObject TPaveStats where
  draw = xform1 c_tpavestats_draw
  findObject = xform1 c_tpavestats_findobject
  getName = xform0 c_tpavestats_getname
  isA = xform0 c_tpavestats_isa
  isFolder = xform0 c_tpavestats_isfolder
  isEqual = xform1 c_tpavestats_isequal
  isSortable = xform0 c_tpavestats_issortable
  paint = xform1 c_tpavestats_paint
  printObj = xform1 c_tpavestats_printobj
  recursiveRemove = xform1 c_tpavestats_recursiveremove
  saveAs = xform2 c_tpavestats_saveas
  useCurrentStyle = xform0 c_tpavestats_usecurrentstyle
  write = xform3 c_tpavestats_write

instance ITObject TDiamond where
  draw = xform1 c_tdiamond_draw
  findObject = xform1 c_tdiamond_findobject
  getName = xform0 c_tdiamond_getname
  isA = xform0 c_tdiamond_isa
  isFolder = xform0 c_tdiamond_isfolder
  isEqual = xform1 c_tdiamond_isequal
  isSortable = xform0 c_tdiamond_issortable
  paint = xform1 c_tdiamond_paint
  printObj = xform1 c_tdiamond_printobj
  recursiveRemove = xform1 c_tdiamond_recursiveremove
  saveAs = xform2 c_tdiamond_saveas
  useCurrentStyle = xform0 c_tdiamond_usecurrentstyle
  write = xform3 c_tdiamond_write

instance ITObject TPaveText where
  draw = xform1 c_tpavetext_draw
  findObject = xform1 c_tpavetext_findobject
  getName = xform0 c_tpavetext_getname
  isA = xform0 c_tpavetext_isa
  isFolder = xform0 c_tpavetext_isfolder
  isEqual = xform1 c_tpavetext_isequal
  isSortable = xform0 c_tpavetext_issortable
  paint = xform1 c_tpavetext_paint
  printObj = xform1 c_tpavetext_printobj
  recursiveRemove = xform1 c_tpavetext_recursiveremove
  saveAs = xform2 c_tpavetext_saveas
  useCurrentStyle = xform0 c_tpavetext_usecurrentstyle
  write = xform3 c_tpavetext_write

instance ITObject TPave where
  draw = xform1 c_tpave_draw
  findObject = xform1 c_tpave_findobject
  getName = xform0 c_tpave_getname
  isA = xform0 c_tpave_isa
  isFolder = xform0 c_tpave_isfolder
  isEqual = xform1 c_tpave_isequal
  isSortable = xform0 c_tpave_issortable
  paint = xform1 c_tpave_paint
  printObj = xform1 c_tpave_printobj
  recursiveRemove = xform1 c_tpave_recursiveremove
  saveAs = xform2 c_tpave_saveas
  useCurrentStyle = xform0 c_tpave_usecurrentstyle
  write = xform3 c_tpave_write

instance ITObject TBox where
  draw = xform1 c_tbox_draw
  findObject = xform1 c_tbox_findobject
  getName = xform0 c_tbox_getname
  isA = xform0 c_tbox_isa
  isFolder = xform0 c_tbox_isfolder
  isEqual = xform1 c_tbox_isequal
  isSortable = xform0 c_tbox_issortable
  paint = xform1 c_tbox_paint
  printObj = xform1 c_tbox_printobj
  recursiveRemove = xform1 c_tbox_recursiveremove
  saveAs = xform2 c_tbox_saveas
  useCurrentStyle = xform0 c_tbox_usecurrentstyle
  write = xform3 c_tbox_write

instance ITObject TXTRU where
  draw = xform1 c_txtru_draw
  findObject = xform1 c_txtru_findobject
  getName = xform0 c_txtru_getname
  isA = xform0 c_txtru_isa
  isFolder = xform0 c_txtru_isfolder
  isEqual = xform1 c_txtru_isequal
  isSortable = xform0 c_txtru_issortable
  paint = xform1 c_txtru_paint
  printObj = xform1 c_txtru_printobj
  recursiveRemove = xform1 c_txtru_recursiveremove
  saveAs = xform2 c_txtru_saveas
  useCurrentStyle = xform0 c_txtru_usecurrentstyle
  write = xform3 c_txtru_write

instance ITObject TSPHE where
  draw = xform1 c_tsphe_draw
  findObject = xform1 c_tsphe_findobject
  getName = xform0 c_tsphe_getname
  isA = xform0 c_tsphe_isa
  isFolder = xform0 c_tsphe_isfolder
  isEqual = xform1 c_tsphe_isequal
  isSortable = xform0 c_tsphe_issortable
  paint = xform1 c_tsphe_paint
  printObj = xform1 c_tsphe_printobj
  recursiveRemove = xform1 c_tsphe_recursiveremove
  saveAs = xform2 c_tsphe_saveas
  useCurrentStyle = xform0 c_tsphe_usecurrentstyle
  write = xform3 c_tsphe_write

instance ITObject TPCON where
  draw = xform1 c_tpcon_draw
  findObject = xform1 c_tpcon_findobject
  getName = xform0 c_tpcon_getname
  isA = xform0 c_tpcon_isa
  isFolder = xform0 c_tpcon_isfolder
  isEqual = xform1 c_tpcon_isequal
  isSortable = xform0 c_tpcon_issortable
  paint = xform1 c_tpcon_paint
  printObj = xform1 c_tpcon_printobj
  recursiveRemove = xform1 c_tpcon_recursiveremove
  saveAs = xform2 c_tpcon_saveas
  useCurrentStyle = xform0 c_tpcon_usecurrentstyle
  write = xform3 c_tpcon_write

instance ITObject TTUBE where
  draw = xform1 c_ttube_draw
  findObject = xform1 c_ttube_findobject
  getName = xform0 c_ttube_getname
  isA = xform0 c_ttube_isa
  isFolder = xform0 c_ttube_isfolder
  isEqual = xform1 c_ttube_isequal
  isSortable = xform0 c_ttube_issortable
  paint = xform1 c_ttube_paint
  printObj = xform1 c_ttube_printobj
  recursiveRemove = xform1 c_ttube_recursiveremove
  saveAs = xform2 c_ttube_saveas
  useCurrentStyle = xform0 c_ttube_usecurrentstyle
  write = xform3 c_ttube_write

instance ITObject TBRIK where
  draw = xform1 c_tbrik_draw
  findObject = xform1 c_tbrik_findobject
  getName = xform0 c_tbrik_getname
  isA = xform0 c_tbrik_isa
  isFolder = xform0 c_tbrik_isfolder
  isEqual = xform1 c_tbrik_isequal
  isSortable = xform0 c_tbrik_issortable
  paint = xform1 c_tbrik_paint
  printObj = xform1 c_tbrik_printobj
  recursiveRemove = xform1 c_tbrik_recursiveremove
  saveAs = xform2 c_tbrik_saveas
  useCurrentStyle = xform0 c_tbrik_usecurrentstyle
  write = xform3 c_tbrik_write

instance ITObject TShape where
  draw = xform1 c_tshape_draw
  findObject = xform1 c_tshape_findobject
  getName = xform0 c_tshape_getname
  isA = xform0 c_tshape_isa
  isFolder = xform0 c_tshape_isfolder
  isEqual = xform1 c_tshape_isequal
  isSortable = xform0 c_tshape_issortable
  paint = xform1 c_tshape_paint
  printObj = xform1 c_tshape_printobj
  recursiveRemove = xform1 c_tshape_recursiveremove
  saveAs = xform2 c_tshape_saveas
  useCurrentStyle = xform0 c_tshape_usecurrentstyle
  write = xform3 c_tshape_write

instance ITObject TGaxis where
  draw = xform1 c_tgaxis_draw
  findObject = xform1 c_tgaxis_findobject
  getName = xform0 c_tgaxis_getname
  isA = xform0 c_tgaxis_isa
  isFolder = xform0 c_tgaxis_isfolder
  isEqual = xform1 c_tgaxis_isequal
  isSortable = xform0 c_tgaxis_issortable
  paint = xform1 c_tgaxis_paint
  printObj = xform1 c_tgaxis_printobj
  recursiveRemove = xform1 c_tgaxis_recursiveremove
  saveAs = xform2 c_tgaxis_saveas
  useCurrentStyle = xform0 c_tgaxis_usecurrentstyle
  write = xform3 c_tgaxis_write

instance ITObject TArrow where
  draw = xform1 c_tarrow_draw
  findObject = xform1 c_tarrow_findobject
  getName = xform0 c_tarrow_getname
  isA = xform0 c_tarrow_isa
  isFolder = xform0 c_tarrow_isfolder
  isEqual = xform1 c_tarrow_isequal
  isSortable = xform0 c_tarrow_issortable
  paint = xform1 c_tarrow_paint
  printObj = xform1 c_tarrow_printobj
  recursiveRemove = xform1 c_tarrow_recursiveremove
  saveAs = xform2 c_tarrow_saveas
  useCurrentStyle = xform0 c_tarrow_usecurrentstyle
  write = xform3 c_tarrow_write

instance ITObject TLine where
  draw = xform1 c_tline_draw
  findObject = xform1 c_tline_findobject
  getName = xform0 c_tline_getname
  isA = xform0 c_tline_isa
  isFolder = xform0 c_tline_isfolder
  isEqual = xform1 c_tline_isequal
  isSortable = xform0 c_tline_issortable
  paint = xform1 c_tline_paint
  printObj = xform1 c_tline_printobj
  recursiveRemove = xform1 c_tline_recursiveremove
  saveAs = xform2 c_tline_saveas
  useCurrentStyle = xform0 c_tline_usecurrentstyle
  write = xform3 c_tline_write

instance ITObject TCrown where
  draw = xform1 c_tcrown_draw
  findObject = xform1 c_tcrown_findobject
  getName = xform0 c_tcrown_getname
  isA = xform0 c_tcrown_isa
  isFolder = xform0 c_tcrown_isfolder
  isEqual = xform1 c_tcrown_isequal
  isSortable = xform0 c_tcrown_issortable
  paint = xform1 c_tcrown_paint
  printObj = xform1 c_tcrown_printobj
  recursiveRemove = xform1 c_tcrown_recursiveremove
  saveAs = xform2 c_tcrown_saveas
  useCurrentStyle = xform0 c_tcrown_usecurrentstyle
  write = xform3 c_tcrown_write

instance ITObject TArc where
  draw = xform1 c_tarc_draw
  findObject = xform1 c_tarc_findobject
  getName = xform0 c_tarc_getname
  isA = xform0 c_tarc_isa
  isFolder = xform0 c_tarc_isfolder
  isEqual = xform1 c_tarc_isequal
  isSortable = xform0 c_tarc_issortable
  paint = xform1 c_tarc_paint
  printObj = xform1 c_tarc_printobj
  recursiveRemove = xform1 c_tarc_recursiveremove
  saveAs = xform2 c_tarc_saveas
  useCurrentStyle = xform0 c_tarc_usecurrentstyle
  write = xform3 c_tarc_write

instance ITObject TEllipse where
  draw = xform1 c_tellipse_draw
  findObject = xform1 c_tellipse_findobject
  getName = xform0 c_tellipse_getname
  isA = xform0 c_tellipse_isa
  isFolder = xform0 c_tellipse_isfolder
  isEqual = xform1 c_tellipse_isequal
  isSortable = xform0 c_tellipse_issortable
  paint = xform1 c_tellipse_paint
  printObj = xform1 c_tellipse_printobj
  recursiveRemove = xform1 c_tellipse_recursiveremove
  saveAs = xform2 c_tellipse_saveas
  useCurrentStyle = xform0 c_tellipse_usecurrentstyle
  write = xform3 c_tellipse_write

instance ITObject TGraphQQ where
  draw = xform1 c_tgraphqq_draw
  findObject = xform1 c_tgraphqq_findobject
  getName = xform0 c_tgraphqq_getname
  isA = xform0 c_tgraphqq_isa
  isFolder = xform0 c_tgraphqq_isfolder
  isEqual = xform1 c_tgraphqq_isequal
  isSortable = xform0 c_tgraphqq_issortable
  paint = xform1 c_tgraphqq_paint
  printObj = xform1 c_tgraphqq_printobj
  recursiveRemove = xform1 c_tgraphqq_recursiveremove
  saveAs = xform2 c_tgraphqq_saveas
  useCurrentStyle = xform0 c_tgraphqq_usecurrentstyle
  write = xform3 c_tgraphqq_write

instance ITObject TGraphPolar where
  draw = xform1 c_tgraphpolar_draw
  findObject = xform1 c_tgraphpolar_findobject
  getName = xform0 c_tgraphpolar_getname
  isA = xform0 c_tgraphpolar_isa
  isFolder = xform0 c_tgraphpolar_isfolder
  isEqual = xform1 c_tgraphpolar_isequal
  isSortable = xform0 c_tgraphpolar_issortable
  paint = xform1 c_tgraphpolar_paint
  printObj = xform1 c_tgraphpolar_printobj
  recursiveRemove = xform1 c_tgraphpolar_recursiveremove
  saveAs = xform2 c_tgraphpolar_saveas
  useCurrentStyle = xform0 c_tgraphpolar_usecurrentstyle
  write = xform3 c_tgraphpolar_write

instance ITObject TGraphErrors where
  draw = xform1 c_tgrapherrors_draw
  findObject = xform1 c_tgrapherrors_findobject
  getName = xform0 c_tgrapherrors_getname
  isA = xform0 c_tgrapherrors_isa
  isFolder = xform0 c_tgrapherrors_isfolder
  isEqual = xform1 c_tgrapherrors_isequal
  isSortable = xform0 c_tgrapherrors_issortable
  paint = xform1 c_tgrapherrors_paint
  printObj = xform1 c_tgrapherrors_printobj
  recursiveRemove = xform1 c_tgrapherrors_recursiveremove
  saveAs = xform2 c_tgrapherrors_saveas
  useCurrentStyle = xform0 c_tgrapherrors_usecurrentstyle
  write = xform3 c_tgrapherrors_write

instance ITObject TGraphBentErrors where
  draw = xform1 c_tgraphbenterrors_draw
  findObject = xform1 c_tgraphbenterrors_findobject
  getName = xform0 c_tgraphbenterrors_getname
  isA = xform0 c_tgraphbenterrors_isa
  isFolder = xform0 c_tgraphbenterrors_isfolder
  isEqual = xform1 c_tgraphbenterrors_isequal
  isSortable = xform0 c_tgraphbenterrors_issortable
  paint = xform1 c_tgraphbenterrors_paint
  printObj = xform1 c_tgraphbenterrors_printobj
  recursiveRemove = xform1 c_tgraphbenterrors_recursiveremove
  saveAs = xform2 c_tgraphbenterrors_saveas
  useCurrentStyle = xform0 c_tgraphbenterrors_usecurrentstyle
  write = xform3 c_tgraphbenterrors_write

instance ITObject TCutG where
  draw = xform1 c_tcutg_draw
  findObject = xform1 c_tcutg_findobject
  getName = xform0 c_tcutg_getname
  isA = xform0 c_tcutg_isa
  isFolder = xform0 c_tcutg_isfolder
  isEqual = xform1 c_tcutg_isequal
  isSortable = xform0 c_tcutg_issortable
  paint = xform1 c_tcutg_paint
  printObj = xform1 c_tcutg_printobj
  recursiveRemove = xform1 c_tcutg_recursiveremove
  saveAs = xform2 c_tcutg_saveas
  useCurrentStyle = xform0 c_tcutg_usecurrentstyle
  write = xform3 c_tcutg_write

instance ITObject TGraphAsymmErrors where
  draw = xform1 c_tgraphasymmerrors_draw
  findObject = xform1 c_tgraphasymmerrors_findobject
  getName = xform0 c_tgraphasymmerrors_getname
  isA = xform0 c_tgraphasymmerrors_isa
  isFolder = xform0 c_tgraphasymmerrors_isfolder
  isEqual = xform1 c_tgraphasymmerrors_isequal
  isSortable = xform0 c_tgraphasymmerrors_issortable
  paint = xform1 c_tgraphasymmerrors_paint
  printObj = xform1 c_tgraphasymmerrors_printobj
  recursiveRemove = xform1 c_tgraphasymmerrors_recursiveremove
  saveAs = xform2 c_tgraphasymmerrors_saveas
  useCurrentStyle = xform0 c_tgraphasymmerrors_usecurrentstyle
  write = xform3 c_tgraphasymmerrors_write

instance ITObject TGraph where
  draw = xform1 c_tgraph_draw
  findObject = xform1 c_tgraph_findobject
  getName = xform0 c_tgraph_getname
  isA = xform0 c_tgraph_isa
  isFolder = xform0 c_tgraph_isfolder
  isEqual = xform1 c_tgraph_isequal
  isSortable = xform0 c_tgraph_issortable
  paint = xform1 c_tgraph_paint
  printObj = xform1 c_tgraph_printobj
  recursiveRemove = xform1 c_tgraph_recursiveremove
  saveAs = xform2 c_tgraph_saveas
  useCurrentStyle = xform0 c_tgraph_usecurrentstyle
  write = xform3 c_tgraph_write

instance ITObject TF1 where
  draw = xform1 c_tf1_draw
  findObject = xform1 c_tf1_findobject
  getName = xform0 c_tf1_getname
  isA = xform0 c_tf1_isa
  isFolder = xform0 c_tf1_isfolder
  isEqual = xform1 c_tf1_isequal
  isSortable = xform0 c_tf1_issortable
  paint = xform1 c_tf1_paint
  printObj = xform1 c_tf1_printobj
  recursiveRemove = xform1 c_tf1_recursiveremove
  saveAs = xform2 c_tf1_saveas
  useCurrentStyle = xform0 c_tf1_usecurrentstyle
  write = xform3 c_tf1_write

instance ITObject THStack where
  draw = xform1 c_thstack_draw
  findObject = xform1 c_thstack_findobject
  getName = xform0 c_thstack_getname
  isA = xform0 c_thstack_isa
  isFolder = xform0 c_thstack_isfolder
  isEqual = xform1 c_thstack_isequal
  isSortable = xform0 c_thstack_issortable
  paint = xform1 c_thstack_paint
  printObj = xform1 c_thstack_printobj
  recursiveRemove = xform1 c_thstack_recursiveremove
  saveAs = xform2 c_thstack_saveas
  useCurrentStyle = xform0 c_thstack_usecurrentstyle
  write = xform3 c_thstack_write

instance ITObject TAttParticle where
  draw = xform1 c_tattparticle_draw
  findObject = xform1 c_tattparticle_findobject
  getName = xform0 c_tattparticle_getname
  isA = xform0 c_tattparticle_isa
  isFolder = xform0 c_tattparticle_isfolder
  isEqual = xform1 c_tattparticle_isequal
  isSortable = xform0 c_tattparticle_issortable
  paint = xform1 c_tattparticle_paint
  printObj = xform1 c_tattparticle_printobj
  recursiveRemove = xform1 c_tattparticle_recursiveremove
  saveAs = xform2 c_tattparticle_saveas
  useCurrentStyle = xform0 c_tattparticle_usecurrentstyle
  write = xform3 c_tattparticle_write

instance ITObject TFormula where
  draw = xform1 c_tformula_draw
  findObject = xform1 c_tformula_findobject
  getName = xform0 c_tformula_getname
  isA = xform0 c_tformula_isa
  isFolder = xform0 c_tformula_isfolder
  isEqual = xform1 c_tformula_isequal
  isSortable = xform0 c_tformula_issortable
  paint = xform1 c_tformula_paint
  printObj = xform1 c_tformula_printobj
  recursiveRemove = xform1 c_tformula_recursiveremove
  saveAs = xform2 c_tformula_saveas
  useCurrentStyle = xform0 c_tformula_usecurrentstyle
  write = xform3 c_tformula_write

instance ITObject TClass where
  draw = xform1 c_tclass_draw
  findObject = xform1 c_tclass_findobject
  getName = xform0 c_tclass_getname
  isA = xform0 c_tclass_isa
  isFolder = xform0 c_tclass_isfolder
  isEqual = xform1 c_tclass_isequal
  isSortable = xform0 c_tclass_issortable
  paint = xform1 c_tclass_paint
  printObj = xform1 c_tclass_printobj
  recursiveRemove = xform1 c_tclass_recursiveremove
  saveAs = xform2 c_tclass_saveas
  useCurrentStyle = xform0 c_tclass_usecurrentstyle
  write = xform3 c_tclass_write



instance ITObject TNamed where
  draw = xform1 c_tnamed_draw
  findObject = xform1 c_tnamed_findobject
  getName = xform0 c_tnamed_getname
  isA = xform0 c_tnamed_isa
  isFolder = xform0 c_tnamed_isfolder
  isEqual = xform1 c_tnamed_isequal
  isSortable = xform0 c_tnamed_issortable
  paint = xform1 c_tnamed_paint
  printObj = xform1 c_tnamed_printobj
  recursiveRemove = xform1 c_tnamed_recursiveremove
  saveAs = xform2 c_tnamed_saveas
  useCurrentStyle = xform0 c_tnamed_usecurrentstyle
  write = xform3 c_tnamed_write

instance ITPad TSlider where

instance ITPad TEvePad where

instance ITPad TInspectCanvas where

instance ITPad TDialogCanvas where

instance ITPad TCanvas where

instance ITPad TGroupButton where

instance ITPad TButton where

instance ITPave TPaveClass where

instance ITPave TPaveLabel where

instance ITPave TLegend where

instance ITPave TPavesText where

instance ITPave TPaveStats where

instance ITPave TDiamond where

instance ITPave TPaveText where

instance ITPaveLabel TPaveClass where

instance ITPaveText TPavesText where

instance ITPaveText TPaveStats where

instance ITPaveText TDiamond where

instance ITPolyLine TCurlyArc where

instance ITPolyLine TCurlyLine where

instance ITQObject TRint where

instance ITQObject TApplication where

instance ITQObject TSlider where

instance ITQObject TEvePad where

instance ITQObject TInspectCanvas where

instance ITQObject TDialogCanvas where

instance ITQObject TCanvas where

instance ITQObject TGroupButton where

instance ITQObject TButton where

instance ITQObject TPad where

instance ITQObject TVirtualPad where

instance ITSeqCollection TList where

instance ITSeqCollection TObjArray where

instance ITShape TXTRU where

instance ITShape TSPHE where

instance ITShape TPCON where

instance ITShape TTUBE where

instance ITShape TBRIK where

instance ITText TLatex where

instance ITTree TTreeSQL where

instance ITTree TNtupleD where

instance ITTree TNtuple where

instance ITTree TChain where

instance ITVirtualPad TSlider where
  getFrame = xform0 c_tslider_getframe
  range = xform4 c_tslider_range

instance ITVirtualPad TEvePad where
  getFrame = xform0 c_tevepad_getframe
  range = xform4 c_tevepad_range

instance ITVirtualPad TInspectCanvas where
  getFrame = xform0 c_tinspectcanvas_getframe
  range = xform4 c_tinspectcanvas_range

instance ITVirtualPad TDialogCanvas where
  getFrame = xform0 c_tdialogcanvas_getframe
  range = xform4 c_tdialogcanvas_range

instance ITVirtualPad TCanvas where
  getFrame = xform0 c_tcanvas_getframe
  range = xform4 c_tcanvas_range

instance ITVirtualPad TGroupButton where
  getFrame = xform0 c_tgroupbutton_getframe
  range = xform4 c_tgroupbutton_range

instance ITVirtualPad TButton where
  getFrame = xform0 c_tbutton_getframe
  range = xform4 c_tbutton_range

instance ITVirtualPad TPad where
  getFrame = xform0 c_tpad_getframe
  range = xform4 c_tpad_range

instance ITVirtualTreePlayer TTreePlayer where

instance ITWbox TSliderBox where
  setBorderMode = xform1 c_tsliderbox_setbordermode

instance ITWbox TFrame where
  setBorderMode = xform1 c_tframe_setbordermode


newTObject :: IO TObject
newTObject = xformnull c_tobject_newtobject

-- | constructor : 
--   
--   > TNamed( char* name, char* title) 
--   

newTNamed :: String -> String -> IO TNamed
newTNamed = xform1 c_tnamed_newtnamed


newTFormula :: String -> String -> IO TFormula
newTFormula = xform1 c_tformula_newtformula


newTAttAxis :: IO TAttAxis
newTAttAxis = xformnull c_tattaxis_newtattaxis


newTAttCanvas :: IO TAttCanvas
newTAttCanvas = xformnull c_tattcanvas_newtattcanvas


newTAttFill :: Int -> Int -> IO TAttFill
newTAttFill = xform1 c_tattfill_newtattfill


newTAttLine :: Int -> Int -> Int -> IO TAttLine
newTAttLine = xform2 c_tattline_newtattline


newTAttMarker :: Int -> Int -> Int -> IO TAttMarker
newTAttMarker = xform2 c_tattmarker_newtattmarker


newTAttPad :: IO TAttPad
newTAttPad = xformnull c_tattpad_newtattpad


newTAttText :: Int -> Double -> Int -> Int -> Double -> IO TAttText
newTAttText = xform4 c_tatttext_newtatttext


newTHStack :: String -> String -> IO THStack
newTHStack = xform1 c_thstack_newthstack


newTF1 :: String -> String -> Double -> Double -> IO TF1
newTF1 = xform3 c_tf1_newtf1


newTGraph :: Int -> [Double] -> [Double] -> IO TGraph
newTGraph = xform2 c_tgraph_newtgraph


newTGraphAsymmErrors :: Int -> [Double] -> [Double] -> [Double] -> [Double] -> [Double] -> [Double] -> IO TGraphAsymmErrors
newTGraphAsymmErrors = xform6 c_tgraphasymmerrors_newtgraphasymmerrors


newTCutG :: String -> Int -> [Double] -> [Double] -> IO TCutG
newTCutG = xform3 c_tcutg_newtcutg


newTGraphBentErrors :: Int -> [Double] -> [Double] -> [Double] -> [Double] -> [Double] -> [Double] -> [Double] -> [Double] -> [Double] -> [Double] -> IO TGraphBentErrors
newTGraphBentErrors = xform10 c_tgraphbenterrors_newtgraphbenterrors


newTGraphErrors :: Int -> [Double] -> [Double] -> [Double] -> [Double] -> IO TGraphErrors
newTGraphErrors = xform4 c_tgrapherrors_newtgrapherrors


newTGraphPolar :: Int -> [Double] -> [Double] -> [Double] -> [Double] -> IO TGraphPolar
newTGraphPolar = xform4 c_tgraphpolar_newtgraphpolar


newTGraphQQ :: Int -> [Double] -> Int -> [Double] -> IO TGraphQQ
newTGraphQQ = xform3 c_tgraphqq_newtgraphqq


newTEllipse :: Double -> Double -> Double -> Double -> Double -> Double -> Double -> IO TEllipse
newTEllipse = xform6 c_tellipse_newtellipse


newTArc :: Double -> Double -> Double -> Double -> Double -> IO TArc
newTArc = xform4 c_tarc_newtarc


newTCrown :: Double -> Double -> Double -> Double -> Double -> Double -> IO TCrown
newTCrown = xform5 c_tcrown_newtcrown


newTLine :: Double -> Double -> Double -> Double -> IO TLine
newTLine = xform3 c_tline_newtline


newTArrow :: Double -> Double -> Double -> Double -> Double -> String -> IO TArrow
newTArrow = xform5 c_tarrow_newtarrow


newTGaxis :: Double -> Double -> Double -> Double -> Double -> Double -> Int -> String -> Double -> IO TGaxis
newTGaxis = xform8 c_tgaxis_newtgaxis


newTShape :: String -> String -> String -> IO TShape
newTShape = xform2 c_tshape_newtshape


newTBRIK :: String -> String -> String -> Double -> Double -> Double -> IO TBRIK
newTBRIK = xform5 c_tbrik_newtbrik


newTTUBE :: String -> String -> String -> Double -> Double -> Double -> Double -> IO TTUBE
newTTUBE = xform6 c_ttube_newttube


newTPCON :: String -> String -> String -> Double -> Double -> Int -> IO TPCON
newTPCON = xform5 c_tpcon_newtpcon


newTSPHE :: String -> String -> String -> Double -> Double -> Double -> Double -> Double -> Double -> IO TSPHE
newTSPHE = xform8 c_tsphe_newtsphe


newTXTRU :: String -> String -> String -> Int -> Int -> IO TXTRU
newTXTRU = xform4 c_txtru_newtxtru


newTBox :: Double -> Double -> Double -> Double -> IO TBox
newTBox = xform3 c_tbox_newtbox


newTPave :: Double -> Double -> Double -> Double -> Int -> String -> IO TPave
newTPave = xform5 c_tpave_newtpave


newTPaveText :: Double -> Double -> Double -> Double -> String -> IO TPaveText
newTPaveText = xform4 c_tpavetext_newtpavetext


newTDiamond :: Double -> Double -> Double -> Double -> IO TDiamond
newTDiamond = xform3 c_tdiamond_newtdiamond


newTPaveStats :: Double -> Double -> Double -> Double -> String -> IO TPaveStats
newTPaveStats = xform4 c_tpavestats_newtpavestats


newTPavesText :: Double -> Double -> Double -> Double -> Int -> String -> IO TPavesText
newTPavesText = xform5 c_tpavestext_newtpavestext


newTLegend :: Double -> Double -> Double -> Double -> String -> String -> IO TLegend
newTLegend = xform5 c_tlegend_newtlegend


newTPaveLabel :: Double -> Double -> Double -> Double -> String -> String -> IO TPaveLabel
newTPaveLabel = xform5 c_tpavelabel_newtpavelabel


newTWbox :: Double -> Double -> Double -> Double -> Int -> Int -> Int -> IO TWbox
newTWbox = xform6 c_twbox_newtwbox


newTFrame :: Double -> Double -> Double -> Double -> IO TFrame
newTFrame = xform3 c_tframe_newtframe


newTSliderBox :: Double -> Double -> Double -> Double -> Int -> Int -> Int -> IO TSliderBox
newTSliderBox = xform6 c_tsliderbox_newtsliderbox


newTTree :: String -> String -> Int -> IO TTree
newTTree = xform2 c_ttree_newttree


newTChain :: String -> String -> IO TChain
newTChain = xform1 c_tchain_newtchain


newTNtuple :: String -> String -> String -> Int -> IO TNtuple
newTNtuple = xform3 c_tntuple_newtntuple


newTNtupleD :: String -> String -> String -> Int -> IO TNtupleD
newTNtupleD = xform3 c_tntupled_newtntupled


newTPolyLine :: Int -> [Double] -> [Double] -> String -> IO TPolyLine
newTPolyLine = xform3 c_tpolyline_newtpolyline


newTCurlyLine :: Double -> Double -> Double -> Double -> Double -> Double -> IO TCurlyLine
newTCurlyLine = xform5 c_tcurlyline_newtcurlyline


newTCurlyArc :: Double -> Double -> Double -> Double -> Double -> Double -> Double -> IO TCurlyArc
newTCurlyArc = xform6 c_tcurlyarc_newtcurlyarc


newTAxis :: Int -> Double -> Double -> IO TAxis
newTAxis = xform2 c_taxis_newtaxis


newTLatex :: Double -> Double -> String -> IO TLatex
newTLatex = xform2 c_tlatex_newtlatex


newTFile :: String -> String -> String -> Int -> IO TFile
newTFile = xform3 c_tfile_newtfile


newTH1D :: String -> String -> Int -> Double -> Double -> IO TH1D
newTH1D = xform4 c_th1d_newth1d


newTH1F :: String -> String -> Int -> Double -> Double -> IO TH1F
newTH1F = xform4 c_th1f_newth1f


newTH2D :: String -> String -> Int -> Double -> Double -> Int -> Double -> Double -> IO TH2D
newTH2D = xform7 c_th2d_newth2d


newTH2F :: String -> String -> Int -> Double -> Double -> Int -> Double -> Double -> IO TH2F
newTH2F = xform7 c_th2f_newth2f


newTCanvas :: String -> String -> Int -> Int -> IO TCanvas
newTCanvas = xform3 c_tcanvas_newtcanvas


newTApplication :: String -> [Int] -> [String] -> IO TApplication
newTApplication = xform2 c_tapplication_newtapplication


newTRint :: String -> [Int] -> [String] -> IO TRint
newTRint = xform2 c_trint_newtrint


newTRandom :: Int -> IO TRandom
newTRandom = xform0 c_trandom_newtrandom


newTKey :: String -> String -> TClass -> Int -> TDirectory -> IO TKey
newTKey = xform4 c_tkey_newtkey


newTDatime :: Int -> Int -> Int -> Int -> Int -> Int -> IO TDatime
newTDatime = xform5 c_tdatime_newtdatime

tObjectIsOnHeap :: TObject -> IO Int
tObjectIsOnHeap = xform0 c_tobject_tobjectisonheap

tObjectIsZombie :: TObject -> IO Int
tObjectIsZombie = xform0 c_tobject_tobjectiszombie

tFormulaOptimize :: TFormula -> IO ()
tFormulaOptimize = xform0 c_tformula_tformulaoptimize

tFormulaGetParameter :: TFormula -> String -> IO Double
tFormulaGetParameter = xform1 c_tformula_tformulagetparameter

tAttLineDistancetoLine :: TAttLine -> Int -> Int -> Double -> Double -> Double -> Double -> IO Int
tAttLineDistancetoLine = xform6 c_tattline_tattlinedistancetoline

tAttPadGetBottomMargin :: TAttPad -> IO Double
tAttPadGetBottomMargin = xform0 c_tattpad_tattpadgetbottommargin

tAttPadGetLeftMargin :: TAttPad -> IO Double
tAttPadGetLeftMargin = xform0 c_tattpad_tattpadgetleftmargin

tAttPadGetRightMargin :: TAttPad -> IO Double
tAttPadGetRightMargin = xform0 c_tattpad_tattpadgetrightmargin

tAttPadGetTopMargin :: TAttPad -> IO Double
tAttPadGetTopMargin = xform0 c_tattpad_tattpadgettopmargin

tAttPadGetAfile :: TAttPad -> IO Double
tAttPadGetAfile = xform0 c_tattpad_tattpadgetafile

tAttPadGetXfile :: TAttPad -> IO Double
tAttPadGetXfile = xform0 c_tattpad_tattpadgetxfile

tAttPadGetYfile :: TAttPad -> IO Double
tAttPadGetYfile = xform0 c_tattpad_tattpadgetyfile

tAttPadGetAstat :: TAttPad -> IO Double
tAttPadGetAstat = xform0 c_tattpad_tattpadgetastat

tAttPadGetXstat :: TAttPad -> IO Double
tAttPadGetXstat = xform0 c_tattpad_tattpadgetxstat

tAttPadGetYstat :: TAttPad -> IO Double
tAttPadGetYstat = xform0 c_tattpad_tattpadgetystat

tAttPadGetFrameFillColor :: TAttPad -> IO Int
tAttPadGetFrameFillColor = xform0 c_tattpad_tattpadgetframefillcolor

tAttPadGetFrameLineColor :: TAttPad -> IO Int
tAttPadGetFrameLineColor = xform0 c_tattpad_tattpadgetframelinecolor

tAttPadGetFrameFillStyle :: TAttPad -> IO Int
tAttPadGetFrameFillStyle = xform0 c_tattpad_tattpadgetframefillstyle

tAttPadGetFrameLineStyle :: TAttPad -> IO Int
tAttPadGetFrameLineStyle = xform0 c_tattpad_tattpadgetframelinestyle

tAttPadGetFrameLineWidth :: TAttPad -> IO Int
tAttPadGetFrameLineWidth = xform0 c_tattpad_tattpadgetframelinewidth

tAttPadGetFrameBorderSize :: TAttPad -> IO Int
tAttPadGetFrameBorderSize = xform0 c_tattpad_tattpadgetframebordersize

tAttPadGetFrameBorderMode :: TAttPad -> IO Int
tAttPadGetFrameBorderMode = xform0 c_tattpad_tattpadgetframebordermode

tAttPadSetFrameFillColor :: TAttPad -> Int -> IO ()
tAttPadSetFrameFillColor = xform1 c_tattpad_tattpadsetframefillcolor

tAttPadSetFrameLineColor :: TAttPad -> Int -> IO ()
tAttPadSetFrameLineColor = xform1 c_tattpad_tattpadsetframelinecolor

tAttPadSetFrameFillStyle :: TAttPad -> Int -> IO ()
tAttPadSetFrameFillStyle = xform1 c_tattpad_tattpadsetframefillstyle

tAttPadSetFrameLineStyle :: TAttPad -> Int -> IO ()
tAttPadSetFrameLineStyle = xform1 c_tattpad_tattpadsetframelinestyle

tAttPadSetFrameLineWidth :: TAttPad -> Int -> IO ()
tAttPadSetFrameLineWidth = xform1 c_tattpad_tattpadsetframelinewidth

tAttPadSetFrameBorderSize :: TAttPad -> Int -> IO ()
tAttPadSetFrameBorderSize = xform1 c_tattpad_tattpadsetframebordersize

tAttPadSetFrameBorderMode :: TAttPad -> Int -> IO ()
tAttPadSetFrameBorderMode = xform1 c_tattpad_tattpadsetframebordermode

tF1GetChisquare :: TF1 -> IO Double
tF1GetChisquare = xform0 c_tf1_tf1getchisquare

tF1GetHistogram :: TF1 -> IO TH1
tF1GetHistogram = xform0 c_tf1_tf1gethistogram

tF1GetParent :: TF1 -> IO TObject
tF1GetParent = xform0 c_tf1_tf1getparent

tF1GetXaxis :: TF1 -> IO TAxis
tF1GetXaxis = xform0 c_tf1_tf1getxaxis

tF1GetYaxis :: TF1 -> IO TAxis
tF1GetYaxis = xform0 c_tf1_tf1getyaxis

tF1GetZaxis :: TF1 -> IO TAxis
tF1GetZaxis = xform0 c_tf1_tf1getzaxis

tGraphGetEditable :: TGraph -> IO Int
tGraphGetEditable = xform0 c_tgraph_tgraphgeteditable

tGraphGetFunction :: TGraph -> String -> IO TF1
tGraphGetFunction = xform1 c_tgraph_tgraphgetfunction

tGraphGetHistogram :: TGraph -> IO TH1F
tGraphGetHistogram = xform0 c_tgraph_tgraphgethistogram

tGraphGetListOfFunctions :: TGraph -> IO TList
tGraphGetListOfFunctions = xform0 c_tgraph_tgraphgetlistoffunctions

tGraphGetMaxSize :: TGraph -> IO Int
tGraphGetMaxSize = xform0 c_tgraph_tgraphgetmaxsize

tGraphGetN :: TGraph -> IO Int
tGraphGetN = xform0 c_tgraph_tgraphgetn

tGraphGetMaximum :: TGraph -> IO Double
tGraphGetMaximum = xform0 c_tgraph_tgraphgetmaximum

tGraphGetMinimum :: TGraph -> IO Double
tGraphGetMinimum = xform0 c_tgraph_tgraphgetminimum

tGraphGetXaxis :: TGraph -> IO TAxis
tGraphGetXaxis = xform0 c_tgraph_tgraphgetxaxis

tGraphGetYaxis :: TGraph -> IO TAxis
tGraphGetYaxis = xform0 c_tgraph_tgraphgetyaxis

tGraphPaintGraph :: TGraph -> Int -> [Double] -> [Double] -> String -> IO ()
tGraphPaintGraph = xform4 c_tgraph_tgraphpaintgraph

tGraphPaintGrapHist :: TGraph -> Int -> [Double] -> [Double] -> String -> IO ()
tGraphPaintGrapHist = xform4 c_tgraph_tgraphpaintgraphist

tLineGetX1 :: TLine -> IO Double
tLineGetX1 = xform0 c_tline_tlinegetx1

tLineGetX2 :: TLine -> IO Double
tLineGetX2 = xform0 c_tline_tlinegetx2

tLineGetY1 :: TLine -> IO Double
tLineGetY1 = xform0 c_tline_tlinegety1

tLineGetY2 :: TLine -> IO Double
tLineGetY2 = xform0 c_tline_tlinegety2

tLineIsHorizontal :: TLine -> IO Int
tLineIsHorizontal = xform0 c_tline_tlineishorizontal

tLineIsVertical :: TLine -> IO Int
tLineIsVertical = xform0 c_tline_tlineisvertical

tLineSetHorizontal :: TLine -> Int -> IO ()
tLineSetHorizontal = xform1 c_tline_tlinesethorizontal

tLineSetVertical :: TLine -> Int -> IO ()
tLineSetVertical = xform1 c_tline_tlinesetvertical

tLatexDrawLatex :: TLatex -> Double -> Double -> String -> IO TLatex
tLatexDrawLatex = xform3 c_tlatex_tlatexdrawlatex

tH1GetAsymmetry :: TH1 -> TH1 -> Double -> Double -> IO TH1
tH1GetAsymmetry = xform3 c_th1_th1getasymmetry

tH1GetBufferLength :: TH1 -> IO Int
tH1GetBufferLength = xform0 c_th1_th1getbufferlength

tH1GetBufferSize :: TH1 -> IO Int
tH1GetBufferSize = xform0 c_th1_th1getbuffersize

tH1GetDirectory :: TH1 -> IO TDirectory
tH1GetDirectory = xform0 c_th1_th1getdirectory

tH1GetXaxis :: TH1 -> IO TAxis
tH1GetXaxis = xform0 c_th1_th1getxaxis

tH1GetYaxis :: TH1 -> IO TAxis
tH1GetYaxis = xform0 c_th1_th1getyaxis

tH1GetZaxis :: TH1 -> IO TAxis
tH1GetZaxis = xform0 c_th1_th1getzaxis

tH1IsBinOverflow :: TH1 -> Int -> IO Int
tH1IsBinOverflow = xform1 c_th1_th1isbinoverflow

tH1IsBinUnderflow :: TH1 -> Int -> IO Int
tH1IsBinUnderflow = xform1 c_th1_th1isbinunderflow

tH1UseCurrentStyle :: TH1 -> IO ()
tH1UseCurrentStyle = xform0 c_th1_th1usecurrentstyle

tH2ProjectionX :: TH2 -> String -> Int -> Int -> String -> IO TH1D
tH2ProjectionX = xform4 c_th2_th2projectionx

tH2ProjectionY :: TH2 -> String -> Int -> Int -> String -> IO TH1D
tH2ProjectionY = xform4 c_th2_th2projectiony

tH3ProjectionX :: TH3 -> String -> Int -> Int -> Int -> Int -> String -> IO TH1D
tH3ProjectionX = xform6 c_th3_th3projectionx

tH3ProjectionY :: TH3 -> String -> Int -> Int -> Int -> Int -> String -> IO TH1D
tH3ProjectionY = xform6 c_th3_th3projectiony

tH3ProjectionZ :: TH3 -> String -> Int -> Int -> Int -> Int -> String -> IO TH1D
tH3ProjectionZ = xform6 c_th3_th3projectionz

tH3Project3D :: TH3 -> String -> IO TH1
tH3Project3D = xform1 c_th3_th3project3d
